﻿Shader "EVE/CloudShadow" {
	Properties{
		_Color("Color Tint", Color) = (1,1,1,1)
		_MainTex("Main (RGB)", 2D) = "white" {}
		_DetailTex("Detail (RGB)", 2D) = "white" {}
		_DetailScale("Detail Scale", float) = 100
		_DetailDist("Detail Distance", Range(0,1)) = 0.00875
		_PlanetOrigin("Sphere Center", Vector) = (0,0,0,1)
		_SunDir("Sunlight direction", Vector) = (0,0,0,1)
		_Radius("Radius", Float) = 1
		_PlanetRadius("Planet Radius", Float) = 1
		_ShadowFactor("Shadow Factor", Float) = 1
	}
	SubShader{
		Pass {
			Blend Zero SrcColor
			ZWrite Off
			Offset 0, 0
			Program "vp" {
// Vertex combos: 40
//   d3d9 - ALU: 52 to 54
//   d3d11 - ALU: 48 to 49, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_11);
  float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  float tmpvar_16;
  tmpvar_16 = sign(mix (tmpvar_11.y, mix (tmpvar_11.x, tmpvar_11.z, tmpvar_14), tmpvar_15));
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(tmpvar_16);
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = tmpvar_16;
  vec3 tmpvar_19;
  tmpvar_19.xy = vec2(1.0, 1.0);
  tmpvar_19.z = -(tmpvar_16);
  vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_19 * tmpvar_11.yxz), mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(tmpvar_14)), vec3(tmpvar_15));
  uv_12.x = (((0.5 * tmpvar_20.y) / abs(tmpvar_20.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_20.z) / abs(tmpvar_20.x)) + 0.5);
  vec2 tmpvar_21;
  tmpvar_21 = (uv_12 * _DetailScale);
  vec2 tmpvar_22;
  tmpvar_22 = abs((tmpvar_21 - (0.5 * _DetailScale)));
  vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(tmpvar_22);
  tmpvar_23.zw = dFdy(tmpvar_22);
  vec3 p_24;
  p_24 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_25;
  tmpvar_25 = ((_Color * texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_21, tmpvar_23.xy, tmpvar_23.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_24, p_24))), 0.0, 1.0))));
  color_1.w = tmpvar_25.w;
  color_1.xyz = clamp ((tmpvar_25.xyz * (1.0 - tmpvar_25.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_25.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_3 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_37;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_38;
  tmpvar_38 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_39;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _DetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_DetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  highp vec3 p_35;
  p_35 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_36;
  tmpvar_36 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_35, p_35))), 0.0, 1.0);
  detailLevel_3 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = ((_Color * tex_6) * mix (tex_16, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_37;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_38;
  tmpvar_38 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_39;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    #line 690
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump vec4 v_16;
  v_16 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_20;
  mediump float s_21;
  mediump float nylerp_22;
  mediump float zxlerp_23;
  highp vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_19);
  highp float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  zxlerp_23 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  nylerp_22 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_23);
  s_21 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = sign(mix (tmpvar_19.y, s_21, nylerp_22));
  s_21 = tmpvar_28;
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = -(s_21);
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = s_21;
  mediump vec3 tmpvar_31;
  tmpvar_31.xy = vec2(1.0, 1.0);
  tmpvar_31.z = -(s_21);
  highp vec3 tmpvar_32;
  tmpvar_32 = mix ((tmpvar_31 * tmpvar_19.yxz), mix ((tmpvar_29 * tmpvar_19.xzy), (tmpvar_30 * tmpvar_19.zxy), vec3(zxlerp_23)), vec3(nylerp_22));
  uv_20.x = (((0.5 * tmpvar_32.y) / abs(tmpvar_32.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_32.z) / abs(tmpvar_32.x)) + 0.5);
  highp vec2 tmpvar_33;
  tmpvar_33 = (uv_20 * _DetailScale);
  highp vec2 tmpvar_34;
  tmpvar_34 = abs((tmpvar_33 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_35;
  tmpvar_35.xy = dFdx(tmpvar_34);
  tmpvar_35.zw = dFdy(tmpvar_34);
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (_DetailTex, tmpvar_33, tmpvar_35.xy, tmpvar_35.zw);
  tex_18 = tmpvar_36;
  highp vec3 p_37;
  p_37 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_38;
  tmpvar_38 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_37, p_37))), 0.0, 1.0);
  detailLevel_3 = tmpvar_38;
  mediump vec4 tmpvar_39;
  tmpvar_39 = ((_Color * tmpvar_17) * mix (tex_18, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_39;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_40;
  tmpvar_40 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_40;
  mediump vec4 tmpvar_41;
  tmpvar_41 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_41;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD5);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD4))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.w = tmpvar_16.w;
  color_1.xyz = clamp ((tmpvar_16.xyz * (1.0 - tmpvar_16.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_16.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_3 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_30;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_31;
  tmpvar_31 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_32;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _DetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  highp vec3 p_28;
  p_28 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_29;
  tmpvar_29 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_28, p_28))), 0.0, 1.0);
  detailLevel_3 = tmpvar_29;
  mediump vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tex_6) * mix (tex_9, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_30;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_31;
  tmpvar_31 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_32;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    #line 690
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpgmiklmnechjogmbkmbkffpkndmkebeiabaaaaaaieaiaaaaadaaaaaa
cmaaaaaahmaaaaaaemabaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaafaepfdejfeejepeoaaeoepfcenebemaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaabaoaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaacanaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
afaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcdaahaaaaeaaaabaammabaaaafjaaaaae
egiocaaaaaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadbccabaaaacaaaaaagfaaaaadcccabaaaacaaaaaagfaaaaad
pccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
abaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
abaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaabaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaabcaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaabbaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaabdaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaabaaaaaaegiocaaa
aaaaaaaabeaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaabaaaaaajbcaabaaa
aaaaaaaaegbcbaiaebaaaaaaaaaaaaaaegbcbaiaebaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaa
aaaaaaaaagbjbaiaebaaaaaaaaaaaaaabaaaaaaiccaabaaaaaaaaaaajgahbaaa
aaaaaaaaegiccaaaaaaaaaaaaoaaaaaadicaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaamiecelaaaaafecaabaaaaaaaaaaaakaabaaaaaaaaaaa
bnaaaaaiicaabaaaaaaaaaaaakiacaaaaaaaaaaaapaaaaaackaabaaaaaaaaaaa
dgaaaaafcccabaaaacaaaaaackaabaaaaaaaaaaaabaaaaahecaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahbccabaaaacaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiocaaaabaaaaaaanaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaabaaaaaa
amaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaabaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaabaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaa
abaaaaaabaaaaaakccaabaaaaaaaaaaaegbcbaiaebaaaaaaaaaaaaaaegiccaia
ebaaaaaaaaaaaaaaaoaaaaaadcaaaaakicaabaaaaaaaaaaabkaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaamicaabaaaaaaaaaaaakiacaaaaaaaaaaa
apaaaaaaakiacaaaaaaaaaaaapaaaaaadkaabaiaebaaaaaaaaaaaaaaelaaaaaf
jcaabaaaaaaaaaaaagambaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaiadpaaaaaaaiicaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajicaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaaaaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaa
akaabaaaabaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
abaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaalpcaabaaaaaaaaaaaegiocaia
ebaaaaaaaaaaaaaaaoaaaaaaagaabaaaaaaaaaaaegbobaaaaaaaaaaadiaaaaai
pcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagaabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
agaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadgaaaaafhccabaaaaeaaaaaa
egacbaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaa
aaaaaaaaaiaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaaaaaaaaahaaaaaa
agaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
aaaaaaaaajaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaa
afaaaaaaegiccaaaaaaaaaaaakaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_MainTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump vec4 v_9;
  v_9 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_10;
  tmpvar_10.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_10.w = (((v_9.x + v_9.y) + v_9.z) + v_9.w);
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_10) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_3 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_52;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_53;
  tmpvar_53 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_54;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _DetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_DetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  highp vec3 p_50;
  p_50 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_51;
  tmpvar_51 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_50, p_50))), 0.0, 1.0);
  detailLevel_3 = tmpvar_51;
  mediump vec4 tmpvar_52;
  tmpvar_52 = ((_Color * tmpvar_30) * mix (tex_31, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_52;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_53;
  tmpvar_53 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_54;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    #line 690
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_MainTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_MainTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 v_31;
  v_31 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_32;
  tmpvar_32.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_32.w = (((v_31.x + v_31.y) + v_31.z) + v_31.w);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.w = tmpvar_28.w;
  color_1.xyz = clamp ((tmpvar_28.xyz * (1.0 - tmpvar_28.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_28.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_3 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_58;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_59;
  tmpvar_59 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_60;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tex_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_39;
  mediump float s_40;
  mediump float nylerp_41;
  mediump float zxlerp_42;
  highp vec3 tmpvar_43;
  tmpvar_43 = abs(tmpvar_38);
  highp float tmpvar_44;
  tmpvar_44 = float((tmpvar_43.z >= tmpvar_43.x));
  zxlerp_42 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = float((max (tmpvar_43.x, tmpvar_43.z) >= tmpvar_43.y));
  nylerp_41 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = mix (tmpvar_38.x, tmpvar_38.z, zxlerp_42);
  s_40 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = sign(mix (tmpvar_38.y, s_40, nylerp_41));
  s_40 = tmpvar_47;
  mediump vec3 tmpvar_48;
  tmpvar_48.xz = vec2(1.0, 1.0);
  tmpvar_48.y = -(s_40);
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = s_40;
  mediump vec3 tmpvar_50;
  tmpvar_50.xy = vec2(1.0, 1.0);
  tmpvar_50.z = -(s_40);
  highp vec3 tmpvar_51;
  tmpvar_51 = mix ((tmpvar_50 * tmpvar_38.yxz), mix ((tmpvar_48 * tmpvar_38.xzy), (tmpvar_49 * tmpvar_38.zxy), vec3(zxlerp_42)), vec3(nylerp_41));
  uv_39.x = (((0.5 * tmpvar_51.y) / abs(tmpvar_51.x)) + 0.5);
  uv_39.y = (((0.5 * tmpvar_51.z) / abs(tmpvar_51.x)) + 0.5);
  highp vec2 tmpvar_52;
  tmpvar_52 = (uv_39 * _DetailScale);
  highp vec2 tmpvar_53;
  tmpvar_53 = abs((tmpvar_52 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_54;
  tmpvar_54.xy = dFdx(tmpvar_53);
  tmpvar_54.zw = dFdy(tmpvar_53);
  lowp vec4 tmpvar_55;
  tmpvar_55 = texture2DGradEXT (_DetailTex, tmpvar_52, tmpvar_54.xy, tmpvar_54.zw);
  tex_37 = tmpvar_55;
  highp vec3 p_56;
  p_56 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_57;
  tmpvar_57 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_56, p_56))), 0.0, 1.0);
  detailLevel_3 = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = ((_Color * mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15))) * mix (tex_37, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_58;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_59;
  tmpvar_59 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_60;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    #line 690
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = -(gl_Vertex.xyz);
  float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (gl_Vertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * gl_Vertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Matrix 16 [_Projector]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c22, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp3 r0.x, -v0, -v0
dp3 r0.y, -v0, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r3.y, r0.x
rcp r1.w, r3.y
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.x, -r0.z, r0.z, r0
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.x
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.x, r0.z, -r0.w
add r0.w, r0.y, r0.z
add r1.y, r0, -r0.z
add r0.w, r0, -r1.x
sge r0.y, r0, c22
mad r0.z, r0.y, r0.w, r1.x
add r0.w, -r1.x, r1.y
mad r0.x, r0.y, r0.w, r1
add r0.y, r0.z, -r0.x
sge r3.x, c21, r1.w
mad r0.x, r3, r0.y, r0
mad r2, r0.x, -c20, v0
dp4 r0.w, r2, c11
dp4 r1.z, r2, c10
dp4 r1.x, r2, c8
dp4 r1.y, r2, c9
mov r0.xyz, r1
mul r2.xyz, r3.y, -v0
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c22
mov o5.xyz, r1
mul o2.x, r3, r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
mov o3.x, r1.w
dp4 o4.w, v0, c7
dp4 o4.z, v0, c6
dp4 o4.y, v0, c5
dp4 o4.x, v0, c4
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 51 instructions, 2 temp regs, 0 temp arrays:
// ALU 46 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpgmiklmnechjogmbkmbkffpkndmkebeiabaaaaaaieaiaaaaadaaaaaa
cmaaaaaahmaaaaaaemabaaaaejfdeheoeiaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaafaepfdejfeejepeoaaeoepfcenebemaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaacaaaaaaabaoaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaacanaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
afaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcdaahaaaaeaaaabaammabaaaafjaaaaae
egiocaaaaaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadbccabaaaacaaaaaagfaaaaadcccabaaaacaaaaaagfaaaaad
pccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
giaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
abaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
abaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaa
aaaaaaaaegiocaaaabaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaabcaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaabbaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaabdaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaabaaaaaaegiocaaa
aaaaaaaabeaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaabaaaaaajbcaabaaa
aaaaaaaaegbcbaiaebaaaaaaaaaaaaaaegbcbaiaebaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaa
aaaaaaaaagbjbaiaebaaaaaaaaaaaaaabaaaaaaiccaabaaaaaaaaaaajgahbaaa
aaaaaaaaegiccaaaaaaaaaaaaoaaaaaadicaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaamiecelaaaaafecaabaaaaaaaaaaaakaabaaaaaaaaaaa
bnaaaaaiicaabaaaaaaaaaaaakiacaaaaaaaaaaaapaaaaaackaabaaaaaaaaaaa
dgaaaaafcccabaaaacaaaaaackaabaaaaaaaaaaaabaaaaahecaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahbccabaaaacaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgbfbaaaaaaaaaaa
egiocaaaabaaaaaaanaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaabaaaaaa
amaaaaaaagbabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaabaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaadaaaaaaegiocaaaabaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaa
abaaaaaabaaaaaakccaabaaaaaaaaaaaegbcbaiaebaaaaaaaaaaaaaaegiccaia
ebaaaaaaaaaaaaaaaoaaaaaadcaaaaakicaabaaaaaaaaaaabkaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaelaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaamicaabaaaaaaaaaaaakiacaaaaaaaaaaa
apaaaaaaakiacaaaaaaaaaaaapaaaaaadkaabaiaebaaaaaaaaaaaaaaelaaaaaf
jcaabaaaaaaaaaaaagambaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaaaaaaaaahbcaabaaaabaaaaaadkaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaabkaabaaaaaaaaaaabnaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaabaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaiadpaaaaaaaiicaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajicaabaaaaaaaaaaabkaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaaaaaaaaaaaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaaaaaaaaa
akaabaaaabaaaaaadcaaaaajbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaa
abaaaaaaakaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaaakaabaaaaaaaaaaadcaaaaajbcaabaaaaaaaaaaackaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaalpcaabaaaaaaaaaaaegiocaia
ebaaaaaaaaaaaaaaaoaaaaaaagaabaaaaaaaaaaaegbobaaaaaaaaaaadiaaaaai
pcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaaaaaaaaaaeaaaaaadcaaaaak
pcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaaagaabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaafaaaaaakgakbaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
agaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadgaaaaafhccabaaaaeaaaaaa
egacbaaaaaaaaaaadiaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaa
aaaaaaaaaiaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaaaaaaaaahaaaaaa
agaabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaa
aaaaaaaaajaaaaaakgakbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaa
afaaaaaaegiccaaaaaaaaaaaakaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec3 tmpvar_1;
  tmpvar_1 = -(_glesVertex.xyz);
  highp float tmpvar_2;
  tmpvar_2 = sqrt(dot (tmpvar_1, tmpvar_1));
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, -(_SunDir).xyz);
  highp float tmpvar_4;
  tmpvar_4 = pow (sqrt((dot (tmpvar_1, tmpvar_1) - (tmpvar_3 * tmpvar_3))), 2.0);
  highp float tmpvar_5;
  tmpvar_5 = sqrt((dot (tmpvar_1, tmpvar_1) - tmpvar_4));
  highp float tmpvar_6;
  tmpvar_6 = sqrt(((_Radius * _Radius) - tmpvar_4));
  highp vec4 tmpvar_7;
  tmpvar_7 = (_MainRotation * (_glesVertex + (-(_SunDir) * mix (mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 - tmpvar_6), float((tmpvar_3 >= 0.0))), mix ((tmpvar_6 - tmpvar_5), (tmpvar_3 + tmpvar_6), float((tmpvar_3 >= 0.0))), float((_Radius >= tmpvar_2))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_2)) * clamp ((dot (normalize(tmpvar_1), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_2;
  xlv_TEXCOORD3 = (_Object2World * _glesVertex);
  xlv_TEXCOORD4 = tmpvar_7.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_7).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_MainTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_MainTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 v_37;
  v_37 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_38;
  tmpvar_38.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_38.w = (((v_37.x + v_37.y) + v_37.z) + v_37.w);
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * tmpvar_38) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = v.vertex;
    highp vec3 worldOrigin = vec3( 0.0, 0.0, 0.0);
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    #line 690
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    #line 694
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0));
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec3 tmpvar_11;
  tmpvar_11 = normalize(xlv_TEXCOORD5);
  vec2 uv_12;
  vec3 tmpvar_13;
  tmpvar_13 = abs(tmpvar_11);
  float tmpvar_14;
  tmpvar_14 = float((tmpvar_13.z >= tmpvar_13.x));
  float tmpvar_15;
  tmpvar_15 = float((max (tmpvar_13.x, tmpvar_13.z) >= tmpvar_13.y));
  float tmpvar_16;
  tmpvar_16 = sign(mix (tmpvar_11.y, mix (tmpvar_11.x, tmpvar_11.z, tmpvar_14), tmpvar_15));
  vec3 tmpvar_17;
  tmpvar_17.xz = vec2(1.0, 1.0);
  tmpvar_17.y = -(tmpvar_16);
  vec3 tmpvar_18;
  tmpvar_18.xz = vec2(1.0, 1.0);
  tmpvar_18.y = tmpvar_16;
  vec3 tmpvar_19;
  tmpvar_19.xy = vec2(1.0, 1.0);
  tmpvar_19.z = -(tmpvar_16);
  vec3 tmpvar_20;
  tmpvar_20 = mix ((tmpvar_19 * tmpvar_11.yxz), mix ((tmpvar_17 * tmpvar_11.xzy), (tmpvar_18 * tmpvar_11.zxy), vec3(tmpvar_14)), vec3(tmpvar_15));
  uv_12.x = (((0.5 * tmpvar_20.y) / abs(tmpvar_20.x)) + 0.5);
  uv_12.y = (((0.5 * tmpvar_20.z) / abs(tmpvar_20.x)) + 0.5);
  vec2 tmpvar_21;
  tmpvar_21 = (uv_12 * _DetailScale);
  vec2 tmpvar_22;
  tmpvar_22 = abs((tmpvar_21 - (0.5 * _DetailScale)));
  vec4 tmpvar_23;
  tmpvar_23.xy = dFdx(tmpvar_22);
  tmpvar_23.zw = dFdy(tmpvar_22);
  vec3 p_24;
  p_24 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_25;
  tmpvar_25 = ((_Color * texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw)) * mix (texture2DGradARB (_DetailTex, tmpvar_21, tmpvar_23.xy, tmpvar_23.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_24, p_24))), 0.0, 1.0))));
  color_1.w = tmpvar_25.w;
  color_1.xyz = clamp ((tmpvar_25.xyz * (1.0 - tmpvar_25.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_25.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_38;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_39;
  tmpvar_39 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_40;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 tex_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_19;
  mediump float s_20;
  mediump float nylerp_21;
  mediump float zxlerp_22;
  highp vec3 tmpvar_23;
  tmpvar_23 = abs(tmpvar_18);
  highp float tmpvar_24;
  tmpvar_24 = float((tmpvar_23.z >= tmpvar_23.x));
  zxlerp_22 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = float((max (tmpvar_23.x, tmpvar_23.z) >= tmpvar_23.y));
  nylerp_21 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = mix (tmpvar_18.x, tmpvar_18.z, zxlerp_22);
  s_20 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_18.y, s_20, nylerp_21));
  s_20 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(s_20);
  mediump vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = s_20;
  mediump vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(s_20);
  highp vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_18.yxz), mix ((tmpvar_28 * tmpvar_18.xzy), (tmpvar_29 * tmpvar_18.zxy), vec3(zxlerp_22)), vec3(nylerp_21));
  uv_19.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  highp vec2 tmpvar_32;
  tmpvar_32 = (uv_19 * _DetailScale);
  highp vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (_DetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  tex_17 = tmpvar_35;
  highp vec3 p_36;
  p_36 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_37;
  tmpvar_37 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_36, p_36))), 0.0, 1.0);
  detailLevel_3 = tmpvar_37;
  mediump vec4 tmpvar_38;
  tmpvar_38 = ((_Color * tex_7) * mix (tex_17, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_38;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_39;
  tmpvar_39 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_40;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0));
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0));
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0));
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D _MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  float shadowCheck_2;
  shadowCheck_2 = ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0));
  vec3 tmpvar_3;
  tmpvar_3 = normalize(xlv_TEXCOORD4);
  vec2 uv_4;
  float r_5;
  if ((abs(tmpvar_3.z) > (1e-08 * abs(tmpvar_3.x)))) {
    float y_over_x_6;
    y_over_x_6 = (tmpvar_3.x / tmpvar_3.z);
    float s_7;
    float x_8;
    x_8 = (y_over_x_6 * inversesqrt(((y_over_x_6 * y_over_x_6) + 1.0)));
    s_7 = (sign(x_8) * (1.5708 - (sqrt((1.0 - abs(x_8))) * (1.5708 + (abs(x_8) * (-0.214602 + (abs(x_8) * (0.0865667 + (abs(x_8) * -0.0310296)))))))));
    r_5 = s_7;
    if ((tmpvar_3.z < 0.0)) {
      if ((tmpvar_3.x >= 0.0)) {
        r_5 = (s_7 + 3.14159);
      } else {
        r_5 = (r_5 - 3.14159);
      };
    };
  } else {
    r_5 = (sign(tmpvar_3.x) * 1.5708);
  };
  uv_4.x = (0.5 + (0.159155 * r_5));
  uv_4.y = (0.31831 * (1.5708 - (sign(tmpvar_3.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_3.y))) * (1.5708 + (abs(tmpvar_3.y) * (-0.214602 + (abs(tmpvar_3.y) * (0.0865667 + (abs(tmpvar_3.y) * -0.0310296)))))))))));
  vec2 uvCont_9;
  uvCont_9.y = uv_4.y;
  uvCont_9.x = abs((uv_4.x - 0.5));
  vec4 tmpvar_10;
  tmpvar_10.xy = dFdx(uvCont_9);
  tmpvar_10.zw = dFdy(uvCont_9);
  vec4 v_11;
  v_11 = (texture2DGradARB (_MainTex, uv_4, tmpvar_10.xy, tmpvar_10.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  vec2 uv_14;
  vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_13);
  float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  float tmpvar_18;
  tmpvar_18 = sign(mix (tmpvar_13.y, mix (tmpvar_13.x, tmpvar_13.z, tmpvar_16), tmpvar_17));
  vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(tmpvar_18);
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = tmpvar_18;
  vec3 tmpvar_21;
  tmpvar_21.xy = vec2(1.0, 1.0);
  tmpvar_21.z = -(tmpvar_18);
  vec3 tmpvar_22;
  tmpvar_22 = mix ((tmpvar_21 * tmpvar_13.yxz), mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(tmpvar_16)), vec3(tmpvar_17));
  uv_14.x = (((0.5 * tmpvar_22.y) / abs(tmpvar_22.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_22.z) / abs(tmpvar_22.x)) + 0.5);
  vec2 tmpvar_23;
  tmpvar_23 = (uv_14 * _DetailScale);
  vec2 tmpvar_24;
  tmpvar_24 = abs((tmpvar_23 - (0.5 * _DetailScale)));
  vec4 tmpvar_25;
  tmpvar_25.xy = dFdx(tmpvar_24);
  tmpvar_25.zw = dFdy(tmpvar_24);
  vec3 p_26;
  p_26 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_27;
  tmpvar_27 = ((_Color * tmpvar_12) * mix (texture2DGradARB (_DetailTex, tmpvar_23, tmpvar_25.xy, tmpvar_25.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_26, p_26))), 0.0, 1.0))));
  color_1.w = tmpvar_27.w;
  color_1.xyz = clamp ((tmpvar_27.xyz * (1.0 - tmpvar_27.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_27.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, shadowCheck_2));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D _MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  shadowCheck_4 = (shadowCheck_4 * tmpvar_6);
  mediump vec4 tex_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD4);
  highp vec2 uv_9;
  highp float r_10;
  if ((abs(tmpvar_8.z) > (1e-08 * abs(tmpvar_8.x)))) {
    highp float y_over_x_11;
    y_over_x_11 = (tmpvar_8.x / tmpvar_8.z);
    highp float s_12;
    highp float x_13;
    x_13 = (y_over_x_11 * inversesqrt(((y_over_x_11 * y_over_x_11) + 1.0)));
    s_12 = (sign(x_13) * (1.5708 - (sqrt((1.0 - abs(x_13))) * (1.5708 + (abs(x_13) * (-0.214602 + (abs(x_13) * (0.0865667 + (abs(x_13) * -0.0310296)))))))));
    r_10 = s_12;
    if ((tmpvar_8.z < 0.0)) {
      if ((tmpvar_8.x >= 0.0)) {
        r_10 = (s_12 + 3.14159);
      } else {
        r_10 = (r_10 - 3.14159);
      };
    };
  } else {
    r_10 = (sign(tmpvar_8.x) * 1.5708);
  };
  uv_9.x = (0.5 + (0.159155 * r_10));
  uv_9.y = (0.31831 * (1.5708 - (sign(tmpvar_8.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_8.y))) * (1.5708 + (abs(tmpvar_8.y) * (-0.214602 + (abs(tmpvar_8.y) * (0.0865667 + (abs(tmpvar_8.y) * -0.0310296)))))))))));
  highp vec2 uvCont_14;
  uvCont_14.y = uv_9.y;
  uvCont_14.x = abs((uv_9.x - 0.5));
  highp vec4 tmpvar_15;
  tmpvar_15.xy = dFdx(uvCont_14);
  tmpvar_15.zw = dFdy(uvCont_14);
  lowp vec4 tmpvar_16;
  tmpvar_16 = texture2DGradEXT (_MainTex, uv_9, tmpvar_15.xy, tmpvar_15.zw);
  tex_7 = tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_7 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _DetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_DetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  highp vec3 p_38;
  p_38 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_39;
  tmpvar_39 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_38, p_38))), 0.0, 1.0);
  detailLevel_3 = tmpvar_39;
  mediump vec4 tmpvar_40;
  tmpvar_40 = ((_Color * tmpvar_18) * mix (tex_19, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_40;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_41;
  tmpvar_41 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_41;
  mediump vec4 tmpvar_42;
  tmpvar_42 = vec4(mix (1.0, color_2.x, shadowCheck_4));
  tmpvar_1 = tmpvar_42;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( _MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD5);
  vec2 uv_3;
  vec3 tmpvar_4;
  tmpvar_4 = abs(tmpvar_2);
  float tmpvar_5;
  tmpvar_5 = float((tmpvar_4.z >= tmpvar_4.x));
  float tmpvar_6;
  tmpvar_6 = float((max (tmpvar_4.x, tmpvar_4.z) >= tmpvar_4.y));
  float tmpvar_7;
  tmpvar_7 = sign(mix (tmpvar_2.y, mix (tmpvar_2.x, tmpvar_2.z, tmpvar_5), tmpvar_6));
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = -(tmpvar_7);
  vec3 tmpvar_9;
  tmpvar_9.xz = vec2(1.0, 1.0);
  tmpvar_9.y = tmpvar_7;
  vec3 tmpvar_10;
  tmpvar_10.xy = vec2(1.0, 1.0);
  tmpvar_10.z = -(tmpvar_7);
  vec3 tmpvar_11;
  tmpvar_11 = mix ((tmpvar_10 * tmpvar_2.yxz), mix ((tmpvar_8 * tmpvar_2.xzy), (tmpvar_9 * tmpvar_2.zxy), vec3(tmpvar_5)), vec3(tmpvar_6));
  uv_3.x = (((0.5 * tmpvar_11.y) / abs(tmpvar_11.x)) + 0.5);
  uv_3.y = (((0.5 * tmpvar_11.z) / abs(tmpvar_11.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = (uv_3 * _DetailScale);
  vec2 tmpvar_13;
  tmpvar_13 = abs((tmpvar_12 - (0.5 * _DetailScale)));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(tmpvar_13);
  tmpvar_14.zw = dFdy(tmpvar_13);
  vec3 p_15;
  p_15 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_16;
  tmpvar_16 = ((_Color * textureCube (cube_MainTex, normalize(xlv_TEXCOORD4))) * mix (texture2DGradARB (_DetailTex, tmpvar_12, tmpvar_14.xy, tmpvar_14.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_15, p_15))), 0.0, 1.0))));
  color_1.w = tmpvar_16.w;
  color_1.xyz = clamp ((tmpvar_16.xyz * (1.0 - tmpvar_16.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_16.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tex_8) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 tex_11;
  highp vec3 tmpvar_12;
  tmpvar_12 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = abs(tmpvar_12);
  highp float tmpvar_18;
  tmpvar_18 = float((tmpvar_17.z >= tmpvar_17.x));
  zxlerp_16 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = float((max (tmpvar_17.x, tmpvar_17.z) >= tmpvar_17.y));
  nylerp_15 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = mix (tmpvar_12.x, tmpvar_12.z, zxlerp_16);
  s_14 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_12.y, s_14, nylerp_15));
  s_14 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(s_14);
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = s_14;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_14);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_12.yxz), mix ((tmpvar_22 * tmpvar_12.xzy), (tmpvar_23 * tmpvar_12.zxy), vec3(zxlerp_16)), vec3(nylerp_15));
  uv_13.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_13.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  highp vec2 tmpvar_26;
  tmpvar_26 = (uv_13 * _DetailScale);
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  tex_11 = tmpvar_29;
  highp vec3 p_30;
  p_30 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_31;
  tmpvar_31 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_30, p_30))), 0.0, 1.0);
  detailLevel_3 = tmpvar_31;
  mediump vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tex_8) * mix (tex_11, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_32;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_33;
  tmpvar_33 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_34;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform samplerCube cube_MainTex;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec4 v_2;
  v_2 = (textureCube (cube_MainTex, normalize(xlv_TEXCOORD4)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_3;
  tmpvar_3.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_3.w = (((v_2.x + v_2.y) + v_2.z) + v_2.w);
  vec3 tmpvar_4;
  tmpvar_4 = normalize(xlv_TEXCOORD5);
  vec2 uv_5;
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_4);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((max (tmpvar_6.x, tmpvar_6.z) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (tmpvar_4.y, mix (tmpvar_4.x, tmpvar_4.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_4.yxz), mix ((tmpvar_10 * tmpvar_4.xzy), (tmpvar_11 * tmpvar_4.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  uv_5.x = (((0.5 * tmpvar_13.y) / abs(tmpvar_13.x)) + 0.5);
  uv_5.y = (((0.5 * tmpvar_13.z) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_14;
  tmpvar_14 = (uv_5 * _DetailScale);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - (0.5 * _DetailScale)));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec3 p_17;
  p_17 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_18;
  tmpvar_18 = ((_Color * tmpvar_3) * mix (texture2DGradARB (_DetailTex, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_17, p_17))), 0.0, 1.0))));
  color_1.w = tmpvar_18.w;
  color_1.xyz = clamp ((tmpvar_18.xyz * (1.0 - tmpvar_18.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_18.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform samplerCube cube_MainTex;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD4);
  lowp vec4 tmpvar_10;
  tmpvar_10 = textureCube (cube_MainTex, tmpvar_9);
  tex_8 = tmpvar_10;
  mediump vec4 v_11;
  v_11 = (tex_8 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_12;
  tmpvar_12.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_12.w = (((v_11.x + v_11.y) + v_11.z) + v_11.w);
  mediump vec4 tex_13;
  highp vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = abs(tmpvar_14);
  highp float tmpvar_20;
  tmpvar_20 = float((tmpvar_19.z >= tmpvar_19.x));
  zxlerp_18 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = float((max (tmpvar_19.x, tmpvar_19.z) >= tmpvar_19.y));
  nylerp_17 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = mix (tmpvar_14.x, tmpvar_14.z, zxlerp_18);
  s_16 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_14.y, s_16, nylerp_17));
  s_16 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(s_16);
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = s_16;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_16);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_14.yxz), mix ((tmpvar_24 * tmpvar_14.xzy), (tmpvar_25 * tmpvar_14.zxy), vec3(zxlerp_18)), vec3(nylerp_17));
  uv_15.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  highp vec2 tmpvar_28;
  tmpvar_28 = (uv_15 * _DetailScale);
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  tex_13 = tmpvar_31;
  highp vec3 p_32;
  p_32 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_33;
  tmpvar_33 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_32, p_32))), 0.0, 1.0);
  detailLevel_3 = tmpvar_33;
  mediump vec4 tmpvar_34;
  tmpvar_34 = ((_Color * tmpvar_12) * mix (tex_13, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_34;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_35;
  tmpvar_35 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_35;
  mediump vec4 tmpvar_36;
  tmpvar_36 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_36;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTex, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 tex_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_35;
  mediump float s_36;
  mediump float nylerp_37;
  mediump float zxlerp_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = abs(tmpvar_34);
  highp float tmpvar_40;
  tmpvar_40 = float((tmpvar_39.z >= tmpvar_39.x));
  zxlerp_38 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = float((max (tmpvar_39.x, tmpvar_39.z) >= tmpvar_39.y));
  nylerp_37 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = mix (tmpvar_34.x, tmpvar_34.z, zxlerp_38);
  s_36 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = sign(mix (tmpvar_34.y, s_36, nylerp_37));
  s_36 = tmpvar_43;
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = -(s_36);
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = s_36;
  mediump vec3 tmpvar_46;
  tmpvar_46.xy = vec2(1.0, 1.0);
  tmpvar_46.z = -(s_36);
  highp vec3 tmpvar_47;
  tmpvar_47 = mix ((tmpvar_46 * tmpvar_34.yxz), mix ((tmpvar_44 * tmpvar_34.xzy), (tmpvar_45 * tmpvar_34.zxy), vec3(zxlerp_38)), vec3(nylerp_37));
  uv_35.x = (((0.5 * tmpvar_47.y) / abs(tmpvar_47.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_47.z) / abs(tmpvar_47.x)) + 0.5);
  highp vec2 tmpvar_48;
  tmpvar_48 = (uv_35 * _DetailScale);
  highp vec2 tmpvar_49;
  tmpvar_49 = abs((tmpvar_48 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_50;
  tmpvar_50.xy = dFdx(tmpvar_49);
  tmpvar_50.zw = dFdy(tmpvar_49);
  lowp vec4 tmpvar_51;
  tmpvar_51 = texture2DGradEXT (_DetailTex, tmpvar_48, tmpvar_50.xy, tmpvar_50.zw);
  tex_33 = tmpvar_51;
  highp vec3 p_52;
  p_52 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_53;
  tmpvar_53 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_52, p_52))), 0.0, 1.0);
  detailLevel_3 = tmpvar_53;
  mediump vec4 tmpvar_54;
  tmpvar_54 = ((_Color * tmpvar_32) * mix (tex_33, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_54;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_55;
  tmpvar_55 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_56;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 tmpvar_14;
  tmpvar_14 = mix (texture2DGradARB (cube_MainTexNEG, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexPOS, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0))));
  vec4 tmpvar_15;
  tmpvar_15.x = tmpvar_14.w;
  tmpvar_15.y = tmpvar_14.w;
  tmpvar_15.z = tmpvar_14.w;
  tmpvar_15.w = mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_4), tmpvar_5);
  vec4 v_16;
  v_16 = (tmpvar_15 * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_17;
  tmpvar_17.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_17.w = (((v_16.x + v_16.y) + v_16.z) + v_16.w);
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _DetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _DetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec3 p_31;
  p_31 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_32;
  tmpvar_32 = ((_Color * tmpvar_17) * mix (texture2DGradARB (_DetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_31, p_31))), 0.0, 1.0))));
  color_1.w = tmpvar_32.w;
  color_1.xyz = clamp ((tmpvar_32.xyz * (1.0 - tmpvar_32.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_32.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexNEG;
uniform sampler2D cube_MainTexPOS;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 texNeg_8;
  mediump vec4 texPos_9;
  highp vec2 uv_10;
  mediump vec3 detailCoords_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_15);
  highp float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  zxlerp_14 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = float((mix (tmpvar_16.x, tmpvar_16.z, zxlerp_14) >= tmpvar_16.y));
  nylerp_13 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = mix (tmpvar_15.x, tmpvar_15.z, zxlerp_14);
  s_12 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = sign(mix (-(tmpvar_15.y), s_12, nylerp_13));
  s_12 = tmpvar_20;
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = -(s_12);
  mediump vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = s_12;
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_21 * tmpvar_15.xzy), (tmpvar_22 * tmpvar_15.zxy), vec3(zxlerp_14));
  detailCoords_11 = tmpvar_23;
  mediump vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(s_12);
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_15.yzx), detailCoords_11, vec3(nylerp_13));
  detailCoords_11 = tmpvar_25;
  mediump vec2 tmpvar_26;
  tmpvar_26 = (((0.5 * detailCoords_11.yz) / abs(detailCoords_11.x)) + 0.5);
  uv_10 = tmpvar_26;
  highp vec2 tmpvar_27;
  tmpvar_27 = abs((uv_10 - 0.5));
  highp vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  lowp vec4 tmpvar_29;
  tmpvar_29 = texture2DGradEXT (cube_MainTexPOS, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texPos_9 = tmpvar_29;
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (cube_MainTexNEG, uv_10, tmpvar_28.xy, tmpvar_28.zw);
  texNeg_8 = tmpvar_30;
  mediump vec4 tmpvar_31;
  tmpvar_31 = mix (texNeg_8, texPos_9, vec4(float((s_12 >= 0.0))));
  mediump vec4 tmpvar_32;
  tmpvar_32.x = tmpvar_31.w;
  tmpvar_32.y = tmpvar_31.w;
  tmpvar_32.z = tmpvar_31.w;
  tmpvar_32.w = mix (tmpvar_31.y, mix (tmpvar_31.x, tmpvar_31.z, zxlerp_14), nylerp_13);
  mediump vec4 v_33;
  v_33 = (tmpvar_32 * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_34;
  tmpvar_34.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_34.w = (((v_33.x + v_33.y) + v_33.z) + v_33.w);
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _DetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_DetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  highp vec3 p_54;
  p_54 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_55;
  tmpvar_55 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_54, p_54))), 0.0, 1.0);
  detailLevel_3 = tmpvar_55;
  mediump vec4 tmpvar_56;
  tmpvar_56 = ((_Color * tmpvar_34) * mix (tex_35, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_56;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_57;
  tmpvar_57 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_57;
  mediump vec4 tmpvar_58;
  tmpvar_58 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_58;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 589
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 593
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 597
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 601
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    #line 605
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexPOS, cube_MainTexNEG, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _DetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _DetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec3 p_27;
  p_27 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_28;
  tmpvar_28 = ((_Color * mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5))) * mix (texture2DGradARB (_DetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_27, p_27))), 0.0, 1.0))));
  color_1.w = tmpvar_28.w;
  color_1.xyz = clamp ((tmpvar_28.xyz * (1.0 - tmpvar_28.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_28.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17))) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 tex_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_41;
  mediump float s_42;
  mediump float nylerp_43;
  mediump float zxlerp_44;
  highp vec3 tmpvar_45;
  tmpvar_45 = abs(tmpvar_40);
  highp float tmpvar_46;
  tmpvar_46 = float((tmpvar_45.z >= tmpvar_45.x));
  zxlerp_44 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = float((max (tmpvar_45.x, tmpvar_45.z) >= tmpvar_45.y));
  nylerp_43 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = mix (tmpvar_40.x, tmpvar_40.z, zxlerp_44);
  s_42 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = sign(mix (tmpvar_40.y, s_42, nylerp_43));
  s_42 = tmpvar_49;
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = -(s_42);
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = s_42;
  mediump vec3 tmpvar_52;
  tmpvar_52.xy = vec2(1.0, 1.0);
  tmpvar_52.z = -(s_42);
  highp vec3 tmpvar_53;
  tmpvar_53 = mix ((tmpvar_52 * tmpvar_40.yxz), mix ((tmpvar_50 * tmpvar_40.xzy), (tmpvar_51 * tmpvar_40.zxy), vec3(zxlerp_44)), vec3(nylerp_43));
  uv_41.x = (((0.5 * tmpvar_53.y) / abs(tmpvar_53.x)) + 0.5);
  uv_41.y = (((0.5 * tmpvar_53.z) / abs(tmpvar_53.x)) + 0.5);
  highp vec2 tmpvar_54;
  tmpvar_54 = (uv_41 * _DetailScale);
  highp vec2 tmpvar_55;
  tmpvar_55 = abs((tmpvar_54 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_56;
  tmpvar_56.xy = dFdx(tmpvar_55);
  tmpvar_56.zw = dFdy(tmpvar_55);
  lowp vec4 tmpvar_57;
  tmpvar_57 = texture2DGradEXT (_DetailTex, tmpvar_54, tmpvar_56.xy, tmpvar_56.zw);
  tex_39 = tmpvar_57;
  highp vec3 p_58;
  p_58 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_59;
  tmpvar_59 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_58, p_58))), 0.0, 1.0);
  detailLevel_3 = tmpvar_59;
  mediump vec4 tmpvar_60;
  tmpvar_60 = ((_Color * mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17))) * mix (tex_39, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_60;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_61;
  tmpvar_61 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_62;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    main = main;
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(1.0, 0.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(1.0, 0.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 1.0, 0.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 1.0, 0.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 1.0, 0.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 0.0, 1.0, 0.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform mat4 _Projector;
uniform vec3 _PlanetOrigin;
uniform float _Radius;
uniform vec4 _SunDir;
uniform mat4 _DetailRotation;
uniform mat4 _MainRotation;
uniform mat4 _Object2World;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * gl_Vertex);
  vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = (_Projector * gl_Vertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD3;
varying float xlv_TEXCOORD2;
varying float xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform float _ShadowFactor;
uniform float _PlanetRadius;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _DetailTex;
uniform vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 color_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD4);
  vec3 tmpvar_3;
  tmpvar_3 = abs(tmpvar_2);
  float tmpvar_4;
  tmpvar_4 = float((tmpvar_3.z >= tmpvar_3.x));
  float tmpvar_5;
  tmpvar_5 = float((mix (tmpvar_3.x, tmpvar_3.z, tmpvar_4) >= tmpvar_3.y));
  float tmpvar_6;
  tmpvar_6 = sign(mix (-(tmpvar_2.y), mix (tmpvar_2.x, tmpvar_2.z, tmpvar_4), tmpvar_5));
  vec3 tmpvar_7;
  tmpvar_7.xz = vec2(1.0, 1.0);
  tmpvar_7.y = -(tmpvar_6);
  vec3 tmpvar_8;
  tmpvar_8.xz = vec2(1.0, 1.0);
  tmpvar_8.y = tmpvar_6;
  vec3 tmpvar_9;
  tmpvar_9.xy = vec2(1.0, 1.0);
  tmpvar_9.z = -(tmpvar_6);
  vec3 tmpvar_10;
  tmpvar_10 = mix ((tmpvar_9 * tmpvar_2.yzx), mix ((tmpvar_7 * tmpvar_2.xzy), (tmpvar_8 * tmpvar_2.zxy), vec3(tmpvar_4)), vec3(tmpvar_5));
  vec2 tmpvar_11;
  tmpvar_11 = (((0.5 * tmpvar_10.yz) / abs(tmpvar_10.x)) + 0.5);
  vec2 tmpvar_12;
  tmpvar_12 = abs((tmpvar_11 - 0.5));
  vec4 tmpvar_13;
  tmpvar_13.xy = dFdx(tmpvar_12);
  tmpvar_13.zw = dFdy(tmpvar_12);
  vec4 v_14;
  v_14 = (mix (mix (texture2DGradARB (cube_MainTexyn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexyp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (mix (texture2DGradARB (cube_MainTexxn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexxp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), mix (texture2DGradARB (cube_MainTexzn, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), texture2DGradARB (cube_MainTexzp, tmpvar_11, tmpvar_13.xy, tmpvar_13.zw), vec4(float((tmpvar_6 >= 0.0)))), vec4(tmpvar_4)), vec4(tmpvar_5)) * vec4(0.0, 0.0, 0.0, 1.0));
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _DetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _DetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec3 p_29;
  p_29 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_30;
  tmpvar_30 = ((_Color * tmpvar_15) * mix (texture2DGradARB (_DetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * sqrt(dot (p_29, p_29))), 0.0, 1.0))));
  color_1.w = tmpvar_30.w;
  color_1.xyz = clamp ((tmpvar_30.xyz * (1.0 - tmpvar_30.w)), 0.0, 1.0);
  color_1.xyz = vec3(mix (1.0, color_1.x, (_ShadowFactor * tmpvar_30.w)));
  gl_FragData[0] = vec4(mix (1.0, color_1.x, ((float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1) * clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0))));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
Matrix 8 [_MainRotation]
Matrix 12 [_DetailRotation]
Vector 20 [_SunDir]
Float 21 [_Radius]
Vector 22 [_PlanetOrigin]
Matrix 16 [_Projector]
"vs_3_0
; 54 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord4 o5
dcl_texcoord5 o6
def c23, 100.00000000, 0.00000000, 0, 0
dcl_position0 v0
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r4.xyz, -r1, c22
dp3 r0.x, r4, r4
dp3 r0.y, r4, -c20
mad r0.z, -r0.y, r0.y, r0.x
rsq r5.x, r0.x
rcp r3.w, r5.x
rsq r0.z, r0.z
rcp r0.z, r0.z
mad r1.w, -r0.z, r0.z, r0.x
mul r0.w, r0.z, r0.z
mad r0.z, c21.x, c21.x, -r0.w
rsq r0.w, r1.w
rsq r0.z, r0.z
rcp r0.z, r0.z
rcp r0.w, r0.w
add r1.w, r0.z, -r0
add r0.w, r0.y, r0.z
add r2.x, r0.y, -r0.z
add r0.w, r0, -r1
sge r0.y, r0, c23
mad r0.z, r0.y, r0.w, r1.w
add r0.w, -r1, r2.x
mad r0.x, r0.y, r0.w, r1.w
dp4 r1.w, v0, c7
add r0.y, r0.z, -r0.x
sge r4.w, c21.x, r3
mad r0.x, r4.w, r0.y, r0
mad r2, r0.x, -c20, r1
dp4 r0.w, r2, c11
dp4 r3.z, r2, c10
dp4 r3.x, r2, c8
dp4 r3.y, r2, c9
mov r0.xyz, r3
mul r2.xyz, r5.x, r4
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp3 r2.x, r2, c20
dp4 o6.x, r0, c12
mul_sat r0.x, r2, c23
mov o5.xyz, r3
mul o2.x, r4.w, r0
mov o4, r1
mov o3.x, r3.w
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
dp4 o1.w, v0, c19
dp4 o1.z, v0, c18
dp4 o1.y, v0, c17
dp4 o1.x, v0, c16
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Bind "vertex" Vertex
ConstBuffer "$Globals" 336 // 336 used size, 15 vars
Matrix 48 [_MainRotation] 4
Matrix 112 [_DetailRotation] 4
Vector 224 [_SunDir] 4
Float 240 [_Radius]
Vector 256 [_PlanetOrigin] 3
Matrix 272 [_Projector] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerDraw" 1
// 53 instructions, 3 temp regs, 0 temp arrays:
// ALU 47 float, 0 int, 2 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp mat4 _Projector;
uniform highp vec3 _PlanetOrigin;
uniform highp float _Radius;
uniform highp vec4 _SunDir;
uniform highp mat4 _DetailRotation;
uniform highp mat4 _MainRotation;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
attribute vec4 _glesVertex;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1 = (_Object2World * _glesVertex);
  highp vec3 tmpvar_2;
  tmpvar_2 = (_PlanetOrigin - tmpvar_1.xyz);
  highp float tmpvar_3;
  tmpvar_3 = sqrt(dot (tmpvar_2, tmpvar_2));
  highp float tmpvar_4;
  tmpvar_4 = dot (tmpvar_2, -(_SunDir).xyz);
  highp float tmpvar_5;
  tmpvar_5 = pow (sqrt((dot (tmpvar_2, tmpvar_2) - (tmpvar_4 * tmpvar_4))), 2.0);
  highp float tmpvar_6;
  tmpvar_6 = sqrt((dot (tmpvar_2, tmpvar_2) - tmpvar_5));
  highp float tmpvar_7;
  tmpvar_7 = sqrt(((_Radius * _Radius) - tmpvar_5));
  highp vec4 tmpvar_8;
  tmpvar_8 = (_MainRotation * (tmpvar_1 + (-(_SunDir) * mix (mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 - tmpvar_7), float((tmpvar_4 >= 0.0))), mix ((tmpvar_7 - tmpvar_6), (tmpvar_4 + tmpvar_7), float((tmpvar_4 >= 0.0))), float((_Radius >= tmpvar_3))))));
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = (_Projector * _glesVertex);
  xlv_TEXCOORD1 = (float((_Radius >= tmpvar_3)) * clamp ((dot (normalize(tmpvar_2), _SunDir.xyz) * 100.0), 0.0, 1.0));
  xlv_TEXCOORD2 = tmpvar_3;
  xlv_TEXCOORD3 = tmpvar_1;
  xlv_TEXCOORD4 = tmpvar_8.xyz;
  xlv_TEXCOORD5 = (_DetailRotation * tmpvar_8).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD3;
varying highp float xlv_TEXCOORD2;
varying highp float xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp float _ShadowFactor;
uniform highp float _PlanetRadius;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _DetailTex;
uniform lowp vec4 _Color;
uniform sampler2D cube_MainTexzp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexxp;
uniform sampler2D cube_MainTexxn;
uniform highp vec3 _WorldSpaceCameraPos;
void main ()
{
  lowp vec4 tmpvar_1;
  lowp vec4 color_2;
  mediump float detailLevel_3;
  mediump float shadowCheck_4;
  highp float tmpvar_5;
  tmpvar_5 = (float((xlv_TEXCOORD0.w >= 0.0)) * xlv_TEXCOORD1);
  shadowCheck_4 = tmpvar_5;
  highp float tmpvar_6;
  tmpvar_6 = clamp ((0.2 * ((xlv_TEXCOORD2 + 5.0) - _PlanetRadius)), 0.0, 1.0);
  mediump float tmpvar_7;
  tmpvar_7 = (shadowCheck_4 * tmpvar_6);
  shadowCheck_4 = tmpvar_7;
  mediump vec4 sampzp_8;
  mediump vec4 sampzn_9;
  mediump vec4 sampyp_10;
  mediump vec4 sampyn_11;
  mediump vec4 sampxp_12;
  mediump vec4 sampxn_13;
  highp vec2 uv_14;
  mediump vec3 detailCoords_15;
  mediump float s_16;
  mediump float nylerp_17;
  mediump float zxlerp_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD4);
  highp vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_19);
  highp float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  zxlerp_18 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = float((mix (tmpvar_20.x, tmpvar_20.z, zxlerp_18) >= tmpvar_20.y));
  nylerp_17 = tmpvar_22;
  highp float tmpvar_23;
  tmpvar_23 = mix (tmpvar_19.x, tmpvar_19.z, zxlerp_18);
  s_16 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = sign(mix (-(tmpvar_19.y), s_16, nylerp_17));
  s_16 = tmpvar_24;
  mediump vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(s_16);
  mediump vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = s_16;
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(zxlerp_18));
  detailCoords_15 = tmpvar_27;
  mediump vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(s_16);
  highp vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_19.yzx), detailCoords_15, vec3(nylerp_17));
  detailCoords_15 = tmpvar_29;
  mediump vec2 tmpvar_30;
  tmpvar_30 = (((0.5 * detailCoords_15.yz) / abs(detailCoords_15.x)) + 0.5);
  uv_14 = tmpvar_30;
  highp vec2 tmpvar_31;
  tmpvar_31 = abs((uv_14 - 0.5));
  highp vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_MainTexxn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxn_13 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_MainTexxp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampxp_12 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_MainTexyn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyn_11 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_MainTexyp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampyp_10 = tmpvar_36;
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (cube_MainTexzn, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzn_9 = tmpvar_37;
  lowp vec4 tmpvar_38;
  tmpvar_38 = texture2DGradEXT (cube_MainTexzp, uv_14, tmpvar_32.xy, tmpvar_32.zw);
  sampzp_8 = tmpvar_38;
  mediump vec4 v_39;
  v_39 = (mix (mix (sampyn_11, sampyp_10, vec4(float((s_16 >= 0.0)))), mix (mix (sampxn_13, sampxp_12, vec4(float((s_16 >= 0.0)))), mix (sampzn_9, sampzp_8, vec4(float((s_16 >= 0.0)))), vec4(zxlerp_18)), vec4(nylerp_17)) * vec4(0.0, 0.0, 0.0, 1.0));
  mediump vec4 tmpvar_40;
  tmpvar_40.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_40.w = (((v_39.x + v_39.y) + v_39.z) + v_39.w);
  mediump vec4 tex_41;
  highp vec3 tmpvar_42;
  tmpvar_42 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_43;
  mediump float s_44;
  mediump float nylerp_45;
  mediump float zxlerp_46;
  highp vec3 tmpvar_47;
  tmpvar_47 = abs(tmpvar_42);
  highp float tmpvar_48;
  tmpvar_48 = float((tmpvar_47.z >= tmpvar_47.x));
  zxlerp_46 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = float((max (tmpvar_47.x, tmpvar_47.z) >= tmpvar_47.y));
  nylerp_45 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = mix (tmpvar_42.x, tmpvar_42.z, zxlerp_46);
  s_44 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_42.y, s_44, nylerp_45));
  s_44 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(s_44);
  mediump vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = s_44;
  mediump vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(s_44);
  highp vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_42.yxz), mix ((tmpvar_52 * tmpvar_42.xzy), (tmpvar_53 * tmpvar_42.zxy), vec3(zxlerp_46)), vec3(nylerp_45));
  uv_43.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_43.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  highp vec2 tmpvar_56;
  tmpvar_56 = (uv_43 * _DetailScale);
  highp vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  lowp vec4 tmpvar_59;
  tmpvar_59 = texture2DGradEXT (_DetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  tex_41 = tmpvar_59;
  highp vec3 p_60;
  p_60 = (xlv_TEXCOORD3.xyz - _WorldSpaceCameraPos);
  highp float tmpvar_61;
  tmpvar_61 = clamp (((2.0 * _DetailDist) * sqrt(dot (p_60, p_60))), 0.0, 1.0);
  detailLevel_3 = tmpvar_61;
  mediump vec4 tmpvar_62;
  tmpvar_62 = ((_Color * tmpvar_40) * mix (tex_41, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_3)));
  color_2 = tmpvar_62;
  color_2.xyz = clamp ((color_2.xyz * (1.0 - color_2.w)), 0.0, 1.0);
  highp vec3 tmpvar_63;
  tmpvar_63 = vec3(mix (1.0, color_2.x, (_ShadowFactor * color_2.w)));
  color_2.xyz = tmpvar_63;
  mediump vec4 tmpvar_64;
  tmpvar_64 = vec4(mix (1.0, color_2.x, tmpvar_7));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 661
v2f vert( in appdata_t v ) {
    v2f o;
    o.posProj = (_Projector * v.vertex);
    #line 665
    o.pos = (glstate_matrix_mvp * v.vertex);
    o.worldPos = (_Object2World * v.vertex);
    highp vec4 vertexPos = o.worldPos;
    highp vec3 worldOrigin = _PlanetOrigin;
    #line 669
    highp vec3 L = (worldOrigin - vertexPos.xyz);
    o.originDist = length(L);
    highp float tc = dot( L, vec3( (-_SunDir)));
    highp float ntc = dot( normalize(L), vec3( _SunDir));
    #line 673
    highp float d = sqrt((dot( L, L) - (tc * tc)));
    highp float d2 = pow( d, 2.0);
    highp float td = sqrt((dot( L, L) - d2));
    highp float sphereRadius = _Radius;
    #line 677
    o.shadowCheck = (step( o.originDist, sphereRadius) * xll_saturate_f((ntc * 100.0)));
    highp float tlc = sqrt(((sphereRadius * sphereRadius) - d2));
    highp float sphereDist = mix( mix( (tlc - td), (tc - tlc), step( 0.0, tc)), mix( (tlc - td), (tc + tlc), step( 0.0, tc)), step( o.originDist, sphereRadius));
    highp vec4 planetPos = (vertexPos + ((-_SunDir) * sphereDist));
    #line 681
    planetPos = (_MainRotation * planetPos);
    o.mainPos = planetPos.xyz;
    o.detailPos = (_DetailRotation * planetPos).xyz;
    return o;
}
out highp vec4 xlv_TEXCOORD0;
out highp float xlv_TEXCOORD1;
out highp float xlv_TEXCOORD2;
out highp vec4 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.posProj);
    xlv_TEXCOORD1 = float(xl_retval.shadowCheck);
    xlv_TEXCOORD2 = float(xl_retval.originDist);
    xlv_TEXCOORD3 = vec4(xl_retval.worldPos);
    xlv_TEXCOORD4 = vec3(xl_retval.mainPos);
    xlv_TEXCOORD5 = vec3(xl_retval.detailPos);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 650
struct v2f {
    highp vec4 pos;
    highp vec4 posProj;
    highp float shadowCheck;
    highp float originDist;
    highp vec4 worldPos;
    highp vec3 mainPos;
    highp vec3 detailPos;
};
#line 644
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 544
#line 569
#line 589
uniform samplerCube cube_MainTex;
uniform sampler2D cube_MainTexPOS;
#line 627
uniform sampler2D cube_MainTexNEG;
uniform sampler2D _MainTex;
uniform sampler2D cube_MainTexxn;
uniform sampler2D cube_MainTexxp;
#line 631
uniform sampler2D cube_MainTexyn;
uniform sampler2D cube_MainTexyp;
uniform sampler2D cube_MainTexzn;
uniform sampler2D cube_MainTexzp;
uniform lowp vec4 _Color;
uniform sampler2D _DetailTex;
#line 635
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailScale;
uniform highp float _DetailDist;
uniform highp vec4 _SunDir;
#line 639
uniform highp float _Radius;
uniform highp float _PlanetRadius;
uniform highp float _ShadowFactor;
uniform highp vec3 _PlanetOrigin;
#line 643
uniform highp mat4 _Projector;
#line 661
#line 686
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 617
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    #line 619
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 623
    return tex;
}
#line 544
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    #line 548
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    #line 552
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    #line 556
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    #line 560
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    #line 564
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 686
lowp vec4 frag( in v2f IN ) {
    mediump float shadowCheck = (step( 0.0, IN.posProj.w) * IN.shadowCheck);
    shadowCheck *= xll_saturate_f((0.2 * ((IN.originDist + 5.0) - _PlanetRadius)));
    #line 690
    mediump vec4 main = GetCubeMap( cube_MainTexxn, cube_MainTexxp, cube_MainTexyn, cube_MainTexyp, cube_MainTexzn, cube_MainTexzp, IN.mainPos);
    main = vec4( 1.0, 1.0, 1.0, vectorSum( (main * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 detail = GetCubeDetailMap( _DetailTex, IN.detailPos, _DetailScale);
    highp float viewDist = distance( IN.worldPos.xyz, _WorldSpaceCameraPos);
    #line 694
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * viewDist));
    lowp vec4 color = ((_Color * main.xyzw) * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color.xyz = xll_saturate_vf3((color.xyz * (1.0 - color.w)));
    color.xyz = vec3( mix( 1.0, float( color.xyz), (_ShadowFactor * color.w)));
    #line 698
    return vec4( mix( 1.0, float( color), shadowCheck));
}
in highp vec4 xlv_TEXCOORD0;
in highp float xlv_TEXCOORD1;
in highp float xlv_TEXCOORD2;
in highp vec4 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.posProj = vec4(xlv_TEXCOORD0);
    xlt_IN.shadowCheck = float(xlv_TEXCOORD1);
    xlt_IN.originDist = float(xlv_TEXCOORD2);
    xlt_IN.worldPos = vec4(xlv_TEXCOORD3);
    xlt_IN.mainPos = vec3(xlv_TEXCOORD4);
    xlt_IN.detailPos = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 40
//   d3d9 - ALU: 63 to 119, TEX: 4 to 21
//   d3d11 - ALU: 49 to 91, TEX: 0 to 1, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 104 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c6, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c7, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c8, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c9, 0.15915494, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
dp3 r1.x, v3, v3
rsq r0.w, r1.x
mul r1.xyz, r0.w, v3
abs r0.x, r0
rcp r2.x, r0.x
mul r0.w, r0.z, r2.x
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mul r0.y, r0, r2.x
mad r0.x, r3, c7.y, c7.z
mad r2.x, r0, r3, c7.w
mad r2.x, r2, r3, c8
mad r3.y, r2.x, r3.x, c8
mad r3.x, r3.y, r3, c8.z
mul r2.w, r3.x, r2
mad r0.z, r0.y, c9.y, c9.y
mad r0.w, r0, c9.y, c9.y
mul r0.xy, r0.zwzw, c2.x
mov r0.z, c2.x
mad r0.zw, c9.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r3.x, -r2.w, c8.w
add r1.w, r1, -r2.z
cmp r1.w, -r1, r2, r3.x
add r0.y, -r1.w, c6.w
cmp r0.z, r1, r1.w, r0.y
abs r0.y, r1
cmp r1.z, r1.x, r0, -r0
add r1.x, -r0.y, c5
mad r0.z, r0.y, c5, c5.w
mad r0.z, r0, r0.y, c6.x
rsq r1.x, r1.x
add_pp r2.zw, -r0.xyxw, c5.x
mad r0.y, r0.z, r0, c6
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r1, c5, c5.x
mul r1.y, r1.z, c9.x
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c6, r0
mad r0.y, r0, c6.w, r0.z
mul r0.y, r0, c7.x
abs r2.x, r1.y
add r3.x, r1.y, c9.y
add r1.xyz, -v2, c0
dp3 r0.z, r1, r1
mov r2.y, r0
rsq r0.z, r0.z
rcp r0.z, r0.z
mov r3.y, r0
mul r0.y, r0.z, c3.x
mul_sat r0.y, r0, c6.z
mad_pp r0.zw, r0.y, r2, r0.xyxw
dsx r1.xy, r2
dsy r1.zw, r2.xyxy
texldd r1.xw, r3, s0, r1, r1.zwzw
mul_pp r0.xy, r1.xwzw, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c9
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 109 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c6, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c7, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c8, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c9, 0.15915494, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c7.y, c7.z
mad r3.y, r2.x, r3.x, c7.w
mad r3.y, r3, r3.x, c8.x
mad r3.y, r3, r3.x, c8
mad r0.x, r0.w, c9.y, c9.y
mad r0.y, r0, c9, c9
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c9.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c8.z
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c8.w
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c6.w
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c5.x
mad r2.x, r1.w, c5.z, c5.w
mad r2.x, r2, r1.w, c6
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c9.x
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c5.x
cmp r1.y, r1, c5, c5.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c6.y
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c6.z, r1.w
mad r0.y, r1, c6.w, r0
mul r0.y, r0, c7.x
mov r1.y, r0
add r2.x, r0.z, c9.y
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v2, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c5.xyyy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c6
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c9
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 97 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 109 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c6, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c7, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c8, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c9, 0.15915494, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c7.y, c7.z
mad r3.y, r2.x, r3.x, c7.w
mad r3.y, r3, r3.x, c8.x
mad r3.y, r3, r3.x, c8
mad r0.x, r0.w, c9.y, c9.y
mad r0.y, r0, c9, c9
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c9.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c8.z
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c8.w
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c6.w
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c5.x
mad r2.x, r1.w, c5.z, c5.w
mad r2.x, r2, r1.w, c6
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c9.x
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c5.x
cmp r1.y, r1, c5, c5.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c6.y
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c6.z, r1.w
mad r0.y, r1, c6.w, r0
mul r0.y, r0, c7.x
mov r1.y, r0
add r2.x, r0.z, c9.y
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v2, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c5.yxyy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c6
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c9
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 97 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 109 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c6, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c7, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c8, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c9, 0.15915494, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c7.y, c7.z
mad r3.y, r2.x, r3.x, c7.w
mad r3.y, r3, r3.x, c8.x
mad r3.y, r3, r3.x, c8
mad r0.x, r0.w, c9.y, c9.y
mad r0.y, r0, c9, c9
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c9.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c8.z
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c8.w
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c6.w
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c5.x
mad r2.x, r1.w, c5.z, c5.w
mad r2.x, r2, r1.w, c6
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c9.x
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c5.x
cmp r1.y, r1, c5, c5.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c6.y
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c6.z, r1.w
mad r0.y, r1, c6.w, r0
mul r0.y, r0, c7.x
mov r1.y, r0
add r2.x, r0.z, c9.y
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v2, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c5.yyxy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c6
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c9
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 97 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedpacjlpcegndcgblfdlagmbhjjfoimafgabaaaaaaomanaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ababaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaacaaaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaalmaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcleamaaaaeaaaaaaacnadaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaagcbaaaadicbabaaa
abaaaaaagcbaaaadbcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacagaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaaagaabaaaaaaaaaaaigbbbaaaaeaaaaaadeaaaaajicaabaaaaaaaaaaa
bkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaaoaaaaakicaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaa
ddaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaaakaabaiaibaaaaaa
aaaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
diaaaaahbcaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
ccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkoln
dcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
ochgdidodcaaaaajccaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaebnkjlodcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaadiphhpdpdiaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapmjdpdbaaaaajecaabaaaabaaaaaabkaabaiaibaaaaaa
aaaaaaaaakaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaackaabaaa
abaaaaaabkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaidcaabaaaabaaaaaajgafbaaa
aaaaaaaajgafbaiaebaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaaddaaaaahbcaabaaaabaaaaaabkaabaaaaaaaaaaaakaabaaa
aaaaaaaadbaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaadeaaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
bnaaaaaibcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaa
abaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadhaaaaak
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaaaaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
idpjccdodgaaaaagbcaabaaaaaaaaaaaakaabaiaibaaaaaaaaaaaaaaalaaaaaf
bcaabaaaadaaaaaaakaabaaaaaaaaaaaamaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaa
dagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaai
ecaabaaaaaaaaaaackaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaaaaaaaaackaabaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaackaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaaaaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaackaabaaa
aaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaa
amaaaaafccaabaaaaaaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaaaaaaaaaa
egaabaaaacaaaaaaeghlbaaaaaaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaaaaaaaadgaaaaafbcaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaai
pcaabaaaaaaaaaaaagambaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaah
bcaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaa
kgbebaaaafaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaafaaaaaaakaabaaa
abaaaaaackaabaiaebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaia
ibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaa
bkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaa
bkbabaiaebaaaaaaafaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaaakaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
dbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaa
abaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaa
adaaaaaaakaabaaaabaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaa
adaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaa
dgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaia
ebaaaaaaafaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaa
adaaaaaafgacbaaaafaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaa
aeaaaaaalganbaaaabaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaa
abaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaaagiacaaa
aaaaaaaaanaaaaaadcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaa
anaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaa
dgaaaaagmcaabaaaabaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaabaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaa
abaaaaaaegaabaaaacaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaa
egaobaiaebaaaaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
aaaaaaajhcaabaaaadaaaaaaegbcbaaaadaaaaaaegiccaiaebaaaaaaabaaaaaa
aeaaaaaabaaaaaahbcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
elaaaaafbcaabaaaadaaaaaaakaabaaaadaaaaaaapcaaaaibcaabaaaadaaaaaa
agaabaaaadaaaaaafgifcaaaaaaaaaaaanaaaaaadcaaaaajpcaabaaaabaaaaaa
agaabaaaadaaaaaaegaobaaaacaaaaaaegaobaaaabaaaaaadcaaaaakbcaabaaa
acaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
diaaaaahpcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadicaaaah
hcaabaaaabaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaaaaaaaakhcaabaaa
abaaaaaaegacbaaaabaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialpaaaaaaaa
diaaaaaiicaabaaaabaaaaaadkaabaaaaaaaaaaackiacaaaaaaaaaaaapaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaabaaaaaapgapbaaaabaaaaaaaaaaaaak
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaialpbnaaaaahbcaabaaaabaaaaaadkbabaaaabaaaaaaabeaaaaaaaaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaakbabaaaacaaaaaadcaaaaampccabaaa
aaaaaaaaagaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 109 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c6, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c7, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c8, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c9, 0.15915494, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c7.y, c7.z
mad r3.y, r2.x, r3.x, c7.w
mad r3.y, r3, r3.x, c8.x
mad r3.y, r3, r3.x, c8
mad r0.x, r0.w, c9.y, c9.y
mad r0.y, r0, c9, c9
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c9.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c8.z
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c8.w
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c6.w
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c5.x
mad r2.x, r1.w, c5.z, c5.w
mad r2.x, r2, r1.w, c6
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c9.x
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c5.x
cmp r1.y, r1, c5, c5.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c6.y
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c6.z, r1.w
mad r0.y, r1, c6.w, r0
mul r0.y, r0, c7.x
mov r1.y, r0
add r2.x, r0.z, c9.y
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v2, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c5.yyyx
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c6
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c9
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 97 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 63 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
add r0.xyz, -v2, c0
dp3 r0.y, r0, r0
rsq r0.y, r0.y
rcp r0.w, r0.y
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
mul r1.y, r0.w, c3.x
texld r0.xw, r0, s0
mul_sat r0.y, r1, c5.z
add_pp r2.xy, -r1.xwzw, c5.x
mad_pp r1.xy, r0.y, r2, r1.xwzw
mul_pp r0.xy, r0.xwzw, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 56 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 68 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v3, v3
rsq r0.x, r0.x
add r2.xyz, -v2, c0
mul r0.xyz, r0.x, v3
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c5.xyyy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c5.z
add_pp r3.xy, -r1.xwzw, c5.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 57 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 68 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v3, v3
rsq r0.x, r0.x
add r2.xyz, -v2, c0
mul r0.xyz, r0.x, v3
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c5.yxyy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c5.z
add_pp r3.xy, -r1.xwzw, c5.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 57 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfnkhgfemagndadabgholghfingnckdmdabaaaaaapmaiaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ababaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaacaaaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaalmaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcmeahaaaaeaaaaaaapbabaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafidaaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaagcbaaaadicbabaaa
abaaaaaagcbaaaadbcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahocaabaaa
aaaaaaaaagaabaaaaaaaaaaakgbebaaaafaaaaaadcaaaaakbcaabaaaabaaaaaa
ckbabaaaafaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaaj
ccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
abaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaaj
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaackaabaaaaaaaaaaa
dcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaafaaaaaaakaabaaaaaaaaaaa
akaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaaabaaaaaaakaabaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaabaaaaaaabeaaaaaaaaaaaaa
akaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaaakaabaaa
aaaaaaaaclaaaaafccaabaaaacaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaalganbaaa
aaaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaaacaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaa
jgahbaaaaaaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaajocaabaaaabaaaaaa
fgafbaaaabaaaaaaagajbaaaacaaaaaafgacbaaaaeaaaaaadcaaaaakhcaabaaa
aaaaaaaaegacbaiaebaaaaaaadaaaaaalganbaaaaaaaaaaajgahbaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaabaaaaaaegacbaaaaaaaaaaaegacbaaa
aeaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaa
egaabaaaaaaaaaaaagiacaaaaaaaaaaaanaaaaaadcaaaaaomcaabaaaaaaaaaaa
agiacaiaebaaaaaaaaaaaaaaanaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaa
aaaaaaaaalaaaaafdcaabaaaabaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaa
aaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaabaaaaaaogakbaaaaaaaaaaa
aaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaaacaaaaaaegbcbaaaadaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaacaaaaaaegacbaaa
acaaaaaaegacbaaaacaaaaaaelaaaaafbcaabaaaacaaaaaaakaabaaaacaaaaaa
apcaaaaibcaabaaaacaaaaaaagaabaaaacaaaaaafgifcaaaaaaaaaaaanaaaaaa
dcaaaaajpcaabaaaaaaaaaaaagaabaaaacaaaaaaegaobaaaabaaaaaaegaobaaa
aaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaajpcaabaaaabaaaaaaegacbaaa
abaaaaaaighhbaaaaaaaaaaaaagabaaaaaaaaaaadgaaaaafbcaabaaaabaaaaaa
abeaaaaaaaaaiadpdiaaaaaipcaabaaaabaaaaaaagambaaaabaaaaaaegiocaaa
aaaaaaaaalaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaiaebaaaaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaaaaaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadicaaaahhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaaaaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaaabaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaialpaaaaaaaadiaaaaaiicaabaaaabaaaaaadkaabaaa
aaaaaaaackiacaaaaaaaaaaaapaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaa
abaaaaaapgapbaaaabaaaaaaaaaaaaakpcaabaaaaaaaaaaaegaobaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaialpbnaaaaahbcaabaaaabaaaaaa
dkbabaaaabaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
akbabaaaacaaaaaadcaaaaampccabaaaaaaaaaaaagaabaaaabaaaaaaegaobaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 68 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v3, v3
rsq r0.x, r0.x
add r2.xyz, -v2, c0
mul r0.xyz, r0.x, v3
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c5.yyxy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c5.z
add_pp r3.xy, -r1.xwzw, c5.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 57 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 68 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c5.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c5.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c5.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v3, v3
rsq r0.x, r0.x
add r2.xyz, -v2, c0
mul r0.xyz, r0.x, v3
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c5.yyyx
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c5.z
add_pp r3.xy, -r1.xwzw, c5.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c5
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 57 instructions, 5 temp regs, 0 temp arrays:
// ALU 45 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 107 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r1.w, r1.z, -r1.x
cmp r3.x, r1.w, c5, c5.y
add r1.z, r1, -r1.x
mad r1.x, r3, r1.z, r1
add r1.x, r1, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r3.x, r0, r0.x
cmp r1.w, r1.x, c5.x, c5.y
add r0.w, r0.y, r0
mad r1.x, r1.w, r0.w, -r0.y
cmp r0.w, r1.x, c5.y, c5.x
cmp r1.x, -r1, c5.y, c5
add r3.y, r1.x, -r0.w
mov_pp r4.z, -r3.y
mov_pp r4.xy, c5.x
mov_pp r2.y, r3
mov_pp r1.y, -r3
mov_pp r1.xz, c5.x
mul r1.xyz, r0.xzyw, r1
mov_pp r2.xz, c5.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r3.x, r2, r1
mul r1.xyz, r0.yzxw, r4
mad r0.xyz, r0.yzxw, -r4, r2
mad r0.xyz, r1.w, r0, r1
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
dp3 r1.z, v4, v4
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c5.w
dsx r0.xy, r1
dsy r1.xy, r1
texldd r2, r0.zwzw, s0, r0, r1
texldd r0, r0.zwzw, s1, r0, r1
rsq r1.z, r1.z
mul r1.xyz, r1.z, v4
abs r4.xyz, r1
cmp_pp r4.w, r3.y, c5.x, c5.y
add_pp r2, r2, -r0
mad_pp r0, r4.w, r2, r0
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r3, r0.z, r0
max r3.y, r4.x, r4.z
add r3.z, r4, -r4.x
add r3.y, r3, -r4
add_pp r0.z, -r0.y, r0.x
cmp r3.z, r3, c5.x, c5.y
add r3.w, r1.z, -r1.x
mad r3.w, r3.z, r3, r1.x
add r3.w, -r1.y, r3
cmp r3.y, r3, c5.x, c5
mad r3.w, r3.y, r3, r1.y
cmp r2.x, r3.w, c5.y, c5
cmp r2.y, -r3.w, c5, c5.x
add r2.w, r2.y, -r2.x
mov r3.w, -r2
mov r4.y, r2.w
mov r2.xz, c5.x
mov r2.y, -r2.w
mul r2.xyz, r1.xzyw, r2
mov r4.xz, c5.x
mad r4.xyz, r1.zxyw, r4, -r2
mad r4.xyz, r3.z, r4, r2
mov r3.xz, c5.x
mul r2.xyz, r1.yxzw, r3.xzww
mad r1.xyz, r1.yxzw, -r3.xzww, r4
mad r2.xyz, r3.y, r1, r2
mad_pp r1.y, r1.w, r0.z, r0
abs r0.x, r2
rcp r0.y, r0.x
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v2, c0
dp3 r2.x, r2, r2
rsq r2.x, r2.x
mov_pp r1.x, r0.w
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r0.zw, r0
texldd r0.xw, r0, s2, r1.zwzw, r0.zwzw
rcp r2.x, r2.x
mul r0.y, r2.x, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.xy, r0.y, r1.zwzw, r0.xwzw
mul_pp r0.zw, r1.xyxy, c1.xyxw
mul_pp r0.zw, r0, r0.xyxy
add_pp r0.x, -r0.w, c5
mul_pp_sat r0.x, r0.z, r0
mul r0.y, r0.w, c4.x
add r0.x, r0, c6
mul r0.x, r0.y, r0
cmp r0.z, v0.w, c5.x, c5.y
mul r0.y, r0.z, v1.x
mad_pp oC0, r0.y, r0.x, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 112 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c5.x, c5.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c5.w
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c5, c5.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v4, v4
rsq r0.y, r1.y
mul r2.xyz, r0.y, v4
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c5.xyyy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c5.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c5.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c5.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v2, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 92 instructions, 6 temp regs, 0 temp arrays:
// ALU 71 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 112 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c5.x, c5.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c5.w
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c5, c5.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v4, v4
rsq r0.y, r1.y
mul r2.xyz, r0.y, v4
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c5.yxyy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c5.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c5.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c5.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v2, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 92 instructions, 6 temp regs, 0 temp arrays:
// ALU 71 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 112 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c5.x, c5.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c5.w
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c5, c5.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v4, v4
rsq r0.y, r1.y
mul r2.xyz, r0.y, v4
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c5.yyxy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c5.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c5.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c5.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v2, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 92 instructions, 6 temp regs, 0 temp arrays:
// ALU 71 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 112 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c5.x, c5.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c5.w
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c5, c5.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v4, v4
rsq r0.y, r1.y
mul r2.xyz, r0.y, v4
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c5.x, c5.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c5.yyyx
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c5.x, c5.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c5, c5.x
cmp r0.x, -r0, c5.y, c5
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c5.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c5.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c5.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v2, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 110 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r5.xyz, r0.x, v3
abs r0.xyz, r5
add r0.w, r0.z, -r0.x
dp3 r3.y, v4, v4
cmp r3.x, r0.w, c5, c5.y
add r0.z, r0, -r0.x
mad r0.x, r3, r0.z, r0
add r0.x, r0, -r0.y
add r1.x, r5.z, -r5
mad r0.z, r3.x, r1.x, r5.x
cmp r0.y, r0.x, c5.x, c5
add r0.z, r5.y, r0
mad r0.x, r0.y, r0.z, -r5.y
cmp r0.z, r0.x, c5.y, c5.x
cmp r0.x, -r0, c5.y, c5
add r0.z, r0.x, -r0
mov_pp r4.z, -r0
mov_pp r4.xy, c5.x
mov_pp r1.y, r0.z
mov_pp r2.y, -r0.z
mov_pp r2.xz, c5.x
mul r2.xyz, r5.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r5.zxyw, r1, -r2
mad r1.xyz, r3.x, r1, r2
mul r2.xyz, r5.yzxw, r4
mad r1.xyz, r5.yzxw, -r4, r1
mad r1.xyz, r0.y, r1, r2
abs_pp r0.x, r1
rcp_pp r0.x, r0.x
mul_pp r1.xy, r1.yzzw, r0.x
mul_pp r1.xy, r1, c5.w
abs r1.zw, r1.xyxy
add_pp r3.zw, r1.xyxy, c5.w
rsq r3.y, r3.y
mul r5.xyz, r3.y, v4
dsy r1.xy, r1.zwzw
dsx r2.xy, r1.zwzw
texldd r0.xw, r3.zwzw, s4, r2, r1
texldd r4.xw, r3.zwzw, s5, r2, r1
add_pp r1.zw, r4.xyxw, -r0.xyxw
cmp_pp r0.z, r0, c5.x, c5.y
mad_pp r1.zw, r0.z, r1, r0.xyxw
texldd r0.xw, r3.zwzw, s0, r2, r1
texldd r4.xw, r3.zwzw, s1, r2, r1
add_pp r2.zw, r4.xyxw, -r0.xyxw
mad_pp r2.zw, r0.z, r2, r0.xyxw
abs r4.xyz, r5.xzyw
add_pp r1.zw, r1, -r2
mad_pp r3.xy, r3.x, r1.zwzw, r2.zwzw
max r0.x, r4, r4.y
add r0.w, r4.y, -r4.x
add r0.x, r0, -r4.z
texldd r4.xw, r3.zwzw, s3, r2, r1
cmp r1.w, r0.x, c5.x, c5.y
cmp r4.y, r0.w, c5.x, c5
add r1.z, r5, -r5.x
mad r0.w, r4.y, r1.z, r5.x
add r0.w, -r5.y, r0
mad r0.x, r1.w, r0.w, r5.y
cmp r0.w, r0.x, c5.y, c5.x
cmp r0.x, -r0, c5.y, c5
add r2.w, r0.x, -r0
texldd r0.xw, r3.zwzw, s2, r2, r1
add_pp r3.zw, r4.xyxw, -r0.xyxw
mad_pp r0.zw, r0.z, r3, r0.xyxw
mov r1.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c5.x
mul r2.xyz, r5.xzyw, r2
mov r1.xz, c5.x
mad r1.xyz, r5.zxyw, r1, -r2
mad r4.xyz, r4.y, r1, r2
mov r1.z, -r2.w
mov r1.xy, c5.x
mul r2.xyz, r5.yxzw, r1
mad r1.xyz, r5.yxzw, -r1, r4
mad r1.xyz, r1.w, r1, r2
add_pp r2.xy, r3, -r0.zwzw
abs r0.x, r1
mad_pp r2.xy, r0.y, r2, r0.zwzw
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.z, r1.y, r0.x
mad r0.x, r0.z, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r2.zw, r0
add r1.xyz, -v2, c0
dp3 r0.z, r1, r1
rsq r0.z, r0.z
dsx r1.xy, r2.zwzw
dsy r1.zw, r2
texldd r0.xw, r0, s6, r1, r1.zwzw
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.xy, -r0.xwzw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1.xyxy, r0.xyxw
mul_pp r0.xy, r2, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 103 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 115 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c5, c5.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c5.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c5.x, c5.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v4, v4
rsq r3.x, r2.x
mul r3.xyz, r3.x, v4
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c5.xyyy
cmp r3.w, r2.y, c5.x, c5.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c5.x, c5.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c5, c5.x
cmp r2.x, -r2, c5.y, c5
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c5.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c5.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c5.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v2, c0
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 104 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 115 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c5, c5.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c5.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c5.x, c5.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v4, v4
rsq r3.x, r2.x
mul r3.xyz, r3.x, v4
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c5.yxyy
cmp r3.w, r2.y, c5.x, c5.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c5.x, c5.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c5, c5.x
cmp r2.x, -r2, c5.y, c5
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c5.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c5.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c5.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v2, c0
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 104 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 115 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c5, c5.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c5.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c5.x, c5.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v4, v4
rsq r3.x, r2.x
mul r3.xyz, r3.x, v4
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c5.yyxy
cmp r3.w, r2.y, c5.x, c5.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c5.x, c5.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c5, c5.x
cmp r2.x, -r2, c5.y, c5
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c5.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c5.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c5.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v2, c0
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 104 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 115 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c5, 1.00000000, 0.00000000, 2.00000000, 0.50000000
def c6, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord3 v2.xyz
dcl_texcoord4 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c5, c5.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c5.x, c5.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c5.y, c5
cmp r0.w, -r0, c5.y, c5.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c5.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c5.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c5.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c5.w
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c5.w
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c5.x, c5.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v4, v4
rsq r3.x, r2.x
mul r3.xyz, r3.x, v4
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c5.yyyx
cmp r3.w, r2.y, c5.x, c5.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c5.x, c5.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c5, c5.x
cmp r2.x, -r2, c5.y, c5
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c5.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c5.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c5.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v2, c0
mad r0.x, r0, c5.w, c5.w
mad r0.y, r0, c5.w, c5.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c5.w, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c5.x
mul_sat r0.y, r0, c5.z
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c5
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c5.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c6.x
mul r0.y, r0, c4.x
cmp r0.x, v0.w, c5, c5.y
mul r0.y, r0, r0.z
mul r0.x, r0, v1
mad_pp oC0, r0.x, r0.y, c5.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 104 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedmagfknemffkiednmbfbjphiiaembmmiiabaaaaaaoeapaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ababaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaacaaaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaalmaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefckmaoaaaaeaaaaaaakladaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaagcbaaaadicbabaaaabaaaaaagcbaaaadbcbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaadgaaaaaifcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaajgbebaaaaeaaaaaa
dcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaadkaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaa
abaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaabkbabaaaaeaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaaaaaaaaajicaabaaaabaaaaaackaabaia
mbaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadcaaaaakicaabaaaabaaaaaa
akaabaaaacaaaaaadkaabaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaai
icaabaaaabaaaaaadkaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaaakaabaiaebaaaaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaadgaaaaagccaabaaaaaaaaaaaakaabaiaebaaaaaa
adaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaggaibaaaabaaaaaa
dgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakocaabaaaacaaaaaa
fgaebaaaadaaaaaafgacbaaaabaaaaaaagajbaiaebaaaaaaaaaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaajgahbaaaacaaaaaaegacbaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaahicaabaaa
aaaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaaaaaaaaafgagbaia
ebaaaaaaadaaaaaaegacbaaaabaaaaaaegacbaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaaegacbaaaabaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadgaaaaagdcaabaaaaaaaaaaaegaabaiaibaaaaaaaaaaaaaa
alaaaaafgcaabaaaacaaaaaaagabbaaaaaaaaaaaamaaaaafdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaa
afaaaaaaaagabaaaafaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaeaaaaaa
jgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaaiecaabaaaaaaaaaaadkaabaaa
adaaaaaadkaabaiaebaaaaaaaeaaaaaadcaaaaajecaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaaaaaaaaaaadkaabaaaaeaaaaaaejaaaaanpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaajgafbaaaacaaaaaa
egaabaaaaaaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaabaaaaaaeghobaaa
aaaaaaaaaagabaaaaaaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaaaaaaaai
ecaabaaaabaaaaaadkaabaaaadaaaaaadkaabaiaebaaaaaaaeaaaaaadcaaaaaj
ecaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaaeaaaaaa
aaaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaebaaaaaaabaaaaaa
dcaaaaajecaabaaaaaaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaackaabaaa
abaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaa
aagabaaaadaaaaaajgafbaaaacaaaaaaegaabaaaaaaaaaaaejaaaaanpcaabaaa
acaaaaaaegaabaaaabaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaajgafbaaa
acaaaaaaegaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaadkaabaiaebaaaaaa
acaaaaaadkaabaaaadaaaaaadcaaaaajbcaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaaaaaaaaadkaabaaaacaaaaaaaaaaaaaiccaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaa
abaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadgaaaaaihcaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
egaobaaaaaaaaaaaegiocaaaaaaaaaaaalaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahocaabaaaabaaaaaaagaabaaaabaaaaaakgbebaaaafaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaafaaaaaaakaabaaaabaaaaaackaabaia
ebaaaaaaabaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaabaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaabaaaaaadcaaaaakbcaabaaaabaaaaaabkbabaiaebaaaaaa
afaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaabaaaaaackaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaa
akaabaaaacaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaabaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaabaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
abaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaafaaaaaalganbaaaabaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaabaaaaaajgaebaiaebaaaaaaafaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
afaaaaaadcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
abaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaacaaaaaa
egacbaaaabaaaaaaegacbaaaafaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
abaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaa
abaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaabaaaaaaegaabaaaabaaaaaaagiacaaaaaaaaaaaanaaaaaa
dcaaaaaomcaabaaaabaaaaaaagiacaiaebaaaaaaaaaaaaaaanaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaabaaaaaadgaaaaagmcaabaaa
abaaaaaakgaobaiaibaaaaaaabaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaa
abaaaaaaamaaaaafmcaabaaaabaaaaaakgaobaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaagaaaaaaegaabaaa
acaaaaaaogakbaaaabaaaaaaaaaaaaalpcaabaaaacaaaaaaegaobaiaebaaaaaa
abaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
adaaaaaaegbcbaaaadaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaelaaaaafbcaabaaa
adaaaaaaakaabaaaadaaaaaaapcaaaaibcaabaaaadaaaaaaagaabaaaadaaaaaa
fgifcaaaaaaaaaaaanaaaaaadcaaaaajpcaabaaaabaaaaaaagaabaaaadaaaaaa
egaobaaaacaaaaaaegaobaaaabaaaaaadcaaaaakbcaabaaaacaaaaaadkaabaia
ebaaaaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadicaaaahhcaabaaaabaaaaaa
agaabaaaacaaaaaaegacbaaaaaaaaaaaaaaaaaakhcaabaaaabaaaaaaegacbaaa
abaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialpaaaaaaaadiaaaaaiicaabaaa
abaaaaaadkaabaaaaaaaaaaackiacaaaaaaaaaaaapaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaabaaaaaapgapbaaaabaaaaaaaaaaaaakpcaabaaaaaaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaialpbnaaaaah
bcaabaaaabaaaaaadkbabaaaabaaaaaaabeaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaakbabaaaacaaaaaadcaaaaampccabaaaaaaaaaaaagaabaaa
abaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_OFF" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 108 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c8, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c9, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c10, 0.99999559, 1.57079601, 0.15915494, 0.50000000
def c11, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
dp3 r1.x, v4, v4
rsq r0.w, r1.x
mul r1.xyz, r0.w, v4
abs r0.x, r0
rcp r2.x, r0.x
mul r0.w, r0.z, r2.x
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mul r0.y, r0, r2.x
mad r0.x, r3, c9, c9.y
mad r2.x, r0, r3, c8.w
mad r2.x, r2, r3, c9.z
mad r3.y, r2.x, r3.x, c9.w
mad r3.x, r3.y, r3, c10
mul r2.w, r3.x, r2
mad r0.z, r0.y, c10.w, c10.w
mad r0.w, r0, c10, c10
mul r0.xy, r0.zwzw, c2.x
mov r0.z, c2.x
mad r0.zw, c10.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r3.x, -r2.w, c10.y
add r1.w, r1, -r2.z
cmp r1.w, -r1, r2, r3.x
add r0.y, -r1.w, c8
cmp r0.z, r1, r1.w, r0.y
abs r0.y, r1
cmp r1.z, r1.x, r0, -r0
add r1.x, -r0.y, c6
mad r0.z, r0.y, c7.x, c7.y
mad r0.z, r0, r0.y, c7
rsq r1.x, r1.x
add_pp r2.zw, -r0.xyxw, c6.x
mad r0.y, r0.z, r0, c7.w
rcp r1.x, r1.x
mul r0.z, r0.y, r1.x
cmp r0.y, r1, c6, c6.x
mul r1.y, r1.z, c10.z
mul r1.x, r0.y, r0.z
mad r0.z, -r1.x, c8.x, r0
mad r0.y, r0, c8, r0.z
mul r0.y, r0, c8.z
abs r2.x, r1.y
add r3.x, r1.y, c10.w
add r1.xyz, -v3, c0
dp3 r0.z, r1, r1
mov r2.y, r0
rsq r0.z, r0.z
rcp r0.z, r0.z
mov r3.y, r0
mul r0.y, r0.z, c3.x
mul_sat r0.y, r0, c8.x
mad_pp r0.zw, r0.y, r2, r0.xyxw
dsx r1.xy, r2
dsy r1.zw, r2.xyxy
texldd r1.xw, r3, s0, r1, r1.zwzw
mul_pp r0.xy, r1.xwzw, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c11.x
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 100 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 113 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c8, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c9, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c10, 0.99999559, 1.57079601, 0.15915494, 0.50000000
def c11, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c9, c9.y
mad r3.y, r2.x, r3.x, c8.w
mad r3.y, r3, r3.x, c9.z
mad r3.y, r3, r3.x, c9.w
mad r0.x, r0.w, c10.w, c10.w
mad r0.y, r0, c10.w, c10.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c10.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c10
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c10.y
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c8.y
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c6.x
mad r2.x, r1.w, c7, c7.y
mad r2.x, r2, r1.w, c7.z
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c10
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c6.x
cmp r1.y, r1, c6, c6.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c7
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c8.x, r1.w
mad r0.y, r1, c8, r0
mul r0.y, r0, c8.z
mov r1.y, r0
add r2.x, r0.z, c10.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v3, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c6.xyyy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c8.x
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c11.x
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 101 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 113 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c8, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c9, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c10, 0.99999559, 1.57079601, 0.15915494, 0.50000000
def c11, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c9, c9.y
mad r3.y, r2.x, r3.x, c8.w
mad r3.y, r3, r3.x, c9.z
mad r3.y, r3, r3.x, c9.w
mad r0.x, r0.w, c10.w, c10.w
mad r0.y, r0, c10.w, c10.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c10.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c10
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c10.y
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c8.y
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c6.x
mad r2.x, r1.w, c7, c7.y
mad r2.x, r2, r1.w, c7.z
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c10
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c6.x
cmp r1.y, r1, c6, c6.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c7
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c8.x, r1.w
mad r0.y, r1, c8, r0
mul r0.y, r0, c8.z
mov r1.y, r0
add r2.x, r0.z, c10.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v3, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c6.yxyy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c8.x
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c11.x
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 101 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 113 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c8, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c9, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c10, 0.99999559, 1.57079601, 0.15915494, 0.50000000
def c11, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c9, c9.y
mad r3.y, r2.x, r3.x, c8.w
mad r3.y, r3, r3.x, c9.z
mad r3.y, r3, r3.x, c9.w
mad r0.x, r0.w, c10.w, c10.w
mad r0.y, r0, c10.w, c10.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c10.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c10
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c10.y
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c8.y
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c6.x
mad r2.x, r1.w, c7, c7.y
mad r2.x, r2, r1.w, c7.z
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c10
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c6.x
cmp r1.y, r1, c6, c6.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c7
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c8.x, r1.w
mad r0.y, r1, c8, r0
mul r0.y, r0, c8.z
mov r1.y, r0
add r2.x, r0.z, c10.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v3, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c6.yyxy
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c8.x
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c11.x
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 101 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 113 ALU, 6 TEX
dcl_2d s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, -0.01872930, 0.07426100, -0.21211439, 1.57072902
def c8, 2.00000000, 3.14159298, 0.31830987, -0.12123910
def c9, -0.01348047, 0.05747731, 0.19563590, -0.33299461
def c10, 0.99999559, 1.57079601, 0.15915494, 0.50000000
def c11, -1.00000000, 0, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.y, r2.x
rcp r0.z, r0.y
mul r0.y, r2.z, r0.z
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r1.xyz, r0.x, v4
abs r2.z, r1
abs r1.w, r1.x
max r0.x, r1.w, r2.z
mul r0.w, r2.y, r0.z
rcp r0.z, r0.x
min r0.x, r1.w, r2.z
mul r2.w, r0.x, r0.z
mul r3.x, r2.w, r2.w
mad r2.x, r3, c9, c9.y
mad r3.y, r2.x, r3.x, c8.w
mad r3.y, r3, r3.x, c9.z
mad r3.y, r3, r3.x, c9.w
mad r0.x, r0.w, c10.w, c10.w
mad r0.y, r0, c10.w, c10.w
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c10.w, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xw, r0, s1, r0.zwzw, r2
add r0.y, r1.w, -r2.z
abs r1.w, r1.y
mad r3.x, r3.y, r3, c10
mul r0.z, r3.x, r2.w
add r2.x, -r0.z, c10.y
cmp r0.y, -r0, r0.z, r2.x
add r0.z, -r0.y, c8.y
cmp r0.z, r1, r0.y, r0
add r2.y, -r1.w, c6.x
mad r2.x, r1.w, c7, c7.y
mad r2.x, r2, r1.w, c7.z
cmp r0.z, r1.x, r0, -r0
mul r0.z, r0, c10
rsq r2.y, r2.y
abs r1.x, r0.z
add_pp r3.zw, -r0.xyxw, c6.x
cmp r1.y, r1, c6, c6.x
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c7
mul r1.w, r1, r2.y
mul r2.x, r1.y, r1.w
mad r0.y, -r2.x, c8.x, r1.w
mad r0.y, r1, c8, r0
mul r0.y, r0, c8.z
mov r1.y, r0
add r2.x, r0.z, c10.w
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
add r1.xyz, -v3, c0
mov r2.y, r0
dp3 r0.y, r1, r1
rsq r0.y, r0.y
rcp r0.z, r0.y
texldd r1, r2, s0, r2.zwzw, r3
mul_pp r1, r1, c6.yyyx
add_pp r0.y, r1.x, r1
mul r0.z, r0, c3.x
add_pp r0.y, r0, r1.z
mul_sat r0.z, r0, c8.x
mad_pp r0.zw, r0.z, r3, r0.xyxw
add_pp r0.y, r0, r1.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c11.x
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_DetailTex] 2D 1
// 101 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 1 int, 7 uint
// TEX 0 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 67 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
add r0.xyz, -v3, c0
dp3 r0.y, r0, r0
rsq r0.y, r0.y
rcp r0.w, r0.y
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
mul r1.y, r0.w, c3.x
texld r0.xw, r0, s0
mul_sat r0.y, r1, c7.x
add_pp r2.xy, -r1.xwzw, c6.x
mad_pp r1.xy, r0.y, r2, r1.xwzw
mul_pp r0.xy, r0.xwzw, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 60 instructions, 5 temp regs, 0 temp arrays:
// ALU 49 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 72 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v4, v4
rsq r0.x, r0.x
add r2.xyz, -v3, c0
mul r0.xyz, r0.x, v4
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c6.xyyy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c7.x
add_pp r3.xy, -r1.xwzw, c6.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 49 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 72 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v4, v4
rsq r0.x, r0.x
add r2.xyz, -v3, c0
mul r0.xyz, r0.x, v4
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c6.yxyy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c7.x
add_pp r3.xy, -r1.xwzw, c6.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 49 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 72 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v4, v4
rsq r0.x, r0.x
add r2.xyz, -v3, c0
mul r0.xyz, r0.x, v4
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c6.yyxy
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c7.x
add_pp r3.xy, -r1.xwzw, c6.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 49 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTex] CUBE
SetTexture 1 [_DetailTex] 2D
"ps_3_0
; 72 ALU, 4 TEX
dcl_cube s0
dcl_2d s1
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v5, v5
rsq r0.x, r0.x
mul r1.xyz, r0.x, v5
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c6.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c6.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c6.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r1.xy, r0.zwzw
dsx r0.zw, r0
texldd r1.xw, r0, s1, r0.zwzw, r1
dp3 r0.x, v4, v4
rsq r0.x, r0.x
add r2.xyz, -v3, c0
mul r0.xyz, r0.x, v4
dp3 r1.y, r2, r2
texld r0, r0, s0
mul_pp r0, r0, c6.yyyx
add_pp r0.x, r0, r0.y
rsq r1.y, r1.y
rcp r1.y, r1.y
mul r0.y, r1, c3.x
add_pp r0.x, r0, r0.z
mul_sat r0.y, r0, c7.x
add_pp r3.xy, -r1.xwzw, c6.x
mad_pp r1.xy, r0.y, r3, r1.xwzw
add_pp r0.y, r0.x, r0.w
mov_pp r0.x, c6
mul_pp r0.xy, r0, c1.xwzw
mul_pp r0.xy, r0, r1
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTex] CUBE 0
SetTexture 1 [_DetailTex] 2D 1
// 61 instructions, 5 temp regs, 0 temp arrays:
// ALU 49 float, 1 int, 3 uint
// TEX 1 (0 load, 0 comp, 0 bias, 1 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedndagcbaoacglnbloofdlmfkeomdimacbabaaaaaaiaajaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ababaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaacacaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaapahaaaalmaaaaaaaeaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefceiaiaaaaeaaaaaaabcacaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafidaaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaagcbaaaadicbabaaa
abaaaaaagcbaaaadbcbabaaaacaaaaaagcbaaaadccbabaaaacaaaaaagcbaaaad
hcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaa
gfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaabaaaaaahbcaabaaaaaaaaaaa
egbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaafaaaaaa
dcaaaaakbcaabaaaabaaaaaackbabaaaafaaaaaaakaabaaaaaaaaaaackaabaia
ebaaaaaaaaaaaaaabnaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaa
afaaaaaaakaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaa
akaabaaaabaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaa
abaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaia
ebaaaaaaabaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaaakaabaaa
aaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaai
dcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaaeaaaaaalganbaaaaaaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaa
acaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
acaaaaaaegacbaaaacaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaaeaaaaaa
dcaaaaajocaabaaaabaaaaaafgafbaaaabaaaaaaagajbaaaacaaaaaafgacbaaa
aeaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaalganbaaa
aaaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaabaaaaaa
egacbaaaaaaaaaaaegacbaaaaeaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaaanaaaaaa
dcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaaanaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaa
aaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaabaaaaaaogakbaaa
aaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaa
aaaaaaaaegaabaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaa
abaaaaaaogakbaaaaaaaaaaaaaaaaaalpcaabaaaabaaaaaaegaobaiaebaaaaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpaaaaaaajhcaabaaa
acaaaaaaegbcbaaaadaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaah
bcaabaaaacaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaafbcaabaaa
acaaaaaaakaabaaaacaaaaaaapcaaaaibcaabaaaacaaaaaaagaabaaaacaaaaaa
fgifcaaaaaaaaaaaanaaaaaadcaaaaajpcaabaaaaaaaaaaaagaabaaaacaaaaaa
egaobaaaabaaaaaaegaobaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaaeaaaaaaefaaaaaj
pcaabaaaabaaaaaaegacbaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
dgaaaaafbcaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaaipcaabaaaabaaaaaa
agambaaaabaaaaaaegiocaaaaaaaaaaaalaaaaaadcaaaaakbcaabaaaacaaaaaa
dkaabaiaebaaaaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
pcaabaaaaaaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadicaaaahhcaabaaa
abaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaaaaaaaakhcaabaaaabaaaaaa
egacbaaaabaaaaaaaceaaaaaaaaaialpaaaaialpaaaaialpaaaaaaaadiaaaaai
icaabaaaabaaaaaadkaabaaaaaaaaaaackiacaaaaaaaaaaaapaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaabaaaaaapgapbaaaabaaaaaaaaaaaaakpcaabaaa
aaaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaialp
bnaaaaahbcaabaaaabaaaaaadkbabaaaabaaaaaaabeaaaaaaaaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaakbabaaaacaaaaaaaaaaaaahccaabaaaabaaaaaa
bkbabaaaacaaaaaaabeaaaaaaaaakaeaaaaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaabkiacaiaebaaaaaaaaaaaaaaapaaaaaadicaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaamnmmemdodiaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaampccabaaaaaaaaaaaagaabaaaabaaaaaa
egaobaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdoaaaaab
"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 111 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r1.w, r1.z, -r1.x
cmp r3.x, r1.w, c6, c6.y
add r1.z, r1, -r1.x
mad r1.x, r3, r1.z, r1
add r1.x, r1, -r1.y
add r0.w, r0.z, -r0.x
mad r0.w, r3.x, r0, r0.x
cmp r1.w, r1.x, c6.x, c6.y
add r0.w, r0.y, r0
mad r1.x, r1.w, r0.w, -r0.y
cmp r0.w, r1.x, c6.y, c6.x
cmp r1.x, -r1, c6.y, c6
add r3.y, r1.x, -r0.w
mov_pp r4.z, -r3.y
mov_pp r4.xy, c6.x
mov_pp r2.y, r3
mov_pp r1.y, -r3
mov_pp r1.xz, c6.x
mul r1.xyz, r0.xzyw, r1
mov_pp r2.xz, c6.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r3.x, r2, r1
mul r1.xyz, r0.yzxw, r4
mad r0.xyz, r0.yzxw, -r4, r2
mad r0.xyz, r1.w, r0, r1
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
dp3 r1.z, v5, v5
abs r1.xy, r0
add_pp r0.zw, r0.xyxy, c7.y
dsx r0.xy, r1
dsy r1.xy, r1
texldd r2, r0.zwzw, s0, r0, r1
texldd r0, r0.zwzw, s1, r0, r1
rsq r1.z, r1.z
mul r1.xyz, r1.z, v5
abs r4.xyz, r1
cmp_pp r4.w, r3.y, c6.x, c6.y
add_pp r2, r2, -r0
mad_pp r0, r4.w, r2, r0
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r3, r0.z, r0
max r3.y, r4.x, r4.z
add r3.z, r4, -r4.x
add r3.y, r3, -r4
add_pp r0.z, -r0.y, r0.x
cmp r3.z, r3, c6.x, c6.y
add r3.w, r1.z, -r1.x
mad r3.w, r3.z, r3, r1.x
add r3.w, -r1.y, r3
cmp r3.y, r3, c6.x, c6
mad r3.w, r3.y, r3, r1.y
cmp r2.x, r3.w, c6.y, c6
cmp r2.y, -r3.w, c6, c6.x
add r2.w, r2.y, -r2.x
mov r3.w, -r2
mov r4.y, r2.w
mov r2.xz, c6.x
mov r2.y, -r2.w
mul r2.xyz, r1.xzyw, r2
mov r4.xz, c6.x
mad r4.xyz, r1.zxyw, r4, -r2
mad r4.xyz, r3.z, r4, r2
mov r3.xz, c6.x
mul r2.xyz, r1.yxzw, r3.xzww
mad r1.xyz, r1.yxzw, -r3.xzww, r4
mad r2.xyz, r3.y, r1, r2
mad_pp r1.y, r1.w, r0.z, r0
abs r0.x, r2
rcp r0.y, r0.x
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v3, c0
dp3 r2.x, r2, r2
rsq r2.x, r2.x
mov_pp r1.x, r0.w
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r0.zw, r0
texldd r0.xw, r0, s2, r1.zwzw, r0.zwzw
rcp r2.x, r2.x
mul r0.y, r2.x, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.xy, r0.y, r1.zwzw, r0.xwzw
mul_pp r0.zw, r1.xyxy, c1.xyxw
mul_pp r0.zw, r0, r0.xyxy
add_pp r0.x, -r0.w, c6
mul_pp_sat r0.x, r0.z, r0
mul r0.y, r0.w, c5.x
add r0.x, r0, c7.z
add r0.z, v2.x, -c4.x
mul r0.x, r0.y, r0
add r0.y, r0.z, c6.z
cmp r0.z, v0.w, c6.x, c6.y
mul_sat r0.y, r0, c6.w
mul r0.z, r0, v1.x
mul_pp r0.y, r0.z, r0
mad_pp oC0, r0.y, r0.x, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 100 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 116 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c6.x, c6.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c7.y
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c6, c6.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v5, v5
rsq r0.y, r1.y
mul r2.xyz, r0.y, v5
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c6.xyyy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c6.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c6.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c6.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v3, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 116 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c6.x, c6.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c7.y
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c6, c6.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v5, v5
rsq r0.y, r1.y
mul r2.xyz, r0.y, v5
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c6.yxyy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c6.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c6.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c6.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v3, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 116 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c6.x, c6.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c7.y
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c6, c6.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v5, v5
rsq r0.y, r1.y
mul r2.xyz, r0.y, v5
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c6.yyxy
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c6.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c6.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c6.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v3, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 96 instructions, 6 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexPOS] 2D
SetTexture 1 [cube_MainTexNEG] 2D
SetTexture 2 [_DetailTex] 2D
"ps_3_0
; 116 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c6.x, c6.y
add r1.z, r1, -r1.x
mad r0.w, r3, r1.z, r1.x
add r1.w, r0.z, -r0.x
mad r1.x, r3.w, r1.w, r0
add r0.w, r0, -r1.y
cmp r1.w, r0, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r1, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r4.x, r0.w, -r1
mov_pp r1.y, r4.x
mov_pp r2.y, -r4.x
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov_pp r1.z, -r4.x
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r1.w, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r2.xy, r0
add_pp r0.zw, r0.xyxy, c7.y
dsy r1.xy, r2
dsx r0.xy, r2
texldd r2, r0.zwzw, s1, r0, r1
texldd r0, r0.zwzw, s0, r0, r1
add_pp r0, r0, -r2
cmp_pp r1.x, r4, c6, c6.y
mad_pp r4, r1.x, r0, r2
add_pp r0.x, r4.z, -r4
mad_pp r0.w, r3, r0.x, r4.x
add_pp r1.x, -r4.y, r0.w
dp3 r1.y, v5, v5
rsq r0.y, r1.y
mul r2.xyz, r0.y, v5
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
mad_pp r1.w, r1, r1.x, r4.y
cmp r3.w, r0.x, c6.x, c6.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r3.w, r0, r2.x
mov_pp r1.xyz, r4.w
mul_pp r1, r1, c6.yyyx
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c6.x, c6.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c6, c6.x
cmp r0.x, -r0, c6.y, c6
add r2.w, r0.x, -r0.y
mov r3.y, r2.w
mov r0.xz, c6.x
mov r0.y, -r2.w
mul r0.xyz, r2.xzyw, r0
mov r3.xz, c6.x
mad r3.xyz, r2.zxyw, r3, -r0
mad r3.xyz, r3.w, r3, r0
mov r0.z, -r2.w
mov r0.xy, c6.x
mul r4.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r4
add_pp r0.w, r1.x, r1.y
abs r1.x, r0
add_pp r0.x, r0.w, r1.z
rcp r0.w, r1.x
add_pp r1.y, r0.x, r1.w
mul r0.x, r0.y, r0.w
mul r0.y, r0.z, r0.w
add r2.xyz, -v3, c0
dp3 r1.x, r2, r2
rsq r1.x, r1.x
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r1.zw, r0
dsy r2.xy, r0.zwzw
texldd r0.xw, r0, s2, r1.zwzw, r2
rcp r0.z, r1.x
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexPOS] 2D 0
SetTexture 1 [cube_MainTexNEG] 2D 1
SetTexture 2 [_DetailTex] 2D 2
// 100 instructions, 6 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 114 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r5.xyz, r0.x, v4
abs r0.xyz, r5
add r0.w, r0.z, -r0.x
dp3 r3.y, v5, v5
cmp r3.x, r0.w, c6, c6.y
add r0.z, r0, -r0.x
mad r0.x, r3, r0.z, r0
add r0.x, r0, -r0.y
add r1.x, r5.z, -r5
mad r0.z, r3.x, r1.x, r5.x
cmp r0.y, r0.x, c6.x, c6
add r0.z, r5.y, r0
mad r0.x, r0.y, r0.z, -r5.y
cmp r0.z, r0.x, c6.y, c6.x
cmp r0.x, -r0, c6.y, c6
add r0.z, r0.x, -r0
mov_pp r4.z, -r0
mov_pp r4.xy, c6.x
mov_pp r1.y, r0.z
mov_pp r2.y, -r0.z
mov_pp r2.xz, c6.x
mul r2.xyz, r5.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r5.zxyw, r1, -r2
mad r1.xyz, r3.x, r1, r2
mul r2.xyz, r5.yzxw, r4
mad r1.xyz, r5.yzxw, -r4, r1
mad r1.xyz, r0.y, r1, r2
abs_pp r0.x, r1
rcp_pp r0.x, r0.x
mul_pp r1.xy, r1.yzzw, r0.x
mul_pp r1.xy, r1, c7.y
abs r1.zw, r1.xyxy
add_pp r3.zw, r1.xyxy, c7.y
rsq r3.y, r3.y
mul r5.xyz, r3.y, v5
dsy r1.xy, r1.zwzw
dsx r2.xy, r1.zwzw
texldd r0.xw, r3.zwzw, s4, r2, r1
texldd r4.xw, r3.zwzw, s5, r2, r1
add_pp r1.zw, r4.xyxw, -r0.xyxw
cmp_pp r0.z, r0, c6.x, c6.y
mad_pp r1.zw, r0.z, r1, r0.xyxw
texldd r0.xw, r3.zwzw, s0, r2, r1
texldd r4.xw, r3.zwzw, s1, r2, r1
add_pp r2.zw, r4.xyxw, -r0.xyxw
mad_pp r2.zw, r0.z, r2, r0.xyxw
abs r4.xyz, r5.xzyw
add_pp r1.zw, r1, -r2
mad_pp r3.xy, r3.x, r1.zwzw, r2.zwzw
max r0.x, r4, r4.y
add r0.w, r4.y, -r4.x
add r0.x, r0, -r4.z
texldd r4.xw, r3.zwzw, s3, r2, r1
cmp r1.w, r0.x, c6.x, c6.y
cmp r4.y, r0.w, c6.x, c6
add r1.z, r5, -r5.x
mad r0.w, r4.y, r1.z, r5.x
add r0.w, -r5.y, r0
mad r0.x, r1.w, r0.w, r5.y
cmp r0.w, r0.x, c6.y, c6.x
cmp r0.x, -r0, c6.y, c6
add r2.w, r0.x, -r0
texldd r0.xw, r3.zwzw, s2, r2, r1
add_pp r3.zw, r4.xyxw, -r0.xyxw
mad_pp r0.zw, r0.z, r3, r0.xyxw
mov r1.y, r2.w
mov r2.y, -r2.w
mov r2.xz, c6.x
mul r2.xyz, r5.xzyw, r2
mov r1.xz, c6.x
mad r1.xyz, r5.zxyw, r1, -r2
mad r4.xyz, r4.y, r1, r2
mov r1.z, -r2.w
mov r1.xy, c6.x
mul r2.xyz, r5.yxzw, r1
mad r1.xyz, r5.yxzw, -r1, r4
mad r1.xyz, r1.w, r1, r2
add_pp r2.xy, r3, -r0.zwzw
abs r0.x, r1
mad_pp r2.xy, r0.y, r2, r0.zwzw
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.z, r1.y, r0.x
mad r0.x, r0.z, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r2.zw, r0
add r1.xyz, -v3, c0
dp3 r0.z, r1, r1
rsq r0.z, r0.z
dsx r1.xy, r2.zwzw
dsy r1.zw, r2
texldd r0.xw, r0, s6, r1, r1.zwzw
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.xy, -r0.xwzw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1.xyxy, r0.xyxw
mul_pp r0.xy, r2, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 107 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 119 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c6, c6.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c7.y
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c6.x, c6.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v5, v5
rsq r3.x, r2.x
mul r3.xyz, r3.x, v5
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c6.xyyy
cmp r3.w, r2.y, c6.x, c6.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c6.x, c6.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c6, c6.x
cmp r2.x, -r2, c6.y, c6
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c6.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c6.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c6.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v3, c0
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 119 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c6, c6.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c7.y
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c6.x, c6.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v5, v5
rsq r3.x, r2.x
mul r3.xyz, r3.x, v5
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c6.yxyy
cmp r3.w, r2.y, c6.x, c6.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c6.x, c6.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c6, c6.x
cmp r2.x, -r2, c6.y, c6
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c6.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c6.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c6.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v3, c0
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 119 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c6, c6.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c7.y
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c6.x, c6.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v5, v5
rsq r3.x, r2.x
mul r3.xyz, r3.x, v5
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c6.yyxy
cmp r3.w, r2.y, c6.x, c6.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c6.x, c6.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c6, c6.x
cmp r2.x, -r2, c6.y, c6
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c6.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c6.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c6.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v3, c0
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_DetailScale]
Float 3 [_DetailDist]
Float 4 [_PlanetRadius]
Float 5 [_ShadowFactor]
SetTexture 0 [cube_MainTexxn] 2D
SetTexture 1 [cube_MainTexxp] 2D
SetTexture 2 [cube_MainTexyn] 2D
SetTexture 3 [cube_MainTexyp] 2D
SetTexture 4 [cube_MainTexzn] 2D
SetTexture 5 [cube_MainTexzp] 2D
SetTexture 6 [_DetailTex] 2D
"ps_3_0
; 119 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c6, 1.00000000, 0.00000000, 5.00000000, 0.20000000
def c7, 2.00000000, 0.50000000, -1.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord1 v1.x
dcl_texcoord2 v2.x
dcl_texcoord3 v3.xyz
dcl_texcoord4 v4.xyz
dcl_texcoord5 v5.xyz
dp3 r0.x, v4, v4
rsq r0.x, r0.x
mul r0.xyz, r0.x, v4
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r6.x, r0.w, c6, c6.y
add r1.z, r1, -r1.x
mad r0.w, r6.x, r1.z, r1.x
add r0.w, r0, -r1.y
add r1.w, r0.z, -r0.x
mad r1.x, r6, r1.w, r0
cmp r5.z, r0.w, c6.x, c6.y
add r1.x, r0.y, r1
mad r0.w, r5.z, r1.x, -r0.y
cmp r1.x, r0.w, c6.y, c6
cmp r0.w, -r0, c6.y, c6.x
add r5.w, r0, -r1.x
mov_pp r1.y, r5.w
mov_pp r2.y, -r5.w
mov_pp r2.xz, c6.x
mul r2.xyz, r0.xzyw, r2
mov_pp r1.xz, c6.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r6.x, r1, r2
mov_pp r1.z, -r5.w
mov_pp r1.xy, c6.x
mul r3.xyz, r0.yzxw, r1
mad r0.xyz, r0.yzxw, -r1, r2
mad r0.xyz, r5.z, r0, r3
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c7.y
abs r0.zw, r0.xyxy
add_pp r4.xy, r0, c7.y
dsx r4.zw, r0
dsy r5.xy, r0.zwzw
texldd r2, r4, s0, r4.zwzw, r5
texldd r0, r4, s4, r4.zwzw, r5
texldd r1, r4, s5, r4.zwzw, r5
add_pp r3, r1, -r0
cmp_pp r5.w, r5, c6.x, c6.y
texldd r1, r4, s1, r4.zwzw, r5
add_pp r1, r1, -r2
mad_pp r1, r5.w, r1, r2
mad_pp r0, r5.w, r3, r0
add_pp r0, r0, -r1
mad_pp r1, r6.x, r0, r1
dp3 r2.x, v5, v5
rsq r3.x, r2.x
mul r3.xyz, r3.x, v5
texldd r2, r4, s2, r4.zwzw, r5
texldd r0, r4, s3, r4.zwzw, r5
add_pp r0, r0, -r2
mad_pp r0, r5.w, r0, r2
abs r4.xyz, r3
add_pp r1, r1, -r0
mad_pp r1, r5.z, r1, r0
add r2.y, r4.z, -r4.x
max r2.x, r4, r4.z
add r2.x, r2, -r4.y
mul_pp r1, r1, c6.yyyx
cmp r3.w, r2.y, c6.x, c6.y
add r2.z, r3, -r3.x
mad r2.y, r3.w, r2.z, r3.x
cmp r2.w, r2.x, c6.x, c6.y
add r2.y, -r3, r2
mad r2.x, r2.w, r2.y, r3.y
cmp r2.y, r2.x, c6, c6.x
cmp r2.x, -r2, c6.y, c6
add r4.x, r2, -r2.y
mov r2.y, r4.x
mov r0.y, -r4.x
mov r0.xz, c6.x
mul r0.xyz, r3.xzyw, r0
mov r2.xz, c6.x
mad r2.xyz, r3.zxyw, r2, -r0
mad r2.xyz, r3.w, r2, r0
mov r0.z, -r4.x
mov r0.xy, c6.x
mul r4.xyz, r3.yxzw, r0
mad r0.xyz, r3.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r4
add_pp r0.x, r1, r1.y
add_pp r0.x, r0, r1.z
abs r0.y, r2.x
add_pp r1.y, r0.x, r1.w
rcp r0.y, r0.y
mul r0.x, r2.y, r0.y
mul r0.y, r2.z, r0
add r2.xyz, -v3, c0
mad r0.x, r0, c7.y, c7.y
mad r0.y, r0, c7, c7
mul r0.xy, r0, c2.x
mov r0.z, c2.x
mad r0.zw, c7.y, -r0.z, r0.xyxy
abs r1.zw, r0
dp3 r0.z, r2, r2
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r0.xw, r0, s6, r2, r1.zwzw
rsq r0.z, r0.z
rcp r0.z, r0.z
mul r0.y, r0.z, c3.x
add_pp r1.zw, -r0.xyxw, c6.x
mul_sat r0.y, r0, c7.x
mad_pp r0.zw, r0.y, r1, r0.xyxw
mov_pp r1.x, c6
mul_pp r0.xy, r1, c1.xwzw
mul_pp r0.xy, r0, r0.zwzw
add_pp r0.z, -r0.y, c6.x
mul_pp_sat r0.x, r0, r0.z
add r0.z, r0.x, c7
mul r0.y, r0, c5.x
add r0.x, v2, -c4
mul r0.z, r0.y, r0
add r0.y, r0.x, c6.z
cmp r0.x, v0.w, c6, c6.y
mul_sat r0.y, r0, c6.w
mul r0.x, r0, v1
mul_pp r0.x, r0, r0.y
mad_pp oC0, r0.x, r0.z, c6.x
"
}

SubProgram "d3d11 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
ConstBuffer "$Globals" 336 // 252 used size, 15 vars
Vector 176 [_Color] 4
Float 208 [_DetailScale]
Float 212 [_DetailDist]
Float 244 [_PlanetRadius]
Float 248 [_ShadowFactor]
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
SetTexture 0 [cube_MainTexxn] 2D 0
SetTexture 1 [cube_MainTexxp] 2D 1
SetTexture 2 [cube_MainTexyn] 2D 2
SetTexture 3 [cube_MainTexyp] 2D 3
SetTexture 4 [cube_MainTexzn] 2D 4
SetTexture 5 [cube_MainTexzp] 2D 5
SetTexture 6 [_DetailTex] 2D 6
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 7 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "WORLD_SPACE_ON" "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" }
"!!GLES3"
}

}

#LINE 124

		}
	}
}