﻿Shader "EVE/Planet" {
	Properties {
		_Color ("Color Tint", Color) = (1,1,1,1)
		_SpecularColor ("Specular tint", Color) = (1,1,1,1)
		_SpecularPower ("Shininess", Float) = 0.078125
		_MainTex ("Main (RGB)", 2D) = "white" {}
		_BumpMap ("Normalmap", 2D) = "bump" {}
		_midTex ("Detail (RGB)", 2D) = "white" {}
		_steepTex ("Detail for Vertical Surfaces (RGB)", 2D) = "white" {}
		_DetailScale ("Detail Scale", Range(0,1000)) = 200
		_DetailOffset ("Detail Offset", Vector) = (.5,.5,0,0)
		_DetailVertScale ("Detail Scale", Range(0,1000)) = 200
		_DetailDist ("Detail Distance", Range(0,1)) = 0.00875
		_MinLight ("Minimum Light", Range(0,1)) = .5
		_Albedo ("Albedo Index", Range(0,5)) = 1.2
		_CityOverlayTex ("Overlay (RGB)", 2D) = "white" {}
		_CityOverlayDetailScale ("Overlay Detail Scale", Range(0,1000)) = 80
		_CityDarkOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
		_CityLightOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
	}
	
SubShader {

Tags { "Queue"="Geometry" "RenderType"="Opaque" }
	Fog { Mode Global}
	ColorMask RGB
	Cull Back Lighting On ZWrite On
	
	Pass {

		Lighting On
		Tags { "LightMode"="ForwardBase"}
		
		Program "vp" {
// Vertex combos: 120
//   d3d9 - ALU: 52 to 62
//   d3d11 - ALU: 45 to 58, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbmcponbgljbjfgiicmgmdhaikkdjkccjabaaaaaafeajaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcoaahaaaaeaaaabaapiabaaaafjaaaaae
egiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaad
occabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaa
gfaaaaadhccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagiaaaaacadaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaa
adaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaapaaaaaa
pgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaa
acaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaa
adaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaa
agiacaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaadaaaaaabcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
dcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaa
egbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaa
abaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaa
aaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaa
egbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaa
acaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaa
abaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaa
aaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
pgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaakhccabaaaafaaaaaaegiccaaaaaaaaaaaaeaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 632
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 c_32;
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_34;
  tmpvar_34 = normalize(normal_18);
  float tmpvar_35;
  tmpvar_35 = dot (tmpvar_34, tmpvar_33);
  c_32.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_35) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_33 + normalize(xlv_TEXCOORD1))), tmpvar_34), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_32.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 600
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 604
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 608
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 612
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 616
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 620
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 624
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 628
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 629
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 633
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 637
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 641
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * _SpecularColor.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * _SpecularColor.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 621
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 625
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 629
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 633
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 632
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_35;
  tmpvar_35 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_36;
  if ((tmpvar_35.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 627
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 631
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 635
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 647
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedeiapiflnhmocmbijgabmijbihihhiaenabaaaaaacaakaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcjeaiaaaaeaaaabaacfacaaaafjaaaaaeegiocaaaaaaaaaaa
afaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaaamaaaaaafjaaaaaeegiocaaaaeaaaaaa
bfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaad
pcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaa
abaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaad
hccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadpccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiccaaaaeaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaeaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaeaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
aaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaa
jgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaaeaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaaabaaaaaaaeaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabcaaaaaa
kgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaaeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
ccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
acaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
jgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaa
bbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaaeaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaaamaaaaaaagbabaaa
abaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaa
aoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaaaaaaaaaaegiccaaaaeaaaaaa
bbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
aeaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaa
aeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaeaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaa
egiocaaaaaaaaaaaacaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
abaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaafaaaaaaegiocaaaaaaaaaaaaeaaaaaapgapbaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
ajaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaaaiaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaa
akaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaaagaaaaaa
egiocaaaadaaaaaaalaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_52 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (shadow_52 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 628
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 632
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 636
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 648
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_36 * (tmpvar_32.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = xlv_TEXCOORD5;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD1;
  mediump float atten_55;
  atten_55 = tmpvar_47;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_54);
  viewDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normT_3);
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD3;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  mediump vec4 tmpvar_68;
  tmpvar_68 = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_68;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 609
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 613
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 617
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 621
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 626
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 630
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 634
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 638
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_47.w * tmpvar_48);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = (tmpvar_47.w * tmpvar_48.x);
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 628
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    #line 632
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 636
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 640
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_34;
  tmpvar_34 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_35;
  tmpvar_35 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_36;
  if ((tmpvar_35 < tmpvar_34)) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (tmpvar_33.w * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 617
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 621
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 625
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 629
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 633
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 635
lowp vec4 frag( in v2f IN ) {
    #line 637
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 641
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 645
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_35;
  tmpvar_35 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_36;
  tmpvar_36 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_37;
  if ((tmpvar_36 < tmpvar_35)) {
    tmpvar_37 = _LightShadowData.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float atten_38;
  atten_38 = ((tmpvar_33.w * tmpvar_34.w) * tmpvar_37);
  vec4 c_39;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_18);
  float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  c_39.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_42) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_40 + normalize(xlv_TEXCOORD1))), tmpvar_41), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_38 * 4.0));
  c_39.w = (tmpvar_42 * (atten_38 * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 626
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 630
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 634
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 636
lowp vec4 frag( in v2f IN ) {
    #line 638
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 642
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 646
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_35;
  vec3 tmpvar_36;
  tmpvar_36 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_35.x = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_35.y = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_35.z = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_35.w = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_37;
  tmpvar_37 = lessThan (shadowVals_35, tmpvar_36.zzzz);
  vec4 tmpvar_38;
  tmpvar_38 = _LightShadowData.xxxx;
  float tmpvar_39;
  if (tmpvar_37.x) {
    tmpvar_39 = tmpvar_38.x;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_37.y) {
    tmpvar_40 = tmpvar_38.y;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_37.z) {
    tmpvar_41 = tmpvar_38.z;
  } else {
    tmpvar_41 = 1.0;
  };
  float tmpvar_42;
  if (tmpvar_37.w) {
    tmpvar_42 = tmpvar_38.w;
  } else {
    tmpvar_42 = 1.0;
  };
  vec4 tmpvar_43;
  tmpvar_43.x = tmpvar_39;
  tmpvar_43.y = tmpvar_40;
  tmpvar_43.z = tmpvar_41;
  tmpvar_43.w = tmpvar_42;
  float atten_44;
  atten_44 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * dot (tmpvar_43, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_18);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD1))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_44 * 4.0));
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 shadows_32;
  vec3 tmpvar_33;
  tmpvar_33 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_32.x = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[0].xyz)).x;
  shadows_32.y = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[1].xyz)).x;
  shadows_32.z = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[2].xyz)).x;
  shadows_32.w = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_34;
  tmpvar_34 = (_LightShadowData.xxxx + (shadows_32 * (1.0 - _LightShadowData.xxxx)));
  shadows_32 = tmpvar_34;
  float atten_35;
  atten_35 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_34, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(normal_18);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD1))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_35 * 4.0));
  c_36.w = (tmpvar_39 * (atten_35 * 4.0));
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec3 tmpvar_53;
  tmpvar_53 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_54;
  coord_54 = (tmpvar_53 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, coord_54);
  shadows_52.x = tmpvar_55;
  highp vec3 coord_56;
  coord_56 = (tmpvar_53 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, coord_56);
  shadows_52.y = tmpvar_57;
  highp vec3 coord_58;
  coord_58 = (tmpvar_53 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, coord_58);
  shadows_52.z = tmpvar_59;
  highp vec3 coord_60;
  coord_60 = (tmpvar_53 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, coord_60);
  shadows_52.w = tmpvar_61;
  highp vec4 tmpvar_62;
  tmpvar_62 = (_LightShadowData.xxxx + (shadows_52 * (1.0 - _LightShadowData.xxxx)));
  shadows_52 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = xlv_TEXCOORD5;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD1;
  mediump float atten_66;
  atten_66 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_67;
  highp float nh_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(viewDir_65);
  viewDir_65 = tmpvar_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normT_3);
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_69);
  mediump float tmpvar_73;
  tmpvar_73 = clamp (dot (normalize((tmpvar_69 + tmpvar_70)), tmpvar_71), 0.0, 1.0);
  nh_68 = tmpvar_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_68, _SpecularPower) * _SpecularColor.w))) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_74;
  c_67.w = (tmpvar_72 * (atten_66 * 4.0));
  highp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD3;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  mediump vec4 tmpvar_79;
  tmpvar_79 = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_79;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_34;
  shadowVals_34.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_35;
  tmpvar_35 = lessThan (shadowVals_34, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_36;
  tmpvar_36 = _LightShadowData.xxxx;
  float tmpvar_37;
  if (tmpvar_35.x) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float tmpvar_38;
  if (tmpvar_35.y) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_35.z) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_35.w) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = 1.0;
  };
  vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  float atten_42;
  atten_42 = (tmpvar_33.w * dot (tmpvar_41, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_18);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD1))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_42 * 4.0));
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 651
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_35;
  shadowVals_35.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_36;
  tmpvar_36 = lessThan (shadowVals_35, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_37;
  tmpvar_37 = _LightShadowData.xxxx;
  float tmpvar_38;
  if (tmpvar_36.x) {
    tmpvar_38 = tmpvar_37.x;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_36.y) {
    tmpvar_39 = tmpvar_37.y;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_36.z) {
    tmpvar_40 = tmpvar_37.z;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_36.w) {
    tmpvar_41 = tmpvar_37.w;
  } else {
    tmpvar_41 = 1.0;
  };
  vec4 tmpvar_42;
  tmpvar_42.x = tmpvar_38;
  tmpvar_42.y = tmpvar_39;
  tmpvar_42.z = tmpvar_40;
  tmpvar_42.w = tmpvar_41;
  float atten_43;
  atten_43 = ((tmpvar_33.w * tmpvar_34.w) * dot (tmpvar_42, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_18);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD1))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_43 * 4.0));
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 652
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 632
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 c_32;
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_34;
  tmpvar_34 = normalize(normal_18);
  float tmpvar_35;
  tmpvar_35 = dot (tmpvar_34, tmpvar_33);
  c_32.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_35) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_33 + normalize(xlv_TEXCOORD1))), tmpvar_34), 0.0, 1.0), _SpecularPower) * main_1.w))) * 4.0);
  c_32.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_32 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * tex_4.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * tex_4.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 600
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 604
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 608
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 612
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 616
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 620
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 624
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 628
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedeidamglglkcjcoeegfgfgangpjhegeadabaaaaaafeajaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcoaahaaaaeaaaabaapiabaaaafjaaaaae
egiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaad
occabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaa
gfaaaaadhccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaagiaaaaacadaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaa
adaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaapaaaaaa
pgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaa
acaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaa
adaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaa
agiacaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaadaaaaaabcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
dcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaa
egbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaa
abaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaa
aaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaa
egbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaa
acaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaa
abaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaa
aaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
pgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaadcaaaaakpcaabaaa
abaaaaaaegiocaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaa
dcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaa
egaobaaaabaaaaaadcaaaaakpccabaaaafaaaaaaegiocaaaaaaaaaaaaeaaaaaa
pgapbaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * tex_4.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * tex_4.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 629
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 633
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 637
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 641
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * tex_4.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * tex_4.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 621
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 625
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 629
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 633
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 632
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_35;
  tmpvar_35 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_36;
  if ((tmpvar_35.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 627
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 631
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 635
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 647
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 651
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_52 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (shadow_52 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 628
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 632
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 636
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 648
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 652
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_36 * (tmpvar_32.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = xlv_TEXCOORD5;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD1;
  mediump float atten_55;
  atten_55 = tmpvar_47;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_54);
  viewDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normT_3);
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * tex_4.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD3;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  mediump vec4 tmpvar_68;
  tmpvar_68 = (c_56 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_68;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 609
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 613
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 617
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 621
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 626
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 630
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 634
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 638
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_47.w * tmpvar_48);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = (tmpvar_47.w * tmpvar_48.x);
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 628
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    #line 632
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 636
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 640
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 644
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_34;
  tmpvar_34 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_35;
  tmpvar_35 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_36;
  if ((tmpvar_35 < tmpvar_34)) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (tmpvar_33.w * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 617
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 621
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 625
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 629
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 633
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 635
lowp vec4 frag( in v2f IN ) {
    #line 637
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 641
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 645
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 649
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_35;
  tmpvar_35 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_36;
  tmpvar_36 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_37;
  if ((tmpvar_36 < tmpvar_35)) {
    tmpvar_37 = _LightShadowData.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float atten_38;
  atten_38 = ((tmpvar_33.w * tmpvar_34.w) * tmpvar_37);
  vec4 c_39;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_18);
  float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  c_39.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_42) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_40 + normalize(xlv_TEXCOORD1))), tmpvar_41), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_38 * 4.0));
  c_39.w = (tmpvar_42 * (atten_38 * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_39 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 626
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 630
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 634
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 636
lowp vec4 frag( in v2f IN ) {
    #line 638
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 642
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 646
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 650
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_35;
  vec3 tmpvar_36;
  tmpvar_36 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_35.x = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_35.y = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_35.z = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_35.w = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_37;
  tmpvar_37 = lessThan (shadowVals_35, tmpvar_36.zzzz);
  vec4 tmpvar_38;
  tmpvar_38 = _LightShadowData.xxxx;
  float tmpvar_39;
  if (tmpvar_37.x) {
    tmpvar_39 = tmpvar_38.x;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_37.y) {
    tmpvar_40 = tmpvar_38.y;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_37.z) {
    tmpvar_41 = tmpvar_38.z;
  } else {
    tmpvar_41 = 1.0;
  };
  float tmpvar_42;
  if (tmpvar_37.w) {
    tmpvar_42 = tmpvar_38.w;
  } else {
    tmpvar_42 = 1.0;
  };
  vec4 tmpvar_43;
  tmpvar_43.x = tmpvar_39;
  tmpvar_43.y = tmpvar_40;
  tmpvar_43.z = tmpvar_41;
  tmpvar_43.w = tmpvar_42;
  float atten_44;
  atten_44 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * dot (tmpvar_43, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_18);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD1))), tmpvar_47), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_44 * 4.0));
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_45 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedimnlngiibcbmbfpmeeheoijckeebcfpaabaaaaaacaakaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcjeaiaaaaeaaaabaacfacaaaafjaaaaaeegiocaaaaaaaaaaa
ajaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaaamaaaaaafjaaaaaeegiocaaaaeaaaaaa
bfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaad
pcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaa
abaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaad
hccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadpccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiccaaaaeaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaeaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaeaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
aaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaa
jgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaaeaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaaabaaaaaaaeaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabcaaaaaa
kgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaaeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
ccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
acaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
jgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaa
bbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaaeaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaaamaaaaaaagbabaaa
abaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaa
aoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaaaaaaaaaaegiccaaaaeaaaaaa
bbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
aeaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaa
aeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaeaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaa
egiocaaaaaaaaaaaagaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
afaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaafaaaaaaegiocaaaaaaaaaaaaiaaaaaapgapbaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
ajaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaaaiaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaa
akaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaaagaaaaaa
egiocaaaadaaaaaaalaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * tex_4.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * tex_4.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 659
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 shadows_32;
  vec3 tmpvar_33;
  tmpvar_33 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_32.x = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[0].xyz)).x;
  shadows_32.y = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[1].xyz)).x;
  shadows_32.z = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[2].xyz)).x;
  shadows_32.w = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_34;
  tmpvar_34 = (_LightShadowData.xxxx + (shadows_32 * (1.0 - _LightShadowData.xxxx)));
  shadows_32 = tmpvar_34;
  float atten_35;
  atten_35 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_34, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(normal_18);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD1))), tmpvar_38), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_35 * 4.0));
  c_36.w = (tmpvar_39 * (atten_35 * 4.0));
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_36 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec3 tmpvar_53;
  tmpvar_53 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_54;
  coord_54 = (tmpvar_53 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, coord_54);
  shadows_52.x = tmpvar_55;
  highp vec3 coord_56;
  coord_56 = (tmpvar_53 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, coord_56);
  shadows_52.y = tmpvar_57;
  highp vec3 coord_58;
  coord_58 = (tmpvar_53 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, coord_58);
  shadows_52.z = tmpvar_59;
  highp vec3 coord_60;
  coord_60 = (tmpvar_53 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, coord_60);
  shadows_52.w = tmpvar_61;
  highp vec4 tmpvar_62;
  tmpvar_62 = (_LightShadowData.xxxx + (shadows_52 * (1.0 - _LightShadowData.xxxx)));
  shadows_52 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = xlv_TEXCOORD5;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD1;
  mediump float atten_66;
  atten_66 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_67;
  highp float nh_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(viewDir_65);
  viewDir_65 = tmpvar_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normT_3);
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_69);
  mediump float tmpvar_73;
  tmpvar_73 = clamp (dot (normalize((tmpvar_69 + tmpvar_70)), tmpvar_71), 0.0, 1.0);
  nh_68 = tmpvar_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_68, _SpecularPower) * tex_4.w))) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_74;
  c_67.w = (tmpvar_72 * (atten_66 * 4.0));
  highp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD3;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  mediump vec4 tmpvar_79;
  tmpvar_79 = (c_67 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_79;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 659
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_34;
  shadowVals_34.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_35;
  tmpvar_35 = lessThan (shadowVals_34, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_36;
  tmpvar_36 = _LightShadowData.xxxx;
  float tmpvar_37;
  if (tmpvar_35.x) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float tmpvar_38;
  if (tmpvar_35.y) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_35.z) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_35.w) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = 1.0;
  };
  vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  float atten_42;
  atten_42 = (tmpvar_33.w * dot (tmpvar_41, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_18);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD1))), tmpvar_45), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_42 * 4.0));
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_43 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * tex_4.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * tex_4.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 651
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 655
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_35;
  shadowVals_35.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_36;
  tmpvar_36 = lessThan (shadowVals_35, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_37;
  tmpvar_37 = _LightShadowData.xxxx;
  float tmpvar_38;
  if (tmpvar_36.x) {
    tmpvar_38 = tmpvar_37.x;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_36.y) {
    tmpvar_39 = tmpvar_37.y;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_36.z) {
    tmpvar_40 = tmpvar_37.z;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_36.w) {
    tmpvar_41 = tmpvar_37.w;
  } else {
    tmpvar_41 = 1.0;
  };
  vec4 tmpvar_42;
  tmpvar_42.x = tmpvar_38;
  tmpvar_42.y = tmpvar_39;
  tmpvar_42.z = tmpvar_40;
  tmpvar_42.w = tmpvar_41;
  float atten_43;
  atten_43 = ((tmpvar_33.w * tmpvar_34.w) * dot (tmpvar_42, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_18);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD1))), tmpvar_46), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_43 * 4.0));
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_44 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefieceddockaodmikplkpajocmcbmbmhpcakegbabaaaaaajmajaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcbaaiaaaaeaaaabaaaeacaaaafjaaaaaeegiocaaaaaaaaaaa
afaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
acaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagiaaaaac
adaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaa
aaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaaj
hcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaadaaaaaabbaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaabaaaaaa
aeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaa
bcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaa
abaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaadcaaaaalhcaabaaa
abaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaa
aaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaa
acaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaaj
hcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
aaaaaaajhccabaaaagaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
abaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafbccabaaaabaaaaaadkaabaaaaaaaaaaabbaaaaahicaabaaaaaaaaaaa
egbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaa
dgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaa
abaaaaaafgbfbaaaabaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
adaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaa
fgifcaaaacaaaaaaaaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaa
abaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaia
ebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaa
baaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
adaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaa
kgakbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaafaaaaaaegiccaaa
aaaaaaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * tex_4.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * tex_4.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 652
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 656
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 632
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 c_32;
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_34;
  tmpvar_34 = normalize(normal_18);
  float tmpvar_35;
  tmpvar_35 = dot (tmpvar_34, tmpvar_33);
  c_32.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_35) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_33 + normalize(xlv_TEXCOORD1))), tmpvar_34), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_32.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_32 * mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 600
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 604
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 608
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 612
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 616
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 620
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 624
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 628
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 629
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 633
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 637
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 641
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * _SpecularColor.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * _SpecularColor.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 621
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 625
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 629
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 633
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 632
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_35;
  tmpvar_35 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_36;
  if ((tmpvar_35.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 627
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 631
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 635
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 647
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_52 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (shadow_52 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 628
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 632
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 636
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 648
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_36 * (tmpvar_32.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = xlv_TEXCOORD5;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD1;
  mediump float atten_55;
  atten_55 = tmpvar_47;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_54);
  viewDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normT_3);
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD3;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  mediump vec4 tmpvar_68;
  tmpvar_68 = (c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_68;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * _SpecularColor.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 609
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 613
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 617
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 621
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 626
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 630
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 634
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 638
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_47.w * tmpvar_48);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = (tmpvar_47.w * tmpvar_48.x);
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 628
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    #line 632
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 636
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 640
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_34;
  tmpvar_34 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_35;
  tmpvar_35 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_36;
  if ((tmpvar_35 < tmpvar_34)) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (tmpvar_33.w * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 617
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 621
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 625
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 629
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 633
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 635
lowp vec4 frag( in v2f IN ) {
    #line 637
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 641
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 645
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_35;
  tmpvar_35 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_36;
  tmpvar_36 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_37;
  if ((tmpvar_36 < tmpvar_35)) {
    tmpvar_37 = _LightShadowData.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float atten_38;
  atten_38 = ((tmpvar_33.w * tmpvar_34.w) * tmpvar_37);
  vec4 c_39;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_18);
  float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  c_39.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_42) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_40 + normalize(xlv_TEXCOORD1))), tmpvar_41), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_38 * 4.0));
  c_39.w = (tmpvar_42 * (atten_38 * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_39 * mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * _SpecularColor.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 626
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 630
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 634
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 636
lowp vec4 frag( in v2f IN ) {
    #line 638
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 642
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 646
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_35;
  vec3 tmpvar_36;
  tmpvar_36 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_35.x = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_35.y = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_35.z = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_35.w = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_37;
  tmpvar_37 = lessThan (shadowVals_35, tmpvar_36.zzzz);
  vec4 tmpvar_38;
  tmpvar_38 = _LightShadowData.xxxx;
  float tmpvar_39;
  if (tmpvar_37.x) {
    tmpvar_39 = tmpvar_38.x;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_37.y) {
    tmpvar_40 = tmpvar_38.y;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_37.z) {
    tmpvar_41 = tmpvar_38.z;
  } else {
    tmpvar_41 = 1.0;
  };
  float tmpvar_42;
  if (tmpvar_37.w) {
    tmpvar_42 = tmpvar_38.w;
  } else {
    tmpvar_42 = 1.0;
  };
  vec4 tmpvar_43;
  tmpvar_43.x = tmpvar_39;
  tmpvar_43.y = tmpvar_40;
  tmpvar_43.z = tmpvar_41;
  tmpvar_43.w = tmpvar_42;
  float atten_44;
  atten_44 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * dot (tmpvar_43, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_18);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD1))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_44 * 4.0));
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * _SpecularColor.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 shadows_32;
  vec3 tmpvar_33;
  tmpvar_33 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_32.x = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[0].xyz)).x;
  shadows_32.y = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[1].xyz)).x;
  shadows_32.z = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[2].xyz)).x;
  shadows_32.w = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_34;
  tmpvar_34 = (_LightShadowData.xxxx + (shadows_32 * (1.0 - _LightShadowData.xxxx)));
  shadows_32 = tmpvar_34;
  float atten_35;
  atten_35 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_34, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(normal_18);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD1))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_35 * 4.0));
  c_36.w = (tmpvar_39 * (atten_35 * 4.0));
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedimnlngiibcbmbfpmeeheoijckeebcfpaabaaaaaacaakaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcjeaiaaaaeaaaabaacfacaaaafjaaaaaeegiocaaaaaaaaaaa
ajaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaaamaaaaaafjaaaaaeegiocaaaaeaaaaaa
bfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaad
pcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaa
abaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaad
hccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadpccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiccaaaaeaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaeaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaeaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
aaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaa
jgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaaeaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaaabaaaaaaaeaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabcaaaaaa
kgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaaeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
ccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
acaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
jgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaa
bbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaaeaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaaamaaaaaaagbabaaa
abaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaa
aoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaaaaaaaaaaegiccaaaaeaaaaaa
bbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
aeaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaa
aeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaeaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaa
egiocaaaaaaaaaaaagaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
afaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaafaaaaaaegiocaaaaaaaaaaaaiaaaaaapgapbaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
ajaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaaaiaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaa
akaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaaagaaaaaa
egiocaaaadaaaaaaalaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec3 tmpvar_53;
  tmpvar_53 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_54;
  coord_54 = (tmpvar_53 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, coord_54);
  shadows_52.x = tmpvar_55;
  highp vec3 coord_56;
  coord_56 = (tmpvar_53 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, coord_56);
  shadows_52.y = tmpvar_57;
  highp vec3 coord_58;
  coord_58 = (tmpvar_53 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, coord_58);
  shadows_52.z = tmpvar_59;
  highp vec3 coord_60;
  coord_60 = (tmpvar_53 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, coord_60);
  shadows_52.w = tmpvar_61;
  highp vec4 tmpvar_62;
  tmpvar_62 = (_LightShadowData.xxxx + (shadows_52 * (1.0 - _LightShadowData.xxxx)));
  shadows_52 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = xlv_TEXCOORD5;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD1;
  mediump float atten_66;
  atten_66 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_67;
  highp float nh_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(viewDir_65);
  viewDir_65 = tmpvar_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normT_3);
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_69);
  mediump float tmpvar_73;
  tmpvar_73 = clamp (dot (normalize((tmpvar_69 + tmpvar_70)), tmpvar_71), 0.0, 1.0);
  nh_68 = tmpvar_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_68, _SpecularPower) * _SpecularColor.w))) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_74;
  c_67.w = (tmpvar_72 * (atten_66 * 4.0));
  highp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD3;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  mediump vec4 tmpvar_79;
  tmpvar_79 = (c_67 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_79;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_34;
  shadowVals_34.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_35;
  tmpvar_35 = lessThan (shadowVals_34, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_36;
  tmpvar_36 = _LightShadowData.xxxx;
  float tmpvar_37;
  if (tmpvar_35.x) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float tmpvar_38;
  if (tmpvar_35.y) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_35.z) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_35.w) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = 1.0;
  };
  vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  float atten_42;
  atten_42 = (tmpvar_33.w * dot (tmpvar_41, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_18);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD1))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_42 * 4.0));
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * _SpecularColor.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 651
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_35;
  shadowVals_35.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_36;
  tmpvar_36 = lessThan (shadowVals_35, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_37;
  tmpvar_37 = _LightShadowData.xxxx;
  float tmpvar_38;
  if (tmpvar_36.x) {
    tmpvar_38 = tmpvar_37.x;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_36.y) {
    tmpvar_39 = tmpvar_37.y;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_36.z) {
    tmpvar_40 = tmpvar_37.z;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_36.w) {
    tmpvar_41 = tmpvar_37.w;
  } else {
    tmpvar_41 = 1.0;
  };
  vec4 tmpvar_42;
  tmpvar_42.x = tmpvar_38;
  tmpvar_42.y = tmpvar_39;
  tmpvar_42.z = tmpvar_40;
  tmpvar_42.w = tmpvar_41;
  float atten_43;
  atten_43 = ((tmpvar_33.w * tmpvar_34.w) * dot (tmpvar_42, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_18);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD1))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_43 * 4.0));
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0)));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 652
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = tmpvar_48.w;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 632
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 c_32;
  vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_34;
  tmpvar_34 = normalize(normal_18);
  float tmpvar_35;
  tmpvar_35 = dot (tmpvar_34, tmpvar_33);
  c_32.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_35) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_33 + normalize(xlv_TEXCOORD1))), tmpvar_34), 0.0, 1.0), _SpecularPower) * main_1.w))) * 4.0);
  c_32.w = (tmpvar_35 * 4.0);
  float tmpvar_36;
  tmpvar_36 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_32 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_36)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_36)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * tex_4.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  mediump vec3 lightDir_47;
  lightDir_47 = xlv_TEXCOORD5;
  mediump vec3 viewDir_48;
  viewDir_48 = xlv_TEXCOORD1;
  mediump vec4 c_49;
  highp float nh_50;
  mediump vec3 tmpvar_51;
  tmpvar_51 = normalize(lightDir_47);
  lightDir_47 = tmpvar_51;
  mediump vec3 tmpvar_52;
  tmpvar_52 = normalize(viewDir_48);
  viewDir_48 = tmpvar_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(normT_3);
  mediump float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_51);
  mediump float tmpvar_55;
  tmpvar_55 = clamp (dot (normalize((tmpvar_51 + tmpvar_52)), tmpvar_53), 0.0, 1.0);
  nh_50 = tmpvar_55;
  highp vec3 tmpvar_56;
  tmpvar_56 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_50, _SpecularPower) * tex_4.w))) * 4.0);
  c_49.xyz = tmpvar_56;
  c_49.w = (tmpvar_54 * 4.0);
  lowp vec3 tmpvar_57;
  tmpvar_57 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_57;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD3;
  mediump float tmpvar_60;
  tmpvar_60 = dot (normal_59, lightDir_58);
  mediump vec4 tmpvar_61;
  tmpvar_61 = (c_49 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_60)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_60)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_61;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 600
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 604
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 608
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 612
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 590
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 583
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
#line 600
#line 616
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 616
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 620
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 624
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 628
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * tex_4.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  mediump vec3 lightDir_51;
  lightDir_51 = xlv_TEXCOORD5;
  mediump vec3 viewDir_52;
  viewDir_52 = xlv_TEXCOORD1;
  mediump float atten_53;
  atten_53 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w);
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_51);
  lightDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_52);
  viewDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normT_3);
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * tex_4.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  highp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD3;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  mediump vec4 tmpvar_66;
  tmpvar_66 = (c_54 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_66;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 601
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 594
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
#line 612
#line 629
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 629
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 633
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 637
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 641
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * tex_4.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_50;
  lightDir_50 = xlv_TEXCOORD5;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD1;
  mediump float atten_52;
  atten_52 = (tmpvar_48.w * tmpvar_49.w);
  mediump vec4 c_53;
  highp float nh_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(lightDir_50);
  lightDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(viewDir_51);
  viewDir_51 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(normT_3);
  mediump float tmpvar_58;
  tmpvar_58 = dot (tmpvar_57, tmpvar_55);
  mediump float tmpvar_59;
  tmpvar_59 = clamp (dot (normalize((tmpvar_55 + tmpvar_56)), tmpvar_57), 0.0, 1.0);
  nh_54 = tmpvar_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_58) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_54, _SpecularPower) * tex_4.w))) * (atten_52 * 4.0));
  c_53.xyz = tmpvar_60;
  c_53.w = (tmpvar_58 * (atten_52 * 4.0));
  highp vec3 tmpvar_61;
  tmpvar_61 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_61;
  mediump vec3 normal_63;
  normal_63 = xlv_TEXCOORD3;
  mediump float tmpvar_64;
  tmpvar_64 = dot (normal_63, lightDir_62);
  mediump vec4 tmpvar_65;
  tmpvar_65 = (c_53 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_64)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_64)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_65;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 593
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 586
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
#line 604
#line 621
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 621
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 625
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 629
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 633
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47.w;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 603
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 607
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 611
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 615
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 592
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 585
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
#line 603
#line 620
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 628
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 632
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_35;
  tmpvar_35 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_36;
  if ((tmpvar_35.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_54;
  if ((tmpvar_53.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 619
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 623
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 627
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 631
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 635
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 607
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 600
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
#line 619
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 637
lowp vec4 frag( in v2f IN ) {
    #line 639
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 643
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 647
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 651
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_52 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (shadow_52 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  tmpvar_51 = shadow_52;
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 620
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 624
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 628
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 632
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 636
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 608
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 601
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
#line 620
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 638
lowp vec4 frag( in v2f IN ) {
    #line 640
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 644
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 648
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 652
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (tmpvar_32.x * 4.0));
  c_33.w = (tmpvar_36 * (tmpvar_32.x * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  mediump float lightShadowDataX_48;
  highp float dist_49;
  lowp float tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_49 = tmpvar_50;
  highp float tmpvar_51;
  tmpvar_51 = _LightShadowData.x;
  lightShadowDataX_48 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = max (float((dist_49 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_48);
  tmpvar_47 = tmpvar_52;
  mediump vec3 lightDir_53;
  lightDir_53 = xlv_TEXCOORD5;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD1;
  mediump float atten_55;
  atten_55 = tmpvar_47;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_53);
  lightDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_54);
  viewDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normT_3);
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * tex_4.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD3;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  mediump vec4 tmpvar_68;
  tmpvar_68 = (c_56 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_68;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp float tmpvar_47;
  tmpvar_47 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_48;
  lightDir_48 = xlv_TEXCOORD5;
  mediump vec3 viewDir_49;
  viewDir_49 = xlv_TEXCOORD1;
  mediump float atten_50;
  atten_50 = tmpvar_47;
  mediump vec4 c_51;
  highp float nh_52;
  mediump vec3 tmpvar_53;
  tmpvar_53 = normalize(lightDir_48);
  lightDir_48 = tmpvar_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(viewDir_49);
  viewDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(normT_3);
  mediump float tmpvar_56;
  tmpvar_56 = dot (tmpvar_55, tmpvar_53);
  mediump float tmpvar_57;
  tmpvar_57 = clamp (dot (normalize((tmpvar_53 + tmpvar_54)), tmpvar_55), 0.0, 1.0);
  nh_52 = tmpvar_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_56) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_52, _SpecularPower) * tex_4.w))) * (atten_50 * 4.0));
  c_51.xyz = tmpvar_58;
  c_51.w = (tmpvar_56 * (atten_50 * 4.0));
  lowp vec3 tmpvar_59;
  tmpvar_59 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_59;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD3;
  mediump float tmpvar_62;
  tmpvar_62 = dot (normal_61, lightDir_60);
  mediump vec4 tmpvar_63;
  tmpvar_63 = (c_51 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_62)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_62)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_63;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 609
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 613
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 617
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 621
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 598
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 591
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
#line 609
#line 626
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 626
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 630
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    #line 634
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    #line 638
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  float atten_32;
  atten_32 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_33;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_35;
  tmpvar_35 = normalize(normal_18);
  float tmpvar_36;
  tmpvar_36 = dot (tmpvar_35, tmpvar_34);
  c_33.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_36) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_34 + normalize(xlv_TEXCOORD1))), tmpvar_35), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_32 * 4.0));
  c_33.w = (tmpvar_36 * (atten_32 * 4.0));
  float tmpvar_37;
  tmpvar_37 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_33 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_37)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_37)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_48;
  mediump float lightShadowDataX_49;
  highp float dist_50;
  lowp float tmpvar_51;
  tmpvar_51 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = _LightShadowData.x;
  lightShadowDataX_49 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = max (float((dist_50 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_49);
  tmpvar_48 = tmpvar_53;
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_47.w * tmpvar_48);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_49;
  lightDir_49 = xlv_TEXCOORD5;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD1;
  mediump float atten_51;
  atten_51 = (tmpvar_47.w * tmpvar_48.x);
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normT_3);
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * tex_4.w))) * (atten_51 * 4.0));
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * (atten_51 * 4.0));
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD3;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  mediump vec4 tmpvar_64;
  tmpvar_64 = (c_52 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_64;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 612
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 616
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 620
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 624
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 628
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 600
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 593
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
#line 612
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    #line 632
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 636
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 640
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 644
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_34;
  tmpvar_34 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_35;
  tmpvar_35 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_36;
  if ((tmpvar_35 < tmpvar_34)) {
    tmpvar_36 = _LightShadowData.x;
  } else {
    tmpvar_36 = 1.0;
  };
  float atten_37;
  atten_37 = (tmpvar_33.w * tmpvar_36);
  vec4 c_38;
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_40;
  tmpvar_40 = normalize(normal_18);
  float tmpvar_41;
  tmpvar_41 = dot (tmpvar_40, tmpvar_39);
  c_38.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_41) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_39 + normalize(xlv_TEXCOORD1))), tmpvar_40), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_37 * 4.0));
  c_38.w = (tmpvar_41 * (atten_37 * 4.0));
  float tmpvar_42;
  tmpvar_42 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_38 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_42)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_42)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  tmpvar_49 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_50;
  lowp vec4 tmpvar_51;
  tmpvar_51 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_50 = tmpvar_51;
  highp float tmpvar_52;
  tmpvar_52 = dot (packDist_50, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_53;
  if ((tmpvar_52 < tmpvar_49)) {
    tmpvar_53 = _LightShadowData.x;
  } else {
    tmpvar_53 = 1.0;
  };
  mediump vec3 lightDir_54;
  lightDir_54 = xlv_TEXCOORD5;
  mediump vec3 viewDir_55;
  viewDir_55 = xlv_TEXCOORD1;
  mediump float atten_56;
  atten_56 = (tmpvar_48.w * tmpvar_53);
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_54);
  lightDir_54 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_55);
  viewDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normT_3);
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * tex_4.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  highp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD3;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  mediump vec4 tmpvar_69;
  tmpvar_69 = (c_57 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_69;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 617
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 621
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 625
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 629
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 633
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
#line 617
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 635
lowp vec4 frag( in v2f IN ) {
    #line 637
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 641
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 645
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 649
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_35;
  tmpvar_35 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_36;
  tmpvar_36 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_37;
  if ((tmpvar_36 < tmpvar_35)) {
    tmpvar_37 = _LightShadowData.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float atten_38;
  atten_38 = ((tmpvar_33.w * tmpvar_34.w) * tmpvar_37);
  vec4 c_39;
  vec3 tmpvar_40;
  tmpvar_40 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_41;
  tmpvar_41 = normalize(normal_18);
  float tmpvar_42;
  tmpvar_42 = dot (tmpvar_41, tmpvar_40);
  c_39.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_42) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_40 + normalize(xlv_TEXCOORD1))), tmpvar_41), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_38 * 4.0));
  c_39.w = (tmpvar_42 * (atten_38 * 4.0));
  float tmpvar_43;
  tmpvar_43 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_39 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_43)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_43)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  tmpvar_50 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_51;
  lowp vec4 tmpvar_52;
  tmpvar_52 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = dot (packDist_51, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_54;
  if ((tmpvar_53 < tmpvar_50)) {
    tmpvar_54 = _LightShadowData.x;
  } else {
    tmpvar_54 = 1.0;
  };
  mediump vec3 lightDir_55;
  lightDir_55 = xlv_TEXCOORD5;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD1;
  mediump float atten_57;
  atten_57 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_54);
  mediump vec4 c_58;
  highp float nh_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(lightDir_55);
  lightDir_55 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(viewDir_56);
  viewDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(normT_3);
  mediump float tmpvar_63;
  tmpvar_63 = dot (tmpvar_62, tmpvar_60);
  mediump float tmpvar_64;
  tmpvar_64 = clamp (dot (normalize((tmpvar_60 + tmpvar_61)), tmpvar_62), 0.0, 1.0);
  nh_59 = tmpvar_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_63) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_59, _SpecularPower) * tex_4.w))) * (atten_57 * 4.0));
  c_58.xyz = tmpvar_65;
  c_58.w = (tmpvar_63 * (atten_57 * 4.0));
  highp vec3 tmpvar_66;
  tmpvar_66 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_67;
  lightDir_67 = tmpvar_66;
  mediump vec3 normal_68;
  normal_68 = xlv_TEXCOORD3;
  mediump float tmpvar_69;
  tmpvar_69 = dot (normal_68, lightDir_67);
  mediump vec4 tmpvar_70;
  tmpvar_70 = (c_58 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_69)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_69)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_70;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 618
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 622
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 626
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 630
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 634
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 606
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 599
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
#line 618
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 636
lowp vec4 frag( in v2f IN ) {
    #line 638
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 642
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 646
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 650
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_34;
  tmpvar_34 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_35;
  vec3 tmpvar_36;
  tmpvar_36 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_35.x = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_35.y = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_35.z = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_35.w = texture2D (_ShadowMapTexture, (tmpvar_36.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_37;
  tmpvar_37 = lessThan (shadowVals_35, tmpvar_36.zzzz);
  vec4 tmpvar_38;
  tmpvar_38 = _LightShadowData.xxxx;
  float tmpvar_39;
  if (tmpvar_37.x) {
    tmpvar_39 = tmpvar_38.x;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_37.y) {
    tmpvar_40 = tmpvar_38.y;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_37.z) {
    tmpvar_41 = tmpvar_38.z;
  } else {
    tmpvar_41 = 1.0;
  };
  float tmpvar_42;
  if (tmpvar_37.w) {
    tmpvar_42 = tmpvar_38.w;
  } else {
    tmpvar_42 = 1.0;
  };
  vec4 tmpvar_43;
  tmpvar_43.x = tmpvar_39;
  tmpvar_43.y = tmpvar_40;
  tmpvar_43.z = tmpvar_41;
  tmpvar_43.w = tmpvar_42;
  float atten_44;
  atten_44 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_33.w) * tmpvar_34.w) * dot (tmpvar_43, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(normal_18);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD1))), tmpvar_47), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_44 * 4.0));
  c_45.w = (tmpvar_48 * (atten_44 * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_45 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * tex_4.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec4 shadowVals_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_55;
  P_55 = (tmpvar_54.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_56;
  tmpvar_56 = texture2D (_ShadowMapTexture, P_55).x;
  shadowVals_53.x = tmpvar_56;
  highp vec2 P_57;
  P_57 = (tmpvar_54.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_58;
  tmpvar_58 = texture2D (_ShadowMapTexture, P_57).x;
  shadowVals_53.y = tmpvar_58;
  highp vec2 P_59;
  P_59 = (tmpvar_54.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_60;
  tmpvar_60 = texture2D (_ShadowMapTexture, P_59).x;
  shadowVals_53.z = tmpvar_60;
  highp vec2 P_61;
  P_61 = (tmpvar_54.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_62;
  tmpvar_62 = texture2D (_ShadowMapTexture, P_61).x;
  shadowVals_53.w = tmpvar_62;
  bvec4 tmpvar_63;
  tmpvar_63 = lessThan (shadowVals_53, tmpvar_54.zzzz);
  highp vec4 tmpvar_64;
  tmpvar_64 = _LightShadowData.xxxx;
  highp float tmpvar_65;
  if (tmpvar_63.x) {
    tmpvar_65 = tmpvar_64.x;
  } else {
    tmpvar_65 = 1.0;
  };
  highp float tmpvar_66;
  if (tmpvar_63.y) {
    tmpvar_66 = tmpvar_64.y;
  } else {
    tmpvar_66 = 1.0;
  };
  highp float tmpvar_67;
  if (tmpvar_63.z) {
    tmpvar_67 = tmpvar_64.z;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_63.w) {
    tmpvar_68 = tmpvar_64.w;
  } else {
    tmpvar_68 = 1.0;
  };
  highp vec4 tmpvar_69;
  tmpvar_69.x = tmpvar_65;
  tmpvar_69.y = tmpvar_66;
  tmpvar_69.z = tmpvar_67;
  tmpvar_69.w = tmpvar_68;
  shadows_52 = tmpvar_69;
  mediump float tmpvar_70;
  tmpvar_70 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_70;
  mediump vec3 lightDir_71;
  lightDir_71 = xlv_TEXCOORD5;
  mediump vec3 viewDir_72;
  viewDir_72 = xlv_TEXCOORD1;
  mediump float atten_73;
  atten_73 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_74;
  highp float nh_75;
  mediump vec3 tmpvar_76;
  tmpvar_76 = normalize(lightDir_71);
  lightDir_71 = tmpvar_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(viewDir_72);
  viewDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(normT_3);
  mediump float tmpvar_79;
  tmpvar_79 = dot (tmpvar_78, tmpvar_76);
  mediump float tmpvar_80;
  tmpvar_80 = clamp (dot (normalize((tmpvar_76 + tmpvar_77)), tmpvar_78), 0.0, 1.0);
  nh_75 = tmpvar_80;
  highp vec3 tmpvar_81;
  tmpvar_81 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_79) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_75, _SpecularPower) * tex_4.w))) * (atten_73 * 4.0));
  c_74.xyz = tmpvar_81;
  c_74.w = (tmpvar_79 * (atten_73 * 4.0));
  highp vec3 tmpvar_82;
  tmpvar_82 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_82;
  mediump vec3 normal_84;
  normal_84 = xlv_TEXCOORD3;
  mediump float tmpvar_85;
  tmpvar_85 = dot (normal_84, lightDir_83);
  mediump vec4 tmpvar_86;
  tmpvar_86 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_86;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 659
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 shadows_32;
  vec3 tmpvar_33;
  tmpvar_33 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_32.x = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[0].xyz)).x;
  shadows_32.y = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[1].xyz)).x;
  shadows_32.z = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[2].xyz)).x;
  shadows_32.w = shadow2D (_ShadowMapTexture, (tmpvar_33 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_34;
  tmpvar_34 = (_LightShadowData.xxxx + (shadows_32 * (1.0 - _LightShadowData.xxxx)));
  shadows_32 = tmpvar_34;
  float atten_35;
  atten_35 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_34, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(normal_18);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color).xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD1))), tmpvar_38), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_35 * 4.0));
  c_36.w = (tmpvar_39 * (atten_35 * 4.0));
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_36 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 400 // 144 used size, 16 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  lowp vec4 tmpvar_47;
  highp vec2 P_48;
  P_48 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_47 = texture2D (_LightTexture0, P_48);
  highp float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2D (_LightTextureB0, vec2(tmpvar_49));
  lowp float tmpvar_51;
  mediump vec4 shadows_52;
  highp vec3 tmpvar_53;
  tmpvar_53 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_54;
  coord_54 = (tmpvar_53 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_55;
  tmpvar_55 = shadow2DEXT (_ShadowMapTexture, coord_54);
  shadows_52.x = tmpvar_55;
  highp vec3 coord_56;
  coord_56 = (tmpvar_53 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, coord_56);
  shadows_52.y = tmpvar_57;
  highp vec3 coord_58;
  coord_58 = (tmpvar_53 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_59;
  tmpvar_59 = shadow2DEXT (_ShadowMapTexture, coord_58);
  shadows_52.z = tmpvar_59;
  highp vec3 coord_60;
  coord_60 = (tmpvar_53 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_61;
  tmpvar_61 = shadow2DEXT (_ShadowMapTexture, coord_60);
  shadows_52.w = tmpvar_61;
  highp vec4 tmpvar_62;
  tmpvar_62 = (_LightShadowData.xxxx + (shadows_52 * (1.0 - _LightShadowData.xxxx)));
  shadows_52 = tmpvar_62;
  mediump float tmpvar_63;
  tmpvar_63 = dot (shadows_52, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_51 = tmpvar_63;
  mediump vec3 lightDir_64;
  lightDir_64 = xlv_TEXCOORD5;
  mediump vec3 viewDir_65;
  viewDir_65 = xlv_TEXCOORD1;
  mediump float atten_66;
  atten_66 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_47.w) * tmpvar_50.w) * tmpvar_51);
  mediump vec4 c_67;
  highp float nh_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(lightDir_64);
  lightDir_64 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(viewDir_65);
  viewDir_65 = tmpvar_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(normT_3);
  mediump float tmpvar_72;
  tmpvar_72 = dot (tmpvar_71, tmpvar_69);
  mediump float tmpvar_73;
  tmpvar_73 = clamp (dot (normalize((tmpvar_69 + tmpvar_70)), tmpvar_71), 0.0, 1.0);
  nh_68 = tmpvar_73;
  highp vec3 tmpvar_74;
  tmpvar_74 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_72) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_68, _SpecularPower) * tex_4.w))) * (atten_66 * 4.0));
  c_67.xyz = tmpvar_74;
  c_67.w = (tmpvar_72 * (atten_66 * 4.0));
  highp vec3 tmpvar_75;
  tmpvar_75 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_76;
  lightDir_76 = tmpvar_75;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD3;
  mediump float tmpvar_78;
  tmpvar_78 = dot (normal_77, lightDir_76);
  mediump vec4 tmpvar_79;
  tmpvar_79 = (c_67 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_79;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
#line 627
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 655
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 659
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_34;
  shadowVals_34.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_34.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_35;
  tmpvar_35 = lessThan (shadowVals_34, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_36;
  tmpvar_36 = _LightShadowData.xxxx;
  float tmpvar_37;
  if (tmpvar_35.x) {
    tmpvar_37 = tmpvar_36.x;
  } else {
    tmpvar_37 = 1.0;
  };
  float tmpvar_38;
  if (tmpvar_35.y) {
    tmpvar_38 = tmpvar_36.y;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_35.z) {
    tmpvar_39 = tmpvar_36.z;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_35.w) {
    tmpvar_40 = tmpvar_36.w;
  } else {
    tmpvar_40 = 1.0;
  };
  vec4 tmpvar_41;
  tmpvar_41.x = tmpvar_37;
  tmpvar_41.y = tmpvar_38;
  tmpvar_41.z = tmpvar_39;
  tmpvar_41.w = tmpvar_40;
  float atten_42;
  atten_42 = (tmpvar_33.w * dot (tmpvar_41, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(normal_18);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD1))), tmpvar_45), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_42 * 4.0));
  c_43.w = (tmpvar_46 * (atten_42 * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_43 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * tex_4.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTexture0, vec2(tmpvar_47));
  highp float tmpvar_49;
  mediump vec4 shadows_50;
  highp vec4 shadowVals_51;
  highp float tmpvar_52;
  tmpvar_52 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_53;
  vec_53 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_54;
  lowp vec4 tmpvar_55;
  tmpvar_55 = textureCube (_ShadowMapTexture, vec_53);
  packDist_54 = tmpvar_55;
  shadowVals_51.x = dot (packDist_54, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_56;
  vec_56 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_57;
  lowp vec4 tmpvar_58;
  tmpvar_58 = textureCube (_ShadowMapTexture, vec_56);
  packDist_57 = tmpvar_58;
  shadowVals_51.y = dot (packDist_57, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_59;
  vec_59 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_60;
  lowp vec4 tmpvar_61;
  tmpvar_61 = textureCube (_ShadowMapTexture, vec_59);
  packDist_60 = tmpvar_61;
  shadowVals_51.z = dot (packDist_60, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_62;
  vec_62 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_63;
  lowp vec4 tmpvar_64;
  tmpvar_64 = textureCube (_ShadowMapTexture, vec_62);
  packDist_63 = tmpvar_64;
  shadowVals_51.w = dot (packDist_63, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_65;
  tmpvar_65 = lessThan (shadowVals_51, vec4(tmpvar_52));
  highp vec4 tmpvar_66;
  tmpvar_66 = _LightShadowData.xxxx;
  highp float tmpvar_67;
  if (tmpvar_65.x) {
    tmpvar_67 = tmpvar_66.x;
  } else {
    tmpvar_67 = 1.0;
  };
  highp float tmpvar_68;
  if (tmpvar_65.y) {
    tmpvar_68 = tmpvar_66.y;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_65.z) {
    tmpvar_69 = tmpvar_66.z;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_65.w) {
    tmpvar_70 = tmpvar_66.w;
  } else {
    tmpvar_70 = 1.0;
  };
  highp vec4 tmpvar_71;
  tmpvar_71.x = tmpvar_67;
  tmpvar_71.y = tmpvar_68;
  tmpvar_71.z = tmpvar_69;
  tmpvar_71.w = tmpvar_70;
  shadows_50 = tmpvar_71;
  mediump float tmpvar_72;
  tmpvar_72 = dot (shadows_50, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_49 = tmpvar_72;
  mediump vec3 lightDir_73;
  lightDir_73 = xlv_TEXCOORD5;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD1;
  mediump float atten_75;
  atten_75 = (tmpvar_48.w * tmpvar_49);
  mediump vec4 c_76;
  highp float nh_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(lightDir_73);
  lightDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(viewDir_74);
  viewDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(normT_3);
  mediump float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_78);
  mediump float tmpvar_82;
  tmpvar_82 = clamp (dot (normalize((tmpvar_78 + tmpvar_79)), tmpvar_80), 0.0, 1.0);
  nh_77 = tmpvar_82;
  highp vec3 tmpvar_83;
  tmpvar_83 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_77, _SpecularPower) * tex_4.w))) * (atten_75 * 4.0));
  c_76.xyz = tmpvar_83;
  c_76.w = (tmpvar_81 * (atten_75 * 4.0));
  highp vec3 tmpvar_84;
  tmpvar_84 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_85;
  lightDir_85 = tmpvar_84;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD3;
  mediump float tmpvar_87;
  tmpvar_87 = dot (normal_86, lightDir_85);
  mediump vec4 tmpvar_88;
  tmpvar_88 = (c_76 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_87)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_87)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_88;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
#line 623
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 651
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 655
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 main_1;
  vec3 tmpvar_2;
  tmpvar_2 = normalize(xlv_TEXCOORD2);
  vec2 uv_3;
  float r_4;
  if ((abs(tmpvar_2.z) > (1e-08 * abs(tmpvar_2.x)))) {
    float y_over_x_5;
    y_over_x_5 = (tmpvar_2.x / tmpvar_2.z);
    float s_6;
    float x_7;
    x_7 = (y_over_x_5 * inversesqrt(((y_over_x_5 * y_over_x_5) + 1.0)));
    s_6 = (sign(x_7) * (1.5708 - (sqrt((1.0 - abs(x_7))) * (1.5708 + (abs(x_7) * (-0.214602 + (abs(x_7) * (0.0865667 + (abs(x_7) * -0.0310296)))))))));
    r_4 = s_6;
    if ((tmpvar_2.z < 0.0)) {
      if ((tmpvar_2.x >= 0.0)) {
        r_4 = (s_6 + 3.14159);
      } else {
        r_4 = (r_4 - 3.14159);
      };
    };
  } else {
    r_4 = (sign(tmpvar_2.x) * 1.5708);
  };
  uv_3.x = (0.5 + (0.159155 * r_4));
  uv_3.y = (0.31831 * (1.5708 - (sign(tmpvar_2.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_2.y))) * (1.5708 + (abs(tmpvar_2.y) * (-0.214602 + (abs(tmpvar_2.y) * (0.0865667 + (abs(tmpvar_2.y) * -0.0310296)))))))))));
  vec2 uvCont_8;
  uvCont_8.y = uv_3.y;
  uvCont_8.x = abs((uv_3.x - 0.5));
  vec4 tmpvar_9;
  tmpvar_9.xy = dFdx(uvCont_8);
  tmpvar_9.zw = dFdy(uvCont_8);
  main_1 = texture2DGradARB (_MainTex, uv_3, tmpvar_9.xy, tmpvar_9.zw);
  vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD2);
  vec2 uv_11;
  float r_12;
  if ((abs(tmpvar_10.z) > (1e-08 * abs(tmpvar_10.x)))) {
    float y_over_x_13;
    y_over_x_13 = (tmpvar_10.x / tmpvar_10.z);
    float s_14;
    float x_15;
    x_15 = (y_over_x_13 * inversesqrt(((y_over_x_13 * y_over_x_13) + 1.0)));
    s_14 = (sign(x_15) * (1.5708 - (sqrt((1.0 - abs(x_15))) * (1.5708 + (abs(x_15) * (-0.214602 + (abs(x_15) * (0.0865667 + (abs(x_15) * -0.0310296)))))))));
    r_12 = s_14;
    if ((tmpvar_10.z < 0.0)) {
      if ((tmpvar_10.x >= 0.0)) {
        r_12 = (s_14 + 3.14159);
      } else {
        r_12 = (r_12 - 3.14159);
      };
    };
  } else {
    r_12 = (sign(tmpvar_10.x) * 1.5708);
  };
  uv_11.x = (0.5 + (0.159155 * r_12));
  uv_11.y = (0.31831 * (1.5708 - (sign(tmpvar_10.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_10.y))) * (1.5708 + (abs(tmpvar_10.y) * (-0.214602 + (abs(tmpvar_10.y) * (0.0865667 + (abs(tmpvar_10.y) * -0.0310296)))))))))));
  vec2 uvCont_16;
  uvCont_16.y = uv_11.y;
  uvCont_16.x = abs((uv_11.x - 0.5));
  vec4 tmpvar_17;
  tmpvar_17.xy = dFdx(uvCont_16);
  tmpvar_17.zw = dFdy(uvCont_16);
  vec3 normal_18;
  normal_18.xy = ((texture2DGradARB (_BumpMap, uv_11, tmpvar_17.xy, tmpvar_17.zw).wy * 2.0) - 1.0);
  normal_18.z = sqrt((1.0 - clamp (dot (normal_18.xy, normal_18.xy), 0.0, 1.0)));
  vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  vec2 uv_20;
  vec3 tmpvar_21;
  tmpvar_21 = abs(tmpvar_19);
  float tmpvar_22;
  tmpvar_22 = float((tmpvar_21.z >= tmpvar_21.x));
  float tmpvar_23;
  tmpvar_23 = float((max (tmpvar_21.x, tmpvar_21.z) >= tmpvar_21.y));
  float tmpvar_24;
  tmpvar_24 = sign(mix (tmpvar_19.y, mix (tmpvar_19.x, tmpvar_19.z, tmpvar_22), tmpvar_23));
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = -(tmpvar_24);
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = tmpvar_24;
  vec3 tmpvar_27;
  tmpvar_27.xy = vec2(1.0, 1.0);
  tmpvar_27.z = -(tmpvar_24);
  vec3 tmpvar_28;
  tmpvar_28 = mix ((tmpvar_27 * tmpvar_19.yxz), mix ((tmpvar_25 * tmpvar_19.xzy), (tmpvar_26 * tmpvar_19.zxy), vec3(tmpvar_22)), vec3(tmpvar_23));
  uv_20.x = (((0.5 * tmpvar_28.y) / abs(tmpvar_28.x)) + 0.5);
  uv_20.y = (((0.5 * tmpvar_28.z) / abs(tmpvar_28.x)) + 0.5);
  vec2 tmpvar_29;
  tmpvar_29 = (uv_20 * _DetailScale);
  vec2 tmpvar_30;
  tmpvar_30 = abs((tmpvar_29 - (0.5 * _DetailScale)));
  vec4 tmpvar_31;
  tmpvar_31.xy = dFdx(tmpvar_30);
  tmpvar_31.zw = dFdy(tmpvar_30);
  vec4 tmpvar_32;
  tmpvar_32 = ((main_1 * mix (texture2DGradARB (_midTex, tmpvar_29, tmpvar_31.xy, tmpvar_31.zw), vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))) * _Color);
  vec4 tmpvar_33;
  tmpvar_33 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_34;
  tmpvar_34 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_35;
  shadowVals_35.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_35.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_36;
  tmpvar_36 = lessThan (shadowVals_35, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_37;
  tmpvar_37 = _LightShadowData.xxxx;
  float tmpvar_38;
  if (tmpvar_36.x) {
    tmpvar_38 = tmpvar_37.x;
  } else {
    tmpvar_38 = 1.0;
  };
  float tmpvar_39;
  if (tmpvar_36.y) {
    tmpvar_39 = tmpvar_37.y;
  } else {
    tmpvar_39 = 1.0;
  };
  float tmpvar_40;
  if (tmpvar_36.z) {
    tmpvar_40 = tmpvar_37.z;
  } else {
    tmpvar_40 = 1.0;
  };
  float tmpvar_41;
  if (tmpvar_36.w) {
    tmpvar_41 = tmpvar_37.w;
  } else {
    tmpvar_41 = 1.0;
  };
  vec4 tmpvar_42;
  tmpvar_42.x = tmpvar_38;
  tmpvar_42.y = tmpvar_39;
  tmpvar_42.z = tmpvar_40;
  tmpvar_42.w = tmpvar_41;
  float atten_43;
  atten_43 = ((tmpvar_33.w * tmpvar_34.w) * dot (tmpvar_42, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(normal_18);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((tmpvar_32.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD1))), tmpvar_46), 0.0, 1.0), _SpecularPower) * main_1.w))) * (atten_43 * 4.0));
  c_44.w = (tmpvar_47 * (atten_43 * 4.0));
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  gl_FragData[0] = (c_44 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0)), 1.0, main_1.w));
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 336 // 80 used size, 15 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec3 tmpvar_24;
  lowp vec4 packednormal_25;
  packednormal_25 = tex_14;
  tmpvar_24 = ((packednormal_25.xyz * 2.0) - 1.0);
  normT_3 = tmpvar_24;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * tex_4.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec3 normT_3;
  mediump vec4 tex_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_6;
  highp float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    highp float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    highp float s_9;
    highp float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  highp vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  highp vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  lowp vec4 tmpvar_13;
  tmpvar_13 = texture2DGradEXT (_MainTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  tex_4 = tmpvar_13;
  mediump vec4 tex_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_16;
  highp float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    highp float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    highp float s_19;
    highp float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  highp vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  highp vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  lowp vec4 tmpvar_23;
  tmpvar_23 = texture2DGradEXT (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw);
  tex_14 = tmpvar_23;
  lowp vec4 packednormal_24;
  packednormal_24 = tex_14;
  lowp vec3 normal_25;
  normal_25.xy = ((packednormal_24.wy * 2.0) - 1.0);
  normal_25.z = sqrt((1.0 - clamp (dot (normal_25.xy, normal_25.xy), 0.0, 1.0)));
  normT_3 = normal_25;
  mediump vec4 tex_26;
  highp vec3 tmpvar_27;
  tmpvar_27 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_28;
  mediump float s_29;
  mediump float nylerp_30;
  mediump float zxlerp_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_27);
  highp float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  zxlerp_31 = tmpvar_33;
  highp float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  nylerp_30 = tmpvar_34;
  highp float tmpvar_35;
  tmpvar_35 = mix (tmpvar_27.x, tmpvar_27.z, zxlerp_31);
  s_29 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = sign(mix (tmpvar_27.y, s_29, nylerp_30));
  s_29 = tmpvar_36;
  mediump vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = -(s_29);
  mediump vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = s_29;
  mediump vec3 tmpvar_39;
  tmpvar_39.xy = vec2(1.0, 1.0);
  tmpvar_39.z = -(s_29);
  highp vec3 tmpvar_40;
  tmpvar_40 = mix ((tmpvar_39 * tmpvar_27.yxz), mix ((tmpvar_37 * tmpvar_27.xzy), (tmpvar_38 * tmpvar_27.zxy), vec3(zxlerp_31)), vec3(nylerp_30));
  uv_28.x = (((0.5 * tmpvar_40.y) / abs(tmpvar_40.x)) + 0.5);
  uv_28.y = (((0.5 * tmpvar_40.z) / abs(tmpvar_40.x)) + 0.5);
  highp vec2 tmpvar_41;
  tmpvar_41 = (uv_28 * _DetailScale);
  highp vec2 tmpvar_42;
  tmpvar_42 = abs((tmpvar_41 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_43;
  tmpvar_43.xy = dFdx(tmpvar_42);
  tmpvar_43.zw = dFdy(tmpvar_42);
  lowp vec4 tmpvar_44;
  tmpvar_44 = texture2DGradEXT (_midTex, tmpvar_41, tmpvar_43.xy, tmpvar_43.zw);
  tex_26 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_45;
  mediump vec4 tmpvar_46;
  tmpvar_46 = ((tex_4 * mix (tex_26, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))) * _Color);
  highp float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2D (_LightTextureB0, vec2(tmpvar_47));
  lowp vec4 tmpvar_49;
  tmpvar_49 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_50;
  mediump vec4 shadows_51;
  highp vec4 shadowVals_52;
  highp float tmpvar_53;
  tmpvar_53 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_54;
  vec_54 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_55;
  lowp vec4 tmpvar_56;
  tmpvar_56 = textureCube (_ShadowMapTexture, vec_54);
  packDist_55 = tmpvar_56;
  shadowVals_52.x = dot (packDist_55, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_57;
  vec_57 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_58;
  lowp vec4 tmpvar_59;
  tmpvar_59 = textureCube (_ShadowMapTexture, vec_57);
  packDist_58 = tmpvar_59;
  shadowVals_52.y = dot (packDist_58, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_60;
  vec_60 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_61;
  lowp vec4 tmpvar_62;
  tmpvar_62 = textureCube (_ShadowMapTexture, vec_60);
  packDist_61 = tmpvar_62;
  shadowVals_52.z = dot (packDist_61, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_63;
  vec_63 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_64;
  lowp vec4 tmpvar_65;
  tmpvar_65 = textureCube (_ShadowMapTexture, vec_63);
  packDist_64 = tmpvar_65;
  shadowVals_52.w = dot (packDist_64, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_66;
  tmpvar_66 = lessThan (shadowVals_52, vec4(tmpvar_53));
  highp vec4 tmpvar_67;
  tmpvar_67 = _LightShadowData.xxxx;
  highp float tmpvar_68;
  if (tmpvar_66.x) {
    tmpvar_68 = tmpvar_67.x;
  } else {
    tmpvar_68 = 1.0;
  };
  highp float tmpvar_69;
  if (tmpvar_66.y) {
    tmpvar_69 = tmpvar_67.y;
  } else {
    tmpvar_69 = 1.0;
  };
  highp float tmpvar_70;
  if (tmpvar_66.z) {
    tmpvar_70 = tmpvar_67.z;
  } else {
    tmpvar_70 = 1.0;
  };
  highp float tmpvar_71;
  if (tmpvar_66.w) {
    tmpvar_71 = tmpvar_67.w;
  } else {
    tmpvar_71 = 1.0;
  };
  highp vec4 tmpvar_72;
  tmpvar_72.x = tmpvar_68;
  tmpvar_72.y = tmpvar_69;
  tmpvar_72.z = tmpvar_70;
  tmpvar_72.w = tmpvar_71;
  shadows_51 = tmpvar_72;
  mediump float tmpvar_73;
  tmpvar_73 = dot (shadows_51, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_50 = tmpvar_73;
  mediump vec3 lightDir_74;
  lightDir_74 = xlv_TEXCOORD5;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD1;
  mediump float atten_76;
  atten_76 = ((tmpvar_48.w * tmpvar_49.w) * tmpvar_50);
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normT_3);
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((tmpvar_46.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * tex_4.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  highp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD3;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  mediump vec4 tmpvar_89;
  tmpvar_89 = (c_77 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0)), 1.0, tex_4.w));
  tmpvar_1 = tmpvar_89;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
#line 624
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    color *= _Color;
    #line 652
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    #line 656
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 644
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 c_74;
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_23);
  float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  c_74.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_75 + normalize(xlv_TEXCOORD1))), tmpvar_76), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_74.w = (tmpvar_77 * 4.0);
  float tmpvar_78;
  tmpvar_78 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_79;
  tmpvar_79 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)));
  color_6.w = tmpvar_79.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_79.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_79.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 628
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 632
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 636
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 640
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 633
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 637
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 641
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 645
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 649
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 653
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 608
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 612
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 616
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 620
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 625
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 629
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 633
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 637
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 641
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 645
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 644
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_78;
  if ((tmpvar_77.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 651
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 655
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 659
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 663
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp float tmpvar_105;
  tmpvar_105 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_104 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = (_LightShadowData.x + (shadow_104 * (1.0 - _LightShadowData.x)));
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 652
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 656
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 660
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 664
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_74.x * 4.0));
  c_75.w = (tmpvar_78 * (tmpvar_74.x * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  mediump float lightShadowDataX_100;
  highp float dist_101;
  lowp float tmpvar_102;
  tmpvar_102 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_101 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = _LightShadowData.x;
  lightShadowDataX_100 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = max (float((dist_101 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_100);
  tmpvar_99 = tmpvar_104;
  mediump vec3 lightDir_105;
  lightDir_105 = xlv_TEXCOORD5;
  mediump vec3 viewDir_106;
  viewDir_106 = xlv_TEXCOORD1;
  mediump float atten_107;
  atten_107 = tmpvar_99;
  mediump vec4 c_108;
  highp float nh_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(lightDir_105);
  lightDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(viewDir_106);
  viewDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(normT_6);
  mediump float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_110);
  mediump float tmpvar_114;
  tmpvar_114 = clamp (dot (normalize((tmpvar_110 + tmpvar_111)), tmpvar_112), 0.0, 1.0);
  nh_109 = tmpvar_114;
  highp vec3 tmpvar_115;
  tmpvar_115 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_109, _SpecularPower) * _SpecularColor.w))) * (atten_107 * 4.0));
  c_108.xyz = tmpvar_115;
  c_108.w = (tmpvar_113 * (atten_107 * 4.0));
  lowp vec3 tmpvar_116;
  tmpvar_116 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_117;
  lightDir_117 = tmpvar_116;
  mediump vec3 normal_118;
  normal_118 = xlv_TEXCOORD3;
  mediump float tmpvar_119;
  tmpvar_119 = dot (normal_118, lightDir_117);
  mediump vec4 tmpvar_120;
  tmpvar_120 = (c_108 * mix (1.0, clamp (floor((1.01 + tmpvar_119)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_119)), 0.0, 1.0)));
  color_7.w = tmpvar_120.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_120.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_120.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  tmpvar_99 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 613
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 617
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 621
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 625
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 634
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 638
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 642
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 646
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 650
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_100;
  mediump float lightShadowDataX_101;
  highp float dist_102;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = _LightShadowData.x;
  lightShadowDataX_101 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = max (float((dist_102 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_101);
  tmpvar_100 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_99.w * tmpvar_100);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = (tmpvar_99.w * tmpvar_100.x);
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 632
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 644
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 648
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 652
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 656
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_76;
  tmpvar_76 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_77;
  tmpvar_77 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_78;
  if ((tmpvar_77 < tmpvar_76)) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (tmpvar_75.w * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 621
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 625
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 629
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 633
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 637
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 649
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 653
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 657
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 661
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_77;
  tmpvar_77 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_78;
  tmpvar_78 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_79;
  if ((tmpvar_78 < tmpvar_77)) {
    tmpvar_79 = _LightShadowData.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float atten_80;
  atten_80 = ((tmpvar_75.w * tmpvar_76.w) * tmpvar_79);
  vec4 c_81;
  vec3 tmpvar_82;
  tmpvar_82 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_23);
  float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  c_81.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_82 + normalize(xlv_TEXCOORD1))), tmpvar_83), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_86;
  tmpvar_86 = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  color_6.w = tmpvar_86.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_86.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_86.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 622
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 626
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 630
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 634
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 638
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 640
lowp vec4 frag( in v2f IN ) {
    #line 642
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 646
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 650
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 654
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 658
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 662
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_77;
  vec3 tmpvar_78;
  tmpvar_78 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_77.x = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_77.y = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_77.z = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_77.w = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_79;
  tmpvar_79 = lessThan (shadowVals_77, tmpvar_78.zzzz);
  vec4 tmpvar_80;
  tmpvar_80 = _LightShadowData.xxxx;
  float tmpvar_81;
  if (tmpvar_79.x) {
    tmpvar_81 = tmpvar_80.x;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_79.y) {
    tmpvar_82 = tmpvar_80.y;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_79.z) {
    tmpvar_83 = tmpvar_80.z;
  } else {
    tmpvar_83 = 1.0;
  };
  float tmpvar_84;
  if (tmpvar_79.w) {
    tmpvar_84 = tmpvar_80.w;
  } else {
    tmpvar_84 = 1.0;
  };
  vec4 tmpvar_85;
  tmpvar_85.x = tmpvar_81;
  tmpvar_85.y = tmpvar_82;
  tmpvar_85.z = tmpvar_83;
  tmpvar_85.w = tmpvar_84;
  float atten_86;
  atten_86 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * dot (tmpvar_85, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_87;
  vec3 tmpvar_88;
  tmpvar_88 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_23);
  float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_88);
  c_87.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_88 + normalize(xlv_TEXCOORD1))), tmpvar_89), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.w = (tmpvar_90 * (atten_86 * 4.0));
  float tmpvar_91;
  tmpvar_91 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_92;
  tmpvar_92 = (c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0)));
  color_6.w = tmpvar_92.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_92.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_92.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * _SpecularColor.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * _SpecularColor.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 671
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 shadows_74;
  vec3 tmpvar_75;
  tmpvar_75 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_74.x = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[0].xyz)).x;
  shadows_74.y = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[1].xyz)).x;
  shadows_74.z = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[2].xyz)).x;
  shadows_74.w = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_76;
  tmpvar_76 = (_LightShadowData.xxxx + (shadows_74 * (1.0 - _LightShadowData.xxxx)));
  shadows_74 = tmpvar_76;
  float atten_77;
  atten_77 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_76, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_78;
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_23);
  float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  c_78.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_79 + normalize(xlv_TEXCOORD1))), tmpvar_80), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_77 * 4.0));
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  float tmpvar_82;
  tmpvar_82 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_83;
  tmpvar_83 = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0)));
  color_6.w = tmpvar_83.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_83.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_83.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedimnlngiibcbmbfpmeeheoijckeebcfpaabaaaaaacaakaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcjeaiaaaaeaaaabaacfacaaaafjaaaaaeegiocaaaaaaaaaaa
ajaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaaamaaaaaafjaaaaaeegiocaaaaeaaaaaa
bfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaad
pcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaa
abaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaad
hccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaadpccabaaaafaaaaaa
gfaaaaadpccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaeaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiccaaaaeaaaaaaanaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaeaaaaaa
amaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaaeaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaa
aaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaa
abaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaa
jgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaaeaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaaabaaaaaaaeaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabcaaaaaa
kgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaaeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
ccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
acaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
jgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaa
bbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaa
abaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaaeaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaaamaaaaaaagbabaaa
abaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaaeaaaaaa
aoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
diaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaaaaaaaaaaegiccaaaaeaaaaaa
bbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaaeaaaaaabaaaaaaaagiacaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
aeaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaaeaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaa
aeaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
aeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaaeaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaaeaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaaeaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaeaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaa
egiocaaaaaaaaaaaagaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaaaaaaaaa
afaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaa
egiocaaaaaaaaaaaahaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaak
pccabaaaafaaaaaaegiocaaaaaaaaaaaaiaaaaaapgapbaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaipcaabaaaabaaaaaafgafbaaaaaaaaaaaegiocaaaadaaaaaa
ajaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaaaiaaaaaaagaabaaa
aaaaaaaaegaobaaaabaaaaaadcaaaaakpcaabaaaabaaaaaaegiocaaaadaaaaaa
akaaaaaakgakbaaaaaaaaaaaegaobaaaabaaaaaadcaaaaakpccabaaaagaaaaaa
egiocaaaadaaaaaaalaaaaaapgapbaaaaaaaaaaaegaobaaaabaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_106;
  coord_106 = (tmpvar_105 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_107;
  tmpvar_107 = shadow2DEXT (_ShadowMapTexture, coord_106);
  shadows_104.x = tmpvar_107;
  highp vec3 coord_108;
  coord_108 = (tmpvar_105 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_109;
  tmpvar_109 = shadow2DEXT (_ShadowMapTexture, coord_108);
  shadows_104.y = tmpvar_109;
  highp vec3 coord_110;
  coord_110 = (tmpvar_105 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_111;
  tmpvar_111 = shadow2DEXT (_ShadowMapTexture, coord_110);
  shadows_104.z = tmpvar_111;
  highp vec3 coord_112;
  coord_112 = (tmpvar_105 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_113;
  tmpvar_113 = shadow2DEXT (_ShadowMapTexture, coord_112);
  shadows_104.w = tmpvar_113;
  highp vec4 tmpvar_114;
  tmpvar_114 = (_LightShadowData.xxxx + (shadows_104 * (1.0 - _LightShadowData.xxxx)));
  shadows_104 = tmpvar_114;
  mediump float tmpvar_115;
  tmpvar_115 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_115;
  mediump vec3 lightDir_116;
  lightDir_116 = xlv_TEXCOORD5;
  mediump vec3 viewDir_117;
  viewDir_117 = xlv_TEXCOORD1;
  mediump float atten_118;
  atten_118 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_119;
  highp float nh_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(lightDir_116);
  lightDir_116 = tmpvar_121;
  mediump vec3 tmpvar_122;
  tmpvar_122 = normalize(viewDir_117);
  viewDir_117 = tmpvar_122;
  mediump vec3 tmpvar_123;
  tmpvar_123 = normalize(normT_6);
  mediump float tmpvar_124;
  tmpvar_124 = dot (tmpvar_123, tmpvar_121);
  mediump float tmpvar_125;
  tmpvar_125 = clamp (dot (normalize((tmpvar_121 + tmpvar_122)), tmpvar_123), 0.0, 1.0);
  nh_120 = tmpvar_125;
  highp vec3 tmpvar_126;
  tmpvar_126 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_124) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_120, _SpecularPower) * _SpecularColor.w))) * (atten_118 * 4.0));
  c_119.xyz = tmpvar_126;
  c_119.w = (tmpvar_124 * (atten_118 * 4.0));
  highp vec3 tmpvar_127;
  tmpvar_127 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_128;
  lightDir_128 = tmpvar_127;
  mediump vec3 normal_129;
  normal_129 = xlv_TEXCOORD3;
  mediump float tmpvar_130;
  tmpvar_130 = dot (normal_129, lightDir_128);
  mediump vec4 tmpvar_131;
  tmpvar_131 = (c_119 * mix (1.0, clamp (floor((1.01 + tmpvar_130)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_130)), 0.0, 1.0)));
  color_7.w = tmpvar_131.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_131.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_131.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 671
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_76;
  shadowVals_76.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_77;
  tmpvar_77 = lessThan (shadowVals_76, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_78;
  tmpvar_78 = _LightShadowData.xxxx;
  float tmpvar_79;
  if (tmpvar_77.x) {
    tmpvar_79 = tmpvar_78.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float tmpvar_80;
  if (tmpvar_77.y) {
    tmpvar_80 = tmpvar_78.y;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_77.z) {
    tmpvar_81 = tmpvar_78.z;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_77.w) {
    tmpvar_82 = tmpvar_78.w;
  } else {
    tmpvar_82 = 1.0;
  };
  vec4 tmpvar_83;
  tmpvar_83.x = tmpvar_79;
  tmpvar_83.y = tmpvar_80;
  tmpvar_83.z = tmpvar_81;
  tmpvar_83.w = tmpvar_82;
  float atten_84;
  atten_84 = (tmpvar_75.w * dot (tmpvar_83, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_85;
  vec3 tmpvar_86;
  tmpvar_86 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_23);
  float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  c_85.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_86 + normalize(xlv_TEXCOORD1))), tmpvar_87), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  float tmpvar_89;
  tmpvar_89 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_90;
  tmpvar_90 = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0)));
  color_6.w = tmpvar_90.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_90.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_90.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * _SpecularColor.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * _SpecularColor.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 655
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 659
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 663
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 667
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_77;
  shadowVals_77.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_78;
  tmpvar_78 = lessThan (shadowVals_77, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_79;
  tmpvar_79 = _LightShadowData.xxxx;
  float tmpvar_80;
  if (tmpvar_78.x) {
    tmpvar_80 = tmpvar_79.x;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_78.y) {
    tmpvar_81 = tmpvar_79.y;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_78.z) {
    tmpvar_82 = tmpvar_79.z;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_78.w) {
    tmpvar_83 = tmpvar_79.w;
  } else {
    tmpvar_83 = 1.0;
  };
  vec4 tmpvar_84;
  tmpvar_84.x = tmpvar_80;
  tmpvar_84.y = tmpvar_81;
  tmpvar_84.z = tmpvar_82;
  tmpvar_84.w = tmpvar_83;
  float atten_85;
  atten_85 = ((tmpvar_75.w * tmpvar_76.w) * dot (tmpvar_84, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_86;
  vec3 tmpvar_87;
  tmpvar_87 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_23);
  float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  c_86.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_87 + normalize(xlv_TEXCOORD1))), tmpvar_88), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  float tmpvar_90;
  tmpvar_90 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_91;
  tmpvar_91 = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0)));
  color_6.w = tmpvar_91.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_91.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_91.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * _SpecularColor.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * _SpecularColor.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 636
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 640
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 644
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 656
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 660
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 664
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 668
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 644
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 c_74;
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_23);
  float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  c_74.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_75 + normalize(xlv_TEXCOORD1))), tmpvar_76), 0.0, 1.0), _SpecularPower) * main_5.w))) * 4.0);
  c_74.w = (tmpvar_77 * 4.0);
  float tmpvar_78;
  tmpvar_78 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_79;
  tmpvar_79 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_79.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_79.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_79.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * tex_8.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * tex_8.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 628
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 632
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 636
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 640
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * tex_8.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * tex_8.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 633
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 637
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 641
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 645
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 649
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 653
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * tex_8.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * tex_8.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 608
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 612
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 616
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 620
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 625
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 629
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 633
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 637
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 641
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 645
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 644
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_78;
  if ((tmpvar_77.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 651
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 655
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 659
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 663
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp float tmpvar_105;
  tmpvar_105 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_104 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = (_LightShadowData.x + (shadow_104 * (1.0 - _LightShadowData.x)));
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 652
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 656
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 660
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 664
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (tmpvar_74.x * 4.0));
  c_75.w = (tmpvar_78 * (tmpvar_74.x * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  mediump float lightShadowDataX_100;
  highp float dist_101;
  lowp float tmpvar_102;
  tmpvar_102 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_101 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = _LightShadowData.x;
  lightShadowDataX_100 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = max (float((dist_101 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_100);
  tmpvar_99 = tmpvar_104;
  mediump vec3 lightDir_105;
  lightDir_105 = xlv_TEXCOORD5;
  mediump vec3 viewDir_106;
  viewDir_106 = xlv_TEXCOORD1;
  mediump float atten_107;
  atten_107 = tmpvar_99;
  mediump vec4 c_108;
  highp float nh_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(lightDir_105);
  lightDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(viewDir_106);
  viewDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(normT_6);
  mediump float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_110);
  mediump float tmpvar_114;
  tmpvar_114 = clamp (dot (normalize((tmpvar_110 + tmpvar_111)), tmpvar_112), 0.0, 1.0);
  nh_109 = tmpvar_114;
  highp vec3 tmpvar_115;
  tmpvar_115 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_109, _SpecularPower) * tex_8.w))) * (atten_107 * 4.0));
  c_108.xyz = tmpvar_115;
  c_108.w = (tmpvar_113 * (atten_107 * 4.0));
  lowp vec3 tmpvar_116;
  tmpvar_116 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_117;
  lightDir_117 = tmpvar_116;
  mediump vec3 normal_118;
  normal_118 = xlv_TEXCOORD3;
  mediump float tmpvar_119;
  tmpvar_119 = dot (normal_118, lightDir_117);
  mediump vec4 tmpvar_120;
  tmpvar_120 = (c_108 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_119)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_119)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_120.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_120.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_120.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  tmpvar_99 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 613
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 617
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 621
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 625
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 634
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 638
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 642
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 646
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 650
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_100;
  mediump float lightShadowDataX_101;
  highp float dist_102;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = _LightShadowData.x;
  lightShadowDataX_101 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = max (float((dist_102 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_101);
  tmpvar_100 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_99.w * tmpvar_100);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = (tmpvar_99.w * tmpvar_100.x);
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 632
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 644
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 648
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 652
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 656
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_76;
  tmpvar_76 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_77;
  tmpvar_77 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_78;
  if ((tmpvar_77 < tmpvar_76)) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (tmpvar_75.w * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefieceddockaodmikplkpajocmcbmbmhpcakegbabaaaaaajmajaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcbaaiaaaaeaaaabaaaeacaaaafjaaaaaeegiocaaaaaaaaaaa
afaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
acaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagiaaaaac
adaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaa
aaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaaj
hcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaadaaaaaabbaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaabaaaaaa
aeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaa
bcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaa
abaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaadcaaaaalhcaabaaa
abaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaa
aaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaa
acaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaaj
hcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
aaaaaaajhccabaaaagaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
abaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafbccabaaaabaaaaaadkaabaaaaaaaaaaabbaaaaahicaabaaaaaaaaaaa
egbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaa
dgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaa
abaaaaaafgbfbaaaabaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
adaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaa
fgifcaaaacaaaaaaaaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaa
abaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaia
ebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaa
baaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
adaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaa
kgakbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaafaaaaaaegiccaaa
aaaaaaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 621
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 625
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 629
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 633
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 637
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 649
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 653
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 657
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 661
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_77;
  tmpvar_77 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_78;
  tmpvar_78 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_79;
  if ((tmpvar_78 < tmpvar_77)) {
    tmpvar_79 = _LightShadowData.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float atten_80;
  atten_80 = ((tmpvar_75.w * tmpvar_76.w) * tmpvar_79);
  vec4 c_81;
  vec3 tmpvar_82;
  tmpvar_82 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_23);
  float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  c_81.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_82 + normalize(xlv_TEXCOORD1))), tmpvar_83), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_80 * 4.0));
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_86;
  tmpvar_86 = (c_81 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_86.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_86.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_86.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 622
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 626
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 630
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 634
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 638
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 640
lowp vec4 frag( in v2f IN ) {
    #line 642
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 646
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 650
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 654
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 658
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 662
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_77;
  vec3 tmpvar_78;
  tmpvar_78 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_77.x = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_77.y = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_77.z = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_77.w = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_79;
  tmpvar_79 = lessThan (shadowVals_77, tmpvar_78.zzzz);
  vec4 tmpvar_80;
  tmpvar_80 = _LightShadowData.xxxx;
  float tmpvar_81;
  if (tmpvar_79.x) {
    tmpvar_81 = tmpvar_80.x;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_79.y) {
    tmpvar_82 = tmpvar_80.y;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_79.z) {
    tmpvar_83 = tmpvar_80.z;
  } else {
    tmpvar_83 = 1.0;
  };
  float tmpvar_84;
  if (tmpvar_79.w) {
    tmpvar_84 = tmpvar_80.w;
  } else {
    tmpvar_84 = 1.0;
  };
  vec4 tmpvar_85;
  tmpvar_85.x = tmpvar_81;
  tmpvar_85.y = tmpvar_82;
  tmpvar_85.z = tmpvar_83;
  tmpvar_85.w = tmpvar_84;
  float atten_86;
  atten_86 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * dot (tmpvar_85, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_87;
  vec3 tmpvar_88;
  tmpvar_88 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_23);
  float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_88);
  c_87.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_88 + normalize(xlv_TEXCOORD1))), tmpvar_89), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_86 * 4.0));
  c_87.w = (tmpvar_90 * (atten_86 * 4.0));
  float tmpvar_91;
  tmpvar_91 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_92;
  tmpvar_92 = (c_87 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_92.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_92.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_92.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * tex_8.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * tex_8.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 671
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 shadows_74;
  vec3 tmpvar_75;
  tmpvar_75 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_74.x = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[0].xyz)).x;
  shadows_74.y = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[1].xyz)).x;
  shadows_74.z = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[2].xyz)).x;
  shadows_74.w = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_76;
  tmpvar_76 = (_LightShadowData.xxxx + (shadows_74 * (1.0 - _LightShadowData.xxxx)));
  shadows_74 = tmpvar_76;
  float atten_77;
  atten_77 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_76, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_78;
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_23);
  float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  c_78.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_79 + normalize(xlv_TEXCOORD1))), tmpvar_80), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_77 * 4.0));
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  float tmpvar_82;
  tmpvar_82 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_83;
  tmpvar_83 = (c_78 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_83.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_83.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_83.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_106;
  coord_106 = (tmpvar_105 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_107;
  tmpvar_107 = shadow2DEXT (_ShadowMapTexture, coord_106);
  shadows_104.x = tmpvar_107;
  highp vec3 coord_108;
  coord_108 = (tmpvar_105 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_109;
  tmpvar_109 = shadow2DEXT (_ShadowMapTexture, coord_108);
  shadows_104.y = tmpvar_109;
  highp vec3 coord_110;
  coord_110 = (tmpvar_105 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_111;
  tmpvar_111 = shadow2DEXT (_ShadowMapTexture, coord_110);
  shadows_104.z = tmpvar_111;
  highp vec3 coord_112;
  coord_112 = (tmpvar_105 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_113;
  tmpvar_113 = shadow2DEXT (_ShadowMapTexture, coord_112);
  shadows_104.w = tmpvar_113;
  highp vec4 tmpvar_114;
  tmpvar_114 = (_LightShadowData.xxxx + (shadows_104 * (1.0 - _LightShadowData.xxxx)));
  shadows_104 = tmpvar_114;
  mediump float tmpvar_115;
  tmpvar_115 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_115;
  mediump vec3 lightDir_116;
  lightDir_116 = xlv_TEXCOORD5;
  mediump vec3 viewDir_117;
  viewDir_117 = xlv_TEXCOORD1;
  mediump float atten_118;
  atten_118 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_119;
  highp float nh_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(lightDir_116);
  lightDir_116 = tmpvar_121;
  mediump vec3 tmpvar_122;
  tmpvar_122 = normalize(viewDir_117);
  viewDir_117 = tmpvar_122;
  mediump vec3 tmpvar_123;
  tmpvar_123 = normalize(normT_6);
  mediump float tmpvar_124;
  tmpvar_124 = dot (tmpvar_123, tmpvar_121);
  mediump float tmpvar_125;
  tmpvar_125 = clamp (dot (normalize((tmpvar_121 + tmpvar_122)), tmpvar_123), 0.0, 1.0);
  nh_120 = tmpvar_125;
  highp vec3 tmpvar_126;
  tmpvar_126 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_124) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_120, _SpecularPower) * tex_8.w))) * (atten_118 * 4.0));
  c_119.xyz = tmpvar_126;
  c_119.w = (tmpvar_124 * (atten_118 * 4.0));
  highp vec3 tmpvar_127;
  tmpvar_127 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_128;
  lightDir_128 = tmpvar_127;
  mediump vec3 normal_129;
  normal_129 = xlv_TEXCOORD3;
  mediump float tmpvar_130;
  tmpvar_130 = dot (normal_129, lightDir_128);
  mediump vec4 tmpvar_131;
  tmpvar_131 = (c_119 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_130)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_130)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_131.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_131.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_131.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 671
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_76;
  shadowVals_76.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_77;
  tmpvar_77 = lessThan (shadowVals_76, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_78;
  tmpvar_78 = _LightShadowData.xxxx;
  float tmpvar_79;
  if (tmpvar_77.x) {
    tmpvar_79 = tmpvar_78.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float tmpvar_80;
  if (tmpvar_77.y) {
    tmpvar_80 = tmpvar_78.y;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_77.z) {
    tmpvar_81 = tmpvar_78.z;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_77.w) {
    tmpvar_82 = tmpvar_78.w;
  } else {
    tmpvar_82 = 1.0;
  };
  vec4 tmpvar_83;
  tmpvar_83.x = tmpvar_79;
  tmpvar_83.y = tmpvar_80;
  tmpvar_83.z = tmpvar_81;
  tmpvar_83.w = tmpvar_82;
  float atten_84;
  atten_84 = (tmpvar_75.w * dot (tmpvar_83, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_85;
  vec3 tmpvar_86;
  tmpvar_86 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_23);
  float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  c_85.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_86 + normalize(xlv_TEXCOORD1))), tmpvar_87), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_84 * 4.0));
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  float tmpvar_89;
  tmpvar_89 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_90;
  tmpvar_90 = (c_85 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_90.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_90.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_90.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefieceddockaodmikplkpajocmcbmbmhpcakegbabaaaaaajmajaaaaadaaaaaa
cmaaaaaajmaaaaaaieabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
oaaaaaaaaiaaaaaaaiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaaneaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaaneaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaaneaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaaneaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaa
adaaaaaaagaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefcbaaiaaaaeaaaabaaaeacaaaafjaaaaaeegiocaaaaaaaaaaa
afaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
acaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagfaaaaadhccabaaaafaaaaaagfaaaaadhccabaaaagaaaaaagiaaaaac
adaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaah
hcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaa
aaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaa
diaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaaj
hcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaaadaaaaaabbaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaabaaaaaa
aeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaa
bcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaa
abaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaadcaaaaalhcaabaaa
abaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaa
aaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaa
acaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaa
anaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaaj
hcaabaaaacaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaa
aaaaaaajhccabaaaagaaaaaaegacbaaaabaaaaaaegiccaiaebaaaaaaacaaaaaa
abaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
elaaaaafbccabaaaabaaaaaadkaabaaaaaaaaaaabbaaaaahicaabaaaaaaaaaaa
egbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaa
dgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaa
abaaaaaafgbfbaaaabaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaa
adaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaa
fgifcaaaacaaaaaaaaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaa
abaaaaaaegiccaaaadaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaa
acaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabdaaaaaapgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaia
ebaaaaaaaaaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaa
baaaaaahecaabaaaaaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaa
egacbaaaaaaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaa
adaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaa
agbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaa
dcaaaaakhcaabaaaabaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaa
kgakbaaaaaaaaaaaegacbaaaabaaaaaadcaaaaakhccabaaaafaaaaaaegiccaaa
aaaaaaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * tex_8.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * tex_8.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 655
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 659
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 663
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 667
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_77;
  shadowVals_77.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_78;
  tmpvar_78 = lessThan (shadowVals_77, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_79;
  tmpvar_79 = _LightShadowData.xxxx;
  float tmpvar_80;
  if (tmpvar_78.x) {
    tmpvar_80 = tmpvar_79.x;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_78.y) {
    tmpvar_81 = tmpvar_79.y;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_78.z) {
    tmpvar_82 = tmpvar_79.z;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_78.w) {
    tmpvar_83 = tmpvar_79.w;
  } else {
    tmpvar_83 = 1.0;
  };
  vec4 tmpvar_84;
  tmpvar_84.x = tmpvar_80;
  tmpvar_84.y = tmpvar_81;
  tmpvar_84.z = tmpvar_82;
  tmpvar_84.w = tmpvar_83;
  float atten_85;
  atten_85 = ((tmpvar_75.w * tmpvar_76.w) * dot (tmpvar_84, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_86;
  vec3 tmpvar_87;
  tmpvar_87 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_23);
  float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  c_86.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_87 + normalize(xlv_TEXCOORD1))), tmpvar_88), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_85 * 4.0));
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  float tmpvar_90;
  tmpvar_90 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_91;
  tmpvar_91 = (c_86 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_91.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_91.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_91.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * tex_8.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * tex_8.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 636
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 640
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 644
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 656
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 660
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 664
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 668
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 644
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 c_74;
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_23);
  float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  c_74.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_75 + normalize(xlv_TEXCOORD1))), tmpvar_76), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_74.w = (tmpvar_77 * 4.0);
  float tmpvar_78;
  tmpvar_78 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_79;
  tmpvar_79 = (c_74 * mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)));
  color_6.w = tmpvar_79.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_79.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_79.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 628
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 632
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 636
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 640
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * _SpecularColor.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 633
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 637
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 641
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 645
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 649
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 653
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * _SpecularColor.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 608
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 612
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 616
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 620
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 625
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 629
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 633
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 637
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 641
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 645
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 644
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_78;
  if ((tmpvar_77.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 651
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 655
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 659
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 663
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp float tmpvar_105;
  tmpvar_105 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_104 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = (_LightShadowData.x + (shadow_104 * (1.0 - _LightShadowData.x)));
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 652
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 656
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 660
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 664
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_74.x * 4.0));
  c_75.w = (tmpvar_78 * (tmpvar_74.x * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedjoipjhdcemfehifdfpdbpimkoipnppjeabaaaaaaheaiaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaapaaaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcaaahaaaaeaaaabaamaabaaaafjaaaaae
egiocaaaaaaaaaaaagaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaae
egiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadhcbabaaa
abaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaagfaaaaadhccabaaa
acaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
pccabaaaafaaaaaagiaaaaacaeaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
acaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaabaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaabaaaaaahbcaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaafbccabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaacgbjbaaaabaaaaaajgbebaaa
acaaaaaadcaaaaakhcaabaaaabaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgbpbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaaaaaaaaaaaeaaaaaa
egiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
baaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaa
acaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaaaeaaaaaaegacbaaa
acaaaaaaaaaaaaaihcaabaaaacaaaaaaegacbaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaadcaaaaalhcaabaaaacaaaaaaegacbaaaacaaaaaapgipcaaaacaaaaaa
beaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaadaaaaaaegacbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaaadaaaaaaegbcbaaaacaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaadaaaaaaegbcbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaajgahbaaaadaaaaaajgahbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahoccabaaaabaaaaaa
pgapbaaaabaaaaaafgaobaaaadaaaaaabbaaaaahicaabaaaabaaaaaaegbobaaa
aaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaaaaaaaadgaaaaag
hccabaaaacaaaaaaegacbaiaebaaaaaaacaaaaaadiaaaaaihcaabaaaacaaaaaa
fgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaakhcaabaaaacaaaaaa
egiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaacaaaaaadcaaaaak
hcaabaaaacaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaacaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaaadaaaaaa
pgapbaaaabaaaaaaegacbaaaacaaaaaadiaaaaajhcaabaaaacaaaaaafgifcaaa
abaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaacaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaa
dcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaabaaaaaa
aaaaaaaaegacbaaaacaaaaaadcaaaaalhcaabaaaacaaaaaaegiccaaaacaaaaaa
bdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahccaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaacaaaaaaegacbaaaacaaaaaabaaaaaahecaabaaaabaaaaaaegbcbaaa
abaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hccabaaaaeaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaadiaaaaaiccaabaaa
aaaaaaaabkaabaaaaaaaaaaaakiacaaaaaaaaaaaafaaaaaadiaaaaakncaabaaa
abaaaaaaagahbaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaaaaaaaaaadpaaaaaadp
dgaaaaafmccabaaaafaaaaaakgaobaaaaaaaaaaaaaaaaaahdccabaaaafaaaaaa
kgakbaaaabaaaaaamgaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  mediump float lightShadowDataX_100;
  highp float dist_101;
  lowp float tmpvar_102;
  tmpvar_102 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_101 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = _LightShadowData.x;
  lightShadowDataX_100 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = max (float((dist_101 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_100);
  tmpvar_99 = tmpvar_104;
  mediump vec3 lightDir_105;
  lightDir_105 = xlv_TEXCOORD5;
  mediump vec3 viewDir_106;
  viewDir_106 = xlv_TEXCOORD1;
  mediump float atten_107;
  atten_107 = tmpvar_99;
  mediump vec4 c_108;
  highp float nh_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(lightDir_105);
  lightDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(viewDir_106);
  viewDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(normT_6);
  mediump float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_110);
  mediump float tmpvar_114;
  tmpvar_114 = clamp (dot (normalize((tmpvar_110 + tmpvar_111)), tmpvar_112), 0.0, 1.0);
  nh_109 = tmpvar_114;
  highp vec3 tmpvar_115;
  tmpvar_115 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_109, _SpecularPower) * _SpecularColor.w))) * (atten_107 * 4.0));
  c_108.xyz = tmpvar_115;
  c_108.w = (tmpvar_113 * (atten_107 * 4.0));
  lowp vec3 tmpvar_116;
  tmpvar_116 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_117;
  lightDir_117 = tmpvar_116;
  mediump vec3 normal_118;
  normal_118 = xlv_TEXCOORD3;
  mediump float tmpvar_119;
  tmpvar_119 = dot (normal_118, lightDir_117);
  mediump vec4 tmpvar_120;
  tmpvar_120 = (c_108 * mix (1.0, clamp (floor((1.01 + tmpvar_119)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_119)), 0.0, 1.0)));
  color_7.w = tmpvar_120.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_120.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_120.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  tmpvar_99 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * _SpecularColor.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 613
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 617
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 621
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 625
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 634
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 638
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 642
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 646
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    #line 650
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_100;
  mediump float lightShadowDataX_101;
  highp float dist_102;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = _LightShadowData.x;
  lightShadowDataX_101 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = max (float((dist_102 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_101);
  tmpvar_100 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_99.w * tmpvar_100);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = (tmpvar_99.w * tmpvar_100.x);
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * _SpecularColor.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 632
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 644
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 648
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 652
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 656
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_76;
  tmpvar_76 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_77;
  tmpvar_77 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_78;
  if ((tmpvar_77 < tmpvar_76)) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (tmpvar_75.w * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * _SpecularColor.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 621
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 625
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 629
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 633
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 637
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 649
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 653
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 657
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 661
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_77;
  tmpvar_77 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_78;
  tmpvar_78 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_79;
  if ((tmpvar_78 < tmpvar_77)) {
    tmpvar_79 = _LightShadowData.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float atten_80;
  atten_80 = ((tmpvar_75.w * tmpvar_76.w) * tmpvar_79);
  vec4 c_81;
  vec3 tmpvar_82;
  tmpvar_82 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_23);
  float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  c_81.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_82 + normalize(xlv_TEXCOORD1))), tmpvar_83), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_86;
  tmpvar_86 = (c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)));
  color_6.w = tmpvar_86.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_86.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_86.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * _SpecularColor.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 622
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 626
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 630
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 634
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 638
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 640
lowp vec4 frag( in v2f IN ) {
    #line 642
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 646
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 650
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 654
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 658
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 662
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_77;
  vec3 tmpvar_78;
  tmpvar_78 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_77.x = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_77.y = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_77.z = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_77.w = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_79;
  tmpvar_79 = lessThan (shadowVals_77, tmpvar_78.zzzz);
  vec4 tmpvar_80;
  tmpvar_80 = _LightShadowData.xxxx;
  float tmpvar_81;
  if (tmpvar_79.x) {
    tmpvar_81 = tmpvar_80.x;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_79.y) {
    tmpvar_82 = tmpvar_80.y;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_79.z) {
    tmpvar_83 = tmpvar_80.z;
  } else {
    tmpvar_83 = 1.0;
  };
  float tmpvar_84;
  if (tmpvar_79.w) {
    tmpvar_84 = tmpvar_80.w;
  } else {
    tmpvar_84 = 1.0;
  };
  vec4 tmpvar_85;
  tmpvar_85.x = tmpvar_81;
  tmpvar_85.y = tmpvar_82;
  tmpvar_85.z = tmpvar_83;
  tmpvar_85.w = tmpvar_84;
  float atten_86;
  atten_86 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * dot (tmpvar_85, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_87;
  vec3 tmpvar_88;
  tmpvar_88 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_23);
  float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_88);
  c_87.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_88 + normalize(xlv_TEXCOORD1))), tmpvar_89), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.w = (tmpvar_90 * (atten_86 * 4.0));
  float tmpvar_91;
  tmpvar_91 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_92;
  tmpvar_92 = (c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0)));
  color_6.w = tmpvar_92.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_92.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_92.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * _SpecularColor.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * _SpecularColor.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 671
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 shadows_74;
  vec3 tmpvar_75;
  tmpvar_75 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_74.x = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[0].xyz)).x;
  shadows_74.y = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[1].xyz)).x;
  shadows_74.z = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[2].xyz)).x;
  shadows_74.w = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_76;
  tmpvar_76 = (_LightShadowData.xxxx + (shadows_74 * (1.0 - _LightShadowData.xxxx)));
  shadows_74 = tmpvar_76;
  float atten_77;
  atten_77 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_76, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_78;
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_23);
  float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  c_78.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_79 + normalize(xlv_TEXCOORD1))), tmpvar_80), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_77 * 4.0));
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  float tmpvar_82;
  tmpvar_82 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_83;
  tmpvar_83 = (c_78 * mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0)));
  color_6.w = tmpvar_83.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_83.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_83.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_106;
  coord_106 = (tmpvar_105 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_107;
  tmpvar_107 = shadow2DEXT (_ShadowMapTexture, coord_106);
  shadows_104.x = tmpvar_107;
  highp vec3 coord_108;
  coord_108 = (tmpvar_105 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_109;
  tmpvar_109 = shadow2DEXT (_ShadowMapTexture, coord_108);
  shadows_104.y = tmpvar_109;
  highp vec3 coord_110;
  coord_110 = (tmpvar_105 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_111;
  tmpvar_111 = shadow2DEXT (_ShadowMapTexture, coord_110);
  shadows_104.z = tmpvar_111;
  highp vec3 coord_112;
  coord_112 = (tmpvar_105 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_113;
  tmpvar_113 = shadow2DEXT (_ShadowMapTexture, coord_112);
  shadows_104.w = tmpvar_113;
  highp vec4 tmpvar_114;
  tmpvar_114 = (_LightShadowData.xxxx + (shadows_104 * (1.0 - _LightShadowData.xxxx)));
  shadows_104 = tmpvar_114;
  mediump float tmpvar_115;
  tmpvar_115 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_115;
  mediump vec3 lightDir_116;
  lightDir_116 = xlv_TEXCOORD5;
  mediump vec3 viewDir_117;
  viewDir_117 = xlv_TEXCOORD1;
  mediump float atten_118;
  atten_118 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_119;
  highp float nh_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(lightDir_116);
  lightDir_116 = tmpvar_121;
  mediump vec3 tmpvar_122;
  tmpvar_122 = normalize(viewDir_117);
  viewDir_117 = tmpvar_122;
  mediump vec3 tmpvar_123;
  tmpvar_123 = normalize(normT_6);
  mediump float tmpvar_124;
  tmpvar_124 = dot (tmpvar_123, tmpvar_121);
  mediump float tmpvar_125;
  tmpvar_125 = clamp (dot (normalize((tmpvar_121 + tmpvar_122)), tmpvar_123), 0.0, 1.0);
  nh_120 = tmpvar_125;
  highp vec3 tmpvar_126;
  tmpvar_126 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_124) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_120, _SpecularPower) * _SpecularColor.w))) * (atten_118 * 4.0));
  c_119.xyz = tmpvar_126;
  c_119.w = (tmpvar_124 * (atten_118 * 4.0));
  highp vec3 tmpvar_127;
  tmpvar_127 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_128;
  lightDir_128 = tmpvar_127;
  mediump vec3 normal_129;
  normal_129 = xlv_TEXCOORD3;
  mediump float tmpvar_130;
  tmpvar_130 = dot (normal_129, lightDir_128);
  mediump vec4 tmpvar_131;
  tmpvar_131 = (c_119 * mix (1.0, clamp (floor((1.01 + tmpvar_130)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_130)), 0.0, 1.0)));
  color_7.w = tmpvar_131.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_131.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_131.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 671
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_76;
  shadowVals_76.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_77;
  tmpvar_77 = lessThan (shadowVals_76, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_78;
  tmpvar_78 = _LightShadowData.xxxx;
  float tmpvar_79;
  if (tmpvar_77.x) {
    tmpvar_79 = tmpvar_78.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float tmpvar_80;
  if (tmpvar_77.y) {
    tmpvar_80 = tmpvar_78.y;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_77.z) {
    tmpvar_81 = tmpvar_78.z;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_77.w) {
    tmpvar_82 = tmpvar_78.w;
  } else {
    tmpvar_82 = 1.0;
  };
  vec4 tmpvar_83;
  tmpvar_83.x = tmpvar_79;
  tmpvar_83.y = tmpvar_80;
  tmpvar_83.z = tmpvar_81;
  tmpvar_83.w = tmpvar_82;
  float atten_84;
  atten_84 = (tmpvar_75.w * dot (tmpvar_83, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_85;
  vec3 tmpvar_86;
  tmpvar_86 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_23);
  float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  c_85.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_86 + normalize(xlv_TEXCOORD1))), tmpvar_87), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  float tmpvar_89;
  tmpvar_89 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_90;
  tmpvar_90 = (c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0)));
  color_6.w = tmpvar_90.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_90.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_90.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * _SpecularColor.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * _SpecularColor.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 655
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 659
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 663
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 667
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_77;
  shadowVals_77.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_78;
  tmpvar_78 = lessThan (shadowVals_77, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_79;
  tmpvar_79 = _LightShadowData.xxxx;
  float tmpvar_80;
  if (tmpvar_78.x) {
    tmpvar_80 = tmpvar_79.x;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_78.y) {
    tmpvar_81 = tmpvar_79.y;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_78.z) {
    tmpvar_82 = tmpvar_79.z;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_78.w) {
    tmpvar_83 = tmpvar_79.w;
  } else {
    tmpvar_83 = 1.0;
  };
  vec4 tmpvar_84;
  tmpvar_84.x = tmpvar_80;
  tmpvar_84.y = tmpvar_81;
  tmpvar_84.z = tmpvar_82;
  tmpvar_84.w = tmpvar_83;
  float atten_85;
  atten_85 = ((tmpvar_75.w * tmpvar_76.w) * dot (tmpvar_84, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_86;
  vec3 tmpvar_87;
  tmpvar_87 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_23);
  float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  c_86.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_87 + normalize(xlv_TEXCOORD1))), tmpvar_88), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (atten_85 * 4.0));
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  float tmpvar_90;
  tmpvar_90 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_91;
  tmpvar_91 = (c_86 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0)));
  color_6.w = tmpvar_91.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_91.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_91.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * _SpecularColor.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * _SpecularColor.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 636
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 640
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 644
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 656
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 660
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 664
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    #line 668
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedbmcponbgljbjfgiicmgmdhaikkdjkccjabaaaaaafeajaaaaadaaaaaa
cmaaaaaajmaaaaaagmabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
miaaaaaaahaaaaaaaiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaalmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaalmaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaalmaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaalmaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaa
feeffiedepepfceeaaklklklfdeieefcoaahaaaaeaaaabaapiabaaaafjaaaaae
egiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaae
egiocaaaacaaaaaaabaaaaaafjaaaaaeegiocaaaadaaaaaabfaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaad
occabaaaabaaaaaagfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaa
gfaaaaadhccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaagiaaaaacadaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaa
adaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaa
aaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaaaaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaa
egacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaapaaaaaa
pgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaafbccabaaaabaaaaaaakaabaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaaabaaaaaajgbebaaaacaaaaaa
dcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaacgbjbaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgbpbaaa
acaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaabaaaaaaaeaaaaaaegiccaaa
adaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabaaaaaaa
agiacaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaadaaaaaabcaaaaaakgikcaaaabaaaaaaaeaaaaaaegacbaaaabaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
dcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaa
egbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaaacaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaaegbcbaaaacaaaaaaegacbaaa
abaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaajgahbaaaacaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahoccabaaaabaaaaaapgapbaaa
aaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaaaaaaaaaaegbobaaaaaaaaaaa
egbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaaaaaaaaaadgaaaaaghccabaaa
acaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaaihcaabaaaabaaaaaafgbfbaaa
abaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaa
adaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaaabaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhccabaaaadaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaaacaaaaaa
aaaaaaaaegiccaaaadaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaa
adaaaaaabaaaaaaaagiacaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaadaaaaaabcaaaaaakgikcaaaacaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaadaaaaaabdaaaaaa
pgipcaaaacaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egacbaaaabaaaaaapgipcaaaadaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
diaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaadaaaaaaanaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaaoaaaaaa
kgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadiaaaaaihcaabaaa
abaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaacaaaaaadcaaaaakhcaabaaa
abaaaaaaegiccaaaaaaaaaaaabaaaaaaagaabaaaaaaaaaaaegacbaaaabaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaadaaaaaakgakbaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaakhccabaaaafaaaaaaegiccaaaaaaaaaaaaeaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = tmpvar_100.w;
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  highp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * 1.0));
    #line 644
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 c_74;
  vec3 tmpvar_75;
  tmpvar_75 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_76;
  tmpvar_76 = normalize(normal_23);
  float tmpvar_77;
  tmpvar_77 = dot (tmpvar_76, tmpvar_75);
  c_74.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_77) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_75 + normalize(xlv_TEXCOORD1))), tmpvar_76), 0.0, 1.0), _SpecularPower) * main_5.w))) * 4.0);
  c_74.w = (tmpvar_77 * 4.0);
  float tmpvar_78;
  tmpvar_78 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_79;
  tmpvar_79 = (c_74 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_78)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_78)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_79.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_79.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_79.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 14 [unity_Scale]
"vs_3_0
; 52 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
def c15, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c15.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c14.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c13, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c13, r1
dp4 r3.y, c13, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c15.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 46 instructions, 3 temp regs, 0 temp arrays:
// ALU 45 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedpihbfaoibicnpamgcdhpnalmmgealihaabaaaaaameahaaaaadaaaaaa
cmaaaaaajmaaaaaafeabaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahahaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apapaaaafaepfdejfeejepeoaaeoepfcenebemaafeebeoehefeofeaaepfdeheo
laaaaaaaagaaaaaaaiaaaaaajiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaa
apaaaaaakeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaabaoaaaakeaaaaaa
abaaaaaaaaaaaaaaadaaaaaaabaaaaaaaoabaaaakeaaaaaaacaaaaaaaaaaaaaa
adaaaaaaacaaaaaaahaiaaaakeaaaaaaadaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaakeaaaaaaafaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefcgiagaaaaeaaaabaa
jkabaaaafjaaaaaeegiocaaaaaaaaaaaafaaaaaafjaaaaaeegiocaaaabaaaaaa
abaaaaaafjaaaaaeegiocaaaacaaaaaabfaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadhcbabaaaabaaaaaafpaaaaadpcbabaaaacaaaaaaghaaaaaepccabaaa
aaaaaaaaabaaaaaagfaaaaadbccabaaaabaaaaaagfaaaaadoccabaaaabaaaaaa
gfaaaaadhccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagfaaaaadhccabaaa
aeaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaa
egiocaaaacaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaacaaaaaa
aaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaacaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pccabaaaaaaaaaaaegiocaaaacaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaacaaaaaa
anaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaacaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaacaaaaaaapaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaaeaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaaaaaaaaaelaaaaaf
bccabaaaabaaaaaaakaabaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaacgbjbaaa
abaaaaaajgbebaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaajgbebaaaabaaaaaa
cgbjbaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgbpbaaaacaaaaaadiaaaaajhcaabaaaabaaaaaafgifcaaa
aaaaaaaaaeaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabaaaaaaaagiacaaaaaaaaaaaaeaaaaaaegacbaaaabaaaaaa
dcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaakgikcaaaaaaaaaaa
aeaaaaaaegacbaaaabaaaaaaaaaaaaaihcaabaaaabaaaaaaegacbaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaadcaaaaalhcaabaaaabaaaaaaegacbaaaabaaaaaa
pgipcaaaacaaaaaabeaaaaaaegbcbaiaebaaaaaaaaaaaaaabaaaaaahecaabaaa
acaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahccaabaaaacaaaaaa
egbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgahbaaaacaaaaaa
jgahbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
occabaaaabaaaaaapgapbaaaaaaaaaaafgaobaaaacaaaaaabbaaaaahicaabaaa
aaaaaaaaegbobaaaaaaaaaaaegbobaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegbcbaaa
aaaaaaaadgaaaaaghccabaaaacaaaaaaegacbaiaebaaaaaaabaaaaaadiaaaaai
hcaabaaaabaaaaaafgbfbaaaabaaaaaaegiccaaaacaaaaaaanaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaacaaaaaaamaaaaaaagbabaaaabaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaacaaaaaaaoaaaaaakgbkbaaa
abaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaajhcaabaaa
abaaaaaafgifcaaaabaaaaaaaaaaaaaaegiccaaaacaaaaaabbaaaaaadcaaaaal
hcaabaaaabaaaaaaegiccaaaacaaaaaabaaaaaaaagiacaaaabaaaaaaaaaaaaaa
egacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaaegiccaaaacaaaaaabcaaaaaa
kgikcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaadcaaaaalhcaabaaaabaaaaaa
egiccaaaacaaaaaabdaaaaaapgipcaaaabaaaaaaaaaaaaaaegacbaaaabaaaaaa
baaaaaahccaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegacbaaaabaaaaaabaaaaaahecaabaaa
aaaaaaaaegbcbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaa
aaaaaaaadiaaaaahhccabaaaaeaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * tex_8.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  mediump vec3 lightDir_99;
  lightDir_99 = xlv_TEXCOORD5;
  mediump vec3 viewDir_100;
  viewDir_100 = xlv_TEXCOORD1;
  mediump vec4 c_101;
  highp float nh_102;
  mediump vec3 tmpvar_103;
  tmpvar_103 = normalize(lightDir_99);
  lightDir_99 = tmpvar_103;
  mediump vec3 tmpvar_104;
  tmpvar_104 = normalize(viewDir_100);
  viewDir_100 = tmpvar_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(normT_6);
  mediump float tmpvar_106;
  tmpvar_106 = dot (tmpvar_105, tmpvar_103);
  mediump float tmpvar_107;
  tmpvar_107 = clamp (dot (normalize((tmpvar_103 + tmpvar_104)), tmpvar_105), 0.0, 1.0);
  nh_102 = tmpvar_107;
  highp vec3 tmpvar_108;
  tmpvar_108 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_106) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_102, _SpecularPower) * tex_8.w))) * 4.0);
  c_101.xyz = tmpvar_108;
  c_101.w = (tmpvar_106 * 4.0);
  lowp vec3 tmpvar_109;
  tmpvar_109 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_110;
  lightDir_110 = tmpvar_109;
  mediump vec3 normal_111;
  normal_111 = xlv_TEXCOORD3;
  mediump float tmpvar_112;
  tmpvar_112 = dot (normal_111, lightDir_110);
  mediump vec4 tmpvar_113;
  tmpvar_113 = (c_101 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_112)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_112)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_113.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_113.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_113.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 604
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 608
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 612
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 616
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 594
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
};
#line 587
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 433
#line 516
#line 525
#line 533
#line 549
#line 570
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 574
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 578
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 582
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 586
uniform sampler2D _CityLightOverlayDetailTex;
#line 604
#line 620
#line 419
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 421
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 437
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 441
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 445
    return uv;
}
#line 525
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 529
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 425
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 429
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 456
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 458
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 462
    return tex;
}
#line 549
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 553
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 557
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 561
    return c;
}
#line 563
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 565
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 620
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 624
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 628
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 632
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 636
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, 1.0);
    #line 640
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = ((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.w, r0, c15
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * tex_8.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  mediump vec3 lightDir_103;
  lightDir_103 = xlv_TEXCOORD5;
  mediump vec3 viewDir_104;
  viewDir_104 = xlv_TEXCOORD1;
  mediump float atten_105;
  atten_105 = ((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w);
  mediump vec4 c_106;
  highp float nh_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(lightDir_103);
  lightDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(viewDir_104);
  viewDir_104 = tmpvar_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(normT_6);
  mediump float tmpvar_111;
  tmpvar_111 = dot (tmpvar_110, tmpvar_108);
  mediump float tmpvar_112;
  tmpvar_112 = clamp (dot (normalize((tmpvar_108 + tmpvar_109)), tmpvar_110), 0.0, 1.0);
  nh_107 = tmpvar_112;
  highp vec3 tmpvar_113;
  tmpvar_113 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_111) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_107, _SpecularPower) * tex_8.w))) * (atten_105 * 4.0));
  c_106.xyz = tmpvar_113;
  c_106.w = (tmpvar_111 * (atten_105 * 4.0));
  highp vec3 tmpvar_114;
  tmpvar_114 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_115;
  lightDir_115 = tmpvar_114;
  mediump vec3 normal_116;
  normal_116 = xlv_TEXCOORD3;
  mediump float tmpvar_117;
  tmpvar_117 = dot (normal_116, lightDir_115);
  mediump vec4 tmpvar_118;
  tmpvar_118 = (c_106 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_117)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_117)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_118.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_118.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_118.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 326
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 605
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
};
#line 598
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 336
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 349
#line 357
#line 371
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 404
#line 420
#line 424
#line 436
#line 444
#line 527
#line 536
#line 544
#line 560
#line 581
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 585
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 589
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 593
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 597
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 633
#line 430
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 432
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 444
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 448
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 452
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 456
    return uv;
}
#line 536
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 540
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 424
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 428
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 440
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 467
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 469
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 473
    return tex;
}
#line 560
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 564
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 568
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 572
    return c;
}
#line 574
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 576
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 322
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 324
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 318
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 320
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 633
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 637
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 641
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 645
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 649
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * 1.0));
    #line 653
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6))).w * textureCube (_LightTexture0, xlv_TEXCOORD6).w);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c18.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c19.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 55 instructions, 3 temp regs, 0 temp arrays:
// ALU 54 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * tex_8.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_102;
  lightDir_102 = xlv_TEXCOORD5;
  mediump vec3 viewDir_103;
  viewDir_103 = xlv_TEXCOORD1;
  mediump float atten_104;
  atten_104 = (tmpvar_100.w * tmpvar_101.w);
  mediump vec4 c_105;
  highp float nh_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(lightDir_102);
  lightDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(viewDir_103);
  viewDir_103 = tmpvar_108;
  mediump vec3 tmpvar_109;
  tmpvar_109 = normalize(normT_6);
  mediump float tmpvar_110;
  tmpvar_110 = dot (tmpvar_109, tmpvar_107);
  mediump float tmpvar_111;
  tmpvar_111 = clamp (dot (normalize((tmpvar_107 + tmpvar_108)), tmpvar_109), 0.0, 1.0);
  nh_106 = tmpvar_111;
  highp vec3 tmpvar_112;
  tmpvar_112 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_110) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_106, _SpecularPower) * tex_8.w))) * (atten_104 * 4.0));
  c_105.xyz = tmpvar_112;
  c_105.w = (tmpvar_110 * (atten_104 * 4.0));
  highp vec3 tmpvar_113;
  tmpvar_113 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_114;
  lightDir_114 = tmpvar_113;
  mediump vec3 normal_115;
  normal_115 = xlv_TEXCOORD3;
  mediump float tmpvar_116;
  tmpvar_116 = dot (normal_115, lightDir_114);
  mediump vec4 tmpvar_117;
  tmpvar_117 = (c_105 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_116)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_116)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_117.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_117.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_117.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 608
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 612
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 616
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 620
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 318
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 597
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
};
#line 590
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 328
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 341
#line 349
#line 363
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 396
#line 412
#line 416
#line 428
#line 436
#line 519
#line 528
#line 536
#line 552
#line 573
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 577
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 581
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 585
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 589
uniform sampler2D _CityLightOverlayDetailTex;
#line 608
#line 625
#line 422
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 424
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 436
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 440
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 444
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 448
    return uv;
}
#line 528
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 532
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 416
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 420
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 428
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 432
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 459
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 461
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 465
    return tex;
}
#line 552
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 556
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 560
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 564
    return c;
}
#line 566
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 568
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 625
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 629
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 633
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 637
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 641
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * 1.0));
    #line 645
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = texture2D (_LightTexture0, xlv_TEXCOORD6).w;
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 18 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 55 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c19, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r2.xyz, r0, v2.w
mov r0.w, c19.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c18.w, -v0
dp3 r1.y, r0, r2
dp3 r1.x, r0, v2
dp3 r1.z, v1, r0
dp3 r0.x, r1, r1
rsq r1.w, r0.x
mov r0, c10
dp4 r3.z, c17, r0
mov r0, c9
mul o2.xyz, r1.w, r1
mov r1, c8
dp4 r3.x, c17, r1
dp4 r3.y, c17, r0
dp3 r0.y, r2, r3
mov r1.xyz, v1
mov r1.w, c19.y
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.w, r0.w
mul o4.xyz, r0.w, r2
dp3 r0.x, v2, r3
dp3 r0.z, v1, r3
dp3 r2.w, r0, r0
rsq r1.x, r2.w
mul o5.xyz, r1.x, r0
dp4 r0.w, v0, c7
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
add r0.xyz, -r0, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 54 instructions, 3 temp regs, 0 temp arrays:
// ALU 53 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99.w;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 607
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 611
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 615
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 619
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 317
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 596
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
};
#line 589
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 327
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 340
#line 348
#line 362
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 395
#line 411
#line 415
#line 427
#line 435
#line 518
#line 527
#line 535
#line 551
#line 572
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 576
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 580
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 584
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 588
uniform sampler2D _CityLightOverlayDetailTex;
#line 607
#line 624
#line 421
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 423
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 439
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 443
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 447
    return uv;
}
#line 527
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 531
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 415
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 419
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 427
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 431
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 458
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 460
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 464
    return tex;
}
#line 551
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 555
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 559
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 563
    return c;
}
#line 565
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 567
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 624
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 628
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 632
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 636
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 640
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * 1.0));
    #line 644
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  float tmpvar_78;
  if ((tmpvar_77.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp vec4 tmpvar_105;
  tmpvar_105 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  highp float tmpvar_106;
  if ((tmpvar_105.x < (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 623
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 627
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 631
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 635
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 639
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 332
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 611
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 604
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 323
uniform sampler2D _LightTextureB0;
#line 328
#line 342
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 355
#line 363
#line 377
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 410
#line 426
#line 430
#line 442
#line 450
#line 533
#line 542
#line 550
#line 566
#line 587
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 591
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 595
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 599
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 603
uniform sampler2D _CityLightOverlayDetailTex;
#line 623
#line 436
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 438
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 454
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 458
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 462
    return uv;
}
#line 542
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 546
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 430
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 434
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 442
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 446
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 473
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 475
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 479
    return tex;
}
#line 566
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 570
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 574
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 578
    return c;
}
#line 580
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 582
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 328
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 324
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = (( (textureProj( _ShadowMapTexture, shadowCoord).x < (shadowCoord.z / shadowCoord.w)) ) ? ( _LightShadowData.x ) : ( 1.0 ));
    #line 319
    return shadow;
}
#line 641
lowp vec4 frag( in v2f IN ) {
    #line 643
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 647
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 651
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 655
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 659
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 663
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * (_LightShadowData.x + (shadow2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x * (1.0 - _LightShadowData.x))));
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump float shadow_104;
  lowp float tmpvar_105;
  tmpvar_105 = shadow2DProjEXT (_ShadowMapTexture, xlv_TEXCOORD7);
  shadow_104 = tmpvar_105;
  highp float tmpvar_106;
  tmpvar_106 = (_LightShadowData.x + (shadow_104 * (1.0 - _LightShadowData.x)));
  shadow_104 = tmpvar_106;
  tmpvar_103 = shadow_104;
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 624
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 628
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 632
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 636
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 640
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2Dproj(mediump sampler2DShadow s, vec4 coord) { return textureProj (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 333
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 612
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 605
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 323
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 343
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 356
#line 364
#line 378
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 411
#line 427
#line 431
#line 443
#line 451
#line 534
#line 543
#line 551
#line 567
#line 588
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 592
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 596
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 600
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 604
uniform sampler2D _CityLightOverlayDetailTex;
#line 624
#line 437
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 439
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 451
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 455
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 459
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 463
    return uv;
}
#line 543
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 547
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 431
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 435
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 447
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 474
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 476
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 480
    return tex;
}
#line 567
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 571
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 575
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 579
    return c;
}
#line 581
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 583
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 329
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    #line 331
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 325
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    #line 327
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 316
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    mediump float shadow = xll_shadow2Dproj( _ShadowMapTexture, shadowCoord);
    #line 319
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 642
lowp vec4 frag( in v2f IN ) {
    #line 644
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 648
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 652
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 656
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 660
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 664
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (tmpvar_74.x * 4.0));
  c_75.w = (tmpvar_78 * (tmpvar_74.x * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 12 [_WorldSpaceCameraPos]
Vector 13 [_ProjectionParams]
Vector 14 [_ScreenParams]
Vector 15 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 16 [unity_Scale]
"vs_3_0
; 57 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
def c17, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c17.x
mov r0.xyz, c12
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c16.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c15, r1
mov r0, c10
dp4 r4.z, c15, r0
mov r0, c9
dp4 r4.y, c15, r0
mul o2.xyz, r2.w, r2
mov r1.xyz, v1
mov r1.w, c17.y
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c17.z
mov o0, r0
mov o6.zw, r0
mul r1.y, r1, c13.x
mad o6.xy, r1.z, c14.zwzw, r1
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
add r0.xyz, -r0, c12
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "UnityPerCamera" 0
BindCB "UnityLighting" 1
BindCB "UnityPerDraw" 2
// 51 instructions, 4 temp regs, 0 temp arrays:
// ALU 48 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  mediump float lightShadowDataX_100;
  highp float dist_101;
  lowp float tmpvar_102;
  tmpvar_102 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  dist_101 = tmpvar_102;
  highp float tmpvar_103;
  tmpvar_103 = _LightShadowData.x;
  lightShadowDataX_100 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = max (float((dist_101 > (xlv_TEXCOORD6.z / xlv_TEXCOORD6.w))), lightShadowDataX_100);
  tmpvar_99 = tmpvar_104;
  mediump vec3 lightDir_105;
  lightDir_105 = xlv_TEXCOORD5;
  mediump vec3 viewDir_106;
  viewDir_106 = xlv_TEXCOORD1;
  mediump float atten_107;
  atten_107 = tmpvar_99;
  mediump vec4 c_108;
  highp float nh_109;
  mediump vec3 tmpvar_110;
  tmpvar_110 = normalize(lightDir_105);
  lightDir_105 = tmpvar_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(viewDir_106);
  viewDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(normT_6);
  mediump float tmpvar_113;
  tmpvar_113 = dot (tmpvar_112, tmpvar_110);
  mediump float tmpvar_114;
  tmpvar_114 = clamp (dot (normalize((tmpvar_110 + tmpvar_111)), tmpvar_112), 0.0, 1.0);
  nh_109 = tmpvar_114;
  highp vec3 tmpvar_115;
  tmpvar_115 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_113) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_109, _SpecularPower) * tex_8.w))) * (atten_107 * 4.0));
  c_108.xyz = tmpvar_115;
  c_108.w = (tmpvar_113 * (atten_107 * 4.0));
  lowp vec3 tmpvar_116;
  tmpvar_116 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_117;
  lightDir_117 = tmpvar_116;
  mediump vec3 normal_118;
  normal_118 = xlv_TEXCOORD3;
  mediump float tmpvar_119;
  tmpvar_119 = dot (normal_118, lightDir_117);
  mediump vec4 tmpvar_120;
  tmpvar_120 = (c_108 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_119)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_119)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_120.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_120.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_120.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp float tmpvar_99;
  tmpvar_99 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD6).x;
  mediump vec3 lightDir_100;
  lightDir_100 = xlv_TEXCOORD5;
  mediump vec3 viewDir_101;
  viewDir_101 = xlv_TEXCOORD1;
  mediump float atten_102;
  atten_102 = tmpvar_99;
  mediump vec4 c_103;
  highp float nh_104;
  mediump vec3 tmpvar_105;
  tmpvar_105 = normalize(lightDir_100);
  lightDir_100 = tmpvar_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(viewDir_101);
  viewDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(normT_6);
  mediump float tmpvar_108;
  tmpvar_108 = dot (tmpvar_107, tmpvar_105);
  mediump float tmpvar_109;
  tmpvar_109 = clamp (dot (normalize((tmpvar_105 + tmpvar_106)), tmpvar_107), 0.0, 1.0);
  nh_104 = tmpvar_109;
  highp vec3 tmpvar_110;
  tmpvar_110 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_108) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_104, _SpecularPower) * tex_8.w))) * (atten_102 * 4.0));
  c_103.xyz = tmpvar_110;
  c_103.w = (tmpvar_108 * (atten_102 * 4.0));
  lowp vec3 tmpvar_111;
  tmpvar_111 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_112;
  lightDir_112 = tmpvar_111;
  mediump vec3 normal_113;
  normal_113 = xlv_TEXCOORD3;
  mediump float tmpvar_114;
  tmpvar_114 = dot (normal_113, lightDir_112);
  mediump vec4 tmpvar_115;
  tmpvar_115 = (c_103 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_114)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_114)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_115.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_115.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_115.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 613
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 617
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 621
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 625
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 602
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _ShadowCoord;
};
#line 595
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 441
#line 524
#line 533
#line 541
#line 557
#line 578
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 582
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 586
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 590
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 594
uniform sampler2D _CityLightOverlayDetailTex;
#line 613
#line 630
#line 427
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 429
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 445
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 449
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 453
    return uv;
}
#line 533
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 537
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 433
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 437
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 464
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 466
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 470
    return tex;
}
#line 557
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 561
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 565
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 569
    return c;
}
#line 571
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 573
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 630
lowp vec4 frag( in v2f IN ) {
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    #line 634
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    #line 638
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    #line 642
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    #line 646
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 650
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD6);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 p_2;
  p_2 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_3;
  tmpvar_3.w = 0.0;
  tmpvar_3.xyz = gl_Normal;
  vec3 tmpvar_4;
  vec3 tmpvar_5;
  tmpvar_4 = TANGENT.xyz;
  tmpvar_5 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_6;
  tmpvar_6[0].x = tmpvar_4.x;
  tmpvar_6[0].y = tmpvar_5.x;
  tmpvar_6[0].z = gl_Normal.x;
  tmpvar_6[1].x = tmpvar_4.y;
  tmpvar_6[1].y = tmpvar_5.y;
  tmpvar_6[1].z = gl_Normal.y;
  tmpvar_6[2].x = tmpvar_4.z;
  tmpvar_6[2].y = tmpvar_5.z;
  tmpvar_6[2].z = gl_Normal.z;
  vec4 tmpvar_7;
  tmpvar_7.w = 1.0;
  tmpvar_7.xyz = _WorldSpaceCameraPos;
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_1 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_1.zw;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = sqrt(dot (p_2, p_2));
  xlv_TEXCOORD1 = normalize((tmpvar_6 * (((_World2Object * tmpvar_7).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_3).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_6 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xy;
  xlv_TEXCOORD7 = o_8;
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec2 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  float atten_74;
  atten_74 = (texture2D (_LightTexture0, xlv_TEXCOORD6).w * texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x);
  vec4 c_75;
  vec3 tmpvar_76;
  tmpvar_76 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_77;
  tmpvar_77 = normalize(normal_23);
  float tmpvar_78;
  tmpvar_78 = dot (tmpvar_77, tmpvar_76);
  c_75.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_78) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_76 + normalize(xlv_TEXCOORD1))), tmpvar_77), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_74 * 4.0));
  c_75.w = (tmpvar_78 * (atten_74 * 4.0));
  float tmpvar_79;
  tmpvar_79 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_80;
  tmpvar_80 = (c_75 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_79)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_79)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_80.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_80.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_80.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_ProjectionParams]
Vector 18 [_ScreenParams]
Vector 19 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 20 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 60 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c21, 1.00000000, 0.00000000, 0.50000000, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c21.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c20.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
dp4 r4.x, c19, r1
mov r0, c10
dp4 r4.z, c19, r0
mov r0, c9
dp4 r4.y, c19, r0
mul o2.xyz, r2.w, r2
mov r1.w, c21.y
mov r1.xyz, v1
dp4 r2.z, r1, c6
dp4 r2.x, r1, c4
dp4 r2.y, r1, c5
dp3 r0.y, r3, r4
dp3 r0.x, v2, r4
dp3 r0.z, v1, r4
dp3 r0.w, r0, r0
rsq r2.w, r0.w
mul o5.xyz, r2.w, r0
dp3 r0.w, r2, r2
rsq r0.z, r0.w
mul o4.xyz, r0.z, r2
dp4 r0.w, v0, c3
dp4 r0.z, v0, c2
dp4 r0.x, v0, c0
dp4 r0.y, v0, c1
mul r1.xyz, r0.xyww, c21.z
mul r1.y, r1, c17.x
mad o7.xy, r1.z, c18.zwzw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
dp4 r1.w, v0, c7
mov o0, r0
mov o7.zw, r0
add r0.xyz, -r1, c16
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.x, r0.x
dp4 o6.y, r1, c13
dp4 o6.x, r1, c12
rsq r0.y, r0.w
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 59 instructions, 4 temp regs, 0 temp arrays:
// ALU 56 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp float tmpvar_100;
  mediump float lightShadowDataX_101;
  highp float dist_102;
  lowp float tmpvar_103;
  tmpvar_103 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7).x;
  dist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = _LightShadowData.x;
  lightShadowDataX_101 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = max (float((dist_102 > (xlv_TEXCOORD7.z / xlv_TEXCOORD7.w))), lightShadowDataX_101);
  tmpvar_100 = tmpvar_105;
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_99.w * tmpvar_100);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  lowp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec4 tmpvar_3;
  tmpvar_3 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 p_4;
  p_4 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_5;
  tmpvar_5.w = 0.0;
  tmpvar_5.xyz = tmpvar_1;
  highp vec3 tmpvar_6;
  highp vec3 tmpvar_7;
  tmpvar_6 = tmpvar_2.xyz;
  tmpvar_7 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_8;
  tmpvar_8[0].x = tmpvar_6.x;
  tmpvar_8[0].y = tmpvar_7.x;
  tmpvar_8[0].z = tmpvar_1.x;
  tmpvar_8[1].x = tmpvar_6.y;
  tmpvar_8[1].y = tmpvar_7.y;
  tmpvar_8[1].z = tmpvar_1.y;
  tmpvar_8[2].x = tmpvar_6.z;
  tmpvar_8[2].y = tmpvar_7.z;
  tmpvar_8[2].z = tmpvar_1.z;
  highp vec4 tmpvar_9;
  tmpvar_9.w = 1.0;
  tmpvar_9.xyz = _WorldSpaceCameraPos;
  highp vec4 o_10;
  highp vec4 tmpvar_11;
  tmpvar_11 = (tmpvar_3 * 0.5);
  highp vec2 tmpvar_12;
  tmpvar_12.x = tmpvar_11.x;
  tmpvar_12.y = (tmpvar_11.y * _ProjectionParams.x);
  o_10.xy = (tmpvar_12 + tmpvar_11.w);
  o_10.zw = tmpvar_3.zw;
  gl_Position = tmpvar_3;
  xlv_TEXCOORD0 = sqrt(dot (p_4, p_4));
  xlv_TEXCOORD1 = normalize((tmpvar_8 * (((_World2Object * tmpvar_9).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_5).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_8 * (_World2Object * _WorldSpaceLightPos0).xyz));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xy;
  xlv_TEXCOORD7 = o_10;
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec2 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  tmpvar_99 = texture2D (_LightTexture0, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD7);
  mediump vec3 lightDir_101;
  lightDir_101 = xlv_TEXCOORD5;
  mediump vec3 viewDir_102;
  viewDir_102 = xlv_TEXCOORD1;
  mediump float atten_103;
  atten_103 = (tmpvar_99.w * tmpvar_100.x);
  mediump vec4 c_104;
  highp float nh_105;
  mediump vec3 tmpvar_106;
  tmpvar_106 = normalize(lightDir_101);
  lightDir_101 = tmpvar_106;
  mediump vec3 tmpvar_107;
  tmpvar_107 = normalize(viewDir_102);
  viewDir_102 = tmpvar_107;
  mediump vec3 tmpvar_108;
  tmpvar_108 = normalize(normT_6);
  mediump float tmpvar_109;
  tmpvar_109 = dot (tmpvar_108, tmpvar_106);
  mediump float tmpvar_110;
  tmpvar_110 = clamp (dot (normalize((tmpvar_106 + tmpvar_107)), tmpvar_108), 0.0, 1.0);
  nh_105 = tmpvar_110;
  highp vec3 tmpvar_111;
  tmpvar_111 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_109) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_105, _SpecularPower) * tex_8.w))) * (atten_103 * 4.0));
  c_104.xyz = tmpvar_111;
  c_104.w = (tmpvar_109 * (atten_103 * 4.0));
  lowp vec3 tmpvar_112;
  tmpvar_112 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_113;
  lightDir_113 = tmpvar_112;
  mediump vec3 normal_114;
  normal_114 = xlv_TEXCOORD3;
  mediump float tmpvar_115;
  tmpvar_115 = dot (normal_114, lightDir_113);
  mediump vec4 tmpvar_116;
  tmpvar_116 = (c_104 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_115)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_115)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_116.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_116.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_116.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return objSpaceLightPos.xyz;
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 616
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 620
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 624
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 628
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xy;
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 632
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec2 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec2(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 325
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 604
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec2 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 597
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 323
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 335
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 348
#line 356
#line 370
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 403
#line 419
#line 423
#line 435
#line 443
#line 526
#line 535
#line 543
#line 559
#line 580
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 584
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 588
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 592
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 596
uniform sampler2D _CityLightOverlayDetailTex;
#line 616
#line 429
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 431
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 443
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 447
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 451
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 455
    return uv;
}
#line 535
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 539
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 423
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 427
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 435
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 439
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 466
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 468
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 472
    return tex;
}
#line 559
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 563
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 567
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 571
    return c;
}
#line 573
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 575
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 634
lowp vec4 frag( in v2f IN ) {
    #line 636
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 640
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 644
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 648
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 652
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, IN._LightCoord).w * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 656
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec2 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec2(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  float tmpvar_76;
  tmpvar_76 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_77;
  tmpvar_77 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_78;
  if ((tmpvar_77 < tmpvar_76)) {
    tmpvar_78 = _LightShadowData.x;
  } else {
    tmpvar_78 = 1.0;
  };
  float atten_79;
  atten_79 = (tmpvar_75.w * tmpvar_78);
  vec4 c_80;
  vec3 tmpvar_81;
  tmpvar_81 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_82;
  tmpvar_82 = normalize(normal_23);
  float tmpvar_83;
  tmpvar_83 = dot (tmpvar_82, tmpvar_81);
  c_80.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_83) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_81 + normalize(xlv_TEXCOORD1))), tmpvar_82), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_79 * 4.0));
  c_80.w = (tmpvar_83 * (atten_79 * 4.0));
  float tmpvar_84;
  tmpvar_84 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_85;
  tmpvar_85 = (c_80 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_84)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_84)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_85.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_85.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_85.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  tmpvar_101 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_102;
  lowp vec4 tmpvar_103;
  tmpvar_103 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_102 = tmpvar_103;
  highp float tmpvar_104;
  tmpvar_104 = dot (packDist_102, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_105;
  if ((tmpvar_104 < tmpvar_101)) {
    tmpvar_105 = _LightShadowData.x;
  } else {
    tmpvar_105 = 1.0;
  };
  mediump vec3 lightDir_106;
  lightDir_106 = xlv_TEXCOORD5;
  mediump vec3 viewDir_107;
  viewDir_107 = xlv_TEXCOORD1;
  mediump float atten_108;
  atten_108 = (tmpvar_100.w * tmpvar_105);
  mediump vec4 c_109;
  highp float nh_110;
  mediump vec3 tmpvar_111;
  tmpvar_111 = normalize(lightDir_106);
  lightDir_106 = tmpvar_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(viewDir_107);
  viewDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(normT_6);
  mediump float tmpvar_114;
  tmpvar_114 = dot (tmpvar_113, tmpvar_111);
  mediump float tmpvar_115;
  tmpvar_115 = clamp (dot (normalize((tmpvar_111 + tmpvar_112)), tmpvar_113), 0.0, 1.0);
  nh_110 = tmpvar_115;
  highp vec3 tmpvar_116;
  tmpvar_116 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_114) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_110, _SpecularPower) * tex_8.w))) * (atten_108 * 4.0));
  c_109.xyz = tmpvar_116;
  c_109.w = (tmpvar_114 * (atten_108 * 4.0));
  highp vec3 tmpvar_117;
  tmpvar_117 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_118;
  lightDir_118 = tmpvar_117;
  mediump vec3 normal_119;
  normal_119 = xlv_TEXCOORD3;
  mediump float tmpvar_120;
  tmpvar_120 = dot (normal_119, lightDir_118);
  mediump vec4 tmpvar_121;
  tmpvar_121 = (c_109 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_120)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_120)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_121.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_121.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_121.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 621
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 625
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 629
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 633
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 637
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 330
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 609
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 602
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 340
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 353
#line 361
#line 375
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 408
#line 424
#line 428
#line 440
#line 448
#line 531
#line 540
#line 548
#line 564
#line 585
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 589
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 593
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 597
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 601
uniform sampler2D _CityLightOverlayDetailTex;
#line 621
#line 434
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 436
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 448
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 452
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 456
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 460
    return uv;
}
#line 540
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 544
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 428
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 432
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 440
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 444
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 471
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 473
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 477
    return tex;
}
#line 564
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 568
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 572
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 576
    return c;
}
#line 578
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 580
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 639
lowp vec4 frag( in v2f IN ) {
    #line 641
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 645
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 649
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 653
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 657
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 661
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  float tmpvar_77;
  tmpvar_77 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  float tmpvar_78;
  tmpvar_78 = dot (textureCube (_ShadowMapTexture, xlv_TEXCOORD7), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  float tmpvar_79;
  if ((tmpvar_78 < tmpvar_77)) {
    tmpvar_79 = _LightShadowData.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float atten_80;
  atten_80 = ((tmpvar_75.w * tmpvar_76.w) * tmpvar_79);
  vec4 c_81;
  vec3 tmpvar_82;
  tmpvar_82 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_23);
  float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_82);
  c_81.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_82 + normalize(xlv_TEXCOORD1))), tmpvar_83), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_80 * 4.0));
  c_81.w = (tmpvar_84 * (atten_80 * 4.0));
  float tmpvar_85;
  tmpvar_85 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_86;
  tmpvar_86 = (c_81 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_85)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_85)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_86.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_86.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_86.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  tmpvar_102 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec4 packDist_103;
  lowp vec4 tmpvar_104;
  tmpvar_104 = textureCube (_ShadowMapTexture, xlv_TEXCOORD7);
  packDist_103 = tmpvar_104;
  highp float tmpvar_105;
  tmpvar_105 = dot (packDist_103, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp float tmpvar_106;
  if ((tmpvar_105 < tmpvar_102)) {
    tmpvar_106 = _LightShadowData.x;
  } else {
    tmpvar_106 = 1.0;
  };
  mediump vec3 lightDir_107;
  lightDir_107 = xlv_TEXCOORD5;
  mediump vec3 viewDir_108;
  viewDir_108 = xlv_TEXCOORD1;
  mediump float atten_109;
  atten_109 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_106);
  mediump vec4 c_110;
  highp float nh_111;
  mediump vec3 tmpvar_112;
  tmpvar_112 = normalize(lightDir_107);
  lightDir_107 = tmpvar_112;
  mediump vec3 tmpvar_113;
  tmpvar_113 = normalize(viewDir_108);
  viewDir_108 = tmpvar_113;
  mediump vec3 tmpvar_114;
  tmpvar_114 = normalize(normT_6);
  mediump float tmpvar_115;
  tmpvar_115 = dot (tmpvar_114, tmpvar_112);
  mediump float tmpvar_116;
  tmpvar_116 = clamp (dot (normalize((tmpvar_112 + tmpvar_113)), tmpvar_114), 0.0, 1.0);
  nh_111 = tmpvar_116;
  highp vec3 tmpvar_117;
  tmpvar_117 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_115) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_111, _SpecularPower) * tex_8.w))) * (atten_109 * 4.0));
  c_110.xyz = tmpvar_117;
  c_110.w = (tmpvar_115 * (atten_109 * 4.0));
  highp vec3 tmpvar_118;
  tmpvar_118 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_119;
  lightDir_119 = tmpvar_118;
  mediump vec3 normal_120;
  normal_120 = xlv_TEXCOORD3;
  mediump float tmpvar_121;
  tmpvar_121 = dot (normal_120, lightDir_119);
  mediump vec4 tmpvar_122;
  tmpvar_122 = (c_110 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_121)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_121)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_122.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_122.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_122.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 622
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 626
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 630
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 634
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 638
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 331
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 610
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 603
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
#line 328
uniform samplerCube _LightTexture0;
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 341
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 354
#line 362
#line 376
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 409
#line 425
#line 429
#line 441
#line 449
#line 532
#line 541
#line 549
#line 565
#line 586
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 590
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 594
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 598
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 602
uniform sampler2D _CityLightOverlayDetailTex;
#line 622
#line 435
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 437
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 449
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 453
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 457
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 461
    return uv;
}
#line 541
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 545
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 429
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 433
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 441
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 445
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 472
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 474
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 478
    return tex;
}
#line 565
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 569
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 573
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 577
    return c;
}
#line 579
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 581
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float dist = SampleCubeDistance( vec);
    return (( (dist < mydist) ) ? ( _LightShadowData.x ) : ( 1.0 ));
}
#line 640
lowp vec4 frag( in v2f IN ) {
    #line 642
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 646
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 650
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 654
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 658
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 662
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5));
  vec4 tmpvar_76;
  tmpvar_76 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz)));
  vec4 shadowVals_77;
  vec3 tmpvar_78;
  tmpvar_78 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadowVals_77.x = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[0].xy)).x;
  shadowVals_77.y = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[1].xy)).x;
  shadowVals_77.z = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[2].xy)).x;
  shadowVals_77.w = texture2D (_ShadowMapTexture, (tmpvar_78.xy + _ShadowOffsets[3].xy)).x;
  bvec4 tmpvar_79;
  tmpvar_79 = lessThan (shadowVals_77, tmpvar_78.zzzz);
  vec4 tmpvar_80;
  tmpvar_80 = _LightShadowData.xxxx;
  float tmpvar_81;
  if (tmpvar_79.x) {
    tmpvar_81 = tmpvar_80.x;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_79.y) {
    tmpvar_82 = tmpvar_80.y;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_79.z) {
    tmpvar_83 = tmpvar_80.z;
  } else {
    tmpvar_83 = 1.0;
  };
  float tmpvar_84;
  if (tmpvar_79.w) {
    tmpvar_84 = tmpvar_80.w;
  } else {
    tmpvar_84 = 1.0;
  };
  vec4 tmpvar_85;
  tmpvar_85.x = tmpvar_81;
  tmpvar_85.y = tmpvar_82;
  tmpvar_85.z = tmpvar_83;
  tmpvar_85.w = tmpvar_84;
  float atten_86;
  atten_86 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_75.w) * tmpvar_76.w) * dot (tmpvar_85, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_87;
  vec3 tmpvar_88;
  tmpvar_88 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_23);
  float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_88);
  c_87.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_88 + normalize(xlv_TEXCOORD1))), tmpvar_89), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_86 * 4.0));
  c_87.w = (tmpvar_90 * (atten_86 * 4.0));
  float tmpvar_91;
  tmpvar_91 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_92;
  tmpvar_92 = (c_87 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_91)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_91)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_92.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_92.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_92.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * tex_8.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec4 shadowVals_105;
  highp vec3 tmpvar_106;
  tmpvar_106 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec2 P_107;
  P_107 = (tmpvar_106.xy + _ShadowOffsets[0].xy);
  lowp float tmpvar_108;
  tmpvar_108 = texture2D (_ShadowMapTexture, P_107).x;
  shadowVals_105.x = tmpvar_108;
  highp vec2 P_109;
  P_109 = (tmpvar_106.xy + _ShadowOffsets[1].xy);
  lowp float tmpvar_110;
  tmpvar_110 = texture2D (_ShadowMapTexture, P_109).x;
  shadowVals_105.y = tmpvar_110;
  highp vec2 P_111;
  P_111 = (tmpvar_106.xy + _ShadowOffsets[2].xy);
  lowp float tmpvar_112;
  tmpvar_112 = texture2D (_ShadowMapTexture, P_111).x;
  shadowVals_105.z = tmpvar_112;
  highp vec2 P_113;
  P_113 = (tmpvar_106.xy + _ShadowOffsets[3].xy);
  lowp float tmpvar_114;
  tmpvar_114 = texture2D (_ShadowMapTexture, P_113).x;
  shadowVals_105.w = tmpvar_114;
  bvec4 tmpvar_115;
  tmpvar_115 = lessThan (shadowVals_105, tmpvar_106.zzzz);
  highp vec4 tmpvar_116;
  tmpvar_116 = _LightShadowData.xxxx;
  highp float tmpvar_117;
  if (tmpvar_115.x) {
    tmpvar_117 = tmpvar_116.x;
  } else {
    tmpvar_117 = 1.0;
  };
  highp float tmpvar_118;
  if (tmpvar_115.y) {
    tmpvar_118 = tmpvar_116.y;
  } else {
    tmpvar_118 = 1.0;
  };
  highp float tmpvar_119;
  if (tmpvar_115.z) {
    tmpvar_119 = tmpvar_116.z;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_115.w) {
    tmpvar_120 = tmpvar_116.w;
  } else {
    tmpvar_120 = 1.0;
  };
  highp vec4 tmpvar_121;
  tmpvar_121.x = tmpvar_117;
  tmpvar_121.y = tmpvar_118;
  tmpvar_121.z = tmpvar_119;
  tmpvar_121.w = tmpvar_120;
  shadows_104 = tmpvar_121;
  mediump float tmpvar_122;
  tmpvar_122 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_122;
  mediump vec3 lightDir_123;
  lightDir_123 = xlv_TEXCOORD5;
  mediump vec3 viewDir_124;
  viewDir_124 = xlv_TEXCOORD1;
  mediump float atten_125;
  atten_125 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_126;
  highp float nh_127;
  mediump vec3 tmpvar_128;
  tmpvar_128 = normalize(lightDir_123);
  lightDir_123 = tmpvar_128;
  mediump vec3 tmpvar_129;
  tmpvar_129 = normalize(viewDir_124);
  viewDir_124 = tmpvar_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(normT_6);
  mediump float tmpvar_131;
  tmpvar_131 = dot (tmpvar_130, tmpvar_128);
  mediump float tmpvar_132;
  tmpvar_132 = clamp (dot (normalize((tmpvar_128 + tmpvar_129)), tmpvar_130), 0.0, 1.0);
  nh_127 = tmpvar_132;
  highp vec3 tmpvar_133;
  tmpvar_133 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_131) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_127, _SpecularPower) * tex_8.w))) * (atten_125 * 4.0));
  c_126.xyz = tmpvar_133;
  c_126.w = (tmpvar_131 * (atten_125 * 4.0));
  highp vec3 tmpvar_134;
  tmpvar_134 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_135;
  lightDir_135 = tmpvar_134;
  mediump vec3 normal_136;
  normal_136 = xlv_TEXCOORD3;
  mediump float tmpvar_137;
  tmpvar_137 = dot (normal_136, lightDir_135);
  mediump vec4 tmpvar_138;
  tmpvar_138 = (c_126 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_137)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_137)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_138.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_138.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_138.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    highp vec4 shadowVals;
    shadowVals.x = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[0].xy)).x;
    shadowVals.y = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[1].xy)).x;
    #line 323
    shadowVals.z = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[2].xy)).x;
    shadowVals.w = texture( _ShadowMapTexture, (vec2( coord) + _ShadowOffsets[3].xy)).x;
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, coord.zzzz), vec4( _LightShadowData.xxxx), vec4( 1.0));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 671
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL
#ifdef VERTEX
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform mat4 unity_World2Shadow[4];
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * gl_Vertex));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec4 xlv_TEXCOORD7;
varying vec4 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform vec4 _ShadowOffsets[4];
uniform sampler2DShadow _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 shadows_74;
  vec3 tmpvar_75;
  tmpvar_75 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  shadows_74.x = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[0].xyz)).x;
  shadows_74.y = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[1].xyz)).x;
  shadows_74.z = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[2].xyz)).x;
  shadows_74.w = shadow2D (_ShadowMapTexture, (tmpvar_75 + _ShadowOffsets[3].xyz)).x;
  vec4 tmpvar_76;
  tmpvar_76 = (_LightShadowData.xxxx + (shadows_74 * (1.0 - _LightShadowData.xxxx)));
  shadows_74 = tmpvar_76;
  float atten_77;
  atten_77 = (((float((xlv_TEXCOORD6.z > 0.0)) * texture2D (_LightTexture0, ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5)).w) * texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz))).w) * dot (tmpvar_76, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_78;
  vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_80;
  tmpvar_80 = normalize(normal_23);
  float tmpvar_81;
  tmpvar_81 = dot (tmpvar_80, tmpvar_79);
  c_78.xyz = (((((mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color).xyz * _LightColor0.xyz) * tmpvar_81) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_79 + normalize(xlv_TEXCOORD1))), tmpvar_80), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_77 * 4.0));
  c_78.w = (tmpvar_81 * (atten_77 * 4.0));
  float tmpvar_82;
  tmpvar_82 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_83;
  tmpvar_83 = (c_78 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_82)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_82)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_83.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_83.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_83.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 20 [_WorldSpaceCameraPos]
Vector 21 [_WorldSpaceLightPos0]
Matrix 4 [unity_World2Shadow0]
Matrix 8 [_Object2World]
Matrix 12 [_World2Object]
Vector 22 [unity_Scale]
Matrix 16 [_LightMatrix0]
"vs_3_0
; 62 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c23, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c23.x
mov r0.xyz, c20
dp4 r1.z, r0, c14
dp4 r1.x, r0, c12
dp4 r1.y, r0, c13
mad r0.xyz, r1, c22.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c12
mov r0, c14
dp4 r4.z, c21, r0
mov r0, c13
dp4 r4.y, c21, r0
dp4 r4.x, c21, r1
mad r0.xyz, r4, c22.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c23.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c10
dp4 r2.x, r0, c8
dp4 r2.y, r0, c9
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.w, v0, c11
dp4 r0.z, v0, c10
dp4 r0.x, v0, c8
dp4 r0.y, v0, c9
dp4 o6.w, r0, c19
dp4 o6.z, r0, c18
dp4 o6.y, r0, c17
dp4 o6.x, r0, c16
dp4 o7.w, r0, c7
dp4 o7.z, r0, c6
dp4 o7.y, r0, c5
dp4 o7.x, r0, c4
add r0.xyz, -r0, c20
dp3 r0.x, r0, r0
dp4 r0.w, v0, v0
rsq r0.y, r0.w
rsq r0.x, r0.x
mul r1.xyz, r0.y, v0
rcp o1.x, r0.x
mov o3.xyz, -r1
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 416 // 144 used size, 17 vars
Matrix 80 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 384 used size, 8 vars
Matrix 128 [unity_World2Shadow0] 4
Matrix 192 [unity_World2Shadow1] 4
Matrix 256 [unity_World2Shadow2] 4
Matrix 320 [unity_World2Shadow3] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityShadows" 3
BindCB "UnityPerDraw" 4
// 59 instructions, 3 temp regs, 0 temp arrays:
// ALU 58 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex));
  xlv_TEXCOORD7 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec4 xlv_TEXCOORD7;
varying highp vec4 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform sampler2D _LightTexture0;
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  lowp vec4 tmpvar_99;
  highp vec2 P_100;
  P_100 = ((xlv_TEXCOORD6.xy / xlv_TEXCOORD6.w) + 0.5);
  tmpvar_99 = texture2D (_LightTexture0, P_100);
  highp float tmpvar_101;
  tmpvar_101 = dot (xlv_TEXCOORD6.xyz, xlv_TEXCOORD6.xyz);
  lowp vec4 tmpvar_102;
  tmpvar_102 = texture2D (_LightTextureB0, vec2(tmpvar_101));
  lowp float tmpvar_103;
  mediump vec4 shadows_104;
  highp vec3 tmpvar_105;
  tmpvar_105 = (xlv_TEXCOORD7.xyz / xlv_TEXCOORD7.w);
  highp vec3 coord_106;
  coord_106 = (tmpvar_105 + _ShadowOffsets[0].xyz);
  lowp float tmpvar_107;
  tmpvar_107 = shadow2DEXT (_ShadowMapTexture, coord_106);
  shadows_104.x = tmpvar_107;
  highp vec3 coord_108;
  coord_108 = (tmpvar_105 + _ShadowOffsets[1].xyz);
  lowp float tmpvar_109;
  tmpvar_109 = shadow2DEXT (_ShadowMapTexture, coord_108);
  shadows_104.y = tmpvar_109;
  highp vec3 coord_110;
  coord_110 = (tmpvar_105 + _ShadowOffsets[2].xyz);
  lowp float tmpvar_111;
  tmpvar_111 = shadow2DEXT (_ShadowMapTexture, coord_110);
  shadows_104.z = tmpvar_111;
  highp vec3 coord_112;
  coord_112 = (tmpvar_105 + _ShadowOffsets[3].xyz);
  lowp float tmpvar_113;
  tmpvar_113 = shadow2DEXT (_ShadowMapTexture, coord_112);
  shadows_104.w = tmpvar_113;
  highp vec4 tmpvar_114;
  tmpvar_114 = (_LightShadowData.xxxx + (shadows_104 * (1.0 - _LightShadowData.xxxx)));
  shadows_104 = tmpvar_114;
  mediump float tmpvar_115;
  tmpvar_115 = dot (shadows_104, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_103 = tmpvar_115;
  mediump vec3 lightDir_116;
  lightDir_116 = xlv_TEXCOORD5;
  mediump vec3 viewDir_117;
  viewDir_117 = xlv_TEXCOORD1;
  mediump float atten_118;
  atten_118 = (((float((xlv_TEXCOORD6.z > 0.0)) * tmpvar_99.w) * tmpvar_102.w) * tmpvar_103);
  mediump vec4 c_119;
  highp float nh_120;
  mediump vec3 tmpvar_121;
  tmpvar_121 = normalize(lightDir_116);
  lightDir_116 = tmpvar_121;
  mediump vec3 tmpvar_122;
  tmpvar_122 = normalize(viewDir_117);
  viewDir_117 = tmpvar_122;
  mediump vec3 tmpvar_123;
  tmpvar_123 = normalize(normT_6);
  mediump float tmpvar_124;
  tmpvar_124 = dot (tmpvar_123, tmpvar_121);
  mediump float tmpvar_125;
  tmpvar_125 = clamp (dot (normalize((tmpvar_121 + tmpvar_122)), tmpvar_123), 0.0, 1.0);
  nh_120 = tmpvar_125;
  highp vec3 tmpvar_126;
  tmpvar_126 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_124) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_120, _SpecularPower) * tex_8.w))) * (atten_118 * 4.0));
  c_119.xyz = tmpvar_126;
  c_119.w = (tmpvar_124 * (atten_118 * 4.0));
  highp vec3 tmpvar_127;
  tmpvar_127 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_128;
  lightDir_128 = tmpvar_127;
  mediump vec3 normal_129;
  normal_129 = xlv_TEXCOORD3;
  mediump float tmpvar_130;
  tmpvar_130 = dot (normal_129, lightDir_128);
  mediump vec4 tmpvar_131;
  tmpvar_131 = (c_119 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_130)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_130)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_131.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_131.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_131.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 631
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 635
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 639
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 643
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex));
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 647
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec4 xlv_TEXCOORD6;
out highp vec4 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec4(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec4(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 340
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 619
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec4 _LightCoord;
    highp vec4 _ShadowCoord;
};
#line 612
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _LightTexture0;
uniform highp mat4 _LightMatrix0;
#line 331
uniform sampler2D _LightTextureB0;
#line 336
#line 350
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 363
#line 371
#line 385
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 418
#line 434
#line 438
#line 450
#line 458
#line 541
#line 550
#line 558
#line 574
#line 595
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 599
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 603
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 607
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 611
uniform sampler2D _CityLightOverlayDetailTex;
#line 631
#line 444
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 446
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 458
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 462
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 466
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 470
    return uv;
}
#line 550
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 554
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 438
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 442
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 450
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 454
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 481
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 483
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 487
    return tex;
}
#line 574
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 578
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 582
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 586
    return c;
}
#line 588
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 590
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 336
lowp float UnitySpotAttenuate( in highp vec3 LightCoord ) {
    return texture( _LightTextureB0, vec2( dot( LightCoord, LightCoord))).w;
}
#line 332
lowp float UnitySpotCookie( in highp vec4 LightCoord ) {
    return texture( _LightTexture0, ((LightCoord.xy / LightCoord.w) + 0.5)).w;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp vec3 coord = (shadowCoord.xyz / shadowCoord.w);
    mediump vec4 shadows;
    shadows.x = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[0])).xyz);
    shadows.y = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[1])).xyz);
    #line 323
    shadows.z = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[2])).xyz);
    shadows.w = xll_shadow2D( _ShadowMapTexture, (coord + vec3( _ShadowOffsets[3])).xyz);
    shadows = (_LightShadowData.xxxx + (shadows * (1.0 - _LightShadowData.xxxx)));
    mediump float shadow = dot( shadows, vec4( 0.25));
    #line 327
    return shadow;
}
#line 649
lowp vec4 frag( in v2f IN ) {
    #line 651
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 655
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 659
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 663
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 667
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (((float((IN._LightCoord.z > 0.0)) * UnitySpotCookie( IN._LightCoord)) * UnitySpotAttenuate( IN._LightCoord.xyz)) * unitySampleShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 671
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec4 xlv_TEXCOORD6;
in highp vec4 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec4(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTexture0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 shadowVals_76;
  shadowVals_76.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_76.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_77;
  tmpvar_77 = lessThan (shadowVals_76, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_78;
  tmpvar_78 = _LightShadowData.xxxx;
  float tmpvar_79;
  if (tmpvar_77.x) {
    tmpvar_79 = tmpvar_78.x;
  } else {
    tmpvar_79 = 1.0;
  };
  float tmpvar_80;
  if (tmpvar_77.y) {
    tmpvar_80 = tmpvar_78.y;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_77.z) {
    tmpvar_81 = tmpvar_78.z;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_77.w) {
    tmpvar_82 = tmpvar_78.w;
  } else {
    tmpvar_82 = 1.0;
  };
  vec4 tmpvar_83;
  tmpvar_83.x = tmpvar_79;
  tmpvar_83.y = tmpvar_80;
  tmpvar_83.z = tmpvar_81;
  tmpvar_83.w = tmpvar_82;
  float atten_84;
  atten_84 = (tmpvar_75.w * dot (tmpvar_83, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_85;
  vec3 tmpvar_86;
  tmpvar_86 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_23);
  float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_86);
  c_85.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_86 + normalize(xlv_TEXCOORD1))), tmpvar_87), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_84 * 4.0));
  c_85.w = (tmpvar_88 * (atten_84 * 4.0));
  float tmpvar_89;
  tmpvar_89 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_90;
  tmpvar_90 = (c_85 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_89)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_89)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_90.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_90.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_90.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * tex_8.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTexture0, vec2(tmpvar_99));
  highp float tmpvar_101;
  mediump vec4 shadows_102;
  highp vec4 shadowVals_103;
  highp float tmpvar_104;
  tmpvar_104 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_105;
  vec_105 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_106;
  lowp vec4 tmpvar_107;
  tmpvar_107 = textureCube (_ShadowMapTexture, vec_105);
  packDist_106 = tmpvar_107;
  shadowVals_103.x = dot (packDist_106, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_108;
  vec_108 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_109;
  lowp vec4 tmpvar_110;
  tmpvar_110 = textureCube (_ShadowMapTexture, vec_108);
  packDist_109 = tmpvar_110;
  shadowVals_103.y = dot (packDist_109, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_111;
  vec_111 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_112;
  lowp vec4 tmpvar_113;
  tmpvar_113 = textureCube (_ShadowMapTexture, vec_111);
  packDist_112 = tmpvar_113;
  shadowVals_103.z = dot (packDist_112, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_114;
  vec_114 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_115;
  lowp vec4 tmpvar_116;
  tmpvar_116 = textureCube (_ShadowMapTexture, vec_114);
  packDist_115 = tmpvar_116;
  shadowVals_103.w = dot (packDist_115, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_117;
  tmpvar_117 = lessThan (shadowVals_103, vec4(tmpvar_104));
  highp vec4 tmpvar_118;
  tmpvar_118 = _LightShadowData.xxxx;
  highp float tmpvar_119;
  if (tmpvar_117.x) {
    tmpvar_119 = tmpvar_118.x;
  } else {
    tmpvar_119 = 1.0;
  };
  highp float tmpvar_120;
  if (tmpvar_117.y) {
    tmpvar_120 = tmpvar_118.y;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_117.z) {
    tmpvar_121 = tmpvar_118.z;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_117.w) {
    tmpvar_122 = tmpvar_118.w;
  } else {
    tmpvar_122 = 1.0;
  };
  highp vec4 tmpvar_123;
  tmpvar_123.x = tmpvar_119;
  tmpvar_123.y = tmpvar_120;
  tmpvar_123.z = tmpvar_121;
  tmpvar_123.w = tmpvar_122;
  shadows_102 = tmpvar_123;
  mediump float tmpvar_124;
  tmpvar_124 = dot (shadows_102, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_101 = tmpvar_124;
  mediump vec3 lightDir_125;
  lightDir_125 = xlv_TEXCOORD5;
  mediump vec3 viewDir_126;
  viewDir_126 = xlv_TEXCOORD1;
  mediump float atten_127;
  atten_127 = (tmpvar_100.w * tmpvar_101);
  mediump vec4 c_128;
  highp float nh_129;
  mediump vec3 tmpvar_130;
  tmpvar_130 = normalize(lightDir_125);
  lightDir_125 = tmpvar_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(viewDir_126);
  viewDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(normT_6);
  mediump float tmpvar_133;
  tmpvar_133 = dot (tmpvar_132, tmpvar_130);
  mediump float tmpvar_134;
  tmpvar_134 = clamp (dot (normalize((tmpvar_130 + tmpvar_131)), tmpvar_132), 0.0, 1.0);
  nh_129 = tmpvar_134;
  highp vec3 tmpvar_135;
  tmpvar_135 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_133) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_129, _SpecularPower) * tex_8.w))) * (atten_127 * 4.0));
  c_128.xyz = tmpvar_135;
  c_128.w = (tmpvar_133 * (atten_127 * 4.0));
  highp vec3 tmpvar_136;
  tmpvar_136 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_137;
  lightDir_137 = tmpvar_136;
  mediump vec3 normal_138;
  normal_138 = xlv_TEXCOORD3;
  mediump float tmpvar_139;
  tmpvar_139 = dot (normal_138, lightDir_137);
  mediump vec4 tmpvar_140;
  tmpvar_140 = (c_128 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_139)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_139)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_140.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_140.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_140.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 627
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 631
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 635
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 639
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 643
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 336
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 615
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 608
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform sampler2D _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
#line 346
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 359
#line 367
#line 381
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 414
#line 430
#line 434
#line 446
#line 454
#line 537
#line 546
#line 554
#line 570
#line 591
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 595
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 599
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 603
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 607
uniform sampler2D _CityLightOverlayDetailTex;
#line 627
#line 440
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 442
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 454
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 458
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 462
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 466
    return uv;
}
#line 546
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 550
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 434
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 438
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 446
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 450
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 477
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 479
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 483
    return tex;
}
#line 570
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 574
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 578
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 582
    return c;
}
#line 584
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 586
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 645
lowp vec4 frag( in v2f IN ) {
    #line 647
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 651
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 655
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 659
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 663
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, (texture( _LightTexture0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 667
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
attribute vec4 TANGENT;
uniform mat4 _LightMatrix0;
uniform vec4 unity_Scale;
uniform mat4 _World2Object;
uniform mat4 _Object2World;

uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec3 p_1;
  p_1 = ((_Object2World * gl_Vertex).xyz - _WorldSpaceCameraPos);
  vec4 tmpvar_2;
  tmpvar_2.w = 0.0;
  tmpvar_2.xyz = gl_Normal;
  vec3 tmpvar_3;
  vec3 tmpvar_4;
  tmpvar_3 = TANGENT.xyz;
  tmpvar_4 = (((gl_Normal.yzx * TANGENT.zxy) - (gl_Normal.zxy * TANGENT.yzx)) * TANGENT.w);
  mat3 tmpvar_5;
  tmpvar_5[0].x = tmpvar_3.x;
  tmpvar_5[0].y = tmpvar_4.x;
  tmpvar_5[0].z = gl_Normal.x;
  tmpvar_5[1].x = tmpvar_3.y;
  tmpvar_5[1].y = tmpvar_4.y;
  tmpvar_5[1].z = gl_Normal.y;
  tmpvar_5[2].x = tmpvar_3.z;
  tmpvar_5[2].y = tmpvar_4.z;
  tmpvar_5[2].z = gl_Normal.z;
  vec4 tmpvar_6;
  tmpvar_6.w = 1.0;
  tmpvar_6.xyz = _WorldSpaceCameraPos;
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = sqrt(dot (p_1, p_1));
  xlv_TEXCOORD1 = normalize((tmpvar_5 * (((_World2Object * tmpvar_6).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(gl_Vertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_2).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_5 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - gl_Vertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * gl_Vertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * gl_Vertex).xyz - _LightPositionRange.xyz);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD3;
varying vec3 xlv_TEXCOORD2;
varying vec3 xlv_TEXCOORD1;
varying float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform float _DetailDist;
uniform float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform vec4 _Color;
uniform vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform vec4 _LightShadowData;
uniform vec4 _LightPositionRange;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 detail_4;
  vec4 main_5;
  vec4 color_6;
  vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD2);
  vec2 uv_8;
  float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    float s_11;
    float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  main_5 = texture2DGradARB (_MainTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  vec3 tmpvar_15;
  tmpvar_15 = normalize(xlv_TEXCOORD2);
  vec2 uv_16;
  float r_17;
  if ((abs(tmpvar_15.z) > (1e-08 * abs(tmpvar_15.x)))) {
    float y_over_x_18;
    y_over_x_18 = (tmpvar_15.x / tmpvar_15.z);
    float s_19;
    float x_20;
    x_20 = (y_over_x_18 * inversesqrt(((y_over_x_18 * y_over_x_18) + 1.0)));
    s_19 = (sign(x_20) * (1.5708 - (sqrt((1.0 - abs(x_20))) * (1.5708 + (abs(x_20) * (-0.214602 + (abs(x_20) * (0.0865667 + (abs(x_20) * -0.0310296)))))))));
    r_17 = s_19;
    if ((tmpvar_15.z < 0.0)) {
      if ((tmpvar_15.x >= 0.0)) {
        r_17 = (s_19 + 3.14159);
      } else {
        r_17 = (r_17 - 3.14159);
      };
    };
  } else {
    r_17 = (sign(tmpvar_15.x) * 1.5708);
  };
  uv_16.x = (0.5 + (0.159155 * r_17));
  uv_16.y = (0.31831 * (1.5708 - (sign(tmpvar_15.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_15.y))) * (1.5708 + (abs(tmpvar_15.y) * (-0.214602 + (abs(tmpvar_15.y) * (0.0865667 + (abs(tmpvar_15.y) * -0.0310296)))))))))));
  vec2 uvCont_21;
  uvCont_21.y = uv_16.y;
  uvCont_21.x = abs((uv_16.x - 0.5));
  vec4 tmpvar_22;
  tmpvar_22.xy = dFdx(uvCont_21);
  tmpvar_22.zw = dFdy(uvCont_21);
  vec3 normal_23;
  normal_23.xy = ((texture2DGradARB (_BumpMap, uv_16, tmpvar_22.xy, tmpvar_22.zw).wy * 2.0) - 1.0);
  normal_23.z = sqrt((1.0 - clamp (dot (normal_23.xy, normal_23.xy), 0.0, 1.0)));
  vec3 tmpvar_24;
  tmpvar_24 = normalize(xlv_TEXCOORD2);
  vec2 uv_25;
  vec3 tmpvar_26;
  tmpvar_26 = abs(tmpvar_24);
  float tmpvar_27;
  tmpvar_27 = float((tmpvar_26.z >= tmpvar_26.x));
  float tmpvar_28;
  tmpvar_28 = float((max (tmpvar_26.x, tmpvar_26.z) >= tmpvar_26.y));
  float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_24.y, mix (tmpvar_24.x, tmpvar_24.z, tmpvar_27), tmpvar_28));
  vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(tmpvar_29);
  vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = tmpvar_29;
  vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(tmpvar_29);
  vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_24.yxz), mix ((tmpvar_30 * tmpvar_24.xzy), (tmpvar_31 * tmpvar_24.zxy), vec3(tmpvar_27)), vec3(tmpvar_28));
  uv_25.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_25.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  vec2 tmpvar_34;
  tmpvar_34 = (uv_25 * _DetailScale);
  vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _DetailScale)));
  vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  detail_4 = texture2DGradARB (_midTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD2);
  vec2 uv_38;
  float r_39;
  if ((abs(tmpvar_37.z) > (1e-08 * abs(tmpvar_37.x)))) {
    float y_over_x_40;
    y_over_x_40 = (tmpvar_37.x / tmpvar_37.z);
    float s_41;
    float x_42;
    x_42 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
    s_41 = (sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296)))))))));
    r_39 = s_41;
    if ((tmpvar_37.z < 0.0)) {
      if ((tmpvar_37.x >= 0.0)) {
        r_39 = (s_41 + 3.14159);
      } else {
        r_39 = (r_39 - 3.14159);
      };
    };
  } else {
    r_39 = (sign(tmpvar_37.x) * 1.5708);
  };
  uv_38.x = (0.5 + (0.159155 * r_39));
  uv_38.y = (0.31831 * (1.5708 - (sign(tmpvar_37.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_37.y))) * (1.5708 + (abs(tmpvar_37.y) * (-0.214602 + (abs(tmpvar_37.y) * (0.0865667 + (abs(tmpvar_37.y) * -0.0310296)))))))))));
  vec2 uvCont_43;
  uvCont_43.y = uv_38.y;
  uvCont_43.x = abs((uv_38.x - 0.5));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(uvCont_43);
  tmpvar_44.zw = dFdy(uvCont_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityOverlayTex, uv_38, tmpvar_44.xy, tmpvar_44.zw);
  cityoverlay_3.xyz = tmpvar_45.xyz;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD2);
  vec2 uv_47;
  vec3 tmpvar_48;
  tmpvar_48 = abs(tmpvar_46);
  float tmpvar_49;
  tmpvar_49 = float((tmpvar_48.z >= tmpvar_48.x));
  float tmpvar_50;
  tmpvar_50 = float((max (tmpvar_48.x, tmpvar_48.z) >= tmpvar_48.y));
  float tmpvar_51;
  tmpvar_51 = sign(mix (tmpvar_46.y, mix (tmpvar_46.x, tmpvar_46.z, tmpvar_49), tmpvar_50));
  vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = -(tmpvar_51);
  vec3 tmpvar_53;
  tmpvar_53.xz = vec2(1.0, 1.0);
  tmpvar_53.y = tmpvar_51;
  vec3 tmpvar_54;
  tmpvar_54.xy = vec2(1.0, 1.0);
  tmpvar_54.z = -(tmpvar_51);
  vec3 tmpvar_55;
  tmpvar_55 = mix ((tmpvar_54 * tmpvar_46.yxz), mix ((tmpvar_52 * tmpvar_46.xzy), (tmpvar_53 * tmpvar_46.zxy), vec3(tmpvar_49)), vec3(tmpvar_50));
  uv_47.x = (((0.5 * tmpvar_55.y) / abs(tmpvar_55.x)) + 0.5);
  uv_47.y = (((0.5 * tmpvar_55.z) / abs(tmpvar_55.x)) + 0.5);
  vec2 tmpvar_56;
  tmpvar_56 = (uv_47 * _CityOverlayDetailScale);
  vec2 tmpvar_57;
  tmpvar_57 = abs((tmpvar_56 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_58;
  tmpvar_58.xy = dFdx(tmpvar_57);
  tmpvar_58.zw = dFdy(tmpvar_57);
  vec4 tmpvar_59;
  tmpvar_59 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_56, tmpvar_58.xy, tmpvar_58.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_59.xyz;
  vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  vec2 uv_61;
  vec3 tmpvar_62;
  tmpvar_62 = abs(tmpvar_60);
  float tmpvar_63;
  tmpvar_63 = float((tmpvar_62.z >= tmpvar_62.x));
  float tmpvar_64;
  tmpvar_64 = float((max (tmpvar_62.x, tmpvar_62.z) >= tmpvar_62.y));
  float tmpvar_65;
  tmpvar_65 = sign(mix (tmpvar_60.y, mix (tmpvar_60.x, tmpvar_60.z, tmpvar_63), tmpvar_64));
  vec3 tmpvar_66;
  tmpvar_66.xz = vec2(1.0, 1.0);
  tmpvar_66.y = -(tmpvar_65);
  vec3 tmpvar_67;
  tmpvar_67.xz = vec2(1.0, 1.0);
  tmpvar_67.y = tmpvar_65;
  vec3 tmpvar_68;
  tmpvar_68.xy = vec2(1.0, 1.0);
  tmpvar_68.z = -(tmpvar_65);
  vec3 tmpvar_69;
  tmpvar_69 = mix ((tmpvar_68 * tmpvar_60.yxz), mix ((tmpvar_66 * tmpvar_60.xzy), (tmpvar_67 * tmpvar_60.zxy), vec3(tmpvar_63)), vec3(tmpvar_64));
  uv_61.x = (((0.5 * tmpvar_69.y) / abs(tmpvar_69.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_69.z) / abs(tmpvar_69.x)) + 0.5);
  vec2 tmpvar_70;
  tmpvar_70 = (uv_61 * _CityOverlayDetailScale);
  vec2 tmpvar_71;
  tmpvar_71 = abs((tmpvar_70 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_72;
  tmpvar_72.xy = dFdx(tmpvar_71);
  tmpvar_72.zw = dFdy(tmpvar_71);
  vec4 tmpvar_73;
  tmpvar_73 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_70, tmpvar_72.xy, tmpvar_72.zw);
  citylightoverlaydetail_1.xyz = tmpvar_73.xyz;
  cityoverlay_3.w = (tmpvar_45.w * (1.0 - float((main_5.w >= 1.0))));
  citydarkoverlaydetail_2.w = (tmpvar_59.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_73.w * cityoverlay_3.w);
  vec4 tmpvar_74;
  tmpvar_74 = (mix ((main_5 * mix (detail_4, vec4(1.0, 1.0, 1.0, 1.0), vec4(clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0)))), citylightoverlaydetail_1, citylightoverlaydetail_1.wwww) * _Color);
  color_6 = tmpvar_74;
  vec4 tmpvar_75;
  tmpvar_75 = texture2D (_LightTextureB0, vec2(dot (xlv_TEXCOORD6, xlv_TEXCOORD6)));
  vec4 tmpvar_76;
  tmpvar_76 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  vec4 shadowVals_77;
  shadowVals_77.x = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.y = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.z = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  shadowVals_77.w = dot (textureCube (_ShadowMapTexture, (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125))), vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_78;
  tmpvar_78 = lessThan (shadowVals_77, vec4(((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97)));
  vec4 tmpvar_79;
  tmpvar_79 = _LightShadowData.xxxx;
  float tmpvar_80;
  if (tmpvar_78.x) {
    tmpvar_80 = tmpvar_79.x;
  } else {
    tmpvar_80 = 1.0;
  };
  float tmpvar_81;
  if (tmpvar_78.y) {
    tmpvar_81 = tmpvar_79.y;
  } else {
    tmpvar_81 = 1.0;
  };
  float tmpvar_82;
  if (tmpvar_78.z) {
    tmpvar_82 = tmpvar_79.z;
  } else {
    tmpvar_82 = 1.0;
  };
  float tmpvar_83;
  if (tmpvar_78.w) {
    tmpvar_83 = tmpvar_79.w;
  } else {
    tmpvar_83 = 1.0;
  };
  vec4 tmpvar_84;
  tmpvar_84.x = tmpvar_80;
  tmpvar_84.y = tmpvar_81;
  tmpvar_84.z = tmpvar_82;
  tmpvar_84.w = tmpvar_83;
  float atten_85;
  atten_85 = ((tmpvar_75.w * tmpvar_76.w) * dot (tmpvar_84, vec4(0.25, 0.25, 0.25, 0.25)));
  vec4 c_86;
  vec3 tmpvar_87;
  tmpvar_87 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_23);
  float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_87);
  c_86.xyz = ((((tmpvar_74.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_87 + normalize(xlv_TEXCOORD1))), tmpvar_88), 0.0, 1.0), _SpecularPower) * main_5.w))) * (atten_85 * 4.0));
  c_86.w = (tmpvar_89 * (atten_85 * 4.0));
  float tmpvar_90;
  tmpvar_90 = dot (xlv_TEXCOORD3, normalize(_WorldSpaceLightPos0).xyz);
  vec4 tmpvar_91;
  tmpvar_91 = (c_86 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0)), 1.0, main_5.w));
  color_6.w = tmpvar_91.w;
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp (tmpvar_91.w, 0.0, 1.0)));
  color_6.xyz = mix (tmpvar_91.xyz, tmpvar_59.xyz, citydarkoverlaydetail_2.www);
  gl_FragData[0] = color_6;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
Matrix 0 [glstate_matrix_mvp]
Vector 16 [_WorldSpaceCameraPos]
Vector 17 [_WorldSpaceLightPos0]
Vector 18 [_LightPositionRange]
Matrix 4 [_Object2World]
Matrix 8 [_World2Object]
Vector 19 [unity_Scale]
Matrix 12 [_LightMatrix0]
"vs_3_0
; 58 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord3 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c20, 1.00000000, 0.00000000, 0, 0
dcl_position0 v0
dcl_normal0 v1
dcl_tangent0 v2
mov r0.xyz, v2
mul r1.xyz, v1.zxyw, r0.yzxw
mov r0.xyz, v2
mad r0.xyz, v1.yzxw, r0.zxyw, -r1
mul r3.xyz, r0, v2.w
mov r0.w, c20.x
mov r0.xyz, c16
dp4 r1.z, r0, c10
dp4 r1.x, r0, c8
dp4 r1.y, r0, c9
mad r0.xyz, r1, c19.w, -v0
dp3 r2.y, r0, r3
dp3 r2.x, r0, v2
dp3 r2.z, v1, r0
dp3 r1.x, r2, r2
rsq r2.w, r1.x
mov r1, c8
mov r0, c10
dp4 r4.z, c17, r0
mov r0, c9
dp4 r4.y, c17, r0
dp4 r4.x, c17, r1
mad r0.xyz, r4, c19.w, -v0
dp3 r1.y, r3, r0
dp3 r1.x, v2, r0
dp3 r1.z, v1, r0
mov r0.xyz, v1
mov r0.w, c20.y
mul o2.xyz, r2.w, r2
dp4 r2.z, r0, c6
dp4 r2.x, r0, c4
dp4 r2.y, r0, c5
dp3 r1.w, r1, r1
rsq r0.y, r1.w
mul o5.xyz, r0.y, r1
dp3 r0.x, r2, r2
rsq r0.x, r0.x
mul o4.xyz, r0.x, r2
dp4 r0.z, v0, c6
dp4 r0.x, v0, c4
dp4 r0.y, v0, c5
dp4 r0.w, v0, c7
add r1.xyz, -r0, c16
dp4 o6.z, r0, c14
dp4 o6.y, r0, c13
dp4 o6.x, r0, c12
dp3 r0.w, r1, r1
dp4 r1.w, v0, v0
rsq r1.x, r1.w
rsq r0.w, r0.w
mul r1.xyz, r1.x, v0
rcp o1.x, r0.w
mov o3.xyz, -r1
add o7.xyz, r0, -c18
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Bind "vertex" Vertex
Bind "normal" Normal
Bind "tangent" TexCoord2
ConstBuffer "$Globals" 352 // 80 used size, 16 vars
Matrix 16 [_LightMatrix0] 4
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityPerDraw" 336 // 336 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
Matrix 256 [_World2Object] 4
Vector 320 [unity_Scale] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 56 instructions, 3 temp regs, 0 temp arrays:
// ALU 55 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec3 tmpvar_28;
  lowp vec4 packednormal_29;
  packednormal_29 = tex_18;
  tmpvar_28 = ((packednormal_29.xyz * 2.0) - 1.0);
  normT_6 = tmpvar_28;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * tex_8.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform highp mat4 _LightMatrix0;
uniform highp vec4 unity_Scale;
uniform highp mat4 _World2Object;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesTANGENT;
attribute vec3 _glesNormal;
attribute vec4 _glesVertex;
void main ()
{
  vec3 tmpvar_1;
  tmpvar_1 = normalize(_glesNormal);
  vec4 tmpvar_2;
  tmpvar_2.xyz = normalize(_glesTANGENT.xyz);
  tmpvar_2.w = _glesTANGENT.w;
  highp vec3 p_3;
  p_3 = ((_Object2World * _glesVertex).xyz - _WorldSpaceCameraPos);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 0.0;
  tmpvar_4.xyz = tmpvar_1;
  highp vec3 tmpvar_5;
  highp vec3 tmpvar_6;
  tmpvar_5 = tmpvar_2.xyz;
  tmpvar_6 = (((tmpvar_1.yzx * tmpvar_2.zxy) - (tmpvar_1.zxy * tmpvar_2.yzx)) * _glesTANGENT.w);
  highp mat3 tmpvar_7;
  tmpvar_7[0].x = tmpvar_5.x;
  tmpvar_7[0].y = tmpvar_6.x;
  tmpvar_7[0].z = tmpvar_1.x;
  tmpvar_7[1].x = tmpvar_5.y;
  tmpvar_7[1].y = tmpvar_6.y;
  tmpvar_7[1].z = tmpvar_1.y;
  tmpvar_7[2].x = tmpvar_5.z;
  tmpvar_7[2].y = tmpvar_6.z;
  tmpvar_7[2].z = tmpvar_1.z;
  highp vec4 tmpvar_8;
  tmpvar_8.w = 1.0;
  tmpvar_8.xyz = _WorldSpaceCameraPos;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = sqrt(dot (p_3, p_3));
  xlv_TEXCOORD1 = normalize((tmpvar_7 * (((_World2Object * tmpvar_8).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD2 = -(normalize(_glesVertex)).xyz;
  xlv_TEXCOORD3 = normalize((_Object2World * tmpvar_4).xyz);
  xlv_TEXCOORD5 = normalize((tmpvar_7 * (((_World2Object * _WorldSpaceLightPos0).xyz * unity_Scale.w) - _glesVertex.xyz)));
  xlv_TEXCOORD6 = (_LightMatrix0 * (_Object2World * _glesVertex)).xyz;
  xlv_TEXCOORD7 = ((_Object2World * _glesVertex).xyz - _LightPositionRange.xyz);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD3;
varying highp vec3 xlv_TEXCOORD2;
varying highp vec3 xlv_TEXCOORD1;
varying highp float xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityOverlayTex;
uniform highp float _DetailDist;
uniform highp float _DetailScale;
uniform sampler2D _midTex;
uniform sampler2D _BumpMap;
uniform sampler2D _MainTex;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform lowp vec4 _Color;
uniform lowp vec4 _LightColor0;
uniform sampler2D _LightTextureB0;
uniform samplerCube _LightTexture0;
uniform samplerCube _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform highp vec4 _LightPositionRange;
uniform highp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump float detailLevel_2;
  mediump vec4 citylightoverlaydetail_3;
  mediump vec4 citydarkoverlaydetail_4;
  mediump vec4 cityoverlay_5;
  mediump vec3 normT_6;
  mediump vec4 color_7;
  mediump vec4 tex_8;
  highp vec3 tmpvar_9;
  tmpvar_9 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_10;
  highp float r_11;
  if ((abs(tmpvar_9.z) > (1e-08 * abs(tmpvar_9.x)))) {
    highp float y_over_x_12;
    y_over_x_12 = (tmpvar_9.x / tmpvar_9.z);
    highp float s_13;
    highp float x_14;
    x_14 = (y_over_x_12 * inversesqrt(((y_over_x_12 * y_over_x_12) + 1.0)));
    s_13 = (sign(x_14) * (1.5708 - (sqrt((1.0 - abs(x_14))) * (1.5708 + (abs(x_14) * (-0.214602 + (abs(x_14) * (0.0865667 + (abs(x_14) * -0.0310296)))))))));
    r_11 = s_13;
    if ((tmpvar_9.z < 0.0)) {
      if ((tmpvar_9.x >= 0.0)) {
        r_11 = (s_13 + 3.14159);
      } else {
        r_11 = (r_11 - 3.14159);
      };
    };
  } else {
    r_11 = (sign(tmpvar_9.x) * 1.5708);
  };
  uv_10.x = (0.5 + (0.159155 * r_11));
  uv_10.y = (0.31831 * (1.5708 - (sign(tmpvar_9.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_9.y))) * (1.5708 + (abs(tmpvar_9.y) * (-0.214602 + (abs(tmpvar_9.y) * (0.0865667 + (abs(tmpvar_9.y) * -0.0310296)))))))))));
  highp vec2 uvCont_15;
  uvCont_15.y = uv_10.y;
  uvCont_15.x = abs((uv_10.x - 0.5));
  highp vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(uvCont_15);
  tmpvar_16.zw = dFdy(uvCont_15);
  lowp vec4 tmpvar_17;
  tmpvar_17 = texture2DGradEXT (_MainTex, uv_10, tmpvar_16.xy, tmpvar_16.zw);
  tex_8 = tmpvar_17;
  mediump vec4 tex_18;
  highp vec3 tmpvar_19;
  tmpvar_19 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_20;
  highp float r_21;
  if ((abs(tmpvar_19.z) > (1e-08 * abs(tmpvar_19.x)))) {
    highp float y_over_x_22;
    y_over_x_22 = (tmpvar_19.x / tmpvar_19.z);
    highp float s_23;
    highp float x_24;
    x_24 = (y_over_x_22 * inversesqrt(((y_over_x_22 * y_over_x_22) + 1.0)));
    s_23 = (sign(x_24) * (1.5708 - (sqrt((1.0 - abs(x_24))) * (1.5708 + (abs(x_24) * (-0.214602 + (abs(x_24) * (0.0865667 + (abs(x_24) * -0.0310296)))))))));
    r_21 = s_23;
    if ((tmpvar_19.z < 0.0)) {
      if ((tmpvar_19.x >= 0.0)) {
        r_21 = (s_23 + 3.14159);
      } else {
        r_21 = (r_21 - 3.14159);
      };
    };
  } else {
    r_21 = (sign(tmpvar_19.x) * 1.5708);
  };
  uv_20.x = (0.5 + (0.159155 * r_21));
  uv_20.y = (0.31831 * (1.5708 - (sign(tmpvar_19.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_19.y))) * (1.5708 + (abs(tmpvar_19.y) * (-0.214602 + (abs(tmpvar_19.y) * (0.0865667 + (abs(tmpvar_19.y) * -0.0310296)))))))))));
  highp vec2 uvCont_25;
  uvCont_25.y = uv_20.y;
  uvCont_25.x = abs((uv_20.x - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(uvCont_25);
  tmpvar_26.zw = dFdy(uvCont_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_BumpMap, uv_20, tmpvar_26.xy, tmpvar_26.zw);
  tex_18 = tmpvar_27;
  lowp vec4 packednormal_28;
  packednormal_28 = tex_18;
  lowp vec3 normal_29;
  normal_29.xy = ((packednormal_28.wy * 2.0) - 1.0);
  normal_29.z = sqrt((1.0 - clamp (dot (normal_29.xy, normal_29.xy), 0.0, 1.0)));
  normT_6 = normal_29;
  mediump vec4 tex_30;
  highp vec3 tmpvar_31;
  tmpvar_31 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_32;
  mediump float s_33;
  mediump float nylerp_34;
  mediump float zxlerp_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_31);
  highp float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  zxlerp_35 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  nylerp_34 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = mix (tmpvar_31.x, tmpvar_31.z, zxlerp_35);
  s_33 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = sign(mix (tmpvar_31.y, s_33, nylerp_34));
  s_33 = tmpvar_40;
  mediump vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = -(s_33);
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = s_33;
  mediump vec3 tmpvar_43;
  tmpvar_43.xy = vec2(1.0, 1.0);
  tmpvar_43.z = -(s_33);
  highp vec3 tmpvar_44;
  tmpvar_44 = mix ((tmpvar_43 * tmpvar_31.yxz), mix ((tmpvar_41 * tmpvar_31.xzy), (tmpvar_42 * tmpvar_31.zxy), vec3(zxlerp_35)), vec3(nylerp_34));
  uv_32.x = (((0.5 * tmpvar_44.y) / abs(tmpvar_44.x)) + 0.5);
  uv_32.y = (((0.5 * tmpvar_44.z) / abs(tmpvar_44.x)) + 0.5);
  highp vec2 tmpvar_45;
  tmpvar_45 = (uv_32 * _DetailScale);
  highp vec2 tmpvar_46;
  tmpvar_46 = abs((tmpvar_45 - (0.5 * _DetailScale)));
  highp vec4 tmpvar_47;
  tmpvar_47.xy = dFdx(tmpvar_46);
  tmpvar_47.zw = dFdy(tmpvar_46);
  lowp vec4 tmpvar_48;
  tmpvar_48 = texture2DGradEXT (_midTex, tmpvar_45, tmpvar_47.xy, tmpvar_47.zw);
  tex_30 = tmpvar_48;
  mediump vec4 tex_49;
  highp vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_51;
  highp float r_52;
  if ((abs(tmpvar_50.z) > (1e-08 * abs(tmpvar_50.x)))) {
    highp float y_over_x_53;
    y_over_x_53 = (tmpvar_50.x / tmpvar_50.z);
    highp float s_54;
    highp float x_55;
    x_55 = (y_over_x_53 * inversesqrt(((y_over_x_53 * y_over_x_53) + 1.0)));
    s_54 = (sign(x_55) * (1.5708 - (sqrt((1.0 - abs(x_55))) * (1.5708 + (abs(x_55) * (-0.214602 + (abs(x_55) * (0.0865667 + (abs(x_55) * -0.0310296)))))))));
    r_52 = s_54;
    if ((tmpvar_50.z < 0.0)) {
      if ((tmpvar_50.x >= 0.0)) {
        r_52 = (s_54 + 3.14159);
      } else {
        r_52 = (r_52 - 3.14159);
      };
    };
  } else {
    r_52 = (sign(tmpvar_50.x) * 1.5708);
  };
  uv_51.x = (0.5 + (0.159155 * r_52));
  uv_51.y = (0.31831 * (1.5708 - (sign(tmpvar_50.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_50.y))) * (1.5708 + (abs(tmpvar_50.y) * (-0.214602 + (abs(tmpvar_50.y) * (0.0865667 + (abs(tmpvar_50.y) * -0.0310296)))))))))));
  highp vec2 uvCont_56;
  uvCont_56.y = uv_51.y;
  uvCont_56.x = abs((uv_51.x - 0.5));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(uvCont_56);
  tmpvar_57.zw = dFdy(uvCont_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityOverlayTex, uv_51, tmpvar_57.xy, tmpvar_57.zw);
  tex_49 = tmpvar_58;
  cityoverlay_5.xyz = tex_49.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citydarkoverlaydetail_4.xyz = tex_59.xyz;
  mediump vec4 tex_78;
  highp vec3 tmpvar_79;
  tmpvar_79 = normalize(xlv_TEXCOORD2);
  highp vec2 uv_80;
  mediump float s_81;
  mediump float nylerp_82;
  mediump float zxlerp_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = abs(tmpvar_79);
  highp float tmpvar_85;
  tmpvar_85 = float((tmpvar_84.z >= tmpvar_84.x));
  zxlerp_83 = tmpvar_85;
  highp float tmpvar_86;
  tmpvar_86 = float((max (tmpvar_84.x, tmpvar_84.z) >= tmpvar_84.y));
  nylerp_82 = tmpvar_86;
  highp float tmpvar_87;
  tmpvar_87 = mix (tmpvar_79.x, tmpvar_79.z, zxlerp_83);
  s_81 = tmpvar_87;
  highp float tmpvar_88;
  tmpvar_88 = sign(mix (tmpvar_79.y, s_81, nylerp_82));
  s_81 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89.xz = vec2(1.0, 1.0);
  tmpvar_89.y = -(s_81);
  mediump vec3 tmpvar_90;
  tmpvar_90.xz = vec2(1.0, 1.0);
  tmpvar_90.y = s_81;
  mediump vec3 tmpvar_91;
  tmpvar_91.xy = vec2(1.0, 1.0);
  tmpvar_91.z = -(s_81);
  highp vec3 tmpvar_92;
  tmpvar_92 = mix ((tmpvar_91 * tmpvar_79.yxz), mix ((tmpvar_89 * tmpvar_79.xzy), (tmpvar_90 * tmpvar_79.zxy), vec3(zxlerp_83)), vec3(nylerp_82));
  uv_80.x = (((0.5 * tmpvar_92.y) / abs(tmpvar_92.x)) + 0.5);
  uv_80.y = (((0.5 * tmpvar_92.z) / abs(tmpvar_92.x)) + 0.5);
  highp vec2 tmpvar_93;
  tmpvar_93 = (uv_80 * _CityOverlayDetailScale);
  highp vec2 tmpvar_94;
  tmpvar_94 = abs((tmpvar_93 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_95;
  tmpvar_95.xy = dFdx(tmpvar_94);
  tmpvar_95.zw = dFdy(tmpvar_94);
  lowp vec4 tmpvar_96;
  tmpvar_96 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_93, tmpvar_95.xy, tmpvar_95.zw);
  tex_78 = tmpvar_96;
  citylightoverlaydetail_3.xyz = tex_78.xyz;
  highp float tmpvar_97;
  tmpvar_97 = clamp (((2.0 * _DetailDist) * xlv_TEXCOORD0), 0.0, 1.0);
  detailLevel_2 = tmpvar_97;
  cityoverlay_5.w = (tex_49.w * (1.0 - float((tex_8.w >= 1.0))));
  citydarkoverlaydetail_4.w = (tex_59.w * cityoverlay_5.w);
  citylightoverlaydetail_3.w = (tex_78.w * cityoverlay_5.w);
  mediump vec4 tmpvar_98;
  tmpvar_98 = (mix ((tex_8 * mix (tex_30, vec4(1.0, 1.0, 1.0, 1.0), vec4(detailLevel_2))), citylightoverlaydetail_3, citylightoverlaydetail_3.wwww) * _Color);
  color_7 = tmpvar_98;
  highp float tmpvar_99;
  tmpvar_99 = dot (xlv_TEXCOORD6, xlv_TEXCOORD6);
  lowp vec4 tmpvar_100;
  tmpvar_100 = texture2D (_LightTextureB0, vec2(tmpvar_99));
  lowp vec4 tmpvar_101;
  tmpvar_101 = textureCube (_LightTexture0, xlv_TEXCOORD6);
  highp float tmpvar_102;
  mediump vec4 shadows_103;
  highp vec4 shadowVals_104;
  highp float tmpvar_105;
  tmpvar_105 = ((sqrt(dot (xlv_TEXCOORD7, xlv_TEXCOORD7)) * _LightPositionRange.w) * 0.97);
  highp vec3 vec_106;
  vec_106 = (xlv_TEXCOORD7 + vec3(0.0078125, 0.0078125, 0.0078125));
  highp vec4 packDist_107;
  lowp vec4 tmpvar_108;
  tmpvar_108 = textureCube (_ShadowMapTexture, vec_106);
  packDist_107 = tmpvar_108;
  shadowVals_104.x = dot (packDist_107, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_109;
  vec_109 = (xlv_TEXCOORD7 + vec3(-0.0078125, -0.0078125, 0.0078125));
  highp vec4 packDist_110;
  lowp vec4 tmpvar_111;
  tmpvar_111 = textureCube (_ShadowMapTexture, vec_109);
  packDist_110 = tmpvar_111;
  shadowVals_104.y = dot (packDist_110, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_112;
  vec_112 = (xlv_TEXCOORD7 + vec3(-0.0078125, 0.0078125, -0.0078125));
  highp vec4 packDist_113;
  lowp vec4 tmpvar_114;
  tmpvar_114 = textureCube (_ShadowMapTexture, vec_112);
  packDist_113 = tmpvar_114;
  shadowVals_104.z = dot (packDist_113, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  highp vec3 vec_115;
  vec_115 = (xlv_TEXCOORD7 + vec3(0.0078125, -0.0078125, -0.0078125));
  highp vec4 packDist_116;
  lowp vec4 tmpvar_117;
  tmpvar_117 = textureCube (_ShadowMapTexture, vec_115);
  packDist_116 = tmpvar_117;
  shadowVals_104.w = dot (packDist_116, vec4(1.0, 0.00392157, 1.53787e-05, 6.22737e-09));
  bvec4 tmpvar_118;
  tmpvar_118 = lessThan (shadowVals_104, vec4(tmpvar_105));
  highp vec4 tmpvar_119;
  tmpvar_119 = _LightShadowData.xxxx;
  highp float tmpvar_120;
  if (tmpvar_118.x) {
    tmpvar_120 = tmpvar_119.x;
  } else {
    tmpvar_120 = 1.0;
  };
  highp float tmpvar_121;
  if (tmpvar_118.y) {
    tmpvar_121 = tmpvar_119.y;
  } else {
    tmpvar_121 = 1.0;
  };
  highp float tmpvar_122;
  if (tmpvar_118.z) {
    tmpvar_122 = tmpvar_119.z;
  } else {
    tmpvar_122 = 1.0;
  };
  highp float tmpvar_123;
  if (tmpvar_118.w) {
    tmpvar_123 = tmpvar_119.w;
  } else {
    tmpvar_123 = 1.0;
  };
  highp vec4 tmpvar_124;
  tmpvar_124.x = tmpvar_120;
  tmpvar_124.y = tmpvar_121;
  tmpvar_124.z = tmpvar_122;
  tmpvar_124.w = tmpvar_123;
  shadows_103 = tmpvar_124;
  mediump float tmpvar_125;
  tmpvar_125 = dot (shadows_103, vec4(0.25, 0.25, 0.25, 0.25));
  tmpvar_102 = tmpvar_125;
  mediump vec3 lightDir_126;
  lightDir_126 = xlv_TEXCOORD5;
  mediump vec3 viewDir_127;
  viewDir_127 = xlv_TEXCOORD1;
  mediump float atten_128;
  atten_128 = ((tmpvar_100.w * tmpvar_101.w) * tmpvar_102);
  mediump vec4 c_129;
  highp float nh_130;
  mediump vec3 tmpvar_131;
  tmpvar_131 = normalize(lightDir_126);
  lightDir_126 = tmpvar_131;
  mediump vec3 tmpvar_132;
  tmpvar_132 = normalize(viewDir_127);
  viewDir_127 = tmpvar_132;
  mediump vec3 tmpvar_133;
  tmpvar_133 = normalize(normT_6);
  mediump float tmpvar_134;
  tmpvar_134 = dot (tmpvar_133, tmpvar_131);
  mediump float tmpvar_135;
  tmpvar_135 = clamp (dot (normalize((tmpvar_131 + tmpvar_132)), tmpvar_133), 0.0, 1.0);
  nh_130 = tmpvar_135;
  highp vec3 tmpvar_136;
  tmpvar_136 = ((((tmpvar_98.xyz * _LightColor0.xyz) * tmpvar_134) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_130, _SpecularPower) * tex_8.w))) * (atten_128 * 4.0));
  c_129.xyz = tmpvar_136;
  c_129.w = (tmpvar_134 * (atten_128 * 4.0));
  highp vec3 tmpvar_137;
  tmpvar_137 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_138;
  lightDir_138 = tmpvar_137;
  mediump vec3 normal_139;
  normal_139 = xlv_TEXCOORD3;
  mediump float tmpvar_140;
  tmpvar_140 = dot (normal_139, lightDir_138);
  mediump vec4 tmpvar_141;
  tmpvar_141 = (c_129 * mix (mix (1.0, clamp (floor((1.01 + tmpvar_140)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_140)), 0.0, 1.0)), 1.0, tex_8.w));
  color_7.w = tmpvar_141.w;
  citydarkoverlaydetail_4.w = (citydarkoverlaydetail_4.w * (1.0 - clamp (tmpvar_141.w, 0.0, 1.0)));
  color_7.xyz = mix (tmpvar_141.xyz, tex_59.xyz, citydarkoverlaydetail_4.www);
  tmpvar_1 = color_7;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
mat2 xll_transpose_mf2x2(mat2 m) {
  return mat2( m[0][0], m[1][0], m[0][1], m[1][1]);
}
mat3 xll_transpose_mf3x3(mat3 m) {
  return mat3( m[0][0], m[1][0], m[2][0],
               m[0][1], m[1][1], m[2][1],
               m[0][2], m[1][2], m[2][2]);
}
mat4 xll_transpose_mf4x4(mat4 m) {
  return mat4( m[0][0], m[1][0], m[2][0], m[3][0],
               m[0][1], m[1][1], m[2][1], m[3][1],
               m[0][2], m[1][2], m[2][2], m[3][2],
               m[0][3], m[1][3], m[2][3], m[3][3]);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 82
highp vec3 ObjSpaceLightDir( in highp vec4 v ) {
    highp vec3 objSpaceLightPos = (_World2Object * _WorldSpaceLightPos0).xyz;
    return ((objSpaceLightPos.xyz * unity_Scale.w) - v.xyz);
}
#line 91
highp vec3 ObjSpaceViewDir( in highp vec4 v ) {
    highp vec3 objSpaceCameraPos = ((_World2Object * vec4( _WorldSpaceCameraPos.xyz, 1.0)).xyz * unity_Scale.w);
    return (objSpaceCameraPos - v.xyz);
}
#line 628
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 632
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.viewDist = distance( vertexPos, _WorldSpaceCameraPos);
    highp vec3 origin = (_Object2World * vec4( 0.0, 0.0, 0.0, 1.0)).xyz;
    o.sphereNormal = vec3( (-normalize(v.vertex)));
    #line 636
    o.worldNormal = normalize((_Object2World * vec4( v.normal, 0.0)).xyz);
    highp vec3 binormal = (cross( v.normal, v.tangent.xyz) * v.tangent.w);
    highp mat3 rotation = xll_transpose_mf3x3(mat3( v.tangent.xyz, binormal, v.normal));
    o.lightDirT = normalize((rotation * ObjSpaceLightDir( v.vertex)));
    #line 640
    o.viewDirT = normalize((rotation * ObjSpaceViewDir( v.vertex)));
    o._LightCoord = (_LightMatrix0 * (_Object2World * v.vertex)).xyz;
    o._ShadowCoord = ((_Object2World * v.vertex).xyz - _LightPositionRange.xyz);
    #line 644
    return o;
}

out highp float xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD3;
out highp vec3 xlv_TEXCOORD5;
out highp vec3 xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.tangent = vec4(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = float(xl_retval.viewDist);
    xlv_TEXCOORD1 = vec3(xl_retval.viewDirT);
    xlv_TEXCOORD2 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD3 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.lightDirT);
    xlv_TEXCOORD6 = vec3(xl_retval._LightCoord);
    xlv_TEXCOORD7 = vec3(xl_retval._ShadowCoord);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
vec2 xll_vecTSel_vb2_vf2_vf2 (bvec2 a, vec2 b, vec2 c) {
  return vec2 (a.x ? b.x : c.x, a.y ? b.y : c.y);
}
vec3 xll_vecTSel_vb3_vf3_vf3 (bvec3 a, vec3 b, vec3 c) {
  return vec3 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z);
}
vec4 xll_vecTSel_vb4_vf4_vf4 (bvec4 a, vec4 b, vec4 c) {
  return vec4 (a.x ? b.x : c.x, a.y ? b.y : c.y, a.z ? b.z : c.z, a.w ? b.w : c.w);
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 337
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 616
struct v2f {
    highp vec4 pos;
    highp float viewDist;
    highp vec3 viewDirT;
    highp vec3 sphereNormal;
    highp vec3 worldNormal;
    highp vec3 lightDirT;
    highp vec3 _LightCoord;
    highp vec3 _ShadowCoord;
};
#line 609
struct appdata_t {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform highp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform samplerCube _ShadowMapTexture;
uniform samplerCube _LightTexture0;
#line 335
uniform highp mat4 _LightMatrix0;
uniform sampler2D _LightTextureB0;
#line 347
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 360
#line 368
#line 382
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 415
#line 431
#line 435
#line 447
#line 455
#line 538
#line 547
#line 555
#line 571
#line 592
uniform lowp vec4 _Color;
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform sampler2D _MainTex;
#line 596
uniform sampler2D _BumpMap;
uniform sampler2D _midTex;
uniform sampler2D _steepTex;
uniform highp float _DetailScale;
#line 600
uniform lowp vec4 _DetailOffset;
uniform highp float _DetailVertScale;
uniform highp float _DetailDist;
uniform highp float _MinLight;
#line 604
uniform highp float _Albedo;
uniform sampler2D _CityOverlayTex;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
#line 608
uniform sampler2D _CityLightOverlayDetailTex;
#line 628
#line 441
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 443
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 455
highp vec2 GetSphereCubeUV( in highp vec3 sphereVectNorm ) {
    highp vec3 sphereVectNormAbs = abs(sphereVectNorm);
    mediump float zxlerp = step( sphereVectNormAbs.x, sphereVectNormAbs.z);
    #line 459
    mediump float nylerp = step( sphereVectNormAbs.y, max( sphereVectNormAbs.x, sphereVectNormAbs.z));
    mediump float s = mix( sphereVectNorm.x, sphereVectNorm.z, zxlerp);
    s = sign(mix( sphereVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * sphereVectNorm.xzy), (vec3( 1.0, s, 1.0) * sphereVectNorm.zxy), vec3( zxlerp));
    #line 463
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * sphereVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 467
    return uv;
}
#line 547
mediump vec4 GetSphereDetailMap( in sampler2D texSampler, in highp vec3 sphereVect, in highp float detailScale ) {
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = (GetSphereCubeUV( sphereVectNorm) * detailScale);
    #line 551
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 435
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 439
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 447
highp vec2 GetSphereUV( in highp vec3 sphereVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( sphereVect.x, sphereVect.z)));
    #line 451
    uv.y = (0.31831 * acos(sphereVect.y));
    uv += uvOffset;
    return uv;
}
#line 478
mediump vec4 GetSphereMap( in sampler2D texSampler, in highp vec3 sphereVect ) {
    #line 480
    highp vec3 sphereVectNorm = normalize(sphereVect);
    highp vec2 uv = GetSphereUV( sphereVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 484
    return tex;
}
#line 571
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    #line 575
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    #line 579
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    #line 583
    return c;
}
#line 585
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    #line 587
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 272
lowp vec3 UnpackNormal( in lowp vec4 packednormal ) {
    #line 274
    return ((packednormal.xyz * 2.0) - 1.0);
}
#line 215
highp float DecodeFloatRGBA( in highp vec4 enc ) {
    highp vec4 kDecodeDot = vec4( 1.0, 0.00392157, 1.53787e-05, 6.22737e-09);
    return dot( enc, kDecodeDot);
}
#line 316
highp float SampleCubeDistance( in highp vec3 vec ) {
    highp vec4 packDist = texture( _ShadowMapTexture, vec);
    #line 319
    return DecodeFloatRGBA( packDist);
}
#line 321
highp float unityCubeShadow( in highp vec3 vec ) {
    #line 323
    highp float mydist = (length(vec) * _LightPositionRange.w);
    mydist *= 0.97;
    highp float z = 0.0078125;
    highp vec4 shadowVals;
    #line 327
    shadowVals.x = SampleCubeDistance( (vec + vec3( z, z, z)));
    shadowVals.y = SampleCubeDistance( (vec + vec3( (-z), (-z), z)));
    shadowVals.z = SampleCubeDistance( (vec + vec3( (-z), z, (-z))));
    shadowVals.w = SampleCubeDistance( (vec + vec3( z, (-z), (-z))));
    #line 331
    mediump vec4 shadows = xll_vecTSel_vb4_vf4_vf4 (lessThan( shadowVals, vec4( mydist)), vec4( _LightShadowData.xxxx), vec4( 1.0));
    return dot( shadows, vec4( 0.25));
}
#line 646
lowp vec4 frag( in v2f IN ) {
    #line 648
    mediump vec4 color;
    highp vec3 sphereNrm = IN.sphereNormal;
    mediump vec4 main = GetSphereMap( _MainTex, IN.sphereNormal);
    mediump vec3 normT = UnpackNormal( GetSphereMap( _BumpMap, IN.sphereNormal));
    #line 652
    mediump vec4 detail = GetSphereDetailMap( _midTex, IN.sphereNormal, _DetailScale);
    mediump vec4 cityoverlay = GetSphereMap( _CityOverlayTex, IN.sphereNormal);
    mediump vec4 citydarkoverlaydetail = GetSphereDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    mediump vec4 citylightoverlaydetail = GetSphereDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 656
    mediump float detailLevel = xll_saturate_f(((2.0 * _DetailDist) * IN.viewDist));
    color = (main.xyzw * mix( detail.xyzw, vec4( 1.0), vec4( detailLevel)));
    cityoverlay.w *= (1.0 - step( 1.0, main.w));
    citydarkoverlaydetail.w *= cityoverlay.w;
    #line 660
    citylightoverlaydetail.w *= cityoverlay.w;
    color = mix( color, citylightoverlaydetail, vec4( citylightoverlaydetail.w));
    color *= _Color;
    mediump vec4 specColor = _SpecularColor;
    #line 664
    specColor.w = main.w;
    color = SpecularColorLight( IN.lightDirT, IN.viewDirT, normT, color, specColor, _SpecularPower, ((texture( _LightTextureB0, vec2( dot( IN._LightCoord, IN._LightCoord))).w * texture( _LightTexture0, IN._LightCoord).w) * unityCubeShadow( IN._ShadowCoord)));
    color *= mix( Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal), 1.0, main.w);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    #line 668
    color.xyz = mix( color.xyz, citydarkoverlaydetail.xyz, vec3( citydarkoverlaydetail.w));
    return color;
}
in highp float xlv_TEXCOORD0;
in highp vec3 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD3;
in highp vec3 xlv_TEXCOORD5;
in highp vec3 xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.viewDist = float(xlv_TEXCOORD0);
    xlt_IN.viewDirT = vec3(xlv_TEXCOORD1);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD3);
    xlt_IN.lightDirT = vec3(xlv_TEXCOORD5);
    xlt_IN._LightCoord = vec3(xlv_TEXCOORD6);
    xlt_IN._ShadowCoord = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 120
//   d3d9 - ALU: 130 to 176, TEX: 9 to 24
//   d3d11 - ALU: 109 to 144, TEX: 0 to 6, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 133 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c7.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c12
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c11.y, c11.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c6.x
mul_sat r1.z, r2.w, c8
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c3.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c2
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
dp4 r0.z, c0, c0
mul_pp r1.xyz, r0.y, r3
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r0.w, v3, r2
add_pp r1.w, r0, c12.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s3
mul_pp r0.z, r0.x, c11.w
mul_pp r0.x, r0, r0.y
frc_pp r2.x, r1.w
mul r1.xyz, r1, r0.z
add_pp_sat r0.z, r1.w, -r2.x
add_pp r0.z, r0, c11
mul_pp_sat r0.y, -r0.w, c12
mad_pp r0.y, r0, r0.z, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 122 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
"ps_3_0
; 130 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
mul_pp r1.xyz, r1, c2
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r0.w, r2
mul_pp r3.xyz, r1, c1
rsq_pp r0.x, r0.x
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r0.w, r1.w
dp3_pp r1.w, r2, r1
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4_pp r2.y, c0, c0
rsq_pp r0.y, r2.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.y, r0.w, c12.z
mul r2.x, r0, c4.w
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
mul_pp_sat r0.w, -r0, c12.y
add_pp r1.x, r1, c11.z
mad_pp r1.x, r0.w, r1, c7.y
mul r0.xyz, r0, c11.w
mul_pp r0.w, r1, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 272 // 264 used size, 14 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
// 119 instructions, 5 temp regs, 0 temp arrays:
// ALU 102 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedkekcjhbikmaklmlmmmkgibadkmepinbgabaaaaaagebaaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefceeapaaaa
eaaaaaaanbadaaaafjaaaaaeegiocaaaaaaaaaaabbaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaae
aahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaad
bcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaaacaaaaaabnaaaaajicaabaaa
abaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaa
acaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaa
dcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabkaabaaa
abaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaa
aaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaa
acaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaa
acaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaaakaabaaaacaaaaaa
dkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaa
dkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaadkaabaaaaaaaaaaadgaaaaag
ecaabaaaadaaaaaabkaabaiaebaaaaaaaaaaaaaadgaaaaaidcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahocaabaaaacaaaaaa
kgabbaaaabaaaaaaagajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaaogajbaiaebaaaaaaacaaaaaadcaaaaajhcaabaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaaogajbaaaacaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaaggaibaaaabaaaaaaegacbaaa
aaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaa
jgahbaaaacaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaa
aaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaa
aaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaa
aaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaaaoaaaaaadcaaaaaomcaabaaa
aaaaaaaaagiacaiaebaaaaaaaaaaaaaaaoaaaaaaaceaaaaaaaaaaaaaaaaaaaaa
aaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaia
ibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaaf
mcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaa
aaaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaegaabaaaacaaaaaaogakbaaa
aaaaaaaaaaaaaaalhcaabaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaaiicaabaaaaaaaaaaaagbabaaa
abaaaaaafgifcaaaaaaaaaaabaaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaacaaaaaaegacbaaaaaaaaaaadeaaaaajicaabaaaaaaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaaoaaaaakicaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaa
ddaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaaj
bcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkoln
dcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaa
ochgdidodcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaa
abeaaaaaaebnkjlodcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaabkaabaaa
acaaaaaaakaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaa
abaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaaakaabaaa
acaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadbaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaadeaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
bnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
abaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadhaaaaak
icaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaa
aaaaaaaadcaaaaajbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
idpjccdodgaaaaagicaabaaaaaaaaaaadkaabaiaibaaaaaaaaaaaaaaalaaaaaf
bcaabaaaadaaaaaadkaabaaaaaaaaaaaamaaaaafbcaabaaaaeaaaaaadkaabaaa
aaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaa
dagojjlmabeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaakeanmjdpaaaaaaai
ecaabaaaabaaaaaackaabaiambaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahicaabaaaabaaaaaabkaabaaa
acaaaaaadkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaa
ckaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaabaaaaaa
amaaaaafccaabaaaaeaaaaaabkaabaaaabaaaaaaejaaaaanpcaabaaaacaaaaaa
egaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaaegaabaaaadaaaaaa
egaabaaaaeaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
abaaaaaaaagabaaaabaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaadcaaaaap
dcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaa
aaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaadiaaaaaihcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegiccaaaaaaaaaaaalaaaaaadiaaaaaihcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaaapaaaaahicaabaaaaaaaaaaa
egaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaa
aaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgbhbaaaabaaaaaa
jgbhbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaabaaaaaah
icaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaa
egbcbaaaaeaaaaaadcaaaaajhcaabaaaadaaaaaajgbhbaaaabaaaaaapgapbaaa
aaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaa
adaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaabacaaaahbcaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaa
amaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaadiaaaaajocaabaaa
abaaaaaaagijcaaaaaaaaaaaabaaaaaaagijcaaaaaaaaaaaanaaaaaadiaaaaah
hcaabaaaabaaaaaaagaabaaaabaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaa
aaaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadiaaaaak
pcaabaaaabaaaaaaegaobaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaeaaaaaiaea
aaaaiaeabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaai
hcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialp
dcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahpccabaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaaabaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
"ps_3_0
; 138 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c7.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c12
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c11.y, c11.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c6.x
mul_sat r1.z, r2.w, c8
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c3.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c2
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
dp4 r0.z, c0, c0
mul_pp r1.xyz, r0.y, r3
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r2.xyz, r2, r0.x, r1
rsq r0.z, r0.z
mul r1.xyz, r0.z, c0
dp3_pp r0.z, v3, r1
add_pp r1.w, r0.z, c12.z
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c12.x
texld r0.w, r1, s3
cmp r1.x, -v5.z, c7, c7.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, c11
mul_pp r0.x, r0, r0.y
frc_pp r2.w, r1
mul r1.xyz, r2, r0.w
add_pp_sat r0.w, r1, -r2
add_pp r0.w, r0, c11.z
mul_pp_sat r0.y, -r0.z, c12
mad_pp r0.y, r0, r0.w, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 129 instructions, 5 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTextureB0] 2D
SetTexture 4 [_LightTexture0] CUBE
"ps_3_0
; 134 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_cube s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4 r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
add_pp r2.y, r2.x, c12.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s3
texld r0.w, v5, s4
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c11.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 132 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4_pp r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
texld r0.w, v5, s3
mul_pp r0.x, r0.w, c11.w
add_pp r2.y, r2.x, c12.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 121 instructions, 5 temp regs, 0 temp arrays:
// ALU 103 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 143 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c4.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c2
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.w, r0.x, c5
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
texldp r0.x, v6, s5
rcp r0.z, v6.w
mad r0.z, -v6, r0, r0.x
mov r0.w, c1.x
cmp r2.z, r0, c8.y, r0.w
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.x
dp3 r0.x, v5, v5
texld r0.w, r2, s3
cmp r0.z, -v5, c8.x, c8.y
mul_pp r0.z, r0, r0.w
add_pp r0.w, r0.y, c13.z
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r2.z
mul_pp r0.z, r0.x, c12.w
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.z
frc_pp r2.x, r0.w
add_pp_sat r0.z, r0.w, -r2.x
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mad_pp r0.y, r0, r0.z, c8
mul_pp r1.w, r0.x, c12
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 142 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c4.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c2
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.w, r0.x, c5
mul_pp r1.xyz, r1.w, r3
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
mad r1.xyz, r2, r0.w, r1
mov r0.x, c1
add r0.w, c8.y, -r0.x
rcp r0.z, v5.w
mad r2.xy, v5, r0.z, c13.x
texldp r0.x, v6, s5
mad r2.z, r0.x, r0.w, c1.x
dp3 r0.x, v5, v5
texld r0.w, r2, s3
cmp r0.z, -v5, c8.x, c8.y
mul_pp r0.z, r0, r0.w
add_pp r0.w, r0.y, c13.z
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r2.z
mul_pp r0.z, r0.x, c12.w
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.z
frc_pp r2.x, r0.w
add_pp_sat r0.z, r0.w, -r2.x
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mad_pp r0.y, r0, r0.z, c8
mul_pp r1.w, r0.x, c12
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 132 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r0.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul r1.w, r0.x, c4
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r0.z, v3, r0
texldp r0.x, v5, s3
mul_pp r0.y, r0.x, c11.w
mul_pp r1.xyz, r0.w, r3
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r1.w, r1
add_pp r1.w, r0.z, c12.z
frc_pp r2.x, r1.w
mul r1.xyz, r1, r0.y
add_pp_sat r0.y, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
add_pp r0.w, r0.y, c11.z
mul_pp_sat r0.y, -r0.z, c12
mad_pp r0.y, r0, r0.w, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 122 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 133 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4_pp r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
add_pp r2.y, r2.x, c12.z
texldp r0.x, v6, s3
texld r0.w, v5, s4
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c4
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c5.x
mov r0.w, r0.x
dp3_pp r1.w, r2, r1
mov_pp r0.xyz, c3
mul_pp r2.xyz, c6, r0
mul_pp r3.xyz, r3, c3
mul r0.w, r0, c6
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
dp3 r0.x, v6, v6
rsq r2.x, r0.x
texld r0, v6, s3
dp4 r0.y, r0, c9
rcp r2.x, r2.x
mul r0.x, r2, c1.w
mad r0.x, -r0, c10, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c15.w
mov r0.y, c2.x
cmp r0.y, r0.x, c10, r0
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c14.w
mul_pp_sat r1.x, -r2, c15.z
mad_pp r1.x, r1, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 144 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c4
mul_pp r2.xyz, r0.w, r2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c5.x
dp3_pp r1.w, r2, r1
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
dp3 r2.x, v6, v6
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
texld r0, v6, s3
dp4 r0.y, r0, c9
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c10.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.y, v3, r0
mov r2.x, c2
cmp r2.x, r0.w, c10.y, r2
dp3 r0.x, v5, v5
texld r0.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.x
mul_pp r0.x, r0.w, c15
add_pp r2.x, r2.y, c15.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.x
add_pp_sat r1.x, r2, -r2.z
add_pp r1.y, r1.x, c14.w
mul_pp_sat r1.x, -r2.y, c15.z
mad_pp r1.x, r1, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 133 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
mul r1.x, r1, c16.y
add r2.z, r1.x, c17.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r0.w, r0, c14.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c11.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
add_pp r1.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c7
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c8.x
dp3_pp r0.y, r2, r1
mul_pp r3.xyz, r3, c6
mov_pp r2.xyz, c6
mul_pp r1.xyz, r0.y, r3
rcp r0.z, v6.w
mad r3.xy, v6, r0.z, c5
mul r0.x, r0, c9.w
mul_pp r2.xyz, c9, r2
mad r2.xyz, r2, r0.x, r1
texld r0.x, r3, s5
mad r1.xy, v6, r0.z, c4
texld r1.x, r1, s5
mov r1.z, r1.x
mad r1.xy, v6, r0.z, c2
mad r3.xy, v6, r0.z, c3
mov r1.w, r0.x
texld r0.x, r3, s5
texld r1.x, r1, s5
mov r1.y, r0.x
mad r1, -v6.z, r0.z, r1
mov r0.x, c1
cmp r1, r1, c12.y, r0.x
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r3.xyz, r0.x, c0
dp4_pp r1.z, r1, c12.z
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
texld r0.w, r1, s3
dp3_pp r0.z, v3, r3
add_pp r1.w, r0.z, c17
cmp r1.x, -v5.z, c12, c12.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r1.z
mul_pp r0.w, r0.x, c17.x
mul_pp r0.x, r0, r0.y
frc_pp r2.w, r1
mul r1.xyz, r2, r0.w
add_pp_sat r0.w, r1, -r2
add_pp r0.w, r0, c16
mul_pp_sat r0.y, -r0.z, c17.z
mad_pp r0.y, r0, r0.w, c12
mul_pp r1.w, r0.x, c17.x
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 145 instructions, 5 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
mul r1.x, r1, c16.y
add r2.z, r1.x, c17.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r0.w, r0, c14.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c11.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
add_pp r1.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c7
rcp r2.w, v6.w
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c8.x
dp3_pp r1.w, r2, r1
mul r0.w, r0.x, c9
mad r0.xyz, v6, r2.w, c5
mul_pp r3.xyz, r3, c6
mov_pp r2.xyz, c6
mul_pp r1.xyz, r1.w, r3
mul_pp r2.xyz, c9, r2
mad r2.xyz, r2, r0.w, r1
mad r1.xyz, v6, r2.w, c3
texld r0.x, r0, s5
mov_pp r0.w, r0.x
mad r0.xyz, v6, r2.w, c4
texld r0.x, r0, s5
texld r1.x, r1, s5
mov_pp r0.y, r1.x
mad r1.xyz, v6, r2.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s5
mov r2.w, c1.x
add r1.x, c12.y, -r2.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c12.z
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r3.xyz, r1.x, c0
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r0.w, r1, s3
cmp r0.z, -v5, c12.x, c12.y
mul_pp r0.z, r0, r0.w
dp3_pp r0.y, v3, r3
add_pp r0.w, r0.y, c17
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r1.z
mul_pp r0.z, r0.x, c17.x
mul_pp r0.x, r0, r1.w
mul r1.xyz, r2, r0.z
frc_pp r2.w, r0
add_pp_sat r0.z, r0.w, -r2.w
add_pp r0.z, r0, c16.w
mul_pp_sat r0.y, -r0, c17.z
mad_pp r0.y, r0, r0.z, c12
mul_pp r1.w, r0.x, c17.x
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 142 instructions, 5 temp regs, 0 temp arrays:
// ALU 118 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 150 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c16
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
dp3_pp r2.w, r1, r2
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
add r0.xyz, v6, c9.xyyw
texld r0, r0, s3
dp4 r3.w, r0, c10
mov_pp r1.xyz, c3
add r0.xyz, v6, c9.yxyw
mul_pp r2.xyz, r2.w, r3
texld r0, r0, s3
dp4 r3.z, r0, c10
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c9.yyxw
texld r1, r1, s3
dp4 r3.y, r1, c10
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c9.x
texld r0, r0, s3
rcp r1.x, r1.x
dp4 r3.x, r0, c10
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c9.z, r3
cmp r0, r0, c11.x, r1.x
dp4_pp r0.y, r0, c9.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c16.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.w
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c15.z
mul_pp_sat r1.x, -r1, c16.y
mad_pp r1.x, r1, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 142 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfihpmnpeknggfoaenglhbolgoeidbeogabaaaaaabebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcmebcaaaaeaaaaaaalbaeaaaafjaaaaaeegiocaaa
aaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaacaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafidaaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaa
gcbaaaadocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
cgbjbaaaacaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaaakaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaa
aaaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahocaabaaaacaaaaaakgabbaaaabaaaaaaagajbaaaadaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaaogajbaia
ebaaaaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaogajbaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
adaaaaaaggaibaaaabaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaa
dgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaa
ejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaa
aeaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaalhcaabaaaacaaaaaa
egacbaiaebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
apcaaaaiicaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaa
dcaaaaajhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
aaaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajicaabaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaah
bcaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ccaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaa
dbaaaaaidcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaddaaaaahicaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaa
dkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
amaaaaafbcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaabaaaaaackaabaiambaaaaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahicaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaabaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaa
abaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaa
adaaaaaaegaabaaaaeaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
apaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
afaaaaaaapaaaaahicaabaaaaaaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaa
ddaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
icaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaabaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
abaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaaaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaa
adaaaaaajgbhbaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaa
adaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
cpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadiaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaa
agijcaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaa
jgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaagaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaabaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaomfbhidpaaaaaaakocaabaaa
abaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaadmaaaaaadm
efaaaaajpcaabaaaacaaaaaajgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaa
aaaaaaaabbaaaaakbcaabaaaacaaaaaaegaobaaaacaaaaaaaceaaaaaaaaaiadp
ibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaabaaaaaaagbjbaaaagaaaaaa
aceaaaaaaaaaaaaaaaaaaalmaaaaaalmaaaaaadmefaaaaajpcaabaaaadaaaaaa
jgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaaaaaaaabbaaaaakccaabaaa
acaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdb
aaaaaaakocaabaaaabaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaalm
aaaaaadmaaaaaalmefaaaaajpcaabaaaadaaaaaajgahbaaaabaaaaaaeghobaaa
aeaaaaaaaagabaaaaaaaaaaabbaaaaakecaabaaaacaaaaaaegaobaaaadaaaaaa
aceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaabaaaaaa
agbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaalmaaaaaalmefaaaaaj
pcaabaaaadaaaaaajgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaaaaaaaa
bbaaaaakicaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadl
icabibdhimpinfdbdbaaaaahpcaabaaaabaaaaaaegaobaaaacaaaaaaagaabaaa
abaaaaaadhaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaaagiacaaaacaaaaaa
biaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbbaaaaakbcaabaaa
abaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiadoaaaaiado
baaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaaj
pcaabaaaacaaaaaafgafbaaaabaaaaaaeghobaaaadaaaaaaaagabaaaabaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahpcaabaaa
acaaaaaaegaobaaaaaaaaaaaagaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaa
egacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahpccabaaaaaaaaaaa
agaabaaaaaaaaaaaegaobaaaacaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c16
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
dp3_pp r2.w, r1, r2
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
add r0.xyz, v6, c9.xyyw
texld r0, r0, s3
dp4 r3.w, r0, c10
mov_pp r1.xyz, c3
add r0.xyz, v6, c9.yxyw
mul_pp r2.xyz, r2.w, r3
texld r0, r0, s3
dp4 r3.z, r0, c10
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c9.yyxw
texld r1, r1, s3
dp4 r3.y, r1, c10
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c9.x
texld r0, r0, s3
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r3.x, r0, c10
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c9.z, r3
cmp r0, r0, c11.x, r1.x
dp4_pp r0.y, r0, c9.w
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c16.z
dp3 r0.x, v5, v5
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
texld r0.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.w
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c15.z
mul_pp_sat r1.x, -r1, c16.y
mad_pp r1.x, r1, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedcopnfjhcjccnpgdcclhilngbkpdlaoncabaaaaaahabeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefccabdaaaaeaaaaaaamiaeaaaafjaaaaaeegiocaaa
aaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaacaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaafidaaaaeaahabaaaaeaaaaaaffffaaaa
fidaaaaeaahabaaaafaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaad
ocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaa
bkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
aaaaaaaaakaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaah
ccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaa
dkaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaaaaaaaaa
dgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahocaabaaaacaaaaaakgabbaaaabaaaaaaagajbaaaadaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaaogajbaiaebaaaaaa
acaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
ogajbaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
ggaibaaaabaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaa
bcaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaalhcaabaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
icaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaaaaaaaaa
deaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpdkaabaaaaaaaaaaaddaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaadkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaaamaaaaaf
bcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
icaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
adaaaaaabkaabaaaabaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
adaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaa
egaabaaaaeaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
apaaaaahicaabaaaaaaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
abaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaabaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaaadaaaaaa
jgbhbaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
aaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
bacaaaahbcaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaacpaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaaaaaaaaa
bbaaaaaadiaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaaagijcaaa
aaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaajgahbaaa
abaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaagaaaaaaegbcbaaa
agaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaabaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaomfbhidpaaaaaaakocaabaaaabaaaaaa
agbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaadmaaaaaadmefaaaaaj
pcaabaaaacaaaaaajgahbaaaabaaaaaaeghobaaaafaaaaaaaagabaaaaaaaaaaa
bbaaaaakbcaabaaaacaaaaaaegaobaaaacaaaaaaaceaaaaaaaaaiadpibiaiadl
icabibdhimpinfdbaaaaaaakocaabaaaabaaaaaaagbjbaaaagaaaaaaaceaaaaa
aaaaaaaaaaaaaalmaaaaaalmaaaaaadmefaaaaajpcaabaaaadaaaaaajgahbaaa
abaaaaaaeghobaaaafaaaaaaaagabaaaaaaaaaaabbaaaaakccaabaaaacaaaaaa
egaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaak
ocaabaaaabaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaalmaaaaaadm
aaaaaalmefaaaaajpcaabaaaadaaaaaajgahbaaaabaaaaaaeghobaaaafaaaaaa
aagabaaaaaaaaaaabbaaaaakecaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaa
aaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaabaaaaaaagbjbaaa
agaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaalmaaaaaalmefaaaaajpcaabaaa
adaaaaaajgahbaaaabaaaaaaeghobaaaafaaaaaaaagabaaaaaaaaaaabbaaaaak
icaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdh
impinfdbdbaaaaahpcaabaaaabaaaaaaegaobaaaacaaaaaaagaabaaaabaaaaaa
dhaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaaagiacaaaacaaaaaabiaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbbaaaaakbcaabaaaabaaaaaa
egaobaaaabaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiadoaaaaiadobaaaaaah
ccaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaajpcaabaaa
acaaaaaafgafbaaaabaaaaaaeghobaaaadaaaaaaaagabaaaacaaaaaaefaaaaaj
pcaabaaaadaaaaaaegbcbaaaafaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaa
diaaaaahccaabaaaabaaaaaaakaabaaaacaaaaaadkaabaaaadaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahpcaabaaaacaaaaaa
egaobaaaaaaaaaaaagaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaa
abaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaa
aaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahpccabaaaaaaaaaaaagaabaaa
aaaaaaaaegaobaaaacaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
mul r2.x, r0, r1.w
add_pp r2.y, r0.w, c12.z
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r0.y, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r2.x, r0.y, c11.z
texld r0.x, r0.x, s3
mul_pp r0.y, r0.x, c11.w
mul_pp_sat r0.z, -r0.w, c12.y
mul r1.xyz, r1, r0.y
mul_pp r0.z, r0, r2.x
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r2.w
add_pp r0.y, r0, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 106 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
"ps_3_0
; 131 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
abs r1.w, r1.z
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
max r2.w, r3.x, r1
min r0.w, r3.x, r1
rcp r2.x, r2.w
mul r2.x, r0.w, r2
abs r0.w, r0.x
rcp r2.y, r0.w
mul r0.x, r2, r2
mul r2.z, r0, r2.y
mad r0.w, r0.x, c9.y, c9.z
mad r0.z, r0.w, r0.x, c9.w
mad r0.z, r0, r0.x, c10.x
mul r2.y, r0, r2
mad r0.y, r0.z, r0.x, c10
mad r0.z, r2.y, c12.x, c12.x
mad r2.y, r0, r0.x, c10.z
mul r2.x, r2.y, r2
mad r0.w, r2.z, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c8.w
cmp r1.w, r1.z, r1, r2.x
cmp r1.w, r1.x, r1, -r1
add r2.w, -r2.y, c7.y
mad r2.z, r2.y, c7, c7.w
mad r2.z, r2, r2.y, c8.x
rsq r2.w, r2.w
mul r2.x, r1.w, c11
cmp r1.y, r1, c7.x, c7
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c8
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c8, r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.w, r1.x, c9.x
add r1.z, r2.x, c12.x
mov r1.y, r1.w
abs r1.x, r2
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r2.yw, r1.zwzw, s1, r3, r3.zwzw
mad_pp r1.xy, r2.wyzw, c11.y, c11.z
abs r0.zw, r0
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
mul_pp r4.xy, r1, r1
add_pp_sat r0.w, r4.x, r4.y
mul r2.w, v0.x, c6.x
add_pp r0.w, -r0, c7.y
add_pp r2.xyz, -r0, c7.y
mul_sat r2.w, r2, c8.z
mad_pp r0.xyz, r2.w, r2, r0
texldd r2, r1.zwzw, s0, r3, r3.zwzw
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
mul_pp r0.xyz, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0, c2
dp4_pp r3.x, c0, c0
rsq_pp r3.x, r3.x
mul_pp r1.xyz, r0.w, r1
dp3_pp r1.w, v4, v4
rsq_pp r0.w, r1.w
mul_pp r2.xyz, r0.w, v4
dp3_pp r1.w, v1, v1
dp3_pp r0.w, r1, r2
rsq_pp r1.w, r1.w
mad_pp r2.xyz, r1.w, v1, r2
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
dp3_pp_sat r2.y, r1, r2
mul_pp r0.xyz, r0, c1
mul_pp r0.xyz, r0.w, r0
mul_pp r3.xyz, r3.x, c0
pow r1, r2.y, c3.x
dp3_pp r2.x, v3, r3
add_pp r1.y, r2.x, c12.z
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul r1.w, r1.x, r2
add_pp r2.y, r1, c11.z
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r0.xyz, r1, r1.w, r0
mul_pp_sat r2.x, -r2, c12.y
mul_pp r2.x, r2, r2.y
mad_pp r1.x, r2.w, -r2, r2
mul r0.xyz, r0, c11.w
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 272 // 264 used size, 14 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
// 121 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
"ps_3_0
; 140 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c12
frc_pp r0.w, r0.z
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
add_pp_sat r0.z, r0, -r0.w
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c12.x
add_pp r2.z, r0, c11
dp3 r0.x, v5, v5
texld r0.w, r2, s3
mul_pp_sat r0.y, -r0, c12
cmp r0.z, -v5, c7.x, c7.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s4
mul_pp r0.w, r0.z, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r2.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTextureB0] 2D
SetTexture 4 [_LightTexture0] CUBE
"ps_3_0
; 137 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_cube s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r3.w, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
dp3_pp_sat r0.w, r2, r1
dp4 r2.w, c0, c0
rsq r1.x, r2.w
pow r2, r0.w, c3.x
mul r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c12.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r3.w, r3
mul r0.w, r0, r1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r0.z, r2.x, c11
mul_pp_sat r0.y, -r2, c12
texld r0.x, r0.x, s3
texld r0.w, v5, s4
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 126 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r0.w, r2, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
add_pp r2.z, r2.y, c12
frc_pp r2.w, r2.z
mul r2.x, r1, r1.w
add_pp_sat r2.z, r2, -r2.w
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r0.w, r3
mad r0.xyz, r1, r2.x, r0
texld r2.w, v5, s3
mul_pp r1.x, r2.w, c11.w
mul_pp r0.w, r2, r0
mul r0.xyz, r0, r1.x
add_pp r1.z, r2, c11
mul_pp_sat r1.y, -r2, c12
mul_pp r1.y, r1, r1.z
mad_pp r1.x, r1.w, -r1.y, r1.y
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 123 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 145 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c13
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v6, s5
rcp r0.w, v6.w
mad r0.w, -v6.z, r0, r0.x
mov r2.x, c1
cmp r2.z, r0.w, c8.y, r2.x
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.x
texld r0.w, r2, s3
cmp r2.x, -v5.z, c8, c8.y
dp3 r0.x, v5, v5
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r2.z
mul_pp r0.x, r0.w, c12.w
mul_pp r0.w, r0, r2
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
add_pp r1.x, r1, c8.y
mul_pp r0.w, r0, c12
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 136 instructions, 5 temp regs, 0 temp arrays:
// ALU 114 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 144 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c13
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
mov r0.x, c1
add r2.x, c8.y, -r0
texldp r0.x, v6, s5
mad r2.z, r0.x, r2.x, c1.x
rcp r0.w, v5.w
mad r2.xy, v5, r0.w, c13.x
texld r0.w, r2, s3
cmp r2.x, -v5.z, c8, c8.y
dp3 r0.x, v5, v5
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r2.z
mul_pp r0.x, r0.w, c12.w
mul_pp r0.w, r0, r2
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
add_pp r1.x, r1, c8.y
mul_pp r0.w, r0, c12
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 136 instructions, 5 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedonpjhnjedjecgcapgmjnlceoicoebjfeabaaaaaacibdaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcnibbaaaaeaaaaaaahgaeaaaafjaaaaaeegiocaaa
aaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaiaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaa
fibiaaaeaahabaaaafaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaad
ocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaadpcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaa
bkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
aaaaaaaaakaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaah
ccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaa
dkaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaaaaaaaaa
dgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahocaabaaaacaaaaaakgabbaaaabaaaaaaagajbaaaadaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaaogajbaiaebaaaaaa
acaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
ogajbaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
ggaibaaaabaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaa
bcaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaalhcaabaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
icaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaaaaaaaaa
deaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpdkaabaaaaaaaaaaaddaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaadkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaaamaaaaaf
bcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
icaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
adaaaaaabkaabaaaabaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
adaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaa
egaabaaaaeaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaa
apaaaaahicaabaaaaaaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
abaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaabaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaaadaaaaaa
jgbhbaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
aaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
bacaaaahbcaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaacpaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaa
diaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaaagijcaaaaaaaaaaa
bbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaajgahbaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
abaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaa
aaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaaabeaaaaaaaaaaaaa
ckbabaaaafaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahbcaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaabaaaaaa
baaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaaj
pcaabaaaadaaaaaafgafbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaacaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaadaaaaaaaoaaaaah
ocaabaaaabaaaaaaagbjbaaaagaaaaaapgbpbaaaagaaaaaaehaaaaalccaabaaa
abaaaaaajgafbaaaabaaaaaaaghabaaaafaaaaaaaagabaaaaaaaaaaadkaabaaa
abaaaaaaaaaaaaajecaabaaaabaaaaaaakiacaiaebaaaaaaacaaaaaabiaaaaaa
abeaaaaaaaaaiadpdcaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaakiacaaaacaaaaaabiaaaaaadiaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahpcaabaaaadaaaaaaegaobaaaaaaaaaaaagaabaaa
abaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaai
hcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialp
dcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaiadpaaaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaaaaaaaaadkaabaaaacaaaaaabkaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaahpccabaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaa
adaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r0.w, r2, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.w, r3
dp3_pp_sat r1.x, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
mul r2.x, r1, r1.w
add_pp r2.z, r2.y, c12
frc_pp r2.w, r2.z
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.x, r0
texldp r0.x, v5, s3
mul_pp r0.y, r0.x, c11.w
add_pp_sat r2.z, r2, -r2.w
mul r1.xyz, r1, r0.y
add_pp r2.x, r2.z, c11.z
mul_pp_sat r0.z, -r2.y, c12.y
mul_pp r0.z, r0, r2.x
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r0.w
add_pp r0.y, r0, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 106 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 136 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r3.w, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
dp3_pp_sat r0.w, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c12.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r3.w, r3
mul r0.w, r0, r1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
add_pp r0.z, r2.x, c11
mul_pp_sat r0.y, -r2, c12
texldp r0.x, v6, s3
texld r0.w, v5, s4
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 126 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 145 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r0.w, r2, r1
mul_pp r1.xyz, r3, c4
dp3_pp r2.x, r2, r0
pow r3, r0.w, c5.x
mul_pp r1.xyz, r1, c3
mul_pp r0.xyz, r2.x, r1
mov r0.w, r3.x
mov_pp r1.xyz, c3
mul r0.w, r0, r1
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r0
texld r0, v6, s3
dp4 r0.y, r0, c9
dp3 r2.y, v6, v6
rsq r0.x, r2.y
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c10.x, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r0.z, v3, r0
mov r2.y, c2.x
cmp r0.y, r0.w, c10, r2
add_pp r2.y, r0.z, c15.w
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
frc_pp r2.z, r2.y
add_pp_sat r0.y, r2, -r2.z
mul_pp r0.x, r0.w, c15
add_pp r2.y, r0, c14.w
mul_pp_sat r0.y, -r0.z, c15.z
mul_pp r2.y, r0, r2
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2.y, r2.y
mul_pp r0.w, r0, r2.x
add_pp r1.x, r1, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 133 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 146 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c12.z, c12.w
mad r0.x, r0, r2.y, c13
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c13.y
mad r2.z, r0.x, r2.y, c13
mad r0.w, r0.z, c15.y, c15.y
mad r0.z, r0.y, c15.y, c15.y
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c13.w
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.x
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c10
mad r2.x, r1.w, c11, c11.y
mad r2.x, r2, r1.w, c10.w
rsq r2.y, r2.y
add r2.w, -r2.z, c12.x
cmp r1.y, r1, c10.z, c10
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c11.z
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c11.w, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12, r1.z
mul r1.z, r1.x, c12.y
mul r1.w, r1, c14.y
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c10.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c15.y
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c14.z, c14.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c11.w
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
dp3_pp r2.w, r1, r2
mul r3.x, r1.w, r0.w
texld r1, v6, s3
dp4 r1.y, r1, c9
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r2.w, r0
mov_pp r0.xyz, c3
mul_pp r0.xyz, c6, r0
mad r2.xyz, r0, r3.x, r2
dp3 r0.x, v6, v6
rsq r0.x, r0.x
rcp r1.x, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.z, v3, r0
mul r1.x, r1, c1.w
mad r1.x, -r1, c10, r1.y
add_pp r1.y, r0.z, c15.w
mov r0.x, c2
cmp r0.y, r1.x, c10, r0.x
dp3 r0.x, v5, v5
frc_pp r1.z, r1.y
texld r1.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r1.w
mul r1.x, r0, r0.y
add_pp_sat r0.y, r1, -r1.z
add_pp r1.y, r0, c14.w
mul_pp_sat r0.y, -r0.z, c15.z
mul_pp r1.y, r0, r1
mul_pp r0.x, r1, c15
mad_pp r1.y, r0.w, -r1, r1
mul_pp r0.w, r1.x, r2
mul r0.xyz, r2, r0.x
add_pp r1.x, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 135 instructions, 5 temp regs, 0 temp arrays:
// ALU 114 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c14.z, c14.w
mad r0.x, r0, r2.y, c15
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c15.y
mad r2.z, r0.x, r2.y, c15
mad r0.w, r0.z, c17.y, c17.y
mad r0.z, r0.y, c17.y, c17.y
mul r0.xy, r0.zwzw, c10.x
mad r2.y, r2.z, r2, c15.w
mul r2.x, r2.y, r2
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
add r2.y, -r2.x, c16.x
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c12
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c12.w
rsq r2.y, r2.y
add r2.w, -r2.z, c14.x
cmp r1.y, r1, c12.x, c12
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13.z
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c13.w, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14, r1.z
mul r1.z, r1.x, c14.y
mul r1.w, r1, c16.y
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c12.y
add r4.x, r1.w, c17.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c16.z, c16.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c11.x
mul_sat r1.z, r2.w, c13.w
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c8.x
mov r1.w, r3.x
dp3_pp r3.x, r1, r2
mul_pp r0.xyz, r0, c7
mul_pp r0.xyz, r0, c6
mul_pp r2.xyz, r3.x, r0
rcp r0.z, v6.w
mad r0.xy, v6, r0.z, c5
texld r0.x, r0, s5
mov_pp r1.xyz, c6
mul r1.w, r1, r0
mul_pp r1.xyz, c9, r1
mad r1.xyz, r1, r1.w, r2
mad r2.xy, v6, r0.z, c4
mov r2.w, r0.x
texld r0.x, r2, s5
mad r2.xy, v6, r0.z, c3
mov r2.z, r0.x
texld r0.x, r2, s5
mad r4.xy, v6, r0.z, c2
mov r2.y, r0.x
texld r2.x, r4, s5
dp4 r0.x, c0, c0
mad r2, -v6.z, r0.z, r2
mov r1.w, c1.x
cmp r2, r2, c12.y, r1.w
rsq r0.x, r0.x
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
dp4_pp r2.z, r2, c12.z
add_pp r2.w, r0.y, c17
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r1.w, r2, s3
cmp r0.z, -v5, c12.x, c12.y
mul_pp r0.z, r0, r1.w
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r1.w, r0.x, r2.z
frc_pp r3.y, r2.w
add_pp_sat r0.z, r2.w, -r3.y
add_pp r0.z, r0, c16.w
mul_pp_sat r0.y, -r0, c17.z
mul_pp r2.x, r0.y, r0.z
mul_pp r0.x, r1.w, c17
mul r0.xyz, r1, r0.x
mad_pp r1.x, r0.w, -r2, r2
mul_pp r0.w, r1, r3.x
add_pp r1.x, r1, c12.y
mul_pp r0.w, r0, c17.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 147 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r1.x, r1, r1.z, -r1.z
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r1.y, r1.x, c16
mul r0.w, r0, c14.y
mov r2.y, r0.w
abs r2.x, r1.y
add r1.x, r1.y, c17.y
mov r1.y, r0.w
mul r0.w, v0.x, c11.x
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r4.yw, r1, s1, r1.zwzw, r2.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
texldd r1, r1, s0, r1.zwzw, r2.zwzw
add_pp r3.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r3, r0
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r0.w, r2, r1
mul_pp r1.xyz, r3, c7
pow r3, r0.w, c8.x
mov r0.w, r3.x
rcp r3.w, v6.w
dp3_pp r2.w, r2, r0
mul_pp r1.xyz, r1, c6
mul_pp r0.xyz, r2.w, r1
mov_pp r1.xyz, c6
mul r0.w, r0, r1
mul_pp r1.xyz, c9, r1
mad r2.xyz, r1, r0.w, r0
mad r0.xyz, v6, r3.w, c5
mad r1.xyz, v6, r3.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
mul r3.xyz, r0.w, c0
texld r0.x, r0, s5
mov_pp r0.w, r0.x
mad r0.xyz, v6, r3.w, c4
texld r0.x, r0, s5
texld r1.x, r1, s5
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v6, r3.w, c2
mov r0.x, c1
add r3.w, c12.y, -r0.x
texld r0.x, r1, s5
mad r0, r0, r3.w, c1.x
dp4_pp r0.z, r0, c12.z
dp3_pp r1.z, v3, r3
add_pp r3.x, r1.z, c17.w
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r0.w, r1, s3
cmp r0.y, -v5.z, c12.x, c12
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s4
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c17
frc_pp r3.y, r3.x
add_pp_sat r0.y, r3.x, -r3
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r1.z, c17.z
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.x, r1, c12.y
mul_pp r0.w, r0, c17.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 153 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
add r4.x, r1.w, c16
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
dp3_pp r4.x, r1, r2
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r4.x, r0
mov_pp r0.xyz, c3
mul r2.w, r1, r0
add r1.xyz, v6, c9.xyyw
texld r1, r1, s3
dp4 r3.w, r1, c10
mul_pp r0.xyz, c6, r0
mad r0.xyz, r0, r2.w, r2
add r1.xyz, v6, c9.yxyw
texld r1, r1, s3
dp4 r3.z, r1, c10
add r2.xyz, v6, c9.yyxw
texld r2, r2, s3
dp4 r3.y, r2, c10
add r1.xyz, v6, c9.x
texld r1, r1, s3
dp3 r2.x, v6, v6
rsq r2.x, r2.x
dp4 r3.x, r1, c10
rcp r1.x, r2.x
dp4 r2.x, c0, c0
mul r1.x, r1, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mad r1, -r1.x, c9.z, r3
mov r2.w, c2.x
cmp r1, r1, c11.x, r2.w
dp4_pp r1.y, r1, c9.w
add_pp r1.z, r2.x, c16
frc_pp r1.w, r1.z
add_pp_sat r1.z, r1, -r1.w
add_pp r1.w, r1.z, c15.z
dp3 r1.x, v5, v5
texld r1.x, r1.x, s4
mul r1.x, r1, r1.y
mul_pp r1.y, r1.x, c15.w
mul_pp_sat r1.z, -r2.x, c16.y
mul r0.xyz, r0, r1.y
mul_pp r1.z, r1, r1.w
mad_pp r1.y, r0.w, -r1.z, r1.z
mul_pp r0.w, r1.x, r4.x
add_pp r1.x, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
add r4.x, r1.w, c16
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
dp3_pp r4.x, r1, r2
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r4.x, r0
mov_pp r1.xyz, c3
mul r1.w, r1, r0
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r1.w, r2
add r0.xyz, v6, c9.xyyw
texld r2, r0, s3
add r0.xyz, v6, c9.yxyw
dp4 r3.w, r2, c10
texld r2, r0, s3
add r0.xyz, v6, c9.yyxw
dp4 r3.z, r2, c10
texld r2, r0, s3
add r0.xyz, v6, c9.x
dp4 r3.y, r2, c10
texld r2, r0, s3
dp3 r0.x, v6, v6
rsq r0.x, r0.x
dp4 r0.y, c0, c0
rcp r0.x, r0.x
dp4 r3.x, r2, c10
mul r0.x, r0, c1.w
mad r2, -r0.x, c9.z, r3
mov r1.w, c2.x
cmp r2, r2, c11.x, r1.w
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.y, v3, r0
add_pp r3.x, r0.y, c16.z
dp4_pp r0.z, r2, c9.w
dp3 r0.x, v5, v5
frc_pp r2.x, r3
texld r1.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r1.w
mul r1.w, r0.x, r0.z
add_pp_sat r0.z, r3.x, -r2.x
add_pp r0.z, r0, c15
mul_pp_sat r0.y, -r0, c16
mul_pp r2.x, r0.y, r0.z
mul_pp r0.x, r1.w, c15.w
mul r0.xyz, r1, r0.x
mad_pp r1.x, r0.w, -r2, r2
mul_pp r0.w, r1, r4.x
add_pp r1.x, r1, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 146 instructions, 5 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 133 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c7.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c12
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c11.y, c11.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c6.x
mul_sat r1.z, r2.w, c8
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c3.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c2
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
dp4 r0.z, c0, c0
mul_pp r1.xyz, r0.y, r3
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r0.x, r1
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r0.w, v3, r2
add_pp r1.w, r0, c12.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s3
mul_pp r0.z, r0.x, c11.w
mul_pp r0.x, r0, r0.y
frc_pp r2.x, r1.w
mul r1.xyz, r1, r0.z
add_pp_sat r0.z, r1.w, -r2.x
add_pp r0.z, r0, c11
mul_pp_sat r0.y, -r0.w, c12
mad_pp r0.y, r0, r0.z, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 122 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
"ps_3_0
; 130 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
mul_pp r1.xyz, r1, c2
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
mul_pp r2.xyz, r0.w, r2
mul_pp r3.xyz, r1, c1
rsq_pp r0.x, r0.x
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r0.w, r1.w
dp3_pp r1.w, r2, r1
mul_pp r0.xyz, r0.w, r0
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4_pp r2.y, c0, c0
rsq_pp r0.y, r2.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.y, r0.w, c12.z
mul r2.x, r0, c4.w
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r3
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
mul_pp_sat r0.w, -r0, c12.y
add_pp r1.x, r1, c11.z
mad_pp r1.x, r0.w, r1, c7.y
mul r0.xyz, r0, c11.w
mul_pp r0.w, r1, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 272 // 264 used size, 14 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
// 119 instructions, 5 temp regs, 0 temp arrays:
// ALU 102 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
"ps_3_0
; 138 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c7.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c12
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c11.y, c11.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c6.x
mul_sat r1.z, r2.w, c8
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c3.x
dp3_pp r0.y, r1, r2
mul_pp r3.xyz, r3, c2
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
dp4 r0.z, c0, c0
mul_pp r1.xyz, r0.y, r3
mul r0.x, r0, c4.w
mul_pp r2.xyz, c4, r2
mad r2.xyz, r2, r0.x, r1
rsq r0.z, r0.z
mul r1.xyz, r0.z, c0
dp3_pp r0.z, v3, r1
add_pp r1.w, r0.z, c12.z
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c12.x
texld r0.w, r1, s3
cmp r1.x, -v5.z, c7, c7.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, c11
mul_pp r0.x, r0, r0.y
frc_pp r2.w, r1
mul r1.xyz, r2, r0.w
add_pp_sat r0.w, r1, -r2
add_pp r0.w, r0, c11.z
mul_pp_sat r0.y, -r0.z, c12
mad_pp r0.y, r0, r0.w, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 129 instructions, 5 temp regs, 0 temp arrays:
// ALU 109 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbifdmmhpkpdloehgbjnnggkbihflcghpabaaaaaaoibbaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefclabaaaaaeaaaaaaacmaeaaaa
fjaaaaaeegiocaaaaaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaae
aahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaae
aahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaae
aahabaaaaeaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaa
abaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacafaaaaaadgaaaaaifcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaa
acaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaaaaaaaaacgbjbaaaacaaaaaabnaaaaajicaabaaaabaaaaaa
akaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakbcaabaaaacaaaaaa
ckbabaaaacaaaaaadkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaaj
bcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaabkaabaaaabaaaaaa
dcaaaaakicaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaa
akaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajicaabaaaaaaaaaaaakaabaaaacaaaaaadkaabaaa
aaaaaaaackaabaaaabaaaaaadbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiicaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaa
aaaaaaaaclaaaaafccaabaaaaaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaa
adaaaaaabkaabaiaebaaaaaaaaaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahocaabaaaacaaaaaakgabbaaa
abaaaaaaagajbaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egacbaaaabaaaaaaogajbaiaebaaaaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaaaaaaaaaogajbaaaacaaaaaadcaaaaakhcaabaaa
aaaaaaaaegacbaiaebaaaaaaadaaaaaaggaibaaaabaaaaaaegacbaaaaaaaaaaa
dcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaajgahbaaa
acaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaa
agaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaa
egaabaaaaaaaaaaaagiacaaaaaaaaaaabcaaaaaadcaaaaaomcaabaaaaaaaaaaa
agiacaiaebaaaaaaaaaaaaaabcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadp
aaaaaadpagaebaaaaaaaaaaadgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaa
aaaaaaaaalaaaaafdcaabaaaacaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaa
aaaaaaaakgaobaaaaaaaaaaaejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaaeaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaa
aaaaaaalhcaabaaaacaaaaaaegacbaiaebaaaaaaaaaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaapcaaaaiicaabaaaaaaaaaaaagbabaaaabaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaaaaaaaaa
egacbaaaacaaaaaaegacbaaaaaaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaaoaaaaakicaabaaaaaaaaaaa
aceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaaj
icaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaa
acaaaaaadkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaaj
bcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaaochgdido
dcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaa
aebnkjlodcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaa
abeaaaaadiphhpdpdiaaaaahbcaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadcaaaaajbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapmjdpdbaaaaajccaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaa
akaabaaaacaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaaabaaaaaa
igaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaaakaabaaaacaaaaaa
abeaaaaanlapejmaaaaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaaddaaaaahicaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
dbaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaa
deaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaadhaaaaakicaabaaa
aaaaaaaaakaabaaaabaaaaaadkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaa
dcaaaaajbcaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaa
aaaaaadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdo
dgaaaaagicaabaaaaaaaaaaadkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaa
adaaaaaadkaabaaaaaaaaaaaamaaaaafbcaabaaaaeaaaaaadkaabaaaaaaaaaaa
dcaaaaakicaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaadagojjlm
abeaaaaachbgjidndcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaa
aaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaa
abaaaaaackaabaiambaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
abaaaaaackaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaa
ckaabaaaabaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaaamaabeaaaaanlapejeaabaaaaahicaabaaaabaaaaaabkaabaaaacaaaaaa
dkaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaa
abaaaaaadkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaa
abeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaabaaaaaaamaaaaaf
ccaabaaaaeaaaaaabkaabaaaabaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaa
abaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaa
aeaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaa
aagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaadcaaaaapdcaabaaa
abaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaa
egacbaaaaaaaaaaaegacbaaaacaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaa
aaaaaaaaegiccaaaaaaaaaaaafaaaaaaapaaaaahicaabaaaaaaaaaaaegaabaaa
abaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
abeaaaaaaaaaiadpaaaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaabaaaaaabaaaaaahicaabaaaaaaaaaaajgbhbaaaabaaaaaajgbhbaaa
abaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaa
abaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaa
aeaaaaaadcaaaaajhcaabaaaadaaaaaajgbhbaaaabaaaaaapgapbaaaaaaaaaaa
egacbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaa
acaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaacaaaaaa
pgapbaaaabaaaaaaegacbaaaadaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaa
acaaaaaaegacbaaaabaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaa
bjaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadiaaaaajocaabaaaabaaaaaa
agijcaaaaaaaaaaaafaaaaaaagijcaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaa
abaaaaaaagaabaaaabaaaaaajgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaa
egacbaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaaoaaaaahdcaabaaa
abaaaaaaegbabaaaafaaaaaapgbpbaaaafaaaaaaaaaaaaakdcaabaaaabaaaaaa
egaabaaaabaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaaj
pcaabaaaabaaaaaaegaabaaaabaaaaaaeghobaaaadaaaaaaaagabaaaaaaaaaaa
dbaaaaahbcaabaaaabaaaaaaabeaaaaaaaaaaaaackbabaaaafaaaaaaabaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaaaabaaaaaabaaaaaahccaabaaaabaaaaaa
egbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaajpcaabaaaacaaaaaafgafbaaa
abaaaaaaeghobaaaaeaaaaaaaagabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaacaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiaeadiaaaaahpcaabaaaacaaaaaaegaobaaaaaaaaaaa
agaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
baaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaah
ccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaahpccabaaaaaaaaaaaagaabaaaaaaaaaaaegaobaaa
acaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTextureB0] 2D
SetTexture 4 [_LightTexture0] CUBE
"ps_3_0
; 134 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_cube s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4 r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
add_pp r2.y, r2.x, c12.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s3
texld r0.w, v5, s4
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c11.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 132 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4_pp r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
texld r0.w, v5, s3
mul_pp r0.x, r0.w, c11.w
add_pp r2.y, r2.x, c12.z
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 121 instructions, 5 temp regs, 0 temp arrays:
// ALU 103 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 143 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c4.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c2
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.w, r0.x, c5
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
texldp r0.x, v6, s5
rcp r0.z, v6.w
mad r0.z, -v6, r0, r0.x
mov r0.w, c1.x
cmp r2.z, r0, c8.y, r0.w
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.x
dp3 r0.x, v5, v5
texld r0.w, r2, s3
cmp r0.z, -v5, c8.x, c8.y
mul_pp r0.z, r0, r0.w
add_pp r0.w, r0.y, c13.z
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r2.z
mul_pp r0.z, r0.x, c12.w
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.z
frc_pp r2.x, r0.w
add_pp_sat r0.z, r0.w, -r2.x
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mad_pp r0.y, r0, r0.z, c8
mul_pp r1.w, r0.x, c12
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 142 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c3
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c4.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c2
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.w, r0.x, c5
mul_pp r1.xyz, r1.w, r3
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
mad r1.xyz, r2, r0.w, r1
mov r0.x, c1
add r0.w, c8.y, -r0.x
rcp r0.z, v5.w
mad r2.xy, v5, r0.z, c13.x
texldp r0.x, v6, s5
mad r2.z, r0.x, r0.w, c1.x
dp3 r0.x, v5, v5
texld r0.w, r2, s3
cmp r0.z, -v5, c8.x, c8.y
mul_pp r0.z, r0, r0.w
add_pp r0.w, r0.y, c13.z
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r2.z
mul_pp r0.z, r0.x, c12.w
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.z
frc_pp r2.x, r0.w
add_pp_sat r0.z, r0.w, -r2.x
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mad_pp r0.y, r0, r0.z, c8
mul_pp r1.w, r0.x, c12
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 134 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 132 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r0.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul r1.w, r0.x, c4
dp4_pp r0.y, c0, c0
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r0.z, v3, r0
texldp r0.x, v5, s3
mul_pp r0.y, r0.x, c11.w
mul_pp r1.xyz, r0.w, r3
mul_pp r2.xyz, c4, r2
mad r1.xyz, r2, r1.w, r1
add_pp r1.w, r0.z, c12.z
frc_pp r2.x, r1.w
mul r1.xyz, r1, r0.y
add_pp_sat r0.y, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
add_pp r0.w, r0.y, c11.z
mul_pp_sat r0.y, -r0.z, c12
mad_pp r0.y, r0, r0.w, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 122 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 133 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r1
mul_pp r3.xyz, r3, c1
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
mul r0.w, r0.x, c4
dp4_pp r0.y, c0, c0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
add_pp r2.y, r2.x, c12.z
texldp r0.x, v6, s3
texld r0.w, v5, s4
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c11.z
mul_pp_sat r1.x, -r2, c12.y
mad_pp r1.x, r1, r1.y, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 143 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c4
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c5.x
mov r0.w, r0.x
dp3_pp r1.w, r2, r1
mov_pp r0.xyz, c3
mul_pp r2.xyz, c6, r0
mul_pp r3.xyz, r3, c3
mul r0.w, r0, c6
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r2, r0.w, r1
dp3 r0.x, v6, v6
rsq r2.x, r0.x
texld r0, v6, s3
dp4 r0.y, r0, c9
rcp r2.x, r2.x
mul r0.x, r2, c1.w
mad r0.x, -r0, c10, r0.y
dp4 r0.z, c0, c0
rsq r0.z, r0.z
mul r2.xyz, r0.z, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c15.w
mov r0.y, c2.x
cmp r0.y, r0.x, c10, r0
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c14.w
mul_pp_sat r1.x, -r2, c15.z
mad_pp r1.x, r1, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 144 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c4
mul_pp r2.xyz, r0.w, r2
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c5.x
dp3_pp r1.w, r2, r1
mov r0.w, r0.x
mul_pp r3.xyz, r3, c3
mov_pp r0.xyz, c3
dp3 r2.x, v6, v6
mul r0.w, r0, c6
mul_pp r0.xyz, c6, r0
mul_pp r1.xyz, r1.w, r3
mad r1.xyz, r0, r0.w, r1
texld r0, v6, s3
dp4 r0.y, r0, c9
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c10.x, r0.y
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.y, v3, r0
mov r2.x, c2
cmp r2.x, r0.w, c10.y, r2
dp3 r0.x, v5, v5
texld r0.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.x
mul_pp r0.x, r0.w, c15
add_pp r2.x, r2.y, c15.w
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.x
add_pp_sat r1.x, r2, -r2.z
add_pp r1.y, r1.x, c14.w
mul_pp_sat r1.x, -r2.y, c15.z
mad_pp r1.x, r1, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 133 instructions, 5 temp regs, 0 temp arrays:
// ALU 112 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
mul r1.x, r1, c16.y
add r2.z, r1.x, c17.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r0.w, r0, c14.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c11.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
add_pp r1.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c7
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c8.x
dp3_pp r0.y, r2, r1
mul_pp r3.xyz, r3, c6
mov_pp r2.xyz, c6
mul_pp r1.xyz, r0.y, r3
rcp r0.z, v6.w
mad r3.xy, v6, r0.z, c5
mul r0.x, r0, c9.w
mul_pp r2.xyz, c9, r2
mad r2.xyz, r2, r0.x, r1
texld r0.x, r3, s5
mad r1.xy, v6, r0.z, c4
texld r1.x, r1, s5
mov r1.z, r1.x
mad r1.xy, v6, r0.z, c2
mad r3.xy, v6, r0.z, c3
mov r1.w, r0.x
texld r0.x, r3, s5
texld r1.x, r1, s5
mov r1.y, r0.x
mad r1, -v6.z, r0.z, r1
mov r0.x, c1
cmp r1, r1, c12.y, r0.x
dp4 r0.z, c0, c0
rsq r0.x, r0.z
mul r3.xyz, r0.x, c0
dp4_pp r1.z, r1, c12.z
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
texld r0.w, r1, s3
dp3_pp r0.z, v3, r3
add_pp r1.w, r0.z, c17
cmp r1.x, -v5.z, c12, c12.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.x, r0, r1.z
mul_pp r0.w, r0.x, c17.x
mul_pp r0.x, r0, r0.y
frc_pp r2.w, r1
mul r1.xyz, r2, r0.w
add_pp_sat r0.w, r1, -r2
add_pp r0.w, r0, c16
mul_pp_sat r0.y, -r0.z, c17.z
mad_pp r0.y, r0, r0.w, c12
mul_pp r1.w, r0.x, c17.x
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 145 instructions, 5 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
mul r1.x, r1, c16.y
add r2.z, r1.x, c17.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r0.w, r0, c14.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c11.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
add_pp r1.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r1, r0
texldd r1.xyz, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r3.xyz, r3, c7
rcp r2.w, v6.w
mul_pp r1.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r1
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r2, r0
pow r0, r1.w, c8.x
dp3_pp r1.w, r2, r1
mul r0.w, r0.x, c9
mad r0.xyz, v6, r2.w, c5
mul_pp r3.xyz, r3, c6
mov_pp r2.xyz, c6
mul_pp r1.xyz, r1.w, r3
mul_pp r2.xyz, c9, r2
mad r2.xyz, r2, r0.w, r1
mad r1.xyz, v6, r2.w, c3
texld r0.x, r0, s5
mov_pp r0.w, r0.x
mad r0.xyz, v6, r2.w, c4
texld r0.x, r0, s5
texld r1.x, r1, s5
mov_pp r0.y, r1.x
mad r1.xyz, v6, r2.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s5
mov r2.w, c1.x
add r1.x, c12.y, -r2.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c12.z
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r3.xyz, r1.x, c0
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r0.w, r1, s3
cmp r0.z, -v5, c12.x, c12.y
mul_pp r0.z, r0, r0.w
dp3_pp r0.y, v3, r3
add_pp r0.w, r0.y, c17
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r0.x, r0, r1.z
mul_pp r0.z, r0.x, c17.x
mul_pp r0.x, r0, r1.w
mul r1.xyz, r2, r0.z
frc_pp r2.w, r0
add_pp_sat r0.z, r0.w, -r2.w
add_pp r0.z, r0, c16.w
mul_pp_sat r0.y, -r0, c17.z
mad_pp r0.y, r0, r0.z, c12
mul_pp r1.w, r0.x, c17.x
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 142 instructions, 5 temp regs, 0 temp arrays:
// ALU 118 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 150 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c16
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
dp3_pp r2.w, r1, r2
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
add r0.xyz, v6, c9.xyyw
texld r0, r0, s3
dp4 r3.w, r0, c10
mov_pp r1.xyz, c3
add r0.xyz, v6, c9.yxyw
mul_pp r2.xyz, r2.w, r3
texld r0, r0, s3
dp4 r3.z, r0, c10
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c9.yyxw
texld r1, r1, s3
dp4 r3.y, r1, c10
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c9.x
texld r0, r0, s3
rcp r1.x, r1.x
dp4 r3.x, r0, c10
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c9.z, r3
cmp r0, r0, c11.x, r1.x
dp4_pp r0.y, r0, c9.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c16.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.w
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c15.z
mul_pp_sat r1.x, -r1, c16.y
mad_pp r1.x, r1, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 142 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfihpmnpeknggfoaenglhbolgoeidbeogabaaaaaabebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcmebcaaaaeaaaaaaalbaeaaaafjaaaaaeegiocaaa
aaaaaaaabfaaaaaafjaaaaaeegiocaaaabaaaaaaacaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaa
ffffaaaafidaaaaeaahabaaaaeaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaa
gcbaaaadocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaa
adaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaad
hcbabaaaagaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaai
fcaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
icaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaa
cgbjbaaaacaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaa
bkaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaadkaabaaa
aaaaaaaabkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaa
bkbabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaaj
bcaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
bnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaaj
icaabaaaaaaaaaaaakaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaa
dbaaaaahccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaa
aaaaaaaabkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaa
aaaaaaaadkaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaa
aaaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaa
aaaaaaaadiaaaaahocaabaaaacaaaaaakgabbaaaabaaaaaaagajbaaaadaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaaogajbaia
ebaaaaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
aaaaaaaaogajbaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaa
adaaaaaaggaibaaaabaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaa
agaabaaaacaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadiaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
aoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaa
aaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaa
aaaaaaaabcaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaa
dgaaaaagmcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaa
acaaaaaaogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaa
ejaaaaanpcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaa
aeaaaaaaegaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaalhcaabaaaacaaaaaa
egacbaiaebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
apcaaaaiicaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaa
dcaaaaajhcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaa
aaaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaiadpaaaaiadpdkaabaaaaaaaaaaaddaaaaajicaabaaaabaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
abeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaah
bcaabaaaacaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaaj
ccaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
abaaaaahbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaa
dbaaaaaidcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaa
abaaaaahicaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaddaaaaahicaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaa
dkaabaiaebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaa
dkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaa
amaaaaafbcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaa
ckaabaiaibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaak
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaa
iedefjlodcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaabaaaaaackaabaiambaaaaaa
abaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaa
diaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadcaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejea
abaaaaahicaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaaabaaaaaadcaaaaaj
icaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaa
diaaaaahccaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaaf
ccaabaaaadaaaaaabkaabaaaabaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaa
abaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaa
aagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaa
abaaaaaaegaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaa
adaaaaaaegaabaaaaeaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaa
aceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
acaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
apaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaa
afaaaaaaapaaaaahicaabaaaaaaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaa
ddaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaai
icaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaaf
ecaabaaaabaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
abaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaah
icaabaaaaaaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaa
aaaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaa
egbcbaaaaeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
hcaabaaaacaaaaaapgapbaaaabaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaa
adaaaaaajgbhbaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaa
adaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaa
cpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaa
akaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaa
aaaaaaaabbaaaaaadiaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaafaaaaaa
agijcaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaa
jgahbaaaabaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaagaaaaaa
egbcbaaaagaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaaabaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaomfbhidpaaaaaaakocaabaaa
abaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaadmaaaaaadm
efaaaaajpcaabaaaacaaaaaajgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaa
aaaaaaaabbaaaaakbcaabaaaacaaaaaaegaobaaaacaaaaaaaceaaaaaaaaaiadp
ibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaabaaaaaaagbjbaaaagaaaaaa
aceaaaaaaaaaaaaaaaaaaalmaaaaaalmaaaaaadmefaaaaajpcaabaaaadaaaaaa
jgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaaaaaaaabbaaaaakccaabaaa
acaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadlicabibdhimpinfdb
aaaaaaakocaabaaaabaaaaaaagbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaalm
aaaaaadmaaaaaalmefaaaaajpcaabaaaadaaaaaajgahbaaaabaaaaaaeghobaaa
aeaaaaaaaagabaaaaaaaaaaabbaaaaakecaabaaaacaaaaaaegaobaaaadaaaaaa
aceaaaaaaaaaiadpibiaiadlicabibdhimpinfdbaaaaaaakocaabaaaabaaaaaa
agbjbaaaagaaaaaaaceaaaaaaaaaaaaaaaaaaadmaaaaaalmaaaaaalmefaaaaaj
pcaabaaaadaaaaaajgahbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaaaaaaaaa
bbaaaaakicaabaaaacaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadpibiaiadl
icabibdhimpinfdbdbaaaaahpcaabaaaabaaaaaaegaobaaaacaaaaaaagaabaaa
abaaaaaadhaaaaanpcaabaaaabaaaaaaegaobaaaabaaaaaaagiacaaaacaaaaaa
biaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpbbaaaaakbcaabaaa
abaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiadoaaaaiado
baaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaaj
pcaabaaaacaaaaaafgafbaaaabaaaaaaeghobaaaadaaaaaaaagabaaaabaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaacaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahpcaabaaa
acaaaaaaegaobaaaaaaaaaaaagaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaa
egacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahpccabaaaaaaaaaaa
agaabaaaaaaaaaaaegaobaaaacaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 151 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c16
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
dp3_pp r2.w, r1, r2
texldd r0.xyz, r4, s0, r4.zwzw, r5
mul_pp r3.xyz, r0, r3
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
mul_pp r3.xyz, r3, c4
mul_pp r3.xyz, r3, c3
add r0.xyz, v6, c9.xyyw
texld r0, r0, s3
dp4 r3.w, r0, c10
mov_pp r1.xyz, c3
add r0.xyz, v6, c9.yxyw
mul_pp r2.xyz, r2.w, r3
texld r0, r0, s3
dp4 r3.z, r0, c10
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c9.yyxw
texld r1, r1, s3
dp4 r3.y, r1, c10
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c9.x
texld r0, r0, s3
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r3.x, r0, c10
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c9.z, r3
cmp r0, r0, c11.x, r1.x
dp4_pp r0.y, r0, c9.w
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c16.z
dp3 r0.x, v5, v5
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
texld r0.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c15.w
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c15.z
mul_pp_sat r1.x, -r1, c16.y
mad_pp r1.x, r1, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
mul r2.x, r0, r1.w
add_pp r2.y, r0.w, c12.z
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r0.y, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r2.x, r0.y, c11.z
texld r0.x, r0.x, s3
mul_pp r0.y, r0.x, c11.w
mul_pp_sat r0.z, -r0.w, c12.y
mul r1.xyz, r1, r0.y
mul_pp r0.z, r0, r2.x
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r2.w
add_pp r0.y, r0, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 106 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
"ps_3_0
; 131 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
abs r1.w, r1.z
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
max r2.w, r3.x, r1
min r0.w, r3.x, r1
rcp r2.x, r2.w
mul r2.x, r0.w, r2
abs r0.w, r0.x
rcp r2.y, r0.w
mul r0.x, r2, r2
mul r2.z, r0, r2.y
mad r0.w, r0.x, c9.y, c9.z
mad r0.z, r0.w, r0.x, c9.w
mad r0.z, r0, r0.x, c10.x
mul r2.y, r0, r2
mad r0.y, r0.z, r0.x, c10
mad r0.z, r2.y, c12.x, c12.x
mad r2.y, r0, r0.x, c10.z
mul r2.x, r2.y, r2
mad r0.w, r2.z, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c8.w
cmp r1.w, r1.z, r1, r2.x
cmp r1.w, r1.x, r1, -r1
add r2.w, -r2.y, c7.y
mad r2.z, r2.y, c7, c7.w
mad r2.z, r2, r2.y, c8.x
rsq r2.w, r2.w
mul r2.x, r1.w, c11
cmp r1.y, r1, c7.x, c7
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c8
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c8, r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.w, r1.x, c9.x
add r1.z, r2.x, c12.x
mov r1.y, r1.w
abs r1.x, r2
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r2.yw, r1.zwzw, s1, r3, r3.zwzw
mad_pp r1.xy, r2.wyzw, c11.y, c11.z
abs r0.zw, r0
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
mul_pp r4.xy, r1, r1
add_pp_sat r0.w, r4.x, r4.y
mul r2.w, v0.x, c6.x
add_pp r0.w, -r0, c7.y
add_pp r2.xyz, -r0, c7.y
mul_sat r2.w, r2, c8.z
mad_pp r0.xyz, r2.w, r2, r0
texldd r2, r1.zwzw, s0, r3, r3.zwzw
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
mul_pp r0.xyz, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r0.xyz, r0, c2
dp4_pp r3.x, c0, c0
rsq_pp r3.x, r3.x
mul_pp r1.xyz, r0.w, r1
dp3_pp r1.w, v4, v4
rsq_pp r0.w, r1.w
mul_pp r2.xyz, r0.w, v4
dp3_pp r1.w, v1, v1
dp3_pp r0.w, r1, r2
rsq_pp r1.w, r1.w
mad_pp r2.xyz, r1.w, v1, r2
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
dp3_pp_sat r2.y, r1, r2
mul_pp r0.xyz, r0, c1
mul_pp r0.xyz, r0.w, r0
mul_pp r3.xyz, r3.x, c0
pow r1, r2.y, c3.x
dp3_pp r2.x, v3, r3
add_pp r1.y, r2.x, c12.z
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul r1.w, r1.x, r2
add_pp r2.y, r1, c11.z
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r0.xyz, r1, r1.w, r0
mul_pp_sat r2.x, -r2, c12.y
mul_pp r2.x, r2, r2.y
mad_pp r1.x, r2.w, -r2, r2
mul r0.xyz, r0, c11.w
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 272 // 264 used size, 14 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
// 121 instructions, 5 temp regs, 0 temp arrays:
// ALU 104 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
"ps_3_0
; 140 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c9.y, c9
mad r2.x, r0.z, r2.w, c9.w
mad r3.x, r2, r2.w, c10
mad r3.x, r3, r2.w, c10.y
mad r2.w, r3.x, r2, c10.z
mul r2.z, r2.w, r2
mad r0.y, r0, c12.x, c12.x
mad r0.x, r0, c12, c12
mul r0.xy, r0, c5.x
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c10.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c8.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c7.y
mad r1.w, r0, c7.z, c7
mad r1.w, r1, r0, c8.x
mul r1.x, r1, c11
add r2.z, r1.x, c12.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c8.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c7.x, c7.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c8.z, r1.w
mad r0.w, r0, c8, r1.y
mul r0.w, r0, c9.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c6.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c11.y, c11.z
add_pp r1.xyz, -r0, c7.y
mul_sat r0.w, r0, c8.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c7.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c12
frc_pp r0.w, r0.z
mov_pp r2.xyz, c1
mul_pp r2.xyz, c4, r2
add_pp_sat r0.z, r0, -r0.w
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c12.x
add_pp r2.z, r0, c11
dp3 r0.x, v5, v5
texld r0.w, r2, s3
mul_pp_sat r0.y, -r0, c12
cmp r0.z, -v5, c7.x, c7.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s4
mul_pp r0.w, r0.z, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r2.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 0
SetTexture 4 [_LightTextureB0] 2D 1
// 131 instructions, 5 temp regs, 0 temp arrays:
// ALU 111 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTextureB0] 2D
SetTexture 4 [_LightTexture0] CUBE
"ps_3_0
; 137 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_cube s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r3.w, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
dp3_pp_sat r0.w, r2, r1
dp4 r2.w, c0, c0
rsq r1.x, r2.w
pow r2, r0.w, c3.x
mul r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c12.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r3.w, r3
mul r0.w, r0, r1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r0.z, r2.x, c11
mul_pp_sat r0.y, -r2, c12
texld r0.x, r0.x, s3
texld r0.w, v5, s4
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTextureB0] 2D 1
SetTexture 4 [_LightTexture0] CUBE 0
// 126 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r0.w, r2, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r1.x, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
add_pp r2.z, r2.y, c12
frc_pp r2.w, r2.z
mul r2.x, r1, r1.w
add_pp_sat r2.z, r2, -r2.w
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r0.w, r3
mad r0.xyz, r1, r2.x, r0
texld r2.w, v5, s3
mul_pp r1.x, r2.w, c11.w
mul_pp r0.w, r2, r0
mul r0.xyz, r0, r1.x
add_pp r1.z, r2, c11
mul_pp_sat r1.y, -r2, c12
mul_pp r1.y, r1, r1.z
mad_pp r1.x, r1.w, -r1.y, r1.y
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_LightTexture0] 2D 0
// 123 instructions, 5 temp regs, 0 temp arrays:
// ALU 105 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 145 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c13
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
texldp r0.x, v6, s5
rcp r0.w, v6.w
mad r0.w, -v6.z, r0, r0.x
mov r2.x, c1
cmp r2.z, r0.w, c8.y, r2.x
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.x
texld r0.w, r2, s3
cmp r2.x, -v5.z, c8, c8.y
dp3 r0.x, v5, v5
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r2.z
mul_pp r0.x, r0.w, c12.w
mul_pp r0.w, r0, r2
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
add_pp r1.x, r1, c8.y
mul_pp r0.w, r0, c12
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 136 instructions, 5 temp regs, 0 temp arrays:
// ALU 114 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 144 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c9, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c10, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c11, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c12, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c13, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c8.y, c8.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c8.y, c8.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8.x, c8
cmp r0.x, -r0, c8, c8.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c8.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c8.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c8.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c10.y, c10
mad r2.x, r0.z, r2.w, c10.w
mad r3.x, r2, r2.w, c11
mad r3.x, r3, r2.w, c11.y
mad r2.w, r3.x, r2, c11.z
mul r2.z, r2.w, r2
mad r0.y, r0, c13.x, c13.x
mad r0.x, r0, c13, c13
mul r0.xy, r0, c6.x
mov r0.z, c6.x
mad r0.zw, c13.x, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c11.w
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c9.w
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c8.y
mad r1.w, r0, c8.z, c8
mad r1.w, r1, r0, c9.x
mul r1.x, r1, c12
add r2.z, r1.x, c13.x
rsq r2.x, r2.x
mad r0.w, r1, r0, c9.y
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c8.x, c8.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.z, r1.w
mad r0.w, r0, c9, r1.y
mul r0.w, r0, c10.x
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c7.x
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c12.y, c12.z
add_pp r1.xyz, -r0, c8.y
mul_sat r0.w, r0, c9.z
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c8.y
rsq_pp r0.x, r0.x
rcp_pp r2.z, r0.x
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r0.w, r2.w
dp3_pp r2.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.y, v3, r2
add_pp r0.z, r0.y, c13
frc_pp r0.w, r0.z
add_pp_sat r0.z, r0, -r0.w
mov_pp r2.xyz, c2
mul_pp r2.xyz, c5, r2
mul r0.x, r0, r1.w
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r2, r0.x, r1
mov r0.x, c1
add r2.x, c8.y, -r0
texldp r0.x, v6, s5
mad r2.z, r0.x, r2.x, c1.x
rcp r0.w, v5.w
mad r2.xy, v5, r0.w, c13.x
texld r0.w, r2, s3
cmp r2.x, -v5.z, c8, c8.y
dp3 r0.x, v5, v5
mul_pp r0.w, r2.x, r0
texld r0.x, r0.x, s4
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r2.z
mul_pp r0.x, r0.w, c12.w
mul_pp r0.w, r0, r2
add_pp r0.z, r0, c12
mul_pp_sat r0.y, -r0, c13
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
add_pp r1.x, r1, c8.y
mul_pp r0.w, r0, c12
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 136 instructions, 5 temp regs, 0 temp arrays:
// ALU 115 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 135 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsx r3.xy, r1
dsy r3.zw, r1.xyxy
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r0.w, r2, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.w, r3
dp3_pp_sat r1.x, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
mul r2.x, r1, r1.w
add_pp r2.z, r2.y, c12
frc_pp r2.w, r2.z
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.x, r0
texldp r0.x, v5, s3
mul_pp r0.y, r0.x, c11.w
add_pp_sat r2.z, r2, -r2.w
mul r1.xyz, r1, r0.y
add_pp r2.x, r2.z, c11.z
mul_pp_sat r0.z, -r2.y, c12.y
mul_pp r0.z, r0, r2.x
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r0.w
add_pp r0.y, r0, c7
mul_pp r1.w, r0.x, c11
mul_pp oC0, r1, r0.y
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 124 instructions, 5 temp regs, 0 temp arrays:
// ALU 106 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 136 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c7, 0.00000000, 1.00000000, -0.01872930, 0.07426100
def c8, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c9, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c10, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c11, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c12, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c7.y, c7.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c7.y, c7.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c7.x, c7
cmp r0.x, -r0, c7, c7.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c7.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c7.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c7.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c9.y, c9.z
mad r0.x, r0, r2.y, c9.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c10
mad r2.z, r0.x, r2.y, c10.y
mad r0.w, r0.z, c12.x, c12.x
mad r0.z, r0.y, c12.x, c12.x
mul r0.xy, r0.zwzw, c5.x
mad r2.y, r2.z, r2, c10.z
mul r2.x, r2.y, r2
mov r0.z, c5.x
mad r0.zw, c12.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c10.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c7
mad r2.x, r1.w, c7.z, c7.w
mad r2.x, r2, r1.w, c8
rsq r2.y, r2.y
add r2.w, -r2.z, c8
cmp r1.y, r1, c7.x, c7
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c8.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c8, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c8.w, r1.z
mul r1.z, r1.x, c9.x
mul r1.w, r1, c11.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r2.z, r1.w, c12.x
mov r1.y, r1.z
abs r1.x, r1.w
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
mov r2.w, r1.z
texldd r1.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r1.wyzw, c11.y, c11.z
mul_pp r4.xy, r2, r2
mul r1.w, v0.x, c6.x
add_pp_sat r0.w, r4.x, r4.y
add_pp r1.xyz, -r0, c7.y
mul_sat r1.w, r1, c8.z
mad_pp r0.xyz, r1.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r1.xyz, r1, r0
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.w, -r0, c7.y
rsq_pp r0.x, r0.w
rcp_pp r2.z, r0.x
dp3_pp r0.x, r2, r2
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r3.w, r2, r0
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
dp3_pp_sat r0.w, r2, r1
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c12.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r3.w, r3
mul r0.w, r0, r1
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
add_pp r0.z, r2.x, c11
mul_pp_sat r0.y, -r2, c12
texldp r0.x, v6, s3
texld r0.w, v5, s4
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c11.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c7.y
mul_pp r0.w, r0, c11
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] 2D 0
// 126 instructions, 5 temp regs, 0 temp arrays:
// ALU 107 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 145 ALU, 11 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c12, c12.w
mad r2.x, r0.z, r2.w, c13
mad r3.x, r2, r2.w, c13.y
mad r3.x, r3, r2.w, c13.z
mad r2.w, r3.x, r2, c13
mul r2.z, r2.w, r2
mad r0.y, r0, c15, c15
mad r0.x, r0, c15.y, c15.y
mul r0.xy, r0, c7.x
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c14
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c12.x
cmp r1.z, r1, r2.y, r2
cmp r1.x, r1, r1.z, -r1.z
add r2.x, -r0.w, c10.y
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
mul r1.x, r1, c14.y
add r2.z, r1.x, c15.y
rsq r2.x, r2.x
mad r0.w, r1, r0, c11.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c10.z, c10.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mov r1.y, r0.w
abs r1.x, r1
mov r2.w, r0
mul r0.w, v0.x, c8.x
dsy r3.zw, r1.xyxy
dsx r3.xy, r1
texldd r4.yw, r2.zwzw, s1, r3, r3.zwzw
mad_pp r2.xy, r4.wyzw, c14.z, c14.w
add_pp r1.xyz, -r0, c10.y
mul_sat r0.w, r0, c11
mad_pp r0.xyz, r0.w, r1, r0
texldd r1, r2.zwzw, s0, r3, r3.zwzw
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r0.w, r2, r1
mul_pp r1.xyz, r3, c4
dp3_pp r2.x, r2, r0
pow r3, r0.w, c5.x
mul_pp r1.xyz, r1, c3
mul_pp r0.xyz, r2.x, r1
mov r0.w, r3.x
mov_pp r1.xyz, c3
mul r0.w, r0, r1
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r0
texld r0, v6, s3
dp4 r0.y, r0, c9
dp3 r2.y, v6, v6
rsq r0.x, r2.y
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c10.x, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r0.z, v3, r0
mov r2.y, c2.x
cmp r0.y, r0.w, c10, r2
add_pp r2.y, r0.z, c15.w
dp3 r0.x, v5, v5
texld r0.x, r0.x, s4
mul r0.w, r0.x, r0.y
frc_pp r2.z, r2.y
add_pp_sat r0.y, r2, -r2.z
mul_pp r0.x, r0.w, c15
add_pp r2.y, r0, c14.w
mul_pp_sat r0.y, -r0.z, c15.z
mul_pp r2.y, r0, r2
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2.y, r2.y
mul_pp r0.w, r0, r2.x
add_pp r1.x, r1, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 133 instructions, 5 temp regs, 0 temp arrays:
// ALU 113 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 146 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c10, 0.97000003, 1.00000000, 0.00000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c15, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c10.y, c10.z
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c10.y, c10.z
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10.z, c10
cmp r0.x, -r0, c10.z, c10.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c10.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c10.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c10.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c12.z, c12.w
mad r0.x, r0, r2.y, c13
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c13.y
mad r2.z, r0.x, r2.y, c13
mad r0.w, r0.z, c15.y, c15.y
mad r0.z, r0.y, c15.y, c15.y
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c13.w
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c15.y, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.x
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c10
mad r2.x, r1.w, c11, c11.y
mad r2.x, r2, r1.w, c10.w
rsq r2.y, r2.y
add r2.w, -r2.z, c12.x
cmp r1.y, r1, c10.z, c10
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c11.z
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c11.w, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12, r1.z
mul r1.z, r1.x, c12.y
mul r1.w, r1, c14.y
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c10.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
add r4.x, r1.w, c15.y
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c14.z, c14.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c11.w
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c10.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
mul_pp r1.xyz, r0.w, r1
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
dp3_pp r2.w, r1, r2
mul r3.x, r1.w, r0.w
texld r1, v6, s3
dp4 r1.y, r1, c9
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r2.w, r0
mov_pp r0.xyz, c3
mul_pp r0.xyz, c6, r0
mad r2.xyz, r0, r3.x, r2
dp3 r0.x, v6, v6
rsq r0.x, r0.x
rcp r1.x, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.z, v3, r0
mul r1.x, r1, c1.w
mad r1.x, -r1, c10, r1.y
add_pp r1.y, r0.z, c15.w
mov r0.x, c2
cmp r0.y, r1.x, c10, r0.x
dp3 r0.x, v5, v5
frc_pp r1.z, r1.y
texld r1.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r1.w
mul r1.x, r0, r0.y
add_pp_sat r0.y, r1, -r1.z
add_pp r1.y, r0, c14.w
mul_pp_sat r0.y, -r0.z, c15.z
mul_pp r1.y, r0, r1
mul_pp r0.x, r1, c15
mad_pp r1.y, r0.w, -r1, r1
mul_pp r0.w, r1.x, r2
mul r0.xyz, r2, r0.x
add_pp r1.x, r1.y, c10.y
mul_pp r0.w, r0, c15.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 135 instructions, 5 temp regs, 0 temp arrays:
// ALU 114 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c14.z, c14.w
mad r0.x, r0, r2.y, c15
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c15.y
mad r2.z, r0.x, r2.y, c15
mad r0.w, r0.z, c17.y, c17.y
mad r0.z, r0.y, c17.y, c17.y
mul r0.xy, r0.zwzw, c10.x
mad r2.y, r2.z, r2, c15.w
mul r2.x, r2.y, r2
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
add r2.y, -r2.x, c16.x
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c12
mad r2.x, r1.w, c13, c13.y
mad r2.x, r2, r1.w, c12.w
rsq r2.y, r2.y
add r2.w, -r2.z, c14.x
cmp r1.y, r1, c12.x, c12
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c13.z
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c13.w, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c14, r1.z
mul r1.z, r1.x, c14.y
mul r1.w, r1, c16.y
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c12.y
add r4.x, r1.w, c17.y
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c16.z, c16.w
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c11.x
mul_sat r1.z, r2.w, c13.w
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c8.x
mov r1.w, r3.x
dp3_pp r3.x, r1, r2
mul_pp r0.xyz, r0, c7
mul_pp r0.xyz, r0, c6
mul_pp r2.xyz, r3.x, r0
rcp r0.z, v6.w
mad r0.xy, v6, r0.z, c5
texld r0.x, r0, s5
mov_pp r1.xyz, c6
mul r1.w, r1, r0
mul_pp r1.xyz, c9, r1
mad r1.xyz, r1, r1.w, r2
mad r2.xy, v6, r0.z, c4
mov r2.w, r0.x
texld r0.x, r2, s5
mad r2.xy, v6, r0.z, c3
mov r2.z, r0.x
texld r0.x, r2, s5
mad r4.xy, v6, r0.z, c2
mov r2.y, r0.x
texld r2.x, r4, s5
dp4 r0.x, c0, c0
mad r2, -v6.z, r0.z, r2
mov r1.w, c1.x
cmp r2, r2, c12.y, r1.w
rsq r0.x, r0.x
mul r0.xyz, r0.x, c0
dp3_pp r0.y, v3, r0
dp4_pp r2.z, r2, c12.z
add_pp r2.w, r0.y, c17
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r1.w, r2, s3
cmp r0.z, -v5, c12.x, c12.y
mul_pp r0.z, r0, r1.w
texld r0.x, r0.x, s4
mul_pp r0.x, r0.z, r0
mul_pp r1.w, r0.x, r2.z
frc_pp r3.y, r2.w
add_pp_sat r0.z, r2.w, -r3.y
add_pp r0.z, r0, c16.w
mul_pp_sat r0.y, -r0, c17.z
mul_pp r2.x, r0.y, r0.z
mul_pp r0.x, r1.w, c17
mul r0.xyz, r1, r0.x
mad_pp r1.x, r0.w, -r2, r2
mul_pp r0.w, r1, r3.x
add_pp r1.x, r1, c12.y
mul_pp r0.w, r0, c17.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 147 instructions, 5 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_LightTexture0] 2D
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c12, 0.00000000, 1.00000000, 0.25000000, -0.21211439
def c13, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c14, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c15, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c16, 1.57079601, 0.15915494, 2.00000000, -1.00000000
def c17, 4.00000000, 0.50000000, 10.00000000, 1.00976563
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, -r4.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c12.y, c12.x
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c12.y, c12.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c12.x, c12
cmp r0.x, -r0, c12, c12.y
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c12.y
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c12.y
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c12.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r2.xyz, r0.w, r0, r3
abs r0.x, r2
rcp r0.w, r0.x
abs r1.w, r1.z
max r0.x, r4, r1.w
mul r0.y, r2.z, r0.w
rcp r0.z, r0.x
min r0.x, r4, r1.w
mul r2.z, r0.x, r0
mul r2.w, r2.z, r2.z
mul r0.x, r2.y, r0.w
mad r0.z, r2.w, c14, c14.w
mad r2.x, r0.z, r2.w, c15
mad r3.x, r2, r2.w, c15.y
mad r3.x, r3, r2.w, c15.z
mad r2.w, r3.x, r2, c15
mul r2.z, r2.w, r2
mad r0.y, r0, c17, c17
mad r0.x, r0, c17.y, c17.y
mul r0.xy, r0, c10.x
mov r0.z, c10.x
mad r0.zw, c17.y, -r0.z, r0.xyxy
abs r2.xy, r0.zwzw
dsx r0.zw, r2.xyxy
dsy r2.xy, r2
texldd r0.xyz, r0, s2, r0.zwzw, r2
add r0.w, r4.x, -r1
add r2.x, -r2.z, c16
cmp r2.y, -r0.w, r2.z, r2.x
abs r0.w, r1.y
add r2.z, -r2.y, c14.x
cmp r1.z, r1, r2.y, r2
add r2.x, -r0.w, c12.y
mad r1.w, r0, c13.x, c13.y
mad r1.w, r1, r0, c12
rsq r2.x, r2.x
cmp r1.x, r1, r1.z, -r1.z
mad r0.w, r1, r0, c13.z
rcp r2.x, r2.x
mul r1.w, r0, r2.x
cmp r0.w, r1.y, c12.x, c12.y
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c13.w, r1.w
mad r0.w, r0, c14.x, r1.y
mul r1.y, r1.x, c16
mul r0.w, r0, c14.y
mov r2.y, r0.w
abs r2.x, r1.y
add r1.x, r1.y, c17.y
mov r1.y, r0.w
mul r0.w, v0.x, c11.x
dsy r2.zw, r2.xyxy
dsx r1.zw, r2.xyxy
texldd r4.yw, r1, s1, r1.zwzw, r2.zwzw
mad_pp r2.xy, r4.wyzw, c16.z, c16.w
texldd r1, r1, s0, r1.zwzw, r2.zwzw
add_pp r3.xyz, -r0, c12.y
mul_sat r0.w, r0, c13
mad_pp r0.xyz, r0.w, r3, r0
mul_pp r3.xyz, r1, r0
mul_pp r4.xy, r2, r2
add_pp_sat r0.w, r4.x, r4.y
add_pp r0.x, -r0.w, c12.y
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r0.w, r2, r1
mul_pp r1.xyz, r3, c7
pow r3, r0.w, c8.x
mov r0.w, r3.x
rcp r3.w, v6.w
dp3_pp r2.w, r2, r0
mul_pp r1.xyz, r1, c6
mul_pp r0.xyz, r2.w, r1
mov_pp r1.xyz, c6
mul r0.w, r0, r1
mul_pp r1.xyz, c9, r1
mad r2.xyz, r1, r0.w, r0
mad r0.xyz, v6, r3.w, c5
mad r1.xyz, v6, r3.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
mul r3.xyz, r0.w, c0
texld r0.x, r0, s5
mov_pp r0.w, r0.x
mad r0.xyz, v6, r3.w, c4
texld r0.x, r0, s5
texld r1.x, r1, s5
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v6, r3.w, c2
mov r0.x, c1
add r3.w, c12.y, -r0.x
texld r0.x, r1, s5
mad r0, r0, r3.w, c1.x
dp4_pp r0.z, r0, c12.z
dp3_pp r1.z, v3, r3
add_pp r3.x, r1.z, c17.w
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c17.y
dp3 r0.x, v5, v5
texld r0.w, r1, s3
cmp r0.y, -v5.z, c12.x, c12
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s4
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c17
frc_pp r3.y, r3.x
add_pp_sat r0.y, r3.x, -r3
add_pp r0.z, r0.y, c16.w
mul_pp_sat r0.y, -r1.z, c17.z
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
add_pp r1.x, r1, c12.y
mul_pp r0.w, r0, c17.x
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 400 // 392 used size, 16 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_LightTextureB0] 2D 2
SetTexture 5 [_ShadowMapTexture] 2D 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgkhhfbdmpkbggdiijpjbknfdceelpeogabaaaaaafebeaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcaebdaaaaeaaaaaaambaeaaaafjaaaaaeegiocaaa
aaaaaaaabjaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaiaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaa
fibiaaaeaahabaaaafaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaad
ocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadpcbabaaaafaaaaaagcbaaaadpcbabaaa
agaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacafaaaaaadgaaaaaifcaabaaa
aaaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahicaabaaa
aaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaaaaaaaaacgbjbaaa
acaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaadkaabaaaaaaaaaaa
bkaabaiaebaaaaaaabaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaabkaabaaaabaaaaaadcaaaaakicaabaaaaaaaaaaabkbabaia
ebaaaaaaacaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaai
bcaabaaaacaaaaaaakaabaaaacaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajicaabaaa
aaaaaaaaakaabaaaacaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaah
ccaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiicaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadkaabaaaaaaaaaaaclaaaaafccaabaaaaaaaaaaa
dkaabaaaaaaaaaaadgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaaaaaaaaa
dgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaa
diaaaaahocaabaaaacaaaaaakgabbaaaabaaaaaaagajbaaaadaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaaogajbaiaebaaaaaa
acaaaaaadcaaaaajhcaabaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaaaaaaaaa
ogajbaaaacaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
ggaibaaaabaaaaaaegacbaaaaaaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaa
acaaaaaaegacbaaaaaaaaaaajgahbaaaacaaaaaadiaaaaakgcaabaaaaaaaaaaa
fgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaai
dcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaak
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaa
bgaaaaaadcaaaaaomcaabaaaaaaaaaaaagiacaiaebaaaaaaaaaaaaaabgaaaaaa
aceaaaaaaaaaaaaaaaaaaaaaaaaaaadpaaaaaadpagaebaaaaaaaaaaadgaaaaag
mcaabaaaaaaaaaaakgaobaiaibaaaaaaaaaaaaaaalaaaaafdcaabaaaacaaaaaa
ogakbaaaaaaaaaaaamaaaaafmcaabaaaaaaaaaaakgaobaaaaaaaaaaaejaaaaan
pcaabaaaaaaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
egaabaaaacaaaaaaogakbaaaaaaaaaaaaaaaaaalhcaabaaaacaaaaaaegacbaia
ebaaaaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
icaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabiaaaaaadcaaaaaj
hcaabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaaegacbaaaaaaaaaaa
deaaaaajicaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaaoaaaaakicaabaaaaaaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadp
aaaaiadpdkaabaaaaaaaaaaaddaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaa
dkaabaaaaaaaaaaadcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaaabeaaaaa
fpkokkdmabeaaaaadgfkkolndcaaaaajbcaabaaaacaaaaaadkaabaaaabaaaaaa
akaabaaaacaaaaaaabeaaaaaochgdidodcaaaaajbcaabaaaacaaaaaadkaabaaa
abaaaaaaakaabaaaacaaaaaaabeaaaaaaebnkjlodcaaaaajicaabaaaabaaaaaa
dkaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaadiphhpdpdiaaaaahbcaabaaa
acaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaajbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajccaabaaa
acaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
bcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaakaabaaaacaaaaaadbaaaaai
dcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaiaebaaaaaaabaaaaaaabaaaaah
icaabaaaabaaaaaaakaabaaaacaaaaaaabeaaaaanlapejmaaaaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaaiicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaebaaaaaaabaaaaaadeaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
dkaabaaaabaaaaaadhaaaaakicaabaaaaaaaaaaaakaabaaaabaaaaaadkaabaia
ebaaaaaaaaaaaaaadkaabaaaaaaaaaaadcaaaaajbcaabaaaabaaaaaadkaabaaa
aaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaidpjccdodgaaaaagicaabaaaaaaaaaaadkaabaia
ibaaaaaaaaaaaaaaalaaaaafbcaabaaaadaaaaaadkaabaaaaaaaaaaaamaaaaaf
bcaabaaaaeaaaaaadkaabaaaaaaaaaaadcaaaaakicaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaaiedefjlo
dcaaaaakicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaa
abeaaaaakeanmjdpaaaaaaaiecaabaaaabaaaaaackaabaiambaaaaaaabaaaaaa
abeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaackaabaaaabaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadcaaaaajicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaah
icaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaaabaaaaaadcaaaaajicaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaah
ccaabaaaabaaaaaadkaabaaaaaaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaa
adaaaaaabkaabaaaabaaaaaaamaaaaafccaabaaaaeaaaaaabkaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaaegaabaaaabaaaaaaeghobaaaaaaaaaaaaagabaaa
adaaaaaaegaabaaaadaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaabaaaaaaeghobaaaabaaaaaaaagabaaaaeaaaaaaegaabaaaadaaaaaa
egaabaaaaeaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaadiaaaaahhcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaacaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaabdaaaaaa
diaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaajaaaaaa
apaaaaahicaabaaaaaaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaa
aaaaaaaadkaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaa
abaaaaaadkaabaaaaaaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaah
hcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaa
aaaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaabaaaaaahicaabaaaabaaaaaaegbcbaaaaeaaaaaaegbcbaaa
aeaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
acaaaaaapgapbaaaabaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaaadaaaaaa
jgbhbaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaa
aaaaaaaaegacbaaaabaaaaaaegacbaaaacaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaadaaaaaaegacbaaaadaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
bacaaaahbcaabaaaabaaaaaaegacbaaaacaaaaaaegacbaaaabaaaaaacpaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaaakiacaaaaaaaaaaabeaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaacaaaaaaakaabaaaabaaaaaa
diaaaaajocaabaaaabaaaaaaagijcaaaaaaaaaaaajaaaaaaagijcaaaaaaaaaaa
bfaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaajgahbaaaabaaaaaa
dcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
abaaaaaaaaaaaaajbcaabaaaabaaaaaaakiacaiaebaaaaaaacaaaaaabiaaaaaa
abeaaaaaaaaaiadpaoaaaaahocaabaaaabaaaaaaagbjbaaaagaaaaaapgbpbaaa
agaaaaaaaaaaaaaihcaabaaaacaaaaaajgahbaaaabaaaaaaegiccaaaaaaaaaaa
abaaaaaaehaaaaalbcaabaaaadaaaaaaegaabaaaacaaaaaaaghabaaaafaaaaaa
aagabaaaaaaaaaaackaabaaaacaaaaaaaaaaaaaihcaabaaaacaaaaaajgahbaaa
abaaaaaaegiccaaaaaaaaaaaacaaaaaaehaaaaalccaabaaaadaaaaaaegaabaaa
acaaaaaaaghabaaaafaaaaaaaagabaaaaaaaaaaackaabaaaacaaaaaaaaaaaaai
hcaabaaaacaaaaaajgahbaaaabaaaaaaegiccaaaaaaaaaaaadaaaaaaaaaaaaai
ocaabaaaabaaaaaafgaobaaaabaaaaaaagijcaaaaaaaaaaaaeaaaaaaehaaaaal
icaabaaaadaaaaaajgafbaaaabaaaaaaaghabaaaafaaaaaaaagabaaaaaaaaaaa
dkaabaaaabaaaaaaehaaaaalecaabaaaadaaaaaaegaabaaaacaaaaaaaghabaaa
afaaaaaaaagabaaaaaaaaaaackaabaaaacaaaaaadcaaaaakpcaabaaaabaaaaaa
egaobaaaadaaaaaaagaabaaaabaaaaaaagiacaaaacaaaaaabiaaaaaabbaaaaak
bcaabaaaabaaaaaaegaobaaaabaaaaaaaceaaaaaaaaaiadoaaaaiadoaaaaiado
aaaaiadoaoaaaaahgcaabaaaabaaaaaaagbbbaaaafaaaaaapgbpbaaaafaaaaaa
aaaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaefaaaaajpcaabaaaadaaaaaajgafbaaaabaaaaaaeghobaaa
adaaaaaaaagabaaaabaaaaaadbaaaaahccaabaaaabaaaaaaabeaaaaaaaaaaaaa
ckbabaaaafaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
aaaaiadpdiaaaaahccaabaaaabaaaaaadkaabaaaadaaaaaabkaabaaaabaaaaaa
baaaaaahecaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaaj
pcaabaaaadaaaaaakgakbaaaabaaaaaaeghobaaaaeaaaaaaaagabaaaacaaaaaa
diaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaadaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahpcaabaaaadaaaaaa
egaobaaaaaaaaaaaagaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaa
akaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaa
abaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaa
aaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaadkaabaaa
acaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahpccabaaaaaaaaaaa
agaabaaaaaaaaaaaegaobaaaadaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTexture0] 2D
"ps_3_0
; 153 ALU, 14 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
add r4.x, r1.w, c16
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
dp3_pp r4.x, r1, r2
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r4.x, r0
mov_pp r0.xyz, c3
mul r2.w, r1, r0
add r1.xyz, v6, c9.xyyw
texld r1, r1, s3
dp4 r3.w, r1, c10
mul_pp r0.xyz, c6, r0
mad r0.xyz, r0, r2.w, r2
add r1.xyz, v6, c9.yxyw
texld r1, r1, s3
dp4 r3.z, r1, c10
add r2.xyz, v6, c9.yyxw
texld r2, r2, s3
dp4 r3.y, r2, c10
add r1.xyz, v6, c9.x
texld r1, r1, s3
dp3 r2.x, v6, v6
rsq r2.x, r2.x
dp4 r3.x, r1, c10
rcp r1.x, r2.x
dp4 r2.x, c0, c0
mul r1.x, r1, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mad r1, -r1.x, c9.z, r3
mov r2.w, c2.x
cmp r1, r1, c11.x, r2.w
dp4_pp r1.y, r1, c9.w
add_pp r1.z, r2.x, c16
frc_pp r1.w, r1.z
add_pp_sat r1.z, r1, -r1.w
add_pp r1.w, r1.z, c15.z
dp3 r1.x, v5, v5
texld r1.x, r1.x, s4
mul r1.x, r1, r1.y
mul_pp r1.y, r1.x, c15.w
mul_pp_sat r1.z, -r2.x, c16.y
mul r0.xyz, r0, r1.y
mul_pp r1.z, r1, r1.w
mad_pp r1.y, r0.w, -r1.z, r1.z
mul_pp r0.w, r1.x, r4.x
add_pp r1.x, r1.y, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_LightTexture0] 2D 1
SetTexture 4 [_ShadowMapTexture] CUBE 0
// 144 instructions, 5 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_ShadowMapTexture] CUBE
SetTexture 4 [_LightTextureB0] 2D
SetTexture 5 [_LightTexture0] CUBE
"ps_3_0
; 154 ALU, 15 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_cube s3
dcl_2d s4
dcl_cube s5
def c9, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c10, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c11, 1.00000000, 0.00000000, -0.01872930, 0.07426100
def c12, -0.21211439, 1.57072902, 2.00000000, 3.14159298
def c13, 0.31830987, -0.01348047, 0.05747731, -0.12123910
def c14, 0.19563590, -0.33299461, 0.99999559, 1.57079601
def c15, 0.15915494, 2.00000000, -1.00000000, 4.00000000
def c16, 0.50000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.x, r3, r3.z
add r0.x, -r3.y, r0
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c11.x, c11.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c11.x, c11.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c11, c11.x
cmp r0.x, -r0, c11.y, c11
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c11.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c11.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c11.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
min r0.x, r3, r1.w
rcp r0.w, r0.w
mul r2.x, r0, r0.w
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c13.y, c13.z
mad r0.x, r0, r2.y, c13.w
mul r0.y, r0, r2.z
mad r0.x, r0, r2.y, c14
mad r2.z, r0.x, r2.y, c14.y
mad r0.w, r0.z, c16.x, c16.x
mad r0.z, r0.y, c16.x, c16.x
mul r0.xy, r0.zwzw, c7.x
mad r2.y, r2.z, r2, c14.z
mul r2.x, r2.y, r2
mov r0.z, c7.x
mad r0.zw, c16.x, -r0.z, r0.xyxy
add r2.y, -r2.x, c14.w
add r1.w, r3.x, -r1
cmp r2.z, -r1.w, r2.x, r2.y
abs r1.w, r1.y
add r2.y, -r1.w, c11.x
mad r2.x, r1.w, c11.z, c11.w
mad r2.x, r2, r1.w, c12
rsq r2.y, r2.y
add r2.w, -r2.z, c12
cmp r1.y, r1, c11, c11.x
abs r0.zw, r0
rcp r2.y, r2.y
mad r1.w, r2.x, r1, c12.y
mul r1.w, r1, r2.y
cmp r2.y, r1.z, r2.z, r2.w
mul r2.x, r1.y, r1.w
mad r1.z, -r2.x, c12, r1.w
cmp r1.w, r1.x, r2.y, -r2.y
mad r1.x, r1.y, c12.w, r1.z
mul r1.z, r1.x, c13.x
mul r1.w, r1, c15.x
dsy r2.xy, r0.zwzw
dsx r0.zw, r0
texldd r0.xyz, r0, s2, r0.zwzw, r2
add_pp r2.xyz, -r0, c11.x
add r4.x, r1.w, c16
mov r1.y, r1.z
abs r1.x, r1.w
dsx r4.zw, r1.xyxy
dsy r5.xy, r1
mov r4.y, r1.z
texldd r1.yw, r4, s1, r4.zwzw, r5
mad_pp r1.xy, r1.wyzw, c15.y, c15.z
mul_pp r1.zw, r1.xyxy, r1.xyxy
add_pp_sat r0.w, r1.z, r1
mul r2.w, v0.x, c8.x
mul_sat r1.z, r2.w, c12
mad_pp r3.xyz, r1.z, r2, r0
add_pp r0.x, -r0.w, c11
rsq_pp r0.w, r0.x
rcp_pp r1.z, r0.w
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r0.w, r1, r1
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.x, v4
dp3_pp r0.y, v1, v1
rsq_pp r0.x, r0.y
mad_pp r0.xyz, r0.x, v1, r2
dp3_pp r1.w, r0, r0
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r1.w, r0
dp3_pp_sat r1.w, r1, r0
texldd r0, r4, s0, r4.zwzw, r5
mul_pp r0.xyz, r0, r3
pow r3, r1.w, c5.x
dp3_pp r4.x, r1, r2
mov r1.w, r3.x
mul_pp r0.xyz, r0, c4
mul_pp r0.xyz, r0, c3
mul_pp r2.xyz, r4.x, r0
mov_pp r1.xyz, c3
mul r1.w, r1, r0
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r1.w, r2
add r0.xyz, v6, c9.xyyw
texld r2, r0, s3
add r0.xyz, v6, c9.yxyw
dp4 r3.w, r2, c10
texld r2, r0, s3
add r0.xyz, v6, c9.yyxw
dp4 r3.z, r2, c10
texld r2, r0, s3
add r0.xyz, v6, c9.x
dp4 r3.y, r2, c10
texld r2, r0, s3
dp3 r0.x, v6, v6
rsq r0.x, r0.x
dp4 r0.y, c0, c0
rcp r0.x, r0.x
dp4 r3.x, r2, c10
mul r0.x, r0, c1.w
mad r2, -r0.x, c9.z, r3
mov r1.w, c2.x
cmp r2, r2, c11.x, r1.w
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.y, v3, r0
add_pp r3.x, r0.y, c16.z
dp4_pp r0.z, r2, c9.w
dp3 r0.x, v5, v5
frc_pp r2.x, r3
texld r1.w, v5, s5
texld r0.x, r0.x, s4
mul r0.x, r0, r1.w
mul r1.w, r0.x, r0.z
add_pp_sat r0.z, r3.x, -r2.x
add_pp r0.z, r0, c15
mul_pp_sat r0.y, -r0, c16
mul_pp r2.x, r0.y, r0.z
mul_pp r0.x, r1.w, c15.w
mul r0.xyz, r1, r0.x
mad_pp r1.x, r0.w, -r2, r2
mul_pp r0.w, r1, r4.x
add_pp r1.x, r1, c11
mul_pp r0.w, r0, c15
mul_pp oC0, r0, r1.x
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 336 // 328 used size, 15 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_LightTextureB0] 2D 2
SetTexture 4 [_LightTexture0] CUBE 1
SetTexture 5 [_ShadowMapTexture] CUBE 0
// 146 instructions, 5 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_OFF" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 155 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c8.x
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r4.z, r4.z
add r5.x, -r4.w, c10
cmp r0.y, r0, c8, c8.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r2.z, r2, r2.w
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r6.x, -r0.w, c8
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r6.x
mul_pp r0.w, r4.z, r1
add_pp r1.w, -r2.z, c8.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c2
mul_pp r5.xyz, r2.z, v4
dp3_pp r2.w, v1, v1
rsq_pp r2.z, r2.w
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r2.w, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r2.w, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c3.x
dp3_pp r0.w, r2, r5
mul r1.w, r0.x, c4
mul_pp r1.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
rsq r2.x, r2.x
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r0.w, r1
mad r1.xyz, r0, r1.w, r1
mul r2.xyz, r2.x, c0
dp3_pp r0.z, v3, r2
add_pp r1.w, r0.z, c13.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s6
mul_pp r0.y, r0.x, c13.x
mul r1.xyz, r1, r0.y
frc_pp r2.x, r1.w
add_pp_sat r0.y, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
add_pp r0.w, r0.y, c12.z
mul_pp_sat r0.y, -r0.z, c13
mul_pp r1.w, r0.x, c13.x
mad_pp r0.y, r0, r0.w, c8.x
mul_pp r0, r1, r0.y
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 144 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 152 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r3.xyz, r0
add r1.x, r3.z, -r3
max r0.w, r3.x, r3.z
add r0.w, r0, -r3.y
mul r3.y, v0.x, c6.x
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.w, r0, c8.z, c8.z
mad r3.z, r1.x, c8, c8
mul r1.xy, r3.zwzw, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r3.x, r0
rcp r2.w, r1.w
min r1.w, r3.x, r0
mul r1.w, r1, r2
add r0.w, r3.x, -r0
abs r3.x, r0.y
add r5.x, -r3, c8
rsq r5.x, r5.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.y, r3, c9.w
mad_pp r2.xyz, r3.y, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
add r3.y, -r2.w, c12.x
cmp r0.w, -r0, r2, r3.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
cmp r0.w, r0.x, r0, -r0
mul r3.zw, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3.zwzw
abs r1.xy, r1
dsx r4.xy, r1
dsy r4.zw, r1.xyxy
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3.zwzw, s5, r4, r4.zwzw
rcp r5.x, r5.x
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r5
mul r3.y, r0, r3.x
mad r0.z, -r3.y, c9.w, r3.x
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r3.x, r0.w, c8.z
mov r3.y, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r3, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r3, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r3.xy, r2, r2
mul_pp r1.w, r2, r1
mad_pp r0.xyz, r1.w, r1, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
add_pp_sat r0.w, r3.x, r3.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r0.w, r1.w
dp3_pp r1.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4_pp r2.y, c0, c0
rsq_pp r0.y, r2.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.y, r0.w, c13.z
mul r2.x, r0, c4.w
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r5
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
mul_pp_sat r0.w, -r0, c13.y
add_pp r1.x, r1, c12.z
mad_pp r1.x, r0.w, r1, c8
mul_pp r0.w, r1, c13.x
mul r0.xyz, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3.zwzw, s4, r4, r4.zwzw
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 288 // 276 used size, 15 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
Float 272 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 7 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedelnmklmabeanfoackmannnhpmagcnlbeabaaaaaajibdaaaaadaaaaaa
cmaaaaaaoeaaaaaabiabaaaaejfdeheolaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaakeaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaakeaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaakeaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaakeaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaakeaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklepfdeheocmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaaaaaaaaaapaaaaaafdfgfpfegbhcghgfheaaklklfdeieefchibcaaaa
eaaaaaaajoaeaaaafjaaaaaeegiocaaaaaaaaaaabcaaaaaafjaaaaaeegiocaaa
abaaaaaaabaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaa
fibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaa
fibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaa
fibiaaaeaahabaaaafaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaad
ocbabaaaabaaaaaagcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacahaaaaaa
baaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaa
aaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaa
aaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaddaaaaajccaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaadiaaaaah
bcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahccaabaaa
abaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajecaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaochgdidodcaaaaaj
ecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaebnkjlo
dcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaa
diphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaa
abaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaafgahbaaaaaaaaaaafgahbaia
ebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaa
nlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaa
ddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaai
ccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadeaaaaah
icaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahccaabaaa
abaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaadhaaaaakbcaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaakaabaaaabaaaaaadiaaaaah
ccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdodcaaaaajbcaabaaa
acaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdgaaaaag
bcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaalaaaaafbcaabaaaadaaaaaa
akaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaak
icaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaa
chbgjidndcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaa
dkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaacaaaaaa
dkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaa
ckaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaackaabaaa
acaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaaama
abeaaaaanlapejeaabaaaaahecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaa
acaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaa
ckaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaabaaaaaaabeaaaaa
idpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaa
abaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaa
eghobaaaadaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaafaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaa
aaaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaa
egaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaadaaaaaa
egaabaaaabaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaa
aaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaa
aaaaaaaabnaaaaahicaabaaaabaaaaaadkaabaaaafaaaaaaabeaaaaaaaaaiadp
dhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaaeaaaaaa
dcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaaakaabaaaaaaaaaaackaabaia
ebaaaaaaaaaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaa
abeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaa
acaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaa
acaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaa
acaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaa
acaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaa
akaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaa
acaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaia
ebaaaaaaacaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaa
aaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
hcaabaaaagaaaaaalganbaaaaaaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaagaaaaaa
dcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaa
agaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaa
aaaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaa
egacbaaaaaaaaaaaegacbaaaagaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
aaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaa
aaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaa
aaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
diaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaaaaaaaaaabbaaaaaa
diaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaaaoaaaaaa
dcaaaaaodcaabaaaacaaaaaaagiacaiaebaaaaaaaaaaaaaabbaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaa
acaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaafmcaabaaaacaaaaaaagaebaaa
acaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaa
adaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaaaagabaaaafaaaaaaogakbaaa
acaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaogakbaaaaaaaaaaa
eghobaaaaeaaaaaaaagabaaaaeaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaa
diaaaaahecaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaah
icaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaaodcaabaaa
aeaaaaaaagiacaiaebaaaaaaaaaaaaaaaoaaaaaaaceaaaaaaaaaaadpaaaaaadp
aaaaaaaaaaaaaaaaegaabaaaaaaaaaaadgaaaaagdcaabaaaaeaaaaaaegaabaia
ibaaaaaaaeaaaaaaalaaaaafmcaabaaaaeaaaaaaagaebaaaaeaaaaaaamaaaaaf
dcaabaaaaeaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaa
aaaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaaogakbaaaaeaaaaaaegaabaaa
aeaaaaaaaaaaaaalhcaabaaaagaaaaaaegacbaiaebaaaaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaaibcaabaaaaaaaaaaaagbabaaa
abaaaaaafgifcaaaaaaaaaaabaaaaaaadcaaaaajhcaabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaagaaaaaa
egacbaaaaeaaaaaaegacbaaaafaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaia
ebaaaaaaafaaaaaaegacbaaaaeaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
aaaaaaaakgakbaaaaaaaaaaaegacbaaaadaaaaaaegacbaaaagaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaalaaaaaadiaaaaai
hcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaabaaaaaaapaaaaah
icaabaaaabaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaabaaaaaa
dkaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaa
dkaabaaaabaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaabaaaaaa
jgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaa
pgapbaaaacaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaaaeaaaaaajgbhbaaa
abaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaa
aeaaaaaaegacbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaaegacbaaaaeaaaaaabacaaaah
bcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaacpaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
akiacaaaaaaaaaaaamaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaaaaaaaaaanaaaaaa
diaaaaajhcaabaaaadaaaaaaegiccaaaaaaaaaaaabaaaaaaegiccaaaaaaaaaaa
anaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegacbaaaadaaaaaa
dcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaakhcaabaaaabaaaaaaegacbaaaaaaaaaaaaceaaaaaaaaaiaeaaaaaiaea
aaaaiaeaaaaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
baaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaah
ccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaa
aaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaiadpdiaaaaahpcaabaaaadaaaaaaagaabaaaaaaaaaaaegaobaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaagaabaaa
aaaaaaaaegacbaaaacaaaaaadgcaaaafbcaabaaaabaaaaaadkaabaaaadaaaaaa
aaaaaaaibcaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadp
diaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadcaaaaaj
hccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaadaaaaaa
dgaaaaaficcabaaaaaaaaaaadkaabaaaadaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
"ps_3_0
; 160 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c8.x
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r4.z, r4.z
add r5.x, -r4.w, c10
cmp r0.y, r0, c8, c8.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r2.z, r2, r2.w
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r6.x, -r0.w, c8
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r6.x
mul_pp r0.w, r4.z, r1
add_pp r1.w, -r2.z, c8.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c2
mul_pp r5.xyz, r2.z, v4
dp3_pp r2.w, v1, v1
rsq_pp r2.z, r2.w
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r2.w, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r2.w, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r5
mul r0.w, r0.x, c4
mul_pp r1.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
mul_pp r1.xyz, r1.w, r1
mul_pp r0.xyz, c4, r0
mad r1.xyz, r0, r0.w, r1
rsq r2.x, r2.x
mul r0.xyz, r2.x, c0
dp3_pp r2.z, v3, r0
rcp r0.w, v5.w
mad r2.xy, v5, r0.w, c8.z
texld r0.w, r2, s6
add_pp r2.x, r2.z, c13.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c8, c8.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.w, r0.y, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.y, r2.x
add_pp_sat r1.x, r2, -r2.y
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2.z, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 151 instructions, 7 temp regs, 0 temp arrays:
// ALU 124 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTextureB0] 2D
SetTexture 7 [_LightTexture0] CUBE
"ps_3_0
; 157 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_cube s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4 r1.x, c0, c0
rsq r2.x, r1.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c13.z
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
dp3 r0.x, v5, v5
texld r0.x, r0.x, s6
texld r0.w, v5, s7
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfpjkgobologjmpbfkgcjojfnbfmpjaahabaaaaaaiebeaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaalmaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaalmaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcembdaaaaeaaaaaaandaeaaaa
fjaaaaaeegiocaaaaaaaaaaabgaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafidaaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaagcbaaaadhcbabaaa
acaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagcbaaaad
hcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacahaaaaaabaaaaaah
bcaabaaaaaaaaaaaegbcbaaaacaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaa
kgbebaaaacaaaaaadeaaaaajbcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaaaoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaiadpakaabaaaabaaaaaaddaaaaajccaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaa
akaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaabkaabaaa
abaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajecaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaochgdidodcaaaaajecaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaaj
ccaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaadiphhpdp
diaaaaahecaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaaj
ecaabaaaabaaaaaackaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdp
dbaaaaajicaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaaabaaaaahecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaa
dcaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaadbaaaaaigcaabaaaabaaaaaafgahbaaaaaaaaaaafgahbaiaebaaaaaa
aaaaaaaaabaaaaahccaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaanlapejma
aaaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaaddaaaaah
ccaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaadbaaaaaiccaabaaa
abaaaaaabkaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaadeaaaaahicaabaaa
abaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaabnaaaaaiicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahccaabaaaabaaaaaa
dkaabaaaabaaaaaabkaabaaaabaaaaaadhaaaaakbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaiaebaaaaaaabaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdodcaaaaajbcaabaaaacaaaaaa
akaabaaaabaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdgaaaaagbcaabaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaa
abaaaaaaamaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaakicaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidn
dcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaaiedefjlodcaaaaakicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaia
ibaaaaaaaaaaaaaaabeaaaaakeanmjdpaaaaaaaiecaabaaaacaaaaaadkaabaia
mbaaaaaaaaaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaacaaaaaackaabaaa
acaaaaaadiaaaaahicaabaaaacaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaa
dcaaaaajicaabaaaacaaaaaadkaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapejeaabaaaaahecaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaacaaaaaa
dcaaaaajecaabaaaabaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaackaabaaa
abaaaaaadiaaaaahccaabaaaacaaaaaackaabaaaabaaaaaaabeaaaaaidpjkcdo
alaaaaafccaabaaaadaaaaaabkaabaaaacaaaaaaamaaaaafccaabaaaabaaaaaa
bkaabaaaacaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaacaaaaaaeghobaaa
adaaaaaaaagabaaaafaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaaejaaaaan
pcaabaaaafaaaaaaegaabaaaacaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaa
egaabaaaadaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaa
acaaaaaaeghobaaaabaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaa
abaaaaaadcaaaaapdcaabaaaabaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaea
aaaaaaeaaaaaaaaaaaaaaaaaaceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaa
bnaaaaahicaabaaaabaaaaaadkaabaaaafaaaaaaabeaaaaaaaaaiadpdhaaaaaj
icaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaaaaeaaaaaadcaaaaak
bcaabaaaacaaaaaackbabaaaacaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaa
aaaaaaaabnaaaaajccaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaaabaaaaahccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaacaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaa
ckaabaaaaaaaaaaadcaaaaakbcaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaa
akaabaaaaaaaaaaaakaabaaaacaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaabnaaaaaibcaabaaaacaaaaaa
akaabaaaacaaaaaadkaabaiaibaaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaa
akaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
acaaaaaaakaabaaaaaaaaaaadkaabaaaaaaaaaaadbaaaaahecaabaaaacaaaaaa
abeaaaaaaaaaaaaaakaabaaaaaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaa
acaaaaaaakaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaaakaabaaaaaaaaaaa
dgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaa
aeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
agaaaaaalganbaaaaaaaaaaaegacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaa
egacbaaaadaaaaaajgahbaaaaaaaaaaajgaebaiaebaaaaaaagaaaaaadcaaaaaj
ocaabaaaacaaaaaafgafbaaaacaaaaaaagajbaaaadaaaaaafgacbaaaagaaaaaa
dcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaaeaaaaaalganbaaaaaaaaaaa
jgahbaaaacaaaaaadcaaaaajhcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaa
aaaaaaaaegacbaaaagaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaa
jgafbaaaaaaaaaaaagaabaiaibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaa
egaabaaaaaaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaai
mcaabaaaaaaaaaaaagaebaaaaaaaaaaaagiacaaaaaaaaaaabfaaaaaadiaaaaai
dcaabaaaaaaaaaaaegaabaaaaaaaaaaaagiacaaaaaaaaaaabcaaaaaadcaaaaao
dcaabaaaacaaaaaaagiacaiaebaaaaaaaaaaaaaabfaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaaogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaa
egaabaiaibaaaaaaacaaaaaaalaaaaafmcaabaaaacaaaaaaagaebaaaacaaaaaa
amaaaaafdcaabaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaaadaaaaaa
ogakbaaaaaaaaaaaeghobaaaafaaaaaaaagabaaaahaaaaaaogakbaaaacaaaaaa
egaabaaaacaaaaaaejaaaaanpcaabaaaacaaaaaaogakbaaaaaaaaaaaeghobaaa
aeaaaaaaaagabaaaagaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaadiaaaaah
ecaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaa
aaaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaaodcaabaaaaeaaaaaa
agiacaiaebaaaaaaaaaaaaaabcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaaegaabaaaaaaaaaaadgaaaaagdcaabaaaaeaaaaaaegaabaiaibaaaaaa
aeaaaaaaalaaaaafmcaabaaaaeaaaaaaagaebaaaaeaaaaaaamaaaaafdcaabaaa
aeaaaaaaegaabaaaaeaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaaeaaaaaaogakbaaaaeaaaaaaegaabaaaaeaaaaaa
aaaaaaalhcaabaaaagaaaaaaegacbaiaebaaaaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaiadpaaaaaaaaapcaaaaibcaabaaaaaaaaaaaagbabaaaabaaaaaa
fgifcaaaaaaaaaaabeaaaaaadcaaaaajhcaabaaaaeaaaaaaagaabaaaaaaaaaaa
egacbaaaagaaaaaaegacbaaaaeaaaaaadiaaaaahhcaabaaaagaaaaaaegacbaaa
aeaaaaaaegacbaaaafaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaiaebaaaaaa
afaaaaaaegacbaaaaeaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaa
kgakbaaaaaaaaaaaegacbaaaadaaaaaaegacbaaaagaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaaaaaaaaaaaafaaaaaaapaaaaahicaabaaa
abaaaaaaegaabaaaabaaaaaaegaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaaabeaaaaaaaaaiadpaaaaaaaiicaabaaaabaaaaaadkaabaia
ebaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaa
abaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahicaabaaaabaaaaaajgbhbaaa
abaaaaaajgbhbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaa
baaaaaahicaabaaaacaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
acaaaaaaegbcbaaaaeaaaaaadcaaaaajhcaabaaaaeaaaaaajgbhbaaaabaaaaaa
pgapbaaaabaaaaaaegacbaaaadaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaa
abaaaaaaegacbaaaadaaaaaabaaaaaahicaabaaaacaaaaaaegacbaaaaeaaaaaa
egacbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaah
hcaabaaaadaaaaaapgapbaaaacaaaaaaegacbaaaaeaaaaaabacaaaahbcaabaaa
abaaaaaaegacbaaaadaaaaaaegacbaaaabaaaaaacpaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaaakiacaaa
aaaaaaaabaaaaaaabjaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaaaaaaaaabbaaaaaadiaaaaaj
hcaabaaaadaaaaaaegiccaaaaaaaaaaaafaaaaaaegiccaaaaaaaaaaabbaaaaaa
diaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegacbaaaadaaaaaadcaaaaaj
hcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahbcaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaefaaaaaj
pcaabaaaadaaaaaaagaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaa
efaaaaajpcaabaaaaeaaaaaaegbcbaaaafaaaaaaeghobaaaahaaaaaaaagabaaa
aaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaadaaaaaadkaabaaaaeaaaaaa
diaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaah
hcaabaaaadaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaahicaabaaa
adaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaa
egiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaa
aaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaa
egacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
koehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacamb
ebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaaabaaaaaa
agaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaadaaaaaaagaabaaaaaaaaaaaegacbaaaacaaaaaadgcaaaafbcaabaaa
acaaaaaadkaabaaaabaaaaaaaaaaaaaibcaabaaaacaaaaaaakaabaiaebaaaaaa
acaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaacaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaadkaabaaaabaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 155 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4_pp r1.x, c0, c0
rsq_pp r2.x, r1.x
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mad r0.xyz, r1, r0.w, r0
mul_pp r2.xyz, r2.x, c0
dp3_pp r1.y, v3, r2
add_pp r1.z, r1.y, c13
texld r0.w, v5, s6
mul_pp r1.x, r0.w, c13
mul_pp r0.w, r0, r1
frc_pp r2.x, r1.z
mul r0.xyz, r0, r1.x
add_pp_sat r1.x, r1.z, -r2
add_pp r1.z, r1.x, c12
mul_pp_sat r1.x, -r1.y, c13.y
mad_pp r1.x, r1, r1.z, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 143 instructions, 7 temp regs, 0 temp arrays:
// ALU 118 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c9.x, c9.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c9.x, c9.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c9, c9.x
cmp r1.x, -r1, c9.y, c9
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c9.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c9.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c9.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c9.z, c9.z
mad r4.x, r1, c9.z, c9.z
mul r1.xy, r4, c6.x
mov r0.w, c6.x
mad r1.zw, c9.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c7.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c9.x
mul_sat r2.w, r2, c10
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c11.z, c11.w
mad r1.z, r1.x, r3.w, c12.x
mad r1.z, r1, r3.w, c12.y
mad r1.z, r1, r3.w, c12
mad r1.z, r1, r3.w, c12.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c8.x
mov r1.x, c8
mad r1.xy, c9.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c13.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c11.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c9
mad r4.w, r4.z, c10.x, c10.y
mad r4.w, r4, r4.z, c9
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c9, c9.x
mul r0.w, r0, c13.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c10
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c10.w, r4
mad r0.x, r0.y, c11, r0.z
mul r0.z, r0.x, c11.y
add r4.z, r0.w, c9
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c13.z
cmp_pp r0.w, r0, c9.x, c9.y
add_pp r3.z, -r0.w, c9.x
mad_pp r3.xy, r3.wyzw, c13.w, c13.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c9
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r0.w, r3
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c4.x
dp3_pp r1.w, r3, r0
mov r0.x, r1
mul_pp r5.xyz, r5, c2
mov_pp r1.xyz, c2
mul_pp r3.xyz, r1.w, r5
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul_pp r1.xyz, c5, r1
mad r1.xyz, r1, r0.w, r3
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v3, r0
texldp r0.x, v6, s8
rcp r0.y, v6.w
mad r0.y, -v6.z, r0, r0.x
rcp r0.x, v5.w
mad r3.xy, v5, r0.x, c9.z
texld r0.w, r3, s6
add_pp r3.x, r3.z, c14.z
mov r0.z, c1.x
cmp r0.z, r0.y, c9.x, r0
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c9, c9.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c14
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r3.y, r3.x
add_pp_sat r1.x, r3, -r3.y
add_pp r1.y, r1.x, c13.z
mul_pp_sat r1.x, -r3.z, c14.y
mad_pp r1.x, r1, r1.y, c9
mul_pp r0.w, r0, c14.x
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c9
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 156 instructions, 7 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 165 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c9.y, c9.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c9.y, c9.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c9.x, c9
cmp r1.x, -r1, c9, c9.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c9.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c9.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c9.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c9.z, c9.z
mad r4.x, r1, c9.z, c9.z
mul r1.xy, r4, c6.x
mov r0.w, c6.x
mad r1.zw, c9.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c7.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c9.y
mul_sat r2.w, r2, c10
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c11.z, c11.w
mad r1.z, r1.x, r3.w, c12.x
mad r1.z, r1, r3.w, c12.y
mad r1.z, r1, r3.w, c12
mad r1.z, r1, r3.w, c12.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c8.x
mov r1.x, c8
mad r1.xy, c9.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c13.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c11.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c9.y
mad r4.w, r4.z, c10.x, c10.y
mad r4.w, r4, r4.z, c9
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c9.x, c9
mul r0.w, r0, c13.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c10
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c10.w, r4
mad r0.x, r0.y, c11, r0.z
mul r0.z, r0.x, c11.y
add r4.z, r0.w, c9
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c13.z
cmp_pp r0.w, r0, c9.y, c9.x
add_pp r3.z, -r0.w, c9.y
mad_pp r3.xy, r3.wyzw, c13.w, c13.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c9.y
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r0.w, r3
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c4.x
dp3_pp r1.w, r3, r0
mov r0.x, r1
mul_pp r5.xyz, r5, c2
mov_pp r1.xyz, c2
mul_pp r3.xyz, r1.w, r5
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul_pp r1.xyz, c5, r1
mad r1.xyz, r1, r0.w, r3
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v3, r0
mov r0.x, c1
rcp r0.y, v5.w
mad r3.xy, v5, r0.y, c9.z
texld r0.w, r3, s6
add r0.z, c9.y, -r0.x
texldp r0.x, v6, s8
mad r0.z, r0.x, r0, c1.x
add_pp r3.x, r3.z, c14.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c9.x, c9
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c14
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r3.y, r3.x
add_pp_sat r1.x, r3, -r3.y
add_pp r1.y, r1.x, c13.z
mul_pp_sat r1.x, -r3.z, c14.y
mad_pp r1.x, r1, r1.y, c9.y
mul_pp r0.w, r0, c14.x
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c9.y
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 156 instructions, 7 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecediailgapebbpldndplmpnfmpdjmogfpnbabaaaaaabmbgaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcmmbeaaaaeaaaaaaaddafaaaafjaaaaaeegiocaaa
aaaaaaaabgaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaiaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadpcbabaaaafaaaaaagcbaaaadpcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaafaaaaaaegaabaaaacaaaaaa
eghobaaaaaaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaabaaaaaa
hgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaahicaabaaaabaaaaaadkaabaaa
afaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaaeaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaagaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaagaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
aaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaa
agiacaaaaaaaaaaabfaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
agiacaaaaaaaaaaabcaaaaaadcaaaaaodcaabaaaacaaaaaaagiacaiaebaaaaaa
aaaaaaaabfaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaa
aaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaaf
mcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaa
aagabaaaaiaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaa
acaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaaogakbaaa
acaaaaaaegaabaaaacaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
acaaaaaadcaaaaaodcaabaaaaeaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegaabaaaaaaaaaaadgaaaaag
dcaabaaaaeaaaaaaegaabaiaibaaaaaaaeaaaaaaalaaaaafmcaabaaaaeaaaaaa
agaebaaaaeaaaaaaamaaaaafdcaabaaaaeaaaaaaegaabaaaaeaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
ogakbaaaaeaaaaaaegaabaaaaeaaaaaaaaaaaaalhcaabaaaagaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
bcaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaaj
hcaabaaaaeaaaaaaagaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaagaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaiaebaaaaaaafaaaaaaegacbaaaaeaaaaaaegacbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaakgakbaaaaaaaaaaaegacbaaaadaaaaaa
egacbaaaagaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaapaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaaapaaaaahicaabaaaabaaaaaaegaabaaaabaaaaaaegaabaaa
abaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaabaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaaegbcbaaaaeaaaaaadcaaaaaj
hcaabaaaaeaaaaaajgbhbaaaabaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaah
icaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaficaabaaa
acaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaa
egacbaaaaeaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaa
abaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
dkiacaaaaaaaaaaabbaaaaaadiaaaaajhcaabaaaadaaaaaaegiccaaaaaaaaaaa
afaaaaaaegiccaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaa
abaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
afaaaaaapgbpbaaaafaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaabeaaaaaaaaaaaaackbabaaaafaaaaaaabaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaadkaabaaa
adaaaaaaakaabaaaabaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaa
egbcbaaaafaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaabaaaaaaeghobaaa
ahaaaaaaaagabaaaacaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaaaadaaaaaaaoaaaaahhcaabaaaadaaaaaaegbcbaaaagaaaaaapgbpbaaa
agaaaaaaehaaaaalccaabaaaabaaaaaaegaabaaaadaaaaaaaghabaaaaiaaaaaa
aagabaaaaaaaaaaackaabaaaadaaaaaaaaaaaaajecaabaaaabaaaaaaakiacaia
ebaaaaaaacaaaaaabiaaaaaaabeaaaaaaaaaiadpdcaaaaakccaabaaaabaaaaaa
bkaabaaaabaaaaaackaabaaaabaaaaaaakiacaaaacaaaaaabiaaaaaadiaaaaah
bcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaeadiaaaaahhcaabaaaadaaaaaa
egacbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaahicaabaaaadaaaaaaakaabaaa
abaaaaaadkaabaaaabaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahpcaabaaaabaaaaaaagaabaaaaaaaaaaa
egaobaaaadaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaa
agaabaaaaaaaaaaaegacbaaaacaaaaaadgcaaaafbcaabaaaacaaaaaadkaabaaa
abaaaaaaaaaaaaaibcaabaaaacaaaaaaakaabaiaebaaaaaaacaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaa
dcaaaaajhccabaaaaaaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
abaaaaaadgaaaaaficcabaaaaaaaaaaadkaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r2.z
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r4.z, r0.w, r1.w
mad_pp r5.xyz, r4.z, r1, r0
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r1.w, r2.z, r2
add_pp r0.x, -r1.w, c8
rsq_pp r1.w, r0.x
rcp_pp r2.z, r1.w
dp3_pp r0.y, v4, v4
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r1.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r2, r1
pow r1, r2.w, c3.x
dp3_pp r1.w, r2, r0
dp4_pp r1.y, c0, c0
rsq_pp r2.x, r1.y
mul r2.w, r1.x, c4
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.w, r0
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.z, v3, r2
add_pp r2.x, r0.z, c13.z
texldp r0.x, v5, s6
mul_pp r0.y, r0.x, c13.x
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.y
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
texldd r2, r3, s4, r3.zwzw, r4
add_pp r1.w, r0.y, c12.z
mul_pp_sat r0.y, -r0.z, c13
mad_pp r0.y, r0, r1.w, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c8
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 156 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4_pp r1.x, c0, c0
rsq_pp r2.x, r1.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c13.z
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
texldp r0.x, v6, s6
texld r0.w, v5, s7
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 165 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c12.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c10, c10.x
mul r0.w, r0, c14.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c11.w, r4
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r2.z
mad_pp r2.xy, r2.wyzw, c16.x, c16.y
mul_pp r4.z, r0.w, r1.w
mad_pp r5.xyz, r4.z, r1, r0
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r1.w, r2.z, r2
add_pp r0.x, -r1.w, c10
rsq_pp r1.w, r0.x
rcp_pp r2.z, r1.w
dp3_pp r0.y, v4, v4
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r2.xyz, r1.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r2, r1
pow r1, r2.w, c5.x
mov r1.w, r1.x
dp3_pp r2.w, r2, r0
mul r2.x, r1.w, c6.w
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
mul_pp r0.xyz, r2.w, r5
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r2.x, r0
dp3 r1.w, v6, v6
rsq r0.x, r1.w
texld r1, v6, s6
rcp r0.x, r0.x
dp4 r0.y, r1, c15
dp4 r0.z, c0, c0
rsq r1.x, r0.z
mul r0.x, r0, c1.w
mad r0.x, -r0, c14.w, r0.y
mov r0.y, c2.x
cmp r0.z, r0.x, c10.x, r0.y
mul r1.xyz, r1.x, c0
dp3_pp r0.y, v3, r1
add_pp r1.w, r0.y, c17.x
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.x, r0, r0.z
mul_pp r0.z, r0.x, c16
mul_pp r0.x, r0, r2.w
mul r1.xyz, r2, r0.z
texldd r2, r3, s4, r3.zwzw, r4
frc_pp r4.z, r1.w
add_pp_sat r0.z, r1.w, -r4
add_pp r0.z, r0, c14
mul_pp_sat r0.y, -r0, c16.w
mad_pp r0.y, r0, r0.z, c10.x
mul_pp r1.w, r0.x, c16.z
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c10
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 153 instructions, 7 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c12.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c10, c10.x
mul r0.w, r0, c14.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c11.w, r4
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
mad_pp r2.xy, r2.wyzw, c16.x, c16.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c10
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c5.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
dp3 r2.x, v6, v6
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c6
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r0
texld r0, v6, s6
dp4 r0.y, r0, c15
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c14, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c10.x, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
dp3 r0.x, v5, v5
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.y
mul_pp r0.x, r0.w, c16.z
add_pp r2.y, r2.x, c17.x
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c14.z
mul_pp_sat r1.x, -r2, c16.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c16.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 155 instructions, 7 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c13.z, c13.z
mad r4.x, r1, c13.z, c13.z
mul r1.xy, r4, c10.x
mov r0.w, c10.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c13.x
mul_sat r2.w, r2, c14
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c15.z, c15.w
mad r1.z, r1.x, r3.w, c16.x
mad r1.z, r1, r3.w, c16.y
mad r1.z, r1, r3.w, c16
mad r1.z, r1, r3.w, c16.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c15.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c13
mad r4.w, r4.z, c14.x, c14.y
mad r4.w, r4, r4.z, c13
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c13, c13.x
mul r0.w, r0, c17.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c14
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c14.w, r4
mad r0.x, r0.y, c15, r0.z
mul r0.z, r0.x, c15.y
add r4.z, r0.w, c13
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c17.z
cmp_pp r0.w, r0, c13.x, c13.y
add_pp r3.z, -r0.w, c13.x
mad_pp r3.xy, r3.wyzw, c18.x, c18.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c13
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c7
mul_pp r3.xyz, r0.w, r3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c8.x
mov r0.w, r1.x
mul r1.w, r0, c9
mov_pp r1.xyz, c6
rcp r0.w, v6.w
dp3_pp r4.z, r3, r0
mul_pp r5.xyz, r5, c6
mul_pp r1.xyz, c9, r1
mul_pp r0.xyz, r4.z, r5
mad r3.xyz, r1, r1.w, r0
mad r0.xy, v6, r0.w, c5
mad r1.xy, v6, r0.w, c4
texld r0.x, r0, s8
mov r1.w, r0.x
texld r1.x, r1, s8
mov r1.z, r1.x
mad r1.xy, v6, r0.w, c2
mad r0.xy, v6, r0.w, c3
texld r1.x, r1, s8
texld r0.x, r0, s8
mov r1.y, r0.x
mad r0, -v6.z, r0.w, r1
mov r1.x, c1
cmp r0, r0, c13.x, r1.x
dp4_pp r1.z, r0, c17.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r1.w, v3, r0
rcp r0.w, v5.w
mad r1.xy, v5, r0.w, c13.z
texld r0.w, r1, s6
add_pp r1.x, r1.w, c19
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.y, r1.x, c17.z
mul_pp_sat r1.x, -r1.w, c18.w
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c13, c13.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.z
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r4.z
mad_pp r1.x, r1, r1.y, c13
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 167 instructions, 7 temp regs, 0 temp arrays:
// ALU 132 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.y, c13.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.y, c13.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13.x, c13
cmp r1.x, -r1, c13, c13.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.z, r1.w, r1.w
add_pp r2.xyz, -r1, c13.y
mul_sat r2.w, r2, c14
mad_pp r4.xyz, r2.w, r2, r1
mad r1.x, r3.z, c15.z, c15.w
mad r1.z, r1.x, r3, c16.x
mad r1.z, r1, r3, c16.y
mad r1.z, r1, r3, c16
mad r1.z, r1, r3, c16.w
mul r3.z, r1, r1.w
mul r2.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1, r2, s5, r2.zwzw, r3
add r3.w, -r3.z, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3.z, r3
abs r3.w, r0.y
add r3.z, -r0.w, c15.x
cmp r0.w, r0.z, r0, r3.z
add r5.x, -r3.w, c13.y
mad r4.w, r3, c14.x, c14.y
mad r4.w, r4, r3, c13
cmp r0.w, r0.x, r0, -r0
mul r0.w, r0, c17.y
rsq r5.x, r5.x
add r3.z, r0.w, c13
cmp r0.y, r0, c13.x, c13
rcp r5.x, r5.x
mad r3.w, r4, r3, c14.z
mul r3.w, r3, r5.x
mul r4.w, r0.y, r3
mad r0.z, -r4.w, c14.w, r3.w
mad r0.x, r0.y, c15, r0.z
mul r0.z, r0.x, c15.y
mov r3.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r4, r1
mul_pp r0.xyz, r0, r4
texldd r4.yw, r3.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c17.z
cmp_pp r0.w, r0, c13.y, c13.x
add_pp r4.z, -r0.w, c13.y
texldd r0.w, r3.zwzw, s3, r5, r5.zwzw
mul_pp r3.z, r0.w, r4
mad_pp r4.xy, r4.wyzw, c18.x, c18.y
mul_pp r4.zw, r4.xyxy, r4.xyxy
mul_pp r1.w, r3.z, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c13.y
rsq_pp r0.w, r0.x
rcp_pp r4.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r4, r4
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c7
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
rcp r3.w, v6.w
mul_pp r4.xyz, r0.w, r4
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r4, r1
pow r1, r0.w, c8.x
dp3_pp r1.w, r4, r0
mov r0.x, r1
mul r0.w, r0.x, c9
mad r0.xyz, v6, r3.w, c5
mul_pp r5.xyz, r5, c6
mov_pp r1.xyz, c6
mul_pp r4.xyz, r1.w, r5
mul_pp r1.xyz, c9, r1
mad r4.xyz, r1, r0.w, r4
mad r1.xyz, v6, r3.w, c3
texld r0.x, r0, s8
mov_pp r0.w, r0.x
mad r0.xyz, v6, r3.w, c4
texld r0.x, r0, s8
texld r1.x, r1, s8
mov_pp r0.y, r1.x
mad r1.xyz, v6, r3.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s8
mov r3.w, c1.x
add r1.x, c13.y, -r3.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c17.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r3.w, v3, r0
rcp r0.w, v5.w
mad r1.xy, v5, r0.w, c13.z
texld r0.w, r1, s6
add_pp r1.x, r3.w, c19
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.y, r1.x, c17.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c13.x, c13
mul_pp_sat r1.x, -r3.w, c18.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.z
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r1
mad_pp r1.x, r1, r1.y, c13.y
mul r0.xyz, r4, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13.y
mul_pp r1.w, r1, r3.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 164 instructions, 7 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 172 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c10.x
mad r2.w, r0, c11.x, c11.y
mad r2.w, r2, r0, c10
rsq r4.z, r4.z
add r5.x, -r4.w, c12
cmp r0.y, r0, c10, c10.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c11.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c11.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
mul r0.w, r0, c14.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsy r5.zw, r0.xyxy
dsx r5.xy, r0
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c17.x, c17.y
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r6.xy, r2, r2
mul_pp r0.w, r2, r1
mad_pp r1.xyz, r0.w, r1, r0
add_pp_sat r2.z, r6.x, r6.y
add_pp r1.w, -r2.z, c10.x
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c4
mul_pp r5.xyz, r2.z, v4
dp3_pp r4.z, v1, v1
rsq_pp r2.z, r4.z
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r4.z, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r4.z, r4.z
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r4.z, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
add r0.xyz, v6, c15.yxyw
dp3_pp r4.z, r2, r5
texld r0, r0, s6
dp4 r5.z, r0, c16
mul_pp r1.xyz, r1, c3
mul_pp r2.xyz, r4.z, r1
mov_pp r1.xyz, c3
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c15.yyxw
texld r1, r1, s6
dp4 r5.y, r1, c16
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c14.w
texld r0, r0, s6
rcp r1.x, r1.x
dp4 r5.x, r0, c16
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c15.z, r5
cmp r0, r0, c10.x, r1.x
dp4_pp r0.y, r0, c15.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c18.x
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c17.z
mul_pp r0.w, r0, r4.z
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c14.z
mul_pp_sat r1.x, -r1, c17.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 164 instructions, 7 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 173 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c10.x
mad r2.w, r0, c11.x, c11.y
mad r2.w, r2, r0, c10
rsq r4.z, r4.z
add r5.x, -r4.w, c12
cmp r0.y, r0, c10, c10.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c11.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c11.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
mul r0.w, r0, c14.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsy r5.zw, r0.xyxy
dsx r5.xy, r0
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c17.x, c17.y
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r6.xy, r2, r2
mul_pp r0.w, r2, r1
mad_pp r1.xyz, r0.w, r1, r0
add_pp_sat r2.z, r6.x, r6.y
add_pp r1.w, -r2.z, c10.x
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c4
mul_pp r5.xyz, r2.z, v4
dp3_pp r4.z, v1, v1
rsq_pp r2.z, r4.z
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r4.z, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r4.z, r4.z
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r4.z, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
add r0.xyz, v6, c15.yxyw
dp3_pp r4.z, r2, r5
texld r0, r0, s6
dp4 r5.z, r0, c16
mul_pp r1.xyz, r1, c3
mul_pp r2.xyz, r4.z, r1
mov_pp r1.xyz, c3
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c15.yyxw
texld r1, r1, s6
dp4 r5.y, r1, c16
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c14.w
texld r0, r0, s6
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r5.x, r0, c16
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c15.z, r5
cmp r0, r0, c10.x, r1.x
dp4_pp r0.y, r0, c15.w
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c18.x
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v5, v5
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c17.z
mul_pp r0.w, r0, r4.z
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c14.z
mul_pp_sat r1.x, -r1, c17.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c6.x
mad r3.x, r0.y, c8.z, c8.z
mad r3.y, r0.x, c8.z, c8.z
mul r4.zw, r3.xyxy, c7.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c10.z, c10.w
mad r2.z, r2.x, r2.w, c11.x
mad r2.z, r2, r2.w, c11.y
mad r2.z, r2, r2.w, c11
mad r2.z, r2, r2.w, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c12
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c10.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c8.x
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
rsq r3.z, r3.z
cmp r1.y, r1, c8, c8.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c9, r3.x
mad r0.w, r1.y, c10.x, r0
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r3.z, r1.x, c8
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c12.z
cmp_pp r0.z, r0.x, c8.x, c8.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c12.w, c12.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c8.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.z, -r0, c8.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.x, r0.w, c13.z
mul r2.z, r1.w, r0.x
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r0, r2.z, r1
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
dp3 r0.x, v5, v5
add_pp r2.x, r0.y, c12.z
texld r0.x, r0.x, s6
mul_pp r0.y, r0.x, c13.x
mul_pp_sat r0.z, -r0.w, c13.y
mul_pp r0.z, r0, r2.x
mul r1.xyz, r1, r0.y
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r2.w
add_pp r0.y, r0, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c8
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 154 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r3.xyz, r0
add r1.x, r3.z, -r3
max r0.w, r3.x, r3.z
add r0.w, r0, -r3.y
mul r3.y, v0.x, c6.x
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.w, r0, c8.z, c8.z
mad r3.z, r1.x, c8, c8
mul r1.xy, r3.zwzw, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r3.x, r0
rcp r2.w, r1.w
min r1.w, r3.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.y, r3, c9.w
mad_pp r2.xyz, r3.y, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.zw, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3.zwzw
abs r1.xy, r1
dsx r4.xy, r1
dsy r4.zw, r1.xyxy
texldd r1, r3.zwzw, s5, r4, r4.zwzw
add r0.w, r3.x, -r0
add r3.y, -r2.w, c12.x
cmp r3.y, -r0.w, r2.w, r3
abs r0.w, r0.y
add r3.x, -r0.w, c8
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r3.x, r3.x
add r5.x, -r3.y, c10
cmp r0.y, r0, c8, c8.x
rcp r3.x, r3.x
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r3.x
cmp r3.x, r0.z, r3.y, r5
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r3.x, -r3.x
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r3.x, r0.w, c8.z
mov r3.y, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
add_pp r6.x, r0.w, c12.z
texldd r6.yw, r3, s1, r5, r5.zwzw
mul_pp r0.xyz, r0, r2
mad_pp r2.xy, r6.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r6.y, r2.z, r2.w
texldd r2.w, r3, s3, r5, r5.zwzw
cmp_pp r6.x, r6, c8, c8.y
add_pp r2.z, -r6.x, c8.x
mul_pp r2.w, r2, r2.z
mul_pp r3.x, r2.w, r1.w
mad_pp r0.xyz, r3.x, r1, r0
add_pp r2.z, -r6.y, c8.x
rsq_pp r1.w, r2.z
rcp_pp r2.z, r1.w
dp3_pp r1.x, r2, r2
mul_pp r0.xyz, r0, c2
rsq_pp r1.x, r1.x
dp3_pp r1.w, v4, v4
dp4_pp r3.y, c0, c0
rsq_pp r3.y, r3.y
mul_pp r1.xyz, r1.x, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, v4
dp3_pp r3.x, v1, v1
rsq_pp r1.w, r3.x
dp3_pp r3.x, r1, r2
mad_pp r2.xyz, r1.w, v1, r2
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
dp3_pp_sat r2.x, r1, r2
mul_pp r0.xyz, r0, c1
mul_pp r5.xyz, r3.y, c0
pow r1, r2.x, c3.x
dp3_pp r2.y, v3, r5
add_pp r1.y, r2, c13.z
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul r1.w, r0, r1.x
add_pp r2.z, r1.y, c12
mov_pp r1.xyz, c1
mul_pp_sat r2.x, -r2.y, c13.y
mul_pp r2.x, r2, r2.z
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r3.x, r0
mad r0.xyz, r1, r1.w, r0
mad_pp r0.w, r0, -r2.x, r2.x
add_pp r1.x, r0.w, c8
mul r0.xyz, r0, c13.x
mul_pp r0.w, r3.x, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3.zwzw, s4, r4, r4.zwzw
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 288 // 276 used size, 15 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
Float 272 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 143 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
"ps_3_0
; 162 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c6.x
mad r3.x, r0.y, c8.z, c8.z
mad r3.y, r0.x, c8.z, c8.z
mul r4.zw, r3.xyxy, c7.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c10.z, c10.w
mad r2.z, r2.x, r2.w, c11.x
mad r2.z, r2, r2.w, c11.y
mad r2.z, r2, r2.w, c11
mad r2.z, r2, r2.w, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c12
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c10.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c8.x
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
rsq r3.z, r3.z
cmp r1.y, r1, c8, c8.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c9, r3.x
mad r0.w, r1.y, c10.x, r0
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r3.z, r1.x, c8
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c12.z
cmp_pp r0.z, r0.x, c8.x, c8.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c12.w, c12.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c8.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.z, -r0, c8.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c13.z
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
add_pp_sat r0.y, r0.w, -r3
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c8.z
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c8.y, c8.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.w, r0.z, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r2
add_pp r0.y, r0, c12.z
mul_pp_sat r0.z, -r3.x, c13.y
mul_pp r1.x, r0.z, r0.y
mad_pp r1.x, r1.w, -r1, r1
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c13.x
add_pp r1.x, r1, c8
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c8
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 153 instructions, 7 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTextureB0] 2D
SetTexture 7 [_LightTexture0] CUBE
"ps_3_0
; 159 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_cube s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4 r2.w, c0, c0
rsq r1.x, r2.w
pow r2, r0.w, c3.x
mul r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r0.z, r2.x, c12
mul_pp_sat r0.y, -r2, c13
mul_pp r2.x, r0.y, r0.z
texld r0.x, r0.x, s6
texld r0.w, v5, s7
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c13
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 148 instructions, 7 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul r0.w, r1, r0
mul_pp r0.xyz, r4.w, r5
mad r0.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
texld r0.w, v5, s6
mul_pp r1.x, r0.w, c13
mul_pp r0.w, r0, r4
add_pp r1.z, r2.x, c12
mul_pp_sat r1.y, -r2, c13
mul r0.xyz, r0, r1.x
mul_pp r1.y, r1, r1.z
mad_pp r1.x, r1.w, -r1.y, r1.y
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 145 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 167 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c9.x, c9.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c9.x, c9.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c9, c9.x
cmp r0.x, -r0, c9.y, c9
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c9.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c9.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c9.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c7.x
mad r3.x, r0.y, c9.z, c9.z
mad r3.y, r0.x, c9.z, c9.z
mul r4.zw, r3.xyxy, c8.x
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c9.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c9.x
mul_sat r3.z, r3, c10.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c11.z, c11.w
mad r2.z, r2.x, r2.w, c12.x
mad r2.z, r2, r2.w, c12.y
mad r2.z, r2, r2.w, c12
mad r2.z, r2, r2.w, c12.w
mul r1.w, r2.z, r1
mov r2.x, c8
mad r2.xy, c9.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c13
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c11.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c9.x
mad r3.y, r3.x, c10.x, c10
mad r3.y, r3, r3.x, c9.w
rsq r3.z, r3.z
cmp r1.y, r1, c9, c9.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c10.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c10, r3.x
mad r0.w, r1.y, c11.x, r0
mul r0.w, r0, c11.y
mul r1.x, r1, c13.y
add r3.z, r1.x, c9
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c13.z
cmp_pp r0.z, r0.x, c9.x, c9.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c13.w, c13.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c9.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
add_pp r0.z, -r0, c9.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c14.z
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
add_pp_sat r0.y, r0.w, -r3
texldp r0.x, v6, s8
rcp r0.z, v6.w
mad r0.z, -v6, r0, r0.x
mov r0.w, c1.x
cmp r1.z, r0, c9.x, r0.w
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c9.z
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c9.y, c9.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r1.z
add_pp r0.z, r0.y, c13
mul_pp r0.x, r0.w, c14
mul_pp_sat r0.y, -r3.x, c14
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c14.x
add_pp r1.x, r1, c9
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c9
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 158 instructions, 7 temp regs, 0 temp arrays:
// ALU 129 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedolodlnhklphcoaejhhafldpchmpplmjiabaaaaaaembgaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcpmbeaaaaeaaaaaaadpafaaaafjaaaaaeegiocaaa
aaaaaaaabgaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadpcbabaaaafaaaaaagcbaaaadpcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaafaaaaaaegaabaaaacaaaaaa
eghobaaaaaaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaabaaaaaa
hgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaahicaabaaaabaaaaaadkaabaaa
afaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaaeaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaagaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaagaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
aaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaa
agiacaaaaaaaaaaabfaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
agiacaaaaaaaaaaabcaaaaaadcaaaaaodcaabaaaacaaaaaaagiacaiaebaaaaaa
aaaaaaaabfaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaa
aaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaaf
mcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaa
aagabaaaaiaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaa
acaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaaogakbaaa
acaaaaaaegaabaaaacaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
acaaaaaadcaaaaaodcaabaaaaeaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegaabaaaaaaaaaaadgaaaaag
dcaabaaaaeaaaaaaegaabaiaibaaaaaaaeaaaaaaalaaaaafmcaabaaaaeaaaaaa
agaebaaaaeaaaaaaamaaaaafdcaabaaaaeaaaaaaegaabaaaaeaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
ogakbaaaaeaaaaaaegaabaaaaeaaaaaaaaaaaaalhcaabaaaagaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
bcaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaaj
hcaabaaaaeaaaaaaagaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaagaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaiaebaaaaaaafaaaaaaegacbaaaaeaaaaaaegacbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaakgakbaaaaaaaaaaaegacbaaaadaaaaaa
egacbaaaagaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaapaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaaapaaaaahicaabaaaabaaaaaaegaabaaaabaaaaaaegaabaaa
abaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaabaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaaegbcbaaaaeaaaaaadcaaaaaj
hcaabaaaaeaaaaaajgbhbaaaabaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaah
icaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaficaabaaa
acaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaa
egacbaaaaeaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaa
abaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaadkaabaaaafaaaaaa
akaabaaaabaaaaaadiaaaaajhcaabaaaadaaaaaaegiccaaaaaaaaaaaafaaaaaa
egiccaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaa
egacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaapgapbaaa
abaaaaaaegacbaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaaafaaaaaa
pgbpbaaaafaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaaadaaaaaaegaabaaa
abaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahbcaabaaaabaaaaaa
abeaaaaaaaaaaaaackbabaaaafaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaadkaabaaaadaaaaaa
akaabaaaabaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaaegbcbaaa
afaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaabaaaaaaeghobaaaahaaaaaa
aagabaaaacaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaa
adaaaaaaaoaaaaahhcaabaaaadaaaaaaegbcbaaaagaaaaaapgbpbaaaagaaaaaa
efaaaaajpcaabaaaaeaaaaaaegaabaaaadaaaaaaeghobaaaaiaaaaaaaagabaaa
aaaaaaaadbaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaackaabaaaadaaaaaa
dhaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaacaaaaaabiaaaaaa
abeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiaea
diaaaaahhcaabaaaadaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaadiaaaaah
icaabaaaadaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaabbaaaaajbcaabaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
adaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaiccaabaaa
aaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
aaaaaaaadkaabaaaafaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
pcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakhcaabaaa
aaaaaaaaegacbaiaebaaaaaaadaaaaaaagaabaaaaaaaaaaaegacbaaaacaaaaaa
dgcaaaafbcaabaaaacaaaaaadkaabaaaabaaaaaaaaaaaaaibcaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaa
dkaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c9.y, c9.x
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c9.y
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c9.y
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c7.x
mad r3.x, r0.y, c9.z, c9.z
mad r3.y, r0.x, c9.z, c9.z
mul r4.zw, r3.xyxy, c8.x
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c9.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c9.y
mul_sat r3.z, r3, c10.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c11.z, c11.w
mad r2.z, r2.x, r2.w, c12.x
mad r2.z, r2, r2.w, c12.y
mad r2.z, r2, r2.w, c12
mad r2.z, r2, r2.w, c12.w
mul r1.w, r2.z, r1
mov r2.x, c8
mad r2.xy, c9.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c13
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c11.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c9.y
mad r3.y, r3.x, c10.x, c10
mad r3.y, r3, r3.x, c9.w
rsq r3.z, r3.z
cmp r1.y, r1, c9.x, c9
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c10.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c10, r3.x
mad r0.w, r1.y, c11.x, r0
mul r0.w, r0, c11.y
mul r1.x, r1, c13.y
add r3.z, r1.x, c9
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c13.z
cmp_pp r0.z, r0.x, c9.y, c9.x
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c13.w, c13.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c9.y
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
add_pp r0.z, -r0, c9.y
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c14.z
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
rcp r0.z, v5.w
mad r1.xy, v5, r0.z, c9.z
add_pp_sat r0.y, r0.w, -r3
mov r0.x, c1
add r0.w, c9.y, -r0.x
texldp r0.x, v6, s8
mad r1.z, r0.x, r0.w, c1.x
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c9.x, c9.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r1.z
add_pp r0.z, r0.y, c13
mul_pp r0.x, r0.w, c14
mul_pp_sat r0.y, -r3.x, c14
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c14.x
add_pp r1.x, r1, c9.y
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c9.y
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 158 instructions, 7 temp regs, 0 temp arrays:
// ALU 130 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
mov r4.w, r0
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r1.z
mul_pp r2.w, r0, r2
mad_pp r0.xyz, r2.w, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c8.x
rsq_pp r1.z, r1.z
rcp_pp r1.z, r1.z
dp3_pp r0.x, r1, r1
rsq_pp r2.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.z, r1, r0
dp3_pp r2.w, r2, r2
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r2.w, r2
dp3_pp_sat r1.x, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
mul r2.x, r1.w, r1
add_pp r2.z, r2.y, c13
frc_pp r2.w, r2.z
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.z, r5
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.x, r0
add_pp_sat r2.z, r2, -r2.w
texldp r0.x, v5, s6
mul_pp r0.y, r0.x, c13.x
mul r1.xyz, r1, r0.y
add_pp r2.x, r2.z, c12.z
mul_pp_sat r0.z, -r2.y, c13.y
mul_pp r0.z, r0, r2.x
texldd r2, r3, s4, r3.zwzw, r4
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r4.z
add_pp r0.y, r0, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c8
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 158 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
add_pp r0.z, r2.x, c12
mul_pp_sat r0.y, -r2, c13
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v6, s6
texld r0.w, v5, s7
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c13
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 148 instructions, 7 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 166 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c8.x
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c12.z, c12.w
mad r2.z, r2.x, r2.w, c13.x
mad r2.z, r2, r2.w, c13.y
mad r2.z, r2, r2.w, c13
mad r2.z, r2, r2.w, c13.w
mul r1.w, r2.z, r1
mul r3.xy, r3, c9.x
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r1, r4.z
abs r4.z, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
rsq r5.x, r5.x
cmp r1.y, r1, c10, c10.x
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r1.y, r4.z
mad r0.w, -r4, c11, r4.z
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
mul_pp r0.xyz, r1, r0
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r1.z
mad_pp r1.xy, r6.wyzw, c16.x, c16.y
mul_pp r4.zw, r1.xyxy, r1.xyxy
mul_pp r2.w, r0, r2
mad_pp r5.xyz, r2.w, r2, r0
add_pp_sat r1.z, r4, r4.w
add_pp r0.x, -r1.z, c10
rsq_pp r1.z, r0.x
dp3_pp r0.y, v4, v4
rcp_pp r1.z, r1.z
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.z, r2, r2
rsq_pp r4.z, r4.z
mul_pp r2.xyz, r4.z, r2
dp3_pp_sat r4.z, r1, r2
pow r2, r4.z, c5.x
dp3_pp r4.z, r1, r0
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
mul_pp r0.xyz, r4.z, r5
mul r2.x, r1.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r2.x, r0
texld r2, v6, s6
dp4 r0.y, r2, c15
dp3 r0.x, v6, v6
rsq r0.x, r0.x
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r2.x, -r0, c14.w, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r0.z, v3, r0
mov r2.y, c2.x
cmp r0.y, r2.x, c10.x, r2
add_pp r2.x, r0.z, c17
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.x, r0, r0.y
mul_pp r0.y, r0.x, c16.z
mul r1.xyz, r1, r0.y
add_pp r2.x, r2, c14.z
mul_pp_sat r0.z, -r0, c16.w
mul_pp r0.z, r0, r2.x
texldd r2, r3, s4, r3.zwzw, r4
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r4.z
add_pp r0.y, r0, c10.x
mul_pp r1.w, r0.x, c16.z
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c10
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 155 instructions, 7 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 167 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c16.x, c16.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c5.x
dp3_pp r2.w, r1, r5
mul r4.w, r1, r0.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r2.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r4.w, r2
texld r0, v6, s6
dp4 r2.x, r0, c15
dp3 r0.x, v6, v6
rsq r0.x, r0.x
rcp r0.w, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.z, v3, r0
mul r0.w, r0, c1
mad r0.w, -r0, c14, r2.x
add_pp r2.x, r0.z, c17
mov r0.x, c2
cmp r0.y, r0.w, c10.x, r0.x
dp3 r0.x, v5, v5
frc_pp r2.y, r2.x
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
add_pp_sat r0.y, r2.x, -r2
mul_pp r0.x, r0.w, c16.z
add_pp r2.x, r0.y, c14.z
mul_pp_sat r0.y, -r0.z, c16.w
mul_pp r2.x, r0.y, r2
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c16.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 157 instructions, 7 temp regs, 0 temp arrays:
// ALU 129 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c13.x, c13.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c13.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c13.z, c13.z
mad r2.y, r0.x, c13.z, c13.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c11.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c13.x
mul_sat r2.w, r2, c14
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c12.x
mad r2.w, r2.z, c15.z, c15
mad r2.w, r2, r2.z, c16.x
mad r2.w, r2, r2.z, c16.y
mad r2.w, r2, r2.z, c16.z
mad r2.z, r2.w, r2, c16.w
mul r1.w, r2.z, r1
mov r2.x, c12
mad r2.xy, c13.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c17.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c15
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c13.x
mad r1.w, r0, c14.x, c14.y
mad r1.w, r1, r0, c13
rsq r4.z, r4.z
mad r0.w, r1, r0, c14.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c13.y, c13.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c14.w, r1.w
mad r0.w, r0, c15.x, r1.y
mul r0.w, r0, c15.y
mul r1.x, r1, c17.y
add r4.z, r1.x, c13
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c17.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c18.x, c18.y
cmp_pp r0.w, r0, c13.x, c13.y
add_pp r1.z, -r0.w, c13.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c13.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c7
mul_pp r2.xyz, r2, c6
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r6.xyz, r4.w, r6
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c8.x
dp3_pp r2.w, r1, r5
mul r0.w, r1, r0.x
mul_pp r1.xyz, r2.w, r2
rcp r2.z, v6.w
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r1.xyz, r0, r0.w, r1
mad r2.xy, v6, r2.z, c5
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c4
mov r0.w, r0.x
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c3
mov r0.z, r0.x
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c2
mov r0.y, r0.x
texld r0.x, r2, s8
dp4 r2.x, c0, c0
mad r0, -v6.z, r2.z, r0
mov r4.w, c1.x
cmp r0, r0, c13.x, r4.w
dp4_pp r0.z, r0, c17.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.z, v3, r2
add_pp r4.w, r2.z, c19.x
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.z
dp3 r0.x, v5, v5
texld r0.w, r2, s6
cmp r0.y, -v5.z, c13, c13.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c18.z
frc_pp r5.x, r4.w
add_pp_sat r0.y, r4.w, -r5.x
add_pp r0.z, r0.y, c17
mul_pp_sat r0.y, -r2.z, c18.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c13
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 169 instructions, 7 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 176 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c13.y, c13.x
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c13.y, c13.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13.x, c13
cmp r0.x, -r0, c13, c13.y
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.y
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c13.y
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c13.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c13.z, c13.z
mad r3.y, r0.x, c13.z, c13.z
mul r0.xy, r3, c10.x
mov r0.z, c10.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.z, r1.w, r1.w
add_pp r2.xyz, -r0, c13.y
mul_sat r2.w, r2, c14
mad_pp r0.xyz, r2.w, r2, r0
mul r2.xy, r3, c12.x
mad r2.z, r3, c15, c15.w
mad r3.x, r2.z, r3.z, c16
mad r3.w, r3.x, r3.z, c16.y
mad r3.w, r3, r3.z, c16.z
mad r3.z, r3.w, r3, c16.w
mul r1.w, r3.z, r1
mov r2.z, c12.x
mad r2.zw, c13.z, -r2.z, r2.xyxy
abs r3.xy, r2.zwzw
dsx r2.zw, r3.xyxy
dsy r4.xy, r3
texldd r3, r2, s5, r2.zwzw, r4
add r4.z, -r1.w, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r1, r4.z
abs r4.z, r1.y
add r1.w, -r0, c15.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r5.x, -r4.z, c13.y
mad r4.w, r4.z, c14.x, c14.y
mad r4.w, r4, r4.z, c13
rsq r5.x, r5.x
cmp r1.y, r1, c13.x, c13
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c14
mul r4.z, r4, r5.x
mul r4.w, r1.y, r4.z
mad r0.w, -r4, c14, r4.z
mad r0.w, r1.y, c15.x, r0
mul r0.w, r0, c15.y
mul r1.x, r1, c17.y
add r4.z, r1.x, c13
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r3.xyz, -r1, r0, r3
add_pp r0.w, r1, c17.z
mul_pp r0.xyz, r1, r0
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
cmp_pp r0.w, r0, c13.y, c13.x
add_pp r1.z, -r0.w, c13.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mad_pp r1.xy, r6.wyzw, c18.x, c18.y
mul_pp r5.xy, r1, r1
rcp r4.w, v6.w
mul_pp r1.z, r4, r3.w
add_pp_sat r0.w, r5.x, r5.y
mad_pp r5.xyz, r1.z, r3, r0
add_pp r0.x, -r0.w, c13.y
dp3_pp r1.z, v1, v1
mul_pp r5.xyz, r5, c7
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.z, r1.z
mad_pp r3.xyz, r1.z, v1, r0
rcp_pp r1.z, r0.w
dp3_pp r3.w, r3, r3
dp3_pp r0.w, r1, r1
rsq_pp r3.w, r3.w
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
mul_pp r3.xyz, r3.w, r3
dp3_pp_sat r0.w, r1, r3
pow r3, r0.w, c8.x
dp3_pp r3.w, r1, r0
mul_pp r5.xyz, r5, c6
mov r0.w, r3.x
mov_pp r1.xyz, c6
mul_pp r0.xyz, r3.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c9, r1
mad r3.xyz, r1, r0.w, r0
mad r0.xyz, v6, r4.w, c5
mad r1.xyz, v6, r4.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
texld r0.x, r0, s8
mul r5.xyz, r0.w, c0
mov_pp r0.w, r0.x
mad r0.xyz, v6, r4.w, c4
texld r0.x, r0, s8
texld r1.x, r1, s8
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v6, r4.w, c2
mov r0.x, c1
add r4.w, c13.y, -r0.x
texld r0.x, r1, s8
mad r0, r0, r4.w, c1.x
dp4_pp r4.w, r0, c17.w
dp3_pp r1.z, v3, r5
add_pp r0.y, r1.z, c19.x
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c17
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c13.z
texld r0.w, r1, s6
cmp r1.x, -v5.z, c13, c13.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
mul_pp_sat r0.y, -r1.z, c18.w
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
texld r0.x, r0.x, s7
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r4
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c13.y
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13.y
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 174 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r5.zw, r1.xyxy
dsx r5.xy, r1
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c17.x, c17.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp_sat r2.w, r1, r6
dp3_pp r4.w, r1, r5
pow r0, r2.w, c5.x
mul r2.w, r1, r0.x
mul_pp r2.xyz, r2, c3
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
mov_pp r1.xyz, c3
add r0.xyz, v6, c15.yxyw
texld r0, r0, s6
dp4 r5.z, r0, c16
add r0.xyz, v6, c14.w
texld r0, r0, s6
mul_pp r2.xyz, r4.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r2.w, r2
add r2.xyz, v6, c15.yyxw
texld r2, r2, s6
dp4 r5.y, r2, c16
dp3 r2.x, v6, v6
rsq r2.x, r2.x
dp4 r5.x, r0, c16
rcp r0.x, r2.x
dp4 r2.x, c0, c0
mul r0.x, r0, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mad r0, -r0.x, c15.z, r5
mov r2.w, c2.x
cmp r0, r0, c10.x, r2.w
dp4_pp r0.y, r0, c15.w
add_pp r0.z, r2.x, c18.x
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.w, r0.x, r0.y
frc_pp r2.y, r0.z
add_pp_sat r0.y, r0.z, -r2
add_pp r0.z, r0.y, c14
mul_pp_sat r0.y, -r2.x, c17.w
mul_pp r0.x, r0.w, c17.z
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 136 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 175 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c17.x, c17.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp r4.w, r1, r5
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c5.x
mul r0.w, r1, r0.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r4.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r2
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
add r2.xyz, v6, c15.yxyw
dp4 r2.w, r0, c16
texld r0, r2, s6
dp4 r2.z, r0, c16
add r5.xyz, v6, c15.yyxw
texld r0, r5, s6
dp4 r2.y, r0, c16
add r5.xyz, v6, c14.w
texld r0, r5, s6
dp4 r2.x, r0, c16
dp3 r5.x, v6, v6
rsq r0.x, r5.x
dp4 r0.y, c0, c0
rcp r0.x, r0.x
rsq r5.x, r0.y
mul r0.x, r0, c1.w
mad r0, -r0.x, c15.z, r2
mul r2.xyz, r5.x, c0
dp3_pp r2.x, v3, r2
mov r2.w, c2.x
cmp r0, r0, c10.x, r2.w
dp4_pp r0.y, r0, c15.w
add_pp r2.y, r2.x, c18.x
dp3 r0.x, v5, v5
frc_pp r0.z, r2.y
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
add_pp_sat r0.y, r2, -r0.z
add_pp r0.z, r0.y, c14
mul_pp_sat r0.y, -r2.x, c17.w
mul_pp r0.x, r0.w, c17.z
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 168 instructions, 7 temp regs, 0 temp arrays:
// ALU 137 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_OFF" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 155 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c8.x
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r4.z, r4.z
add r5.x, -r4.w, c10
cmp r0.y, r0, c8, c8.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r2.z, r2, r2.w
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r6.x, -r0.w, c8
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r6.x
mul_pp r0.w, r4.z, r1
add_pp r1.w, -r2.z, c8.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c2
mul_pp r5.xyz, r2.z, v4
dp3_pp r2.w, v1, v1
rsq_pp r2.z, r2.w
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r2.w, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r2.w, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c3.x
dp3_pp r0.w, r2, r5
mul r1.w, r0.x, c4
mul_pp r1.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
rsq r2.x, r2.x
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r0.w, r1
mad r1.xyz, r0, r1.w, r1
mul r2.xyz, r2.x, c0
dp3_pp r0.z, v3, r2
add_pp r1.w, r0.z, c13.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s6
mul_pp r0.y, r0.x, c13.x
mul r1.xyz, r1, r0.y
frc_pp r2.x, r1.w
add_pp_sat r0.y, r1.w, -r2.x
mul_pp r0.x, r0, r0.w
add_pp r0.w, r0.y, c12.z
mul_pp_sat r0.y, -r0.z, c13
mul_pp r1.w, r0.x, c13.x
mad_pp r0.y, r0, r0.w, c8.x
mul_pp r0, r1, r0.y
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 144 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 152 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r3.xyz, r0
add r1.x, r3.z, -r3
max r0.w, r3.x, r3.z
add r0.w, r0, -r3.y
mul r3.y, v0.x, c6.x
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.w, r0, c8.z, c8.z
mad r3.z, r1.x, c8, c8
mul r1.xy, r3.zwzw, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r3.x, r0
rcp r2.w, r1.w
min r1.w, r3.x, r0
mul r1.w, r1, r2
add r0.w, r3.x, -r0
abs r3.x, r0.y
add r5.x, -r3, c8
rsq r5.x, r5.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.y, r3, c9.w
mad_pp r2.xyz, r3.y, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
add r3.y, -r2.w, c12.x
cmp r0.w, -r0, r2, r3.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
cmp r0.w, r0.x, r0, -r0
mul r3.zw, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3.zwzw
abs r1.xy, r1
dsx r4.xy, r1
dsy r4.zw, r1.xyxy
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3.zwzw, s5, r4, r4.zwzw
rcp r5.x, r5.x
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r5
mul r3.y, r0, r3.x
mad r0.z, -r3.y, c9.w, r3.x
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r3.x, r0.w, c8.z
mov r3.y, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r3, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r3, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r3.xy, r2, r2
mul_pp r1.w, r2, r1
mad_pp r0.xyz, r1.w, r1, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
add_pp_sat r0.w, r3.x, r3.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r2.z, r0.w
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
dp3_pp r0.x, v4, v4
rsq_pp r0.x, r0.x
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r0.w, r1.w
dp3_pp r1.w, r2, r0
mul_pp r0.xyz, r0.w, r1
dp3_pp_sat r2.x, r2, r0
pow r0, r2.x, c3.x
dp4_pp r2.y, c0, c0
rsq_pp r0.y, r2.y
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.y, r0.w, c13.z
mul r2.x, r0, c4.w
mov_pp r0.xyz, c1
mul_pp r1.xyz, r1.w, r5
mul_pp r0.xyz, c4, r0
mad r0.xyz, r0, r2.x, r1
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
mul_pp_sat r0.w, -r0, c13.y
add_pp r1.x, r1, c12.z
mad_pp r1.x, r0.w, r1, c8
mul_pp r0.w, r1, c13.x
mul r0.xyz, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3.zwzw, s4, r4, r4.zwzw
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 288 // 276 used size, 15 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
Float 272 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 141 instructions, 7 temp regs, 0 temp arrays:
// ALU 117 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
"ps_3_0
; 160 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c8.x
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r4.z, r4.z
add r5.x, -r4.w, c10
cmp r0.y, r0, c8, c8.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r2.z, r2, r2.w
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r6.x, -r0.w, c8
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r6.x
mul_pp r0.w, r4.z, r1
add_pp r1.w, -r2.z, c8.x
mad_pp r1.xyz, r0.w, r1, r0
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c2
mul_pp r5.xyz, r2.z, v4
dp3_pp r2.w, v1, v1
rsq_pp r2.z, r2.w
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r2.w, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r2.w, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c3.x
dp3_pp r1.w, r2, r5
mul r0.w, r0.x, c4
mul_pp r1.xyz, r1, c1
mov_pp r0.xyz, c1
dp4 r2.x, c0, c0
mul_pp r1.xyz, r1.w, r1
mul_pp r0.xyz, c4, r0
mad r1.xyz, r0, r0.w, r1
rsq r2.x, r2.x
mul r0.xyz, r2.x, c0
dp3_pp r2.z, v3, r0
rcp r0.w, v5.w
mad r2.xy, v5, r0.w, c8.z
texld r0.w, r2, s6
add_pp r2.x, r2.z, c13.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c8, c8.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.w, r0.y, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.y, r2.x
add_pp_sat r1.x, r2, -r2.y
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2.z, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 151 instructions, 7 temp regs, 0 temp arrays:
// ALU 124 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTextureB0] 2D
SetTexture 7 [_LightTexture0] CUBE
"ps_3_0
; 157 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_cube s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4 r1.x, c0, c0
rsq r2.x, r1.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c13.z
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
dp3 r0.x, v5, v5
texld r0.x, r0.x, s6
texld r0.w, v5, s7
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 155 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4_pp r1.x, c0, c0
rsq_pp r2.x, r1.x
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mad r0.xyz, r1, r0.w, r0
mul_pp r2.xyz, r2.x, c0
dp3_pp r1.y, v3, r2
add_pp r1.z, r1.y, c13
texld r0.w, v5, s6
mul_pp r1.x, r0.w, c13
mul_pp r0.w, r0, r1
frc_pp r2.x, r1.z
mul r0.xyz, r0, r1.x
add_pp_sat r1.x, r1.z, -r2
add_pp r1.z, r1.x, c12
mul_pp_sat r1.x, -r1.y, c13.y
mad_pp r1.x, r1, r1.z, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 143 instructions, 7 temp regs, 0 temp arrays:
// ALU 118 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c9.x, c9.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c9.x, c9.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c9, c9.x
cmp r1.x, -r1, c9.y, c9
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c9.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c9.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c9.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c9.z, c9.z
mad r4.x, r1, c9.z, c9.z
mul r1.xy, r4, c6.x
mov r0.w, c6.x
mad r1.zw, c9.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c7.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c9.x
mul_sat r2.w, r2, c10
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c11.z, c11.w
mad r1.z, r1.x, r3.w, c12.x
mad r1.z, r1, r3.w, c12.y
mad r1.z, r1, r3.w, c12
mad r1.z, r1, r3.w, c12.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c8.x
mov r1.x, c8
mad r1.xy, c9.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c13.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c11.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c9
mad r4.w, r4.z, c10.x, c10.y
mad r4.w, r4, r4.z, c9
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c9, c9.x
mul r0.w, r0, c13.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c10
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c10.w, r4
mad r0.x, r0.y, c11, r0.z
mul r0.z, r0.x, c11.y
add r4.z, r0.w, c9
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c13.z
cmp_pp r0.w, r0, c9.x, c9.y
add_pp r3.z, -r0.w, c9.x
mad_pp r3.xy, r3.wyzw, c13.w, c13.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c9
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r0.w, r3
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c4.x
dp3_pp r1.w, r3, r0
mov r0.x, r1
mul_pp r5.xyz, r5, c2
mov_pp r1.xyz, c2
mul_pp r3.xyz, r1.w, r5
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul_pp r1.xyz, c5, r1
mad r1.xyz, r1, r0.w, r3
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v3, r0
texldp r0.x, v6, s8
rcp r0.y, v6.w
mad r0.y, -v6.z, r0, r0.x
rcp r0.x, v5.w
mad r3.xy, v5, r0.x, c9.z
texld r0.w, r3, s6
add_pp r3.x, r3.z, c14.z
mov r0.z, c1.x
cmp r0.z, r0.y, c9.x, r0
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c9, c9.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c14
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r3.y, r3.x
add_pp_sat r1.x, r3, -r3.y
add_pp r1.y, r1.x, c13.z
mul_pp_sat r1.x, -r3.z, c14.y
mad_pp r1.x, r1, r1.y, c9
mul_pp r0.w, r0, c14.x
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c9
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 156 instructions, 7 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedbliaghjmlebghdnidhalkdaeopmcdninabaaaaaaambgaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
apapaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaapapaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefclmbeaaaaeaaaaaaacpafaaaafjaaaaaeegiocaaa
aaaaaaaabgaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafkaaaaadaagabaaaaiaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaa
ffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaafibiaaaeaahabaaaaiaaaaaa
ffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaagcbaaaad
hcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaa
gcbaaaadpcbabaaaafaaaaaagcbaaaadpcbabaaaagaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaacaaaaaa
egbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaah
ocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaajbcaabaaa
abaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaaoaaaaak
bcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadpakaabaaa
abaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaa
abaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaaabaaaaaa
dcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdmabeaaaaa
dgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaabaaaaaa
abeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaabkaabaia
ibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaaabaaaaaa
fgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaaabaaaaaa
bkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaabkaabaaa
abaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaabkaabaia
ebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaa
abaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaaabaaaaaa
dhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaaidpjccdo
abeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaaabaaaaaa
alaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaaabaaaaaa
akaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaa
abeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaakicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaakeanmjdp
aaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaaacaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaadkaabaaa
acaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaaabaaaaaa
ckaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaadkaabaaa
abaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaaacaaaaaa
ckaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaabkaabaaa
acaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaagaaaaaaegaabaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaafaaaaaaegaabaaaacaaaaaa
eghobaaaaaaaaaaaaagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaaaagabaaa
aeaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaaabaaaaaa
hgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaaaceaaaaa
aaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaahicaabaaaabaaaaaadkaabaaa
afaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaadkaabaaa
abaaaaaadkaabaaaaeaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaaacaaaaaa
akaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaaacaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahccaabaaa
acaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaaacaaaaaa
bkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaadcaaaaakbcaabaaa
aaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaakaabaaaacaaaaaa
deaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaa
aaaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaiaibaaaaaa
aaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaaaaaaiadp
dcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaaaaaaaaaaadkaabaaa
aaaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaaaaaaaaaa
dbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
bcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaalganbaaaaaaaaaaaegacbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaaaaaaaaaa
jgaebaiaebaaaaaaagaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaaacaaaaaa
agajbaaaadaaaaaafgacbaaaagaaaaaadcaaaaakhcaabaaaaaaaaaaaegacbaia
ebaaaaaaaeaaaaaalganbaaaaaaaaaaajgahbaaaacaaaaaadcaaaaajhcaabaaa
aaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaiaibaaaaaa
aaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaaaaaaaaaa
agiacaaaaaaaaaaabfaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaaaaaaaaaa
agiacaaaaaaaaaaabcaaaaaadcaaaaaodcaabaaaacaaaaaaagiacaiaebaaaaaa
aaaaaaaabfaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaogakbaaa
aaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaaalaaaaaf
mcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaaacaaaaaaegaabaaa
acaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaaafaaaaaa
aagabaaaaiaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaaejaaaaanpcaabaaa
acaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaahaaaaaaogakbaaa
acaaaaaaegaabaaaacaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaa
acaaaaaadcaaaaaodcaabaaaaeaaaaaaagiacaiaebaaaaaaaaaaaaaabcaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegaabaaaaaaaaaaadgaaaaag
dcaabaaaaeaaaaaaegaabaiaibaaaaaaaeaaaaaaalaaaaafmcaabaaaaeaaaaaa
agaebaaaaeaaaaaaamaaaaafdcaabaaaaeaaaaaaegaabaaaaeaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaaafaaaaaa
ogakbaaaaeaaaaaaegaabaaaaeaaaaaaaaaaaaalhcaabaaaagaaaaaaegacbaia
ebaaaaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaaapcaaaai
bcaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaadcaaaaaj
hcaabaaaaeaaaaaaagaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaaaeaaaaaa
diaaaaahhcaabaaaagaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaadcaaaaak
hcaabaaaadaaaaaaegacbaiaebaaaaaaafaaaaaaegacbaaaaeaaaaaaegacbaaa
adaaaaaadcaaaaajhcaabaaaaaaaaaaakgakbaaaaaaaaaaaegacbaaaadaaaaaa
egacbaaaagaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaapaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaaegiccaaa
aaaaaaaaafaaaaaaapaaaaahicaabaaaabaaaaaaegaabaaaabaaaaaaegaabaaa
abaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
aaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabeaaaaaaaaaiadp
elaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaa
abaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaa
baaaaaahicaabaaaabaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaaeeaaaaaf
icaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaacaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaaacaaaaaa
diaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaaegbcbaaaaeaaaaaadcaaaaaj
hcaabaaaaeaaaaaajgbhbaaaabaaaaaapgapbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaabaaaaaah
icaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaficaabaaa
acaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaa
egacbaaaaeaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaadaaaaaaegacbaaa
abaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
dkiacaaaaaaaaaaabbaaaaaadiaaaaajhcaabaaaadaaaaaaegiccaaaaaaaaaaa
afaaaaaaegiccaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaaagaabaaa
abaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaaaaaaaaaa
pgapbaaaabaaaaaaegacbaaaabaaaaaaaoaaaaahdcaabaaaabaaaaaaegbabaaa
afaaaaaapgbpbaaaafaaaaaaaaaaaaakdcaabaaaabaaaaaaegaabaaaabaaaaaa
aceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaefaaaaajpcaabaaaadaaaaaa
egaabaaaabaaaaaaeghobaaaagaaaaaaaagabaaaabaaaaaadbaaaaahbcaabaaa
abaaaaaaabeaaaaaaaaaaaaackbabaaaafaaaaaaabaaaaahbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaadkaabaaa
adaaaaaaakaabaaaabaaaaaabaaaaaahccaabaaaabaaaaaaegbcbaaaafaaaaaa
egbcbaaaafaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaabaaaaaaeghobaaa
ahaaaaaaaagabaaaacaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
akaabaaaadaaaaaaaoaaaaahhcaabaaaadaaaaaaegbcbaaaagaaaaaapgbpbaaa
agaaaaaaefaaaaajpcaabaaaaeaaaaaaegaabaaaadaaaaaaeghobaaaaiaaaaaa
aagabaaaaaaaaaaadbaaaaahccaabaaaabaaaaaaakaabaaaaeaaaaaackaabaaa
adaaaaaadhaaaaakccaabaaaabaaaaaabkaabaaaabaaaaaaakiacaaaacaaaaaa
biaaaaaaabeaaaaaaaaaiadpdiaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaiaeadiaaaaahhcaabaaaadaaaaaaegacbaaaaaaaaaaaagaabaaaabaaaaaa
diaaaaahicaabaaaadaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaabbaaaaaj
bcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaa
egbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaah
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaah
pcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaakhcaabaaa
aaaaaaaaegacbaiaebaaaaaaadaaaaaaagaabaaaaaaaaaaaegacbaaaacaaaaaa
dgcaaaafbcaabaaaacaaaaaadkaabaaaabaaaaaaaaaaaaaibcaabaaaacaaaaaa
akaabaiaebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajhccabaaaaaaaaaaapgapbaaa
aaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaficcabaaaaaaaaaaa
dkaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 165 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c9.y, c9.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c9.y, c9.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c9.x, c9
cmp r1.x, -r1, c9, c9.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c9.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c9.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c9.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c9.z, c9.z
mad r4.x, r1, c9.z, c9.z
mul r1.xy, r4, c6.x
mov r0.w, c6.x
mad r1.zw, c9.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c7.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c9.y
mul_sat r2.w, r2, c10
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c11.z, c11.w
mad r1.z, r1.x, r3.w, c12.x
mad r1.z, r1, r3.w, c12.y
mad r1.z, r1, r3.w, c12
mad r1.z, r1, r3.w, c12.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c8.x
mov r1.x, c8
mad r1.xy, c9.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c13.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c11.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c9.y
mad r4.w, r4.z, c10.x, c10.y
mad r4.w, r4, r4.z, c9
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c9.x, c9
mul r0.w, r0, c13.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c10
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c10.w, r4
mad r0.x, r0.y, c11, r0.z
mul r0.z, r0.x, c11.y
add r4.z, r0.w, c9
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c13.z
cmp_pp r0.w, r0, c9.y, c9.x
add_pp r3.z, -r0.w, c9.y
mad_pp r3.xy, r3.wyzw, c13.w, c13.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c9.y
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r3.xyz, r0.w, r3
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c4.x
dp3_pp r1.w, r3, r0
mov r0.x, r1
mul_pp r5.xyz, r5, c2
mov_pp r1.xyz, c2
mul_pp r3.xyz, r1.w, r5
mul r0.w, r0.x, c5
dp4 r0.y, c0, c0
rsq r0.x, r0.y
mul_pp r1.xyz, c5, r1
mad r1.xyz, r1, r0.w, r3
mul r0.xyz, r0.x, c0
dp3_pp r3.z, v3, r0
mov r0.x, c1
rcp r0.y, v5.w
mad r3.xy, v5, r0.y, c9.z
texld r0.w, r3, s6
add r0.z, c9.y, -r0.x
texldp r0.x, v6, s8
mad r0.z, r0.x, r0, c1.x
add_pp r3.x, r3.z, c14.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c9.x, c9
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c14
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r3.y, r3.x
add_pp_sat r1.x, r3, -r3.y
add_pp r1.y, r1.x, c13.z
mul_pp_sat r1.x, -r3.z, c14.y
mad_pp r1.x, r1, r1.y, c9.y
mul_pp r0.w, r0, c14.x
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c9.y
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 156 instructions, 7 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 154 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r2.z
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
mul_pp r4.z, r0.w, r1.w
mad_pp r5.xyz, r4.z, r1, r0
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r1.w, r2.z, r2
add_pp r0.x, -r1.w, c8
rsq_pp r1.w, r0.x
rcp_pp r2.z, r1.w
dp3_pp r0.y, v4, v4
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r1.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r2, r1
pow r1, r2.w, c3.x
dp3_pp r1.w, r2, r0
dp4_pp r1.y, c0, c0
rsq_pp r2.x, r1.y
mul r2.w, r1.x, c4
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.w, r0
mul_pp r2.xyz, r2.x, c0
dp3_pp r0.z, v3, r2
add_pp r2.x, r0.z, c13.z
texldp r0.x, v5, s6
mul_pp r0.y, r0.x, c13.x
mul_pp r0.x, r0, r1.w
mul r1.xyz, r1, r0.y
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
texldd r2, r3, s4, r3.zwzw, r4
add_pp r1.w, r0.y, c12.z
mul_pp_sat r0.y, -r0.z, c13
mad_pp r0.y, r0, r1.w, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c8
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 144 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 156 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c8.z, c8.z
mad r3.x, r1, c8.z, c8.z
mul r1.xy, r3, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c6.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c12.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c10.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c8
mad r4.w, r4.z, c9.x, c9.y
mad r4.w, r4, r4.z, c8
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c8, c8.x
mul r0.w, r0, c12.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c9
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c9.w, r4
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
add r4.z, r0.w, c8
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r2.z, -r0.w, c8.x
mad_pp r2.xy, r2.wyzw, c12.w, c12.z
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c8
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c2
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c3.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
dp4_pp r1.x, c0, c0
rsq_pp r2.x, r1.x
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
add_pp r2.y, r2.x, c13.z
mul_pp r5.xyz, r5, c1
mov_pp r1.xyz, c1
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c4
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
texldp r0.x, v6, s6
texld r0.w, v5, s7
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c12.z
mul_pp_sat r1.x, -r2, c13.y
mad_pp r1.x, r1, r1.y, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 165 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c12.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c10, c10.x
mul r0.w, r0, c14.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c11.w, r4
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r2.z
mad_pp r2.xy, r2.wyzw, c16.x, c16.y
mul_pp r4.z, r0.w, r1.w
mad_pp r5.xyz, r4.z, r1, r0
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r1.w, r2.z, r2
add_pp r0.x, -r1.w, c10
rsq_pp r1.w, r0.x
rcp_pp r2.z, r1.w
dp3_pp r0.y, v4, v4
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r2.xyz, r1.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r2, r1
pow r1, r2.w, c5.x
mov r1.w, r1.x
dp3_pp r2.w, r2, r0
mul r2.x, r1.w, c6.w
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
mul_pp r0.xyz, r2.w, r5
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r2.x, r0
dp3 r1.w, v6, v6
rsq r0.x, r1.w
texld r1, v6, s6
rcp r0.x, r0.x
dp4 r0.y, r1, c15
dp4 r0.z, c0, c0
rsq r1.x, r0.z
mul r0.x, r0, c1.w
mad r0.x, -r0, c14.w, r0.y
mov r0.y, c2.x
cmp r0.z, r0.x, c10.x, r0.y
mul r1.xyz, r1.x, c0
dp3_pp r0.y, v3, r1
add_pp r1.w, r0.y, c17.x
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.x, r0, r0.z
mul_pp r0.z, r0.x, c16
mul_pp r0.x, r0, r2.w
mul r1.xyz, r2, r0.z
texldd r2, r3, s4, r3.zwzw, r4
frc_pp r4.z, r1.w
add_pp_sat r0.z, r1.w, -r4
add_pp r0.z, r0, c14
mul_pp_sat r0.y, -r0, c16.w
mad_pp r0.y, r0, r0.z, c10.x
mul_pp r1.w, r0.x, c16.z
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c10
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 153 instructions, 7 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedgjhohglmhkaimmcfhdommfagdcopakpfabaaaaaajabfaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaababaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaabaaaaaa
aoaoaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaacaaaaaaahahaaaaneaaaaaa
adaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahahaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefceabeaaaaeaaaaaaabaafaaaafjaaaaaeegiocaaa
aaaaaaaabgaaaaaafjaaaaaeegiocaaaabaaaaaaacaaaaaafjaaaaaeegiocaaa
acaaaaaabjaaaaaafkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaa
fkaaaaadaagabaaaacaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaa
aeaaaaaafkaaaaadaagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaad
aagabaaaahaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaa
afaaaaaaffffaaaafibiaaaeaahabaaaagaaaaaaffffaaaafidaaaaeaahabaaa
ahaaaaaaffffaaaagcbaaaadbcbabaaaabaaaaaagcbaaaadocbabaaaabaaaaaa
gcbaaaadhcbabaaaacaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagcbaaaadhcbabaaaafaaaaaagcbaaaadhcbabaaaagaaaaaagfaaaaad
pccabaaaaaaaaaaagiaaaaacahaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
acaaaaaaegbcbaaaacaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaahocaabaaaaaaaaaaaagaabaaaaaaaaaaakgbebaaaacaaaaaadeaaaaaj
bcaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaa
aoaaaaakbcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaiadp
akaabaaaabaaaaaaddaaaaajccaabaaaabaaaaaabkaabaiaibaaaaaaaaaaaaaa
ckaabaiaibaaaaaaaaaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
bkaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaaakaabaaa
abaaaaaadcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaaabeaaaaafpkokkdm
abeaaaaadgfkkolndcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaochgdidodcaaaaajecaabaaaabaaaaaabkaabaaaabaaaaaa
ckaabaaaabaaaaaaabeaaaaaaebnkjlodcaaaaajccaabaaaabaaaaaabkaabaaa
abaaaaaackaabaaaabaaaaaaabeaaaaadiphhpdpdiaaaaahecaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaadcaaaaajecaabaaaabaaaaaackaabaaa
abaaaaaaabeaaaaaaaaaaamaabeaaaaanlapmjdpdbaaaaajicaabaaaabaaaaaa
bkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaahecaabaaa
abaaaaaadkaabaaaabaaaaaackaabaaaabaaaaaadcaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaabkaabaaaabaaaaaackaabaaaabaaaaaadbaaaaaigcaabaaa
abaaaaaafgahbaaaaaaaaaaafgahbaiaebaaaaaaaaaaaaaaabaaaaahccaabaaa
abaaaaaabkaabaaaabaaaaaaabeaaaaanlapejmaaaaaaaahbcaabaaaabaaaaaa
bkaabaaaabaaaaaaakaabaaaabaaaaaaddaaaaahccaabaaaabaaaaaabkaabaaa
aaaaaaaackaabaaaaaaaaaaadbaaaaaiccaabaaaabaaaaaabkaabaaaabaaaaaa
bkaabaiaebaaaaaaabaaaaaadeaaaaahicaabaaaabaaaaaabkaabaaaaaaaaaaa
ckaabaaaaaaaaaaabnaaaaaiicaabaaaabaaaaaadkaabaaaabaaaaaadkaabaia
ebaaaaaaabaaaaaaabaaaaahccaabaaaabaaaaaadkaabaaaabaaaaaabkaabaaa
abaaaaaadhaaaaakbcaabaaaabaaaaaabkaabaaaabaaaaaaakaabaiaebaaaaaa
abaaaaaaakaabaaaabaaaaaadiaaaaahccaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaidpjccdodcaaaaajbcaabaaaacaaaaaaakaabaaaabaaaaaaabeaaaaa
idpjccdoabeaaaaaaaaaaadpdgaaaaagbcaabaaaabaaaaaabkaabaiaibaaaaaa
abaaaaaaalaaaaafbcaabaaaadaaaaaaakaabaaaabaaaaaaamaaaaafbcaabaaa
abaaaaaaakaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaiaibaaaaaa
aaaaaaaaabeaaaaadagojjlmabeaaaaachbgjidndcaaaaakicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaaiedefjlodcaaaaak
icaabaaaabaaaaaadkaabaaaabaaaaaadkaabaiaibaaaaaaaaaaaaaaabeaaaaa
keanmjdpaaaaaaaiecaabaaaacaaaaaadkaabaiambaaaaaaaaaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaacaaaaaackaabaaaacaaaaaadiaaaaahicaabaaa
acaaaaaadkaabaaaabaaaaaackaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaa
dkaabaaaacaaaaaaabeaaaaaaaaaaamaabeaaaaanlapejeaabaaaaahecaabaaa
abaaaaaackaabaaaabaaaaaadkaabaaaacaaaaaadcaaaaajecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaacaaaaaackaabaaaabaaaaaadiaaaaahccaabaaa
acaaaaaackaabaaaabaaaaaaabeaaaaaidpjkcdoalaaaaafccaabaaaadaaaaaa
bkaabaaaacaaaaaaamaaaaafccaabaaaabaaaaaabkaabaaaacaaaaaaejaaaaan
pcaabaaaaeaaaaaaegaabaaaacaaaaaaeghobaaaadaaaaaaaagabaaaafaaaaaa
egaabaaaadaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaafaaaaaaegaabaaa
acaaaaaaeghobaaaaaaaaaaaaagabaaaacaaaaaaegaabaaaadaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaabaaaaaaegaabaaaacaaaaaaeghobaaaabaaaaaa
aagabaaaadaaaaaaegaabaaaadaaaaaaegaabaaaabaaaaaadcaaaaapdcaabaaa
abaaaaaahgapbaaaabaaaaaaaceaaaaaaaaaaaeaaaaaaaeaaaaaaaaaaaaaaaaa
aceaaaaaaaaaialpaaaaialpaaaaaaaaaaaaaaaabnaaaaahicaabaaaabaaaaaa
dkaabaaaafaaaaaaabeaaaaaaaaaiadpdhaaaaajicaabaaaabaaaaaadkaabaaa
abaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaabaaaaaa
dkaabaaaabaaaaaadkaabaaaaeaaaaaadcaaaaakbcaabaaaacaaaaaackbabaaa
acaaaaaaakaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaabnaaaaajccaabaaa
acaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaiaibaaaaaaaaaaaaaaabaaaaah
ccaabaaaacaaaaaabkaabaaaacaaaaaaabeaaaaaaaaaiadpdcaaaaajbcaabaaa
acaaaaaabkaabaaaacaaaaaaakaabaaaacaaaaaackaabaaaaaaaaaaadcaaaaak
bcaabaaaaaaaaaaabkbabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaaakaabaaa
acaaaaaadeaaaaajbcaabaaaacaaaaaabkaabaiaibaaaaaaaaaaaaaackaabaia
ibaaaaaaaaaaaaaabnaaaaaibcaabaaaacaaaaaaakaabaaaacaaaaaadkaabaia
ibaaaaaaaaaaaaaaabaaaaahbcaabaaaacaaaaaaakaabaaaacaaaaaaabeaaaaa
aaaaiadpdcaaaaajbcaabaaaaaaaaaaaakaabaaaacaaaaaaakaabaaaaaaaaaaa
dkaabaaaaaaaaaaadbaaaaahecaabaaaacaaaaaaabeaaaaaaaaaaaaaakaabaaa
aaaaaaaadbaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaaaaa
boaaaaaibcaabaaaaaaaaaaackaabaiaebaaaaaaacaaaaaaakaabaaaaaaaaaaa
claaaaafccaabaaaadaaaaaaakaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaa
bkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaagaaaaaalganbaaaaaaaaaaa
egacbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaa
aaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaajgahbaaa
aaaaaaaajgaebaiaebaaaaaaagaaaaaadcaaaaajocaabaaaacaaaaaafgafbaaa
acaaaaaaagajbaaaadaaaaaafgacbaaaagaaaaaadcaaaaakhcaabaaaaaaaaaaa
egacbaiaebaaaaaaaeaaaaaalganbaaaaaaaaaaajgahbaaaacaaaaaadcaaaaaj
hcaabaaaaaaaaaaaagaabaaaacaaaaaaegacbaaaaaaaaaaaegacbaaaagaaaaaa
diaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadp
aaaaaadpaaaaaaaaaoaaaaaidcaabaaaaaaaaaaajgafbaaaaaaaaaaaagaabaia
ibaaaaaaaaaaaaaaaaaaaaakdcaabaaaaaaaaaaaegaabaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaadiaaaaaimcaabaaaaaaaaaaaagaebaaa
aaaaaaaaagiacaaaaaaaaaaabfaaaaaadiaaaaaidcaabaaaaaaaaaaaegaabaaa
aaaaaaaaagiacaaaaaaaaaaabcaaaaaadcaaaaaodcaabaaaacaaaaaaagiacaia
ebaaaaaaaaaaaaaabfaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaa
ogakbaaaaaaaaaaadgaaaaagdcaabaaaacaaaaaaegaabaiaibaaaaaaacaaaaaa
alaaaaafmcaabaaaacaaaaaaagaebaaaacaaaaaaamaaaaafdcaabaaaacaaaaaa
egaabaaaacaaaaaaejaaaaanpcaabaaaadaaaaaaogakbaaaaaaaaaaaeghobaaa
afaaaaaaaagabaaaahaaaaaaogakbaaaacaaaaaaegaabaaaacaaaaaaejaaaaan
pcaabaaaacaaaaaaogakbaaaaaaaaaaaeghobaaaaeaaaaaaaagabaaaagaaaaaa
ogakbaaaacaaaaaaegaabaaaacaaaaaadiaaaaahecaabaaaaaaaaaaadkaabaaa
abaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaaaaaaaaaadkaabaaaabaaaaaa
dkaabaaaacaaaaaadcaaaaaodcaabaaaaeaaaaaaagiacaiaebaaaaaaaaaaaaaa
bcaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaaegaabaaaaaaaaaaa
dgaaaaagdcaabaaaaeaaaaaaegaabaiaibaaaaaaaeaaaaaaalaaaaafmcaabaaa
aeaaaaaaagaebaaaaeaaaaaaamaaaaafdcaabaaaaeaaaaaaegaabaaaaeaaaaaa
ejaaaaanpcaabaaaaeaaaaaaegaabaaaaaaaaaaaeghobaaaacaaaaaaaagabaaa
aeaaaaaaogakbaaaaeaaaaaaegaabaaaaeaaaaaaaaaaaaalhcaabaaaagaaaaaa
egacbaiaebaaaaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaiadpaaaaaaaa
apcaaaaibcaabaaaaaaaaaaaagbabaaaabaaaaaafgifcaaaaaaaaaaabeaaaaaa
dcaaaaajhcaabaaaaeaaaaaaagaabaaaaaaaaaaaegacbaaaagaaaaaaegacbaaa
aeaaaaaadiaaaaahhcaabaaaagaaaaaaegacbaaaaeaaaaaaegacbaaaafaaaaaa
dcaaaaakhcaabaaaadaaaaaaegacbaiaebaaaaaaafaaaaaaegacbaaaaeaaaaaa
egacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaakgakbaaaaaaaaaaaegacbaaa
adaaaaaaegacbaaaagaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaaaaaaaaaaaapaaaaaadiaaaaaihcaabaaaaaaaaaaaegacbaaaaaaaaaaa
egiccaaaaaaaaaaaafaaaaaaapaaaaahicaabaaaabaaaaaaegaabaaaabaaaaaa
egaabaaaabaaaaaaddaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpaaaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabeaaaaa
aaaaiadpelaaaaafecaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaa
abaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaficaabaaaabaaaaaa
dkaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaa
abaaaaaabaaaaaahicaabaaaabaaaaaajgbhbaaaabaaaaaajgbhbaaaabaaaaaa
eeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaabaaaaaahicaabaaaacaaaaaa
egbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaficaabaaaacaaaaaadkaabaaa
acaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaaacaaaaaaegbcbaaaaeaaaaaa
dcaaaaajhcaabaaaaeaaaaaajgbhbaaaabaaaaaapgapbaaaabaaaaaaegacbaaa
adaaaaaabaaaaaahicaabaaaabaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaa
baaaaaahicaabaaaacaaaaaaegacbaaaaeaaaaaaegacbaaaaeaaaaaaeeaaaaaf
icaabaaaacaaaaaadkaabaaaacaaaaaadiaaaaahhcaabaaaadaaaaaapgapbaaa
acaaaaaaegacbaaaaeaaaaaabacaaaahbcaabaaaabaaaaaaegacbaaaadaaaaaa
egacbaaaabaaaaaacpaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaai
bcaabaaaabaaaaaaakaabaaaabaaaaaaakiacaaaaaaaaaaabaaaaaaabjaaaaaf
bcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaa
abaaaaaadkiacaaaaaaaaaaabbaaaaaadiaaaaajhcaabaaaadaaaaaaegiccaaa
aaaaaaaaafaaaaaaegiccaaaaaaaaaaabbaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaabaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaaaaaaaaaaegacbaaa
aaaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaabaaaaaahbcaabaaaabaaaaaa
egbcbaaaagaaaaaaegbcbaaaagaaaaaaelaaaaafbcaabaaaabaaaaaaakaabaaa
abaaaaaadiaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaadkiacaaaabaaaaaa
abaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaomfbhidp
efaaaaajpcaabaaaadaaaaaaegbcbaaaagaaaaaaeghobaaaahaaaaaaaagabaaa
aaaaaaaabbaaaaakccaabaaaabaaaaaaegaobaaaadaaaaaaaceaaaaaaaaaiadp
ibiaiadlicabibdhimpinfdbdbaaaaahbcaabaaaabaaaaaabkaabaaaabaaaaaa
akaabaaaabaaaaaadhaaaaakbcaabaaaabaaaaaaakaabaaaabaaaaaaakiacaaa
acaaaaaabiaaaaaaabeaaaaaaaaaiadpbaaaaaahccaabaaaabaaaaaaegbcbaaa
afaaaaaaegbcbaaaafaaaaaaefaaaaajpcaabaaaadaaaaaafgafbaaaabaaaaaa
eghobaaaagaaaaaaaagabaaaabaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaa
abaaaaaaakaabaaaadaaaaaadiaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiaeadiaaaaahhcaabaaaadaaaaaaegacbaaaaaaaaaaaagaabaaa
abaaaaaadiaaaaahicaabaaaadaaaaaaakaabaaaabaaaaaadkaabaaaabaaaaaa
bbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaa
aaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaa
aaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
bcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaahpcaabaaaabaaaaaaagaabaaaaaaaaaaaegaobaaaadaaaaaadcaaaaak
hcaabaaaaaaaaaaaegacbaiaebaaaaaaadaaaaaaagaabaaaaaaaaaaaegacbaaa
acaaaaaadgcaaaafbcaabaaaacaaaaaadkaabaaaabaaaaaaaaaaaaaibcaabaaa
acaaaaaaakaabaiaebaaaaaaacaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaajhccabaaaaaaaaaaa
pgapbaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaficcabaaa
aaaaaaaadkaabaaaabaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r2, r4.z
abs r4.z, r0.y
add r2.w, -r0, c12.x
cmp r0.w, r0.z, r0, r2
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c10, c10.x
mul r0.w, r0, c14.y
texldd r1, r3, s5, r3.zwzw, r4
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c11.w, r4
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
mad_pp r2.xy, r2.wyzw, c16.x, c16.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r4.zw, r2.xyxy, r2.xyxy
mul_pp r1.w, r2, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c10
rsq_pp r0.w, r0.x
rcp_pp r2.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r2.xyz, r0.w, r2
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r2, r1
pow r1, r0.w, c5.x
mov r0.w, r1.x
dp3_pp r1.w, r2, r0
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
dp3 r2.x, v6, v6
mul_pp r0.xyz, r1.w, r5
mul r0.w, r0, c6
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r0
texld r0, v6, s6
dp4 r0.y, r0, c15
rsq r2.x, r2.x
rcp r0.x, r2.x
mul r0.x, r0, c1.w
mad r0.w, -r0.x, c14, r0.y
dp4 r0.z, c0, c0
mov r2.x, c2
cmp r2.y, r0.w, c10.x, r2.x
rsq r0.x, r0.z
mul r0.xyz, r0.x, c0
dp3_pp r2.x, v3, r0
dp3 r0.x, v5, v5
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r2.y
mul_pp r0.x, r0.w, c16.z
add_pp r2.y, r2.x, c17.x
mul_pp r0.w, r0, r1
mul r0.xyz, r1, r0.x
frc_pp r2.z, r2.y
add_pp_sat r1.x, r2.y, -r2.z
add_pp r1.y, r1.x, c14.z
mul_pp_sat r1.x, -r2, c16.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c16.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 155 instructions, 7 temp regs, 0 temp arrays:
// ALU 127 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.x, c13.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.x, c13.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13, c13.x
cmp r1.x, -r1, c13.y, c13
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r4.y, r0.w, c13.z, c13.z
mad r4.x, r1, c13.z, c13.z
mul r1.xy, r4, c10.x
mov r0.w, c10.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.w, r1, r1
add_pp r2.xyz, -r1, c13.x
mul_sat r2.w, r2, c14
mad_pp r3.xyz, r2.w, r2, r1
mad r1.x, r3.w, c15.z, c15.w
mad r1.z, r1.x, r3.w, c16.x
mad r1.z, r1, r3.w, c16.y
mad r1.z, r1, r3.w, c16
mad r1.z, r1, r3.w, c16.w
mul r3.w, r1.z, r1
mul r2.xy, r4, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r2, s5, r2.zwzw, r4
add r4.z, -r3.w, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3, r4.z
abs r4.z, r0.y
add r3.w, -r0, c15.x
cmp r0.w, r0.z, r0, r3
add r5.x, -r4.z, c13
mad r4.w, r4.z, c14.x, c14.y
mad r4.w, r4, r4.z, c13
cmp r0.w, r0.x, r0, -r0
rsq r5.x, r5.x
cmp r0.y, r0, c13, c13.x
mul r0.w, r0, c17.y
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c14
mul r4.z, r4, r5.x
mul r4.w, r0.y, r4.z
mad r0.z, -r4.w, c14.w, r4
mad r0.x, r0.y, c15, r0.z
mul r0.z, r0.x, c15.y
add r4.z, r0.w, c13
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r3, r1
mul_pp r0.xyz, r0, r3
texldd r3.yw, r4.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c17.z
cmp_pp r0.w, r0, c13.x, c13.y
add_pp r3.z, -r0.w, c13.x
mad_pp r3.xy, r3.wyzw, c18.x, c18.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r3.w, r0, r3.z
mul_pp r4.zw, r3.xyxy, r3.xyxy
mul_pp r1.w, r3, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c13
rsq_pp r0.w, r0.x
rcp_pp r3.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r3, r3
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c7
mul_pp r3.xyz, r0.w, r3
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r3, r1
pow r1, r0.w, c8.x
mov r0.w, r1.x
mul r1.w, r0, c9
mov_pp r1.xyz, c6
rcp r0.w, v6.w
dp3_pp r4.z, r3, r0
mul_pp r5.xyz, r5, c6
mul_pp r1.xyz, c9, r1
mul_pp r0.xyz, r4.z, r5
mad r3.xyz, r1, r1.w, r0
mad r0.xy, v6, r0.w, c5
mad r1.xy, v6, r0.w, c4
texld r0.x, r0, s8
mov r1.w, r0.x
texld r1.x, r1, s8
mov r1.z, r1.x
mad r1.xy, v6, r0.w, c2
mad r0.xy, v6, r0.w, c3
texld r1.x, r1, s8
texld r0.x, r0, s8
mov r1.y, r0.x
mad r0, -v6.z, r0.w, r1
mov r1.x, c1
cmp r0, r0, c13.x, r1.x
dp4_pp r1.z, r0, c17.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r1.w, v3, r0
rcp r0.w, v5.w
mad r1.xy, v5, r0.w, c13.z
texld r0.w, r1, s6
add_pp r1.x, r1.w, c19
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.y, r1.x, c17.z
mul_pp_sat r1.x, -r1.w, c18.w
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c13, c13.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.z
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r4.z
mad_pp r1.x, r1, r1.y, c13
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13
mul_pp r1.w, r1, r3
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 167 instructions, 7 temp regs, 0 temp arrays:
// ALU 132 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 174 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c13.y, c13.x
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c13.y, c13.x
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c13.x, c13
cmp r1.x, -r1, c13, c13.y
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c13.y
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c13.y
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c13.y
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c13.z, c13.z
mad r3.x, r1, c13.z, c13.z
mul r1.xy, r3, c10.x
mov r0.w, c10.x
mad r1.zw, c13.z, -r0.w, r1.xyxy
abs r2.xy, r1.zwzw
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1.xyz, r1, s2, r1.zwzw, r2
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.z, r1.w, r1.w
add_pp r2.xyz, -r1, c13.y
mul_sat r2.w, r2, c14
mad_pp r4.xyz, r2.w, r2, r1
mad r1.x, r3.z, c15.z, c15.w
mad r1.z, r1.x, r3, c16.x
mad r1.z, r1, r3, c16.y
mad r1.z, r1, r3, c16
mad r1.z, r1, r3, c16.w
mul r3.z, r1, r1.w
mul r2.xy, r3, c12.x
mov r1.x, c12
mad r1.xy, c13.z, -r1.x, r2
abs r1.xy, r1
dsx r2.zw, r1.xyxy
dsy r3.xy, r1
texldd r1, r2, s5, r2.zwzw, r3
add r3.w, -r3.z, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r3.z, r3
abs r3.w, r0.y
add r3.z, -r0.w, c15.x
cmp r0.w, r0.z, r0, r3.z
add r5.x, -r3.w, c13.y
mad r4.w, r3, c14.x, c14.y
mad r4.w, r4, r3, c13
cmp r0.w, r0.x, r0, -r0
mul r0.w, r0, c17.y
rsq r5.x, r5.x
add r3.z, r0.w, c13
cmp r0.y, r0, c13.x, c13
rcp r5.x, r5.x
mad r3.w, r4, r3, c14.z
mul r3.w, r3, r5.x
mul r4.w, r0.y, r3
mad r0.z, -r4.w, c14.w, r3.w
mad r0.x, r0.y, c15, r0.z
mul r0.z, r0.x, c15.y
mov r3.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r4, r1
mul_pp r0.xyz, r0, r4
texldd r4.yw, r3.zwzw, s1, r5, r5.zwzw
add_pp r0.w, r0, c17.z
cmp_pp r0.w, r0, c13.y, c13.x
add_pp r4.z, -r0.w, c13.y
texldd r0.w, r3.zwzw, s3, r5, r5.zwzw
mul_pp r3.z, r0.w, r4
mad_pp r4.xy, r4.wyzw, c18.x, c18.y
mul_pp r4.zw, r4.xyxy, r4.xyxy
mul_pp r1.w, r3.z, r1
mad_pp r5.xyz, r1.w, r1, r0
add_pp_sat r0.w, r4.z, r4
add_pp r0.x, -r0.w, c13.y
rsq_pp r0.w, r0.x
rcp_pp r4.z, r0.w
dp3_pp r0.y, v4, v4
dp3_pp r0.w, r4, r4
rsq_pp r0.w, r0.w
rsq_pp r0.x, r0.y
dp3_pp r1.x, v1, v1
mul_pp r5.xyz, r5, c7
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.x, r1.x
mad_pp r1.xyz, r1.x, v1, r0
dp3_pp r1.w, r1, r1
rsq_pp r1.w, r1.w
rcp r3.w, v6.w
mul_pp r4.xyz, r0.w, r4
mul_pp r1.xyz, r1.w, r1
dp3_pp_sat r0.w, r4, r1
pow r1, r0.w, c8.x
dp3_pp r1.w, r4, r0
mov r0.x, r1
mul r0.w, r0.x, c9
mad r0.xyz, v6, r3.w, c5
mul_pp r5.xyz, r5, c6
mov_pp r1.xyz, c6
mul_pp r4.xyz, r1.w, r5
mul_pp r1.xyz, c9, r1
mad r4.xyz, r1, r0.w, r4
mad r1.xyz, v6, r3.w, c3
texld r0.x, r0, s8
mov_pp r0.w, r0.x
mad r0.xyz, v6, r3.w, c4
texld r0.x, r0, s8
texld r1.x, r1, s8
mov_pp r0.y, r1.x
mad r1.xyz, v6, r3.w, c2
mov_pp r0.z, r0.x
texld r0.x, r1, s8
mov r3.w, c1.x
add r1.x, c13.y, -r3.w
mad r0, r0, r1.x, c1.x
dp4_pp r1.z, r0, c17.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r0.xyz, r1.x, c0
dp3_pp r3.w, v3, r0
rcp r0.w, v5.w
mad r1.xy, v5, r0.w, c13.z
texld r0.w, r1, s6
add_pp r1.x, r3.w, c19
frc_pp r1.y, r1.x
add_pp_sat r1.x, r1, -r1.y
add_pp r1.y, r1.x, c17.z
dp3 r0.x, v5, v5
cmp r0.y, -v5.z, c13.x, c13
mul_pp_sat r1.x, -r3.w, c18.w
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r1.z
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r1
mad_pp r1.x, r1, r1.y, c13.y
mul r0.xyz, r4, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r3
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13.y
mul_pp r1.w, r1, r3.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 164 instructions, 7 temp regs, 0 temp arrays:
// ALU 133 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 172 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c10.x
mad r2.w, r0, c11.x, c11.y
mad r2.w, r2, r0, c10
rsq r4.z, r4.z
add r5.x, -r4.w, c12
cmp r0.y, r0, c10, c10.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c11.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c11.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
mul r0.w, r0, c14.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsy r5.zw, r0.xyxy
dsx r5.xy, r0
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c17.x, c17.y
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r6.xy, r2, r2
mul_pp r0.w, r2, r1
mad_pp r1.xyz, r0.w, r1, r0
add_pp_sat r2.z, r6.x, r6.y
add_pp r1.w, -r2.z, c10.x
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c4
mul_pp r5.xyz, r2.z, v4
dp3_pp r4.z, v1, v1
rsq_pp r2.z, r4.z
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r4.z, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r4.z, r4.z
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r4.z, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
add r0.xyz, v6, c15.yxyw
dp3_pp r4.z, r2, r5
texld r0, r0, s6
dp4 r5.z, r0, c16
mul_pp r1.xyz, r1, c3
mul_pp r2.xyz, r4.z, r1
mov_pp r1.xyz, c3
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c15.yyxw
texld r1, r1, s6
dp4 r5.y, r1, c16
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c14.w
texld r0, r0, s6
rcp r1.x, r1.x
dp4 r5.x, r0, c16
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c15.z, r5
cmp r0, r0, c10.x, r1.x
dp4_pp r0.y, r0, c15.w
dp4 r1.y, c0, c0
rsq r1.x, r1.y
mul r1.xyz, r1.x, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c18.x
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c17.z
mul_pp r0.w, r0, r4.z
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c14.z
mul_pp_sat r1.x, -r1, c17.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 164 instructions, 7 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 173 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r5.xyz, r0
add r1.x, r5.z, -r5
max r0.w, r5.x, r5.z
add r0.w, r0, -r5.y
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c10.x, c10.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c10.x, c10.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c10, c10.x
cmp r1.x, -r1, c10.y, c10
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c10.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c10.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c10.x
mul r3.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r3
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.y, r0.w, c10.z, c10.z
mad r3.x, r1, c10.z, c10.z
mul r1.xy, r3, c7.x
mov r0.w, c7.x
mad r1.zw, c10.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r3.z, v0.x, c8.x
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r2.xyz, r3.z, r2, r1
mad r1.x, r2.w, c12.z, c12.w
mad r1.z, r1.x, r2.w, c13.x
mad r1.z, r1, r2.w, c13.y
mad r1.z, r1, r2.w, c13
mad r1.z, r1, r2.w, c13.w
mul r2.w, r1.z, r1
mul r3.xy, r3, c9.x
mov r1.x, c9
mad r1.xy, c10.z, -r1.x, r3
abs r1.xy, r1
dsx r3.zw, r1.xyxy
dsy r4.xy, r1
texldd r1, r3, s5, r3.zwzw, r4
add r4.z, -r2.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r2, r4.z
abs r0.w, r0.y
add r4.z, -r0.w, c10.x
mad r2.w, r0, c11.x, c11.y
mad r2.w, r2, r0, c10
rsq r4.z, r4.z
add r5.x, -r4.w, c12
cmp r0.y, r0, c10, c10.x
rcp r4.z, r4.z
mad r0.w, r2, r0, c11.z
mul r0.w, r0, r4.z
cmp r4.z, r0, r4.w, r5.x
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c11.w, r0.w
cmp r0.w, r0.x, r4.z, -r4.z
mad r0.x, r0.y, c12, r0.z
mul r0.z, r0.x, c12.y
mul r0.w, r0, c14.y
add r4.z, r0.w, c10
mov r4.w, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsy r5.zw, r0.xyxy
dsx r5.xy, r0
texldd r0, r4.zwzw, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
mul_pp r0.xyz, r0, r2
texldd r2.yw, r4.zwzw, s1, r5, r5.zwzw
mad_pp r2.xy, r2.wyzw, c17.x, c17.y
add_pp r0.w, r0, c14.z
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r2.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r2.w, r0, r2.z
mul_pp r6.xy, r2, r2
mul_pp r0.w, r2, r1
mad_pp r1.xyz, r0.w, r1, r0
add_pp_sat r2.z, r6.x, r6.y
add_pp r1.w, -r2.z, c10.x
dp3_pp r2.z, v4, v4
rsq_pp r2.z, r2.z
mul_pp r1.xyz, r1, c4
mul_pp r5.xyz, r2.z, v4
dp3_pp r4.z, v1, v1
rsq_pp r2.z, r4.z
mad_pp r6.xyz, r2.z, v1, r5
rsq_pp r1.w, r1.w
rcp_pp r2.z, r1.w
dp3_pp r4.z, r6, r6
dp3_pp r1.w, r2, r2
rsq_pp r4.z, r4.z
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
mul_pp r6.xyz, r4.z, r6
dp3_pp_sat r1.w, r2, r6
pow r0, r1.w, c5.x
mul r1.w, r0.x, c6
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
add r0.xyz, v6, c15.yxyw
dp3_pp r4.z, r2, r5
texld r0, r0, s6
dp4 r5.z, r0, c16
mul_pp r1.xyz, r1, c3
mul_pp r2.xyz, r4.z, r1
mov_pp r1.xyz, c3
mul_pp r1.xyz, c6, r1
mad r2.xyz, r1, r1.w, r2
add r1.xyz, v6, c15.yyxw
texld r1, r1, s6
dp4 r5.y, r1, c16
dp3 r0.w, v6, v6
rsq r1.x, r0.w
add r0.xyz, v6, c14.w
texld r0, r0, s6
dp4 r1.y, c0, c0
rcp r1.x, r1.x
dp4 r5.x, r0, c16
mul r0.x, r1, c1.w
mov r1.x, c2
mad r0, -r0.x, c15.z, r5
cmp r0, r0, c10.x, r1.x
dp4_pp r0.y, r0, c15.w
rsq r1.y, r1.y
mul r1.xyz, r1.y, c0
dp3_pp r1.x, v3, r1
add_pp r1.y, r1.x, c18.x
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
dp3 r0.x, v5, v5
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
mul_pp r0.x, r0.w, c17.z
mul_pp r0.w, r0, r4.z
mul r0.xyz, r2, r0.x
add_pp r1.y, r1, c14.z
mul_pp_sat r1.x, -r1, c17.w
mad_pp r1.x, r1, r1.y, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_OFF" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c6.x
mad r3.x, r0.y, c8.z, c8.z
mad r3.y, r0.x, c8.z, c8.z
mul r4.zw, r3.xyxy, c7.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c10.z, c10.w
mad r2.z, r2.x, r2.w, c11.x
mad r2.z, r2, r2.w, c11.y
mad r2.z, r2, r2.w, c11
mad r2.z, r2, r2.w, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c12
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c10.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c8.x
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
rsq r3.z, r3.z
cmp r1.y, r1, c8, c8.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c9, r3.x
mad r0.w, r1.y, c10.x, r0
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r3.z, r1.x, c8
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c12.z
cmp_pp r0.z, r0.x, c8.x, c8.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c12.w, c12.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c8.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.z, -r0, c8.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r0.w, v3, r2
add_pp r2.x, r0.w, c13.z
mul r2.z, r1.w, r0.x
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mul_pp r1.xyz, r2.w, r3
mad r1.xyz, r0, r2.z, r1
frc_pp r2.y, r2.x
add_pp_sat r0.y, r2.x, -r2
dp3 r0.x, v5, v5
add_pp r2.x, r0.y, c12.z
texld r0.x, r0.x, s6
mul_pp r0.y, r0.x, c13.x
mul_pp_sat r0.z, -r0.w, c13.y
mul_pp r0.z, r0, r2.x
mul r1.xyz, r1, r0.y
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r2.w
add_pp r0.y, r0, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c8
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 154 ALU, 18 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r3.xyz, r0
add r1.x, r3.z, -r3
max r0.w, r3.x, r3.z
add r0.w, r0, -r3.y
mul r3.y, v0.x, c6.x
add r1.y, r0.z, -r0.x
cmp r1.w, r1.x, c8.x, c8.y
mad r1.x, r1.w, r1.y, r0
cmp r0.w, r0, c8.x, c8.y
add r1.x, -r0.y, r1
mad r1.x, r0.w, r1, r0.y
cmp r1.y, r1.x, c8, c8.x
cmp r1.x, -r1, c8.y, c8
add r2.w, r1.x, -r1.y
mov r2.y, r2.w
mov r1.y, -r2.w
mov r1.xz, c8.x
mul r1.xyz, r0.xzyw, r1
mov r2.xz, c8.x
mad r2.xyz, r0.zxyw, r2, -r1
mad r2.xyz, r1.w, r2, r1
mov r1.z, -r2.w
mov r1.xy, c8.x
mul r4.xyz, r0.yxzw, r1
mad r1.xyz, r0.yxzw, -r1, r2
mad r1.xyz, r0.w, r1, r4
abs r0.w, r1.x
rcp r0.w, r0.w
mul r1.x, r1.y, r0.w
mul r0.w, r1.z, r0
mad r3.w, r0, c8.z, c8.z
mad r3.z, r1.x, c8, c8
mul r1.xy, r3.zwzw, c5.x
mov r0.w, c5.x
mad r1.zw, c8.z, -r0.w, r1.xyxy
abs r1.zw, r1
dsx r2.xy, r1.zwzw
dsy r1.zw, r1
texldd r1.xyz, r1, s2, r2, r1.zwzw
abs r0.w, r0.z
max r1.w, r3.x, r0
rcp r2.w, r1.w
min r1.w, r3.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r1, c8.x
mul_sat r3.y, r3, c9.w
mad_pp r2.xyz, r3.y, r2, r1
mad r1.x, r2.w, c10.z, c10.w
mad r1.z, r1.x, r2.w, c11.x
mad r1.z, r1, r2.w, c11.y
mad r1.z, r1, r2.w, c11
mad r1.z, r1, r2.w, c11.w
mul r2.w, r1.z, r1
mul r3.zw, r3, c7.x
mov r1.x, c7
mad r1.xy, c8.z, -r1.x, r3.zwzw
abs r1.xy, r1
dsx r4.xy, r1
dsy r4.zw, r1.xyxy
texldd r1, r3.zwzw, s5, r4, r4.zwzw
add r0.w, r3.x, -r0
add r3.y, -r2.w, c12.x
cmp r3.y, -r0.w, r2.w, r3
abs r0.w, r0.y
add r3.x, -r0.w, c8
mad r2.w, r0, c9.x, c9.y
mad r2.w, r2, r0, c8
rsq r3.x, r3.x
add r5.x, -r3.y, c10
cmp r0.y, r0, c8, c8.x
rcp r3.x, r3.x
mad r0.w, r2, r0, c9.z
mul r0.w, r0, r3.x
cmp r3.x, r0.z, r3.y, r5
mul r2.w, r0.y, r0
mad r0.z, -r2.w, c9.w, r0.w
cmp r0.w, r0.x, r3.x, -r3.x
mad r0.x, r0.y, c10, r0.z
mul r0.z, r0.x, c10.y
mul r0.w, r0, c12.y
add r3.x, r0.w, c8.z
mov r3.y, r0.z
mov r0.y, r0.z
abs r0.x, r0.w
dsx r5.xy, r0
dsy r5.zw, r0.xyxy
texldd r0, r3, s0, r5, r5.zwzw
mad_pp r1.xyz, -r0, r2, r1
add_pp r6.x, r0.w, c12.z
texldd r6.yw, r3, s1, r5, r5.zwzw
mul_pp r0.xyz, r0, r2
mad_pp r2.xy, r6.wyzw, c12.w, c12.z
mul_pp r2.zw, r2.xyxy, r2.xyxy
add_pp_sat r6.y, r2.z, r2.w
texldd r2.w, r3, s3, r5, r5.zwzw
cmp_pp r6.x, r6, c8, c8.y
add_pp r2.z, -r6.x, c8.x
mul_pp r2.w, r2, r2.z
mul_pp r3.x, r2.w, r1.w
mad_pp r0.xyz, r3.x, r1, r0
add_pp r2.z, -r6.y, c8.x
rsq_pp r1.w, r2.z
rcp_pp r2.z, r1.w
dp3_pp r1.x, r2, r2
mul_pp r0.xyz, r0, c2
rsq_pp r1.x, r1.x
dp3_pp r1.w, v4, v4
dp4_pp r3.y, c0, c0
rsq_pp r3.y, r3.y
mul_pp r1.xyz, r1.x, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, v4
dp3_pp r3.x, v1, v1
rsq_pp r1.w, r3.x
dp3_pp r3.x, r1, r2
mad_pp r2.xyz, r1.w, v1, r2
dp3_pp r1.w, r2, r2
rsq_pp r1.w, r1.w
mul_pp r2.xyz, r1.w, r2
dp3_pp_sat r2.x, r1, r2
mul_pp r0.xyz, r0, c1
mul_pp r5.xyz, r3.y, c0
pow r1, r2.x, c3.x
dp3_pp r2.y, v3, r5
add_pp r1.y, r2, c13.z
frc_pp r1.z, r1.y
add_pp_sat r1.y, r1, -r1.z
mul r1.w, r0, r1.x
add_pp r2.z, r1.y, c12
mov_pp r1.xyz, c1
mul_pp_sat r2.x, -r2.y, c13.y
mul_pp r2.x, r2, r2.z
mul_pp r1.xyz, c4, r1
mul_pp r0.xyz, r3.x, r0
mad r0.xyz, r1, r1.w, r0
mad_pp r0.w, r0, -r2.x, r2.x
add_pp r1.x, r0.w, c8
mul r0.xyz, r0, c13.x
mul_pp r0.w, r3.x, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3.zwzw, s4, r4, r4.zwzw
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r2
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
ConstBuffer "$Globals" 288 // 276 used size, 15 vars
Vector 16 [_LightColor0] 4
Vector 176 [_Color] 4
Float 192 [_SpecularPower]
Vector 208 [_SpecularColor] 4
Float 224 [_DetailScale]
Float 260 [_DetailDist]
Float 272 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_BumpMap] 2D 1
SetTexture 2 [_midTex] 2D 2
SetTexture 3 [_CityOverlayTex] 2D 3
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 4
SetTexture 5 [_CityLightOverlayDetailTex] 2D 5
// 143 instructions, 7 temp regs, 0 temp arrays:
// ALU 119 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
"ps_3_0
; 162 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c6.x
mad r3.x, r0.y, c8.z, c8.z
mad r3.y, r0.x, c8.z, c8.z
mul r4.zw, r3.xyxy, c7.x
mul r0.xy, r3, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c8.x
mul_sat r3.z, r3, c9.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c10.z, c10.w
mad r2.z, r2.x, r2.w, c11.x
mad r2.z, r2, r2.w, c11.y
mad r2.z, r2, r2.w, c11
mad r2.z, r2, r2.w, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c12
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c10.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c8.x
mad r3.y, r3.x, c9.x, c9
mad r3.y, r3, r3.x, c8.w
rsq r3.z, r3.z
cmp r1.y, r1, c8, c8.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c9.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c9, r3.x
mad r0.w, r1.y, c10.x, r0
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r3.z, r1.x, c8
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c12.z
cmp_pp r0.z, r0.x, c8.x, c8.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c12.w, c12.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c8.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c2
mul_pp r3.xyz, r1, c1
add_pp r0.z, -r0, c8.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c3.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c13.z
mov_pp r0.xyz, c1
mul_pp r0.xyz, c4, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
add_pp_sat r0.y, r0.w, -r3
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c8.z
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c8.y, c8.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.w, r0.z, r0.x
mul_pp r0.x, r0.w, c13
mul_pp r0.w, r0, r2
add_pp r0.y, r0, c12.z
mul_pp_sat r0.z, -r3.x, c13.y
mul_pp r1.x, r0.z, r0.y
mad_pp r1.x, r1.w, -r1, r1
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c13.x
add_pp r1.x, r1, c8
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c8
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 0
SetTexture 7 [_LightTextureB0] 2D 1
// 153 instructions, 7 temp regs, 0 temp arrays:
// ALU 126 float, 1 int, 7 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTextureB0] 2D
SetTexture 7 [_LightTexture0] CUBE
"ps_3_0
; 159 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_cube s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4 r2.w, c0, c0
rsq r1.x, r2.w
pow r2, r0.w, c3.x
mul r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
dp3 r0.x, v5, v5
add_pp r0.z, r2.x, c12
mul_pp_sat r0.y, -r2, c13
mul_pp r2.x, r0.y, r0.z
texld r0.x, r0.x, s6
texld r0.w, v5, s7
mul r0.w, r0.x, r0
mul_pp r0.x, r0.w, c13
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTextureB0] 2D 1
SetTexture 7 [_LightTexture0] CUBE 0
// 148 instructions, 7 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r1.xyz, c4, r1
mul r0.w, r1, r0
mul_pp r0.xyz, r4.w, r5
mad r0.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
texld r0.w, v5, s6
mul_pp r1.x, r0.w, c13
mul_pp r0.w, r0, r4
add_pp r1.z, r2.x, c12
mul_pp_sat r1.y, -r2, c13
mul r0.xyz, r0, r1.x
mul_pp r1.y, r1, r1.z
mad_pp r1.x, r1.w, -r1.y, r1.y
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_LightTexture0] 2D 0
// 145 instructions, 7 temp regs, 0 temp arrays:
// ALU 120 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 167 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c9.x, c9.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c9.x, c9.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c9, c9.x
cmp r0.x, -r0, c9.y, c9
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c9.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c9.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c9.x
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c7.x
mad r3.x, r0.y, c9.z, c9.z
mad r3.y, r0.x, c9.z, c9.z
mul r4.zw, r3.xyxy, c8.x
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c9.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c9.x
mul_sat r3.z, r3, c10.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c11.z, c11.w
mad r2.z, r2.x, r2.w, c12.x
mad r2.z, r2, r2.w, c12.y
mad r2.z, r2, r2.w, c12
mad r2.z, r2, r2.w, c12.w
mul r1.w, r2.z, r1
mov r2.x, c8
mad r2.xy, c9.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c13
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c11.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c9.x
mad r3.y, r3.x, c10.x, c10
mad r3.y, r3, r3.x, c9.w
rsq r3.z, r3.z
cmp r1.y, r1, c9, c9.x
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c10.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c10, r3.x
mad r0.w, r1.y, c11.x, r0
mul r0.w, r0, c11.y
mul r1.x, r1, c13.y
add r3.z, r1.x, c9
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c13.z
cmp_pp r0.z, r0.x, c9.x, c9.y
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c13.w, c13.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c9.x
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
add_pp r0.z, -r0, c9.x
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c14.z
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
add_pp_sat r0.y, r0.w, -r3
texldp r0.x, v6, s8
rcp r0.z, v6.w
mad r0.z, -v6, r0, r0.x
mov r0.w, c1.x
cmp r1.z, r0, c9.x, r0.w
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c9.z
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c9.y, c9.x
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r1.z
add_pp r0.z, r0.y, c13
mul_pp r0.x, r0.w, c14
mul_pp_sat r0.y, -r3.x, c14
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c14.x
add_pp r1.x, r1, c9
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c9
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 158 instructions, 7 temp regs, 0 temp arrays:
// ALU 129 float, 1 int, 7 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_LightColor0]
Vector 3 [_Color]
Float 4 [_SpecularPower]
Vector 5 [_SpecularColor]
Float 6 [_DetailScale]
Float 7 [_DetailDist]
Float 8 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 166 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c9, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c10, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c11, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c12, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c13, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c14, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c9.y, c9.x
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c9.y, c9.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c9.x, c9
cmp r0.x, -r0, c9, c9.y
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c9.y
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c9.y
mad r2.xyz, r1.zxyw, r2, -r0
mad r3.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c9.y
mul r2.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r3
mad r0.xyz, r0.w, r0, r2
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c7.x
mad r3.x, r0.y, c9.z, c9.z
mad r3.y, r0.x, c9.z, c9.z
mul r4.zw, r3.xyxy, c8.x
mul r0.xy, r3, c6.x
mov r0.z, c6.x
mad r0.zw, c9.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r4.x, r0
rcp r2.w, r1.w
min r1.w, r4.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c9.y
mul_sat r3.z, r3, c10.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c11.z, c11.w
mad r2.z, r2.x, r2.w, c12.x
mad r2.z, r2, r2.w, c12.y
mad r2.z, r2, r2.w, c12
mad r2.z, r2, r2.w, c12.w
mul r1.w, r2.z, r1
mov r2.x, c8
mad r2.xy, c9.z, -r2.x, r4.zwzw
abs r2.xy, r2
dsx r5.xy, r2
dsy r5.zw, r2.xyxy
add r3.x, -r1.w, c13
add r0.w, r4.x, -r0
cmp r0.w, -r0, r1, r3.x
abs r3.x, r1.y
add r1.w, -r0, c11.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r3.z, -r3.x, c9.y
mad r3.y, r3.x, c10.x, c10
mad r3.y, r3, r3.x, c9.w
rsq r3.z, r3.z
cmp r1.y, r1, c9.x, c9
texldd r2, r4.zwzw, s5, r5, r5.zwzw
rcp r3.z, r3.z
mad r3.x, r3.y, r3, c10.z
mul r3.x, r3, r3.z
mul r3.y, r1, r3.x
mad r0.w, -r3.y, c10, r3.x
mad r0.w, r1.y, c11.x, r0
mul r0.w, r0, c11.y
mul r1.x, r1, c13.y
add r3.z, r1.x, c9
mov r3.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r3.xy, r1
dsx r4.xy, r1
texldd r1, r3.zwzw, s0, r4, r3
mad_pp r2.xyz, -r1, r0, r2
mul_pp r1.xyz, r1, r0
add_pp r0.x, r1.w, c13.z
cmp_pp r0.z, r0.x, c9.y, c9.x
texldd r0.yw, r3.zwzw, s1, r4, r3
mad_pp r0.xy, r0.wyzw, c13.w, c13.z
texldd r0.w, r3.zwzw, s3, r4, r3
add_pp r0.z, -r0, c9.y
mul_pp r3.w, r0, r0.z
mul_pp r0.zw, r0.xyxy, r0.xyxy
add_pp_sat r0.z, r0, r0.w
mul_pp r2.w, r3, r2
mad_pp r1.xyz, r2.w, r2, r1
mul_pp r1.xyz, r1, c3
mul_pp r3.xyz, r1, c2
add_pp r0.z, -r0, c9.y
rsq_pp r0.z, r0.z
rcp_pp r0.z, r0.z
dp3_pp r0.w, r0, r0
rsq_pp r2.w, r0.w
dp3_pp r1.x, v4, v4
rsq_pp r1.x, r1.x
mul_pp r2.xyz, r1.x, v4
mul_pp r0.xyz, r2.w, r0
dp3_pp r1.y, v1, v1
rsq_pp r1.x, r1.y
mad_pp r1.xyz, r1.x, v1, r2
dp3_pp r0.w, r1, r1
dp3_pp r2.w, r0, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r1
dp3_pp_sat r2.x, r0, r2
mul_pp r1.xyz, r2.w, r3
pow r0, r2.x, c4.x
dp4 r2.y, c0, c0
rsq r0.y, r2.y
mul r2.xyz, r0.y, c0
dp3_pp r3.x, v3, r2
mul r2.x, r1.w, r0
add_pp r0.w, r3.x, c14.z
mov_pp r0.xyz, c2
mul_pp r0.xyz, c5, r0
mad r2.xyz, r0, r2.x, r1
frc_pp r3.y, r0.w
rcp r0.z, v5.w
mad r1.xy, v5, r0.z, c9.z
add_pp_sat r0.y, r0.w, -r3
mov r0.x, c1
add r0.w, c9.y, -r0.x
texldp r0.x, v6, s8
mad r1.z, r0.x, r0.w, c1.x
dp3 r0.x, v5, v5
texld r0.w, r1, s6
cmp r0.z, -v5, c9.x, c9.y
mul_pp r0.z, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.z, r0
mul_pp r0.w, r0.x, r1.z
add_pp r0.z, r0.y, c13
mul_pp r0.x, r0.w, c14
mul_pp_sat r0.y, -r3.x, c14
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
mul_pp r0.w, r0, r2
mul r0.xyz, r2, r0.x
mul_pp r0.w, r0, c14.x
add_pp r1.x, r1, c9.y
mul_pp r1, r0, r1.x
texldd r0, r4.zwzw, s4, r5, r5.zwzw
mov_pp_sat r2.x, r1.w
add_pp r0.xyz, r0, -r1
add_pp r2.x, -r2, c9.y
mul_pp r0.w, r0, r3
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 158 instructions, 7 temp regs, 0 temp arrays:
// ALU 130 float, 1 int, 7 uint
// TEX 2 (0 load, 1 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
"ps_3_0
; 157 ALU, 19 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
mov r4.w, r0
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r1.z
mul_pp r2.w, r0, r2
mad_pp r0.xyz, r2.w, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c8.x
rsq_pp r1.z, r1.z
rcp_pp r1.z, r1.z
dp3_pp r0.x, r1, r1
rsq_pp r2.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.z, r1, r0
dp3_pp r2.w, r2, r2
rsq_pp r2.w, r2.w
mul_pp r2.xyz, r2.w, r2
dp3_pp_sat r1.x, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.y, r2.w
pow r2, r1.x, c3.x
mul_pp r1.xyz, r1.y, c0
dp3_pp r2.y, v3, r1
mov r1.x, r2
mul r2.x, r1.w, r1
add_pp r2.z, r2.y, c13
frc_pp r2.w, r2.z
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.z, r5
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r2.x, r0
add_pp_sat r2.z, r2, -r2.w
texldp r0.x, v5, s6
mul_pp r0.y, r0.x, c13.x
mul r1.xyz, r1, r0.y
add_pp r2.x, r2.z, c12.z
mul_pp_sat r0.z, -r2.y, c13.y
mul_pp r0.z, r0, r2.x
texldd r2, r3, s4, r3.zwzw, r4
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r4.z
add_pp r0.y, r0, c8.x
mul_pp r1.w, r0.x, c13.x
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c8
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 1
SetTexture 1 [_BumpMap] 2D 2
SetTexture 2 [_midTex] 2D 3
SetTexture 3 [_CityOverlayTex] 2D 4
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 5
SetTexture 5 [_CityLightOverlayDetailTex] 2D 6
SetTexture 6 [_ShadowMapTexture] 2D 0
// 146 instructions, 7 temp regs, 0 temp arrays:
// ALU 121 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightColor0]
Vector 2 [_Color]
Float 3 [_SpecularPower]
Vector 4 [_SpecularColor]
Float 5 [_DetailScale]
Float 6 [_DetailDist]
Float 7 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] 2D
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 158 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c8, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c9, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c10, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c11, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c12, 1.57079601, 0.15915494, -1.00000000, 2.00000000
def c13, 4.00000000, 10.00000000, 1.00976563, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xy
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c8.x, c8.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c8.x, c8.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c8, c8.x
cmp r0.x, -r0, c8.y, c8
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c8.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c8.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c8.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c8.z, c8.z
mad r2.y, r0.x, c8.z, c8.z
mul r0.xy, r2, c5.x
mov r0.z, c5.x
mad r0.zw, c8.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c6.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c8.x
mul_sat r2.w, r2, c9
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c7.x
mad r2.w, r2.z, c10.z, c10
mad r2.w, r2, r2.z, c11.x
mad r2.w, r2, r2.z, c11.y
mad r2.w, r2, r2.z, c11.z
mad r2.z, r2.w, r2, c11.w
mul r1.w, r2.z, r1
mov r2.x, c7
mad r2.xy, c8.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c12.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c10
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c8.x
mad r1.w, r0, c9.x, c9.y
mad r1.w, r1, r0, c8
rsq r4.z, r4.z
mad r0.w, r1, r0, c9.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c8.y, c8.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c9.w, r1.w
mad r0.w, r0, c10.x, r1.y
mul r0.w, r0, c10.y
mul r1.x, r1, c12.y
add r4.z, r1.x, c8
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c12.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c12.w, c12.z
cmp_pp r0.w, r0, c8.x, c8.y
add_pp r1.z, -r0.w, c8.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r1.z, r4, r2.w
mad_pp r0.xyz, r1.z, r2, r0
mul_pp r0.xyz, r0, c2
mul_pp r5.xyz, r0, c1
mul_pp r6.xy, r1, r1
add_pp_sat r0.w, r6.x, r6.y
add_pp r0.w, -r0, c8.x
rsq_pp r0.w, r0.w
rcp_pp r1.z, r0.w
dp3_pp r0.x, r1, r1
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r1.xyz, r0.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.w, r1, r0
dp3_pp r0.w, r2, r2
rsq_pp r0.w, r0.w
mul_pp r2.xyz, r0.w, r2
dp3_pp_sat r0.w, r1, r2
dp4_pp r2.w, c0, c0
rsq_pp r1.x, r2.w
pow r2, r0.w, c3.x
mul_pp r1.xyz, r1.x, c0
dp3_pp r2.y, v3, r1
mov r0.w, r2.x
add_pp r2.x, r2.y, c13.z
frc_pp r2.z, r2.x
mov_pp r1.xyz, c1
mul_pp r0.xyz, r4.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c4, r1
mad r1.xyz, r1, r0.w, r0
add_pp_sat r2.x, r2, -r2.z
add_pp r0.z, r2.x, c12
mul_pp_sat r0.y, -r2, c13
mul_pp r2.x, r0.y, r0.z
texldp r0.x, v6, s6
texld r0.w, v5, s7
mul r0.w, r0, r0.x
mul_pp r0.x, r0.w, c13
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c8
mul_pp r0.w, r0, c13.x
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c8
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] 2D 0
// 148 instructions, 7 temp regs, 0 temp arrays:
// ALU 122 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "DIRECTIONAL_COOKIE" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 166 ALU, 20 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mul r3.z, v0.x, c8.x
mad r3.x, r0.y, c10.z, c10.z
mad r3.y, r0.x, c10.z, c10.z
mul r0.xy, r3, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, r1, r1
add_pp r2.xyz, -r0, c10.x
mul_sat r3.z, r3, c11.w
mad_pp r0.xyz, r3.z, r2, r0
mad r2.x, r2.w, c12.z, c12.w
mad r2.z, r2.x, r2.w, c13.x
mad r2.z, r2, r2.w, c13.y
mad r2.z, r2, r2.w, c13
mad r2.z, r2, r2.w, c13.w
mul r1.w, r2.z, r1
mul r3.xy, r3, c9.x
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r1, r4.z
abs r4.z, r1.y
add r1.w, -r0, c12.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r5.x, -r4.z, c10
mad r4.w, r4.z, c11.x, c11.y
mad r4.w, r4, r4.z, c10
rsq r5.x, r5.x
cmp r1.y, r1, c10, c10.x
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c11
mul r4.z, r4, r5.x
mul r4.w, r1.y, r4.z
mad r0.w, -r4, c11, r4.z
mad r0.w, r1.y, c12.x, r0
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
mul_pp r0.xyz, r1, r0
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r0.w, r0, r1.z
mad_pp r1.xy, r6.wyzw, c16.x, c16.y
mul_pp r4.zw, r1.xyxy, r1.xyxy
mul_pp r2.w, r0, r2
mad_pp r5.xyz, r2.w, r2, r0
add_pp_sat r1.z, r4, r4.w
add_pp r0.x, -r1.z, c10
rsq_pp r1.z, r0.x
dp3_pp r0.y, v4, v4
rcp_pp r1.z, r1.z
dp3_pp r2.w, r1, r1
rsq_pp r2.w, r2.w
rsq_pp r0.x, r0.y
dp3_pp r2.x, v1, v1
mul_pp r5.xyz, r5, c4
mul_pp r1.xyz, r2.w, r1
mul_pp r0.xyz, r0.x, v4
rsq_pp r2.x, r2.x
mad_pp r2.xyz, r2.x, v1, r0
dp3_pp r4.z, r2, r2
rsq_pp r4.z, r4.z
mul_pp r2.xyz, r4.z, r2
dp3_pp_sat r4.z, r1, r2
pow r2, r4.z, c5.x
dp3_pp r4.z, r1, r0
mul_pp r5.xyz, r5, c3
mov_pp r1.xyz, c3
mul_pp r0.xyz, r4.z, r5
mul r2.x, r1.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r2.x, r0
texld r2, v6, s6
dp4 r0.y, r2, c15
dp3 r0.x, v6, v6
rsq r0.x, r0.x
dp4 r0.z, c0, c0
rcp r0.x, r0.x
mul r0.x, r0, c1.w
mad r2.x, -r0, c14.w, r0.y
rsq r0.z, r0.z
mul r0.xyz, r0.z, c0
dp3_pp r0.z, v3, r0
mov r2.y, c2.x
cmp r0.y, r2.x, c10.x, r2
add_pp r2.x, r0.z, c17
frc_pp r2.y, r2.x
add_pp_sat r2.x, r2, -r2.y
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.x, r0, r0.y
mul_pp r0.y, r0.x, c16.z
mul r1.xyz, r1, r0.y
add_pp r2.x, r2, c14.z
mul_pp_sat r0.z, -r0, c16.w
mul_pp r0.z, r0, r2.x
texldd r2, r3, s4, r3.zwzw, r4
mad_pp r0.y, r1.w, -r0.z, r0.z
mul_pp r0.x, r0, r4.z
add_pp r0.y, r0, c10.x
mul_pp r1.w, r0.x, c16.z
mul_pp r1, r1, r0.y
add_pp r0.xyz, r2, -r1
mov_pp_sat r3.x, r1.w
add_pp r2.x, -r3, c10
mul_pp r0.w, r2, r0
mul_pp r0.w, r0, r2.x
mad_pp oC0.xyz, r0.w, r0, r1
mov_pp oC0.w, r1
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 155 instructions, 7 temp regs, 0 temp arrays:
// ALU 128 float, 1 int, 6 uint
// TEX 2 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 167 ALU, 21 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.97000003
def c15, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c16, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c17, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c16.x, c16.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c5.x
dp3_pp r2.w, r1, r5
mul r4.w, r1, r0.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r2.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r4.w, r2
texld r0, v6, s6
dp4 r2.x, r0, c15
dp3 r0.x, v6, v6
rsq r0.x, r0.x
rcp r0.w, r0.x
dp4 r0.y, c0, c0
rsq r0.y, r0.y
mul r0.xyz, r0.y, c0
dp3_pp r0.z, v3, r0
mul r0.w, r0, c1
mad r0.w, -r0, c14, r2.x
add_pp r2.x, r0.z, c17
mov r0.x, c2
cmp r0.y, r0.w, c10.x, r0.x
dp3 r0.x, v5, v5
frc_pp r2.y, r2.x
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
add_pp_sat r0.y, r2.x, -r2
mul_pp r0.x, r0.w, c16.z
add_pp r2.x, r0.y, c14.z
mul_pp_sat r0.y, -r0.z, c16.w
mul_pp r2.x, r0.y, r2
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c16.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 157 instructions, 7 temp regs, 0 temp arrays:
// ALU 129 float, 1 int, 6 uint
// TEX 3 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 175 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c13.x, c13.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c13.x, c13.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13, c13.x
cmp r0.x, -r0, c13.y, c13
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c13.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c13.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c13.z, c13.z
mad r2.y, r0.x, c13.z, c13.z
mul r0.xy, r2, c10.x
mov r0.z, c10.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c11.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c13.x
mul_sat r2.w, r2, c14
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c12.x
mad r2.w, r2.z, c15.z, c15
mad r2.w, r2, r2.z, c16.x
mad r2.w, r2, r2.z, c16.y
mad r2.w, r2, r2.z, c16.z
mad r2.z, r2.w, r2, c16.w
mul r1.w, r2.z, r1
mov r2.x, c12
mad r2.xy, c13.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c17.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c15
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c13.x
mad r1.w, r0, c14.x, c14.y
mad r1.w, r1, r0, c13
rsq r4.z, r4.z
mad r0.w, r1, r0, c14.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c13.y, c13.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c14.w, r1.w
mad r0.w, r0, c15.x, r1.y
mul r0.w, r0, c15.y
mul r1.x, r1, c17.y
add r4.z, r1.x, c13
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c17.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c18.x, c18.y
cmp_pp r0.w, r0, c13.x, c13.y
add_pp r1.z, -r0.w, c13.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c13.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c7
mul_pp r2.xyz, r2, c6
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r6.xyz, r4.w, r6
mul_pp r1.xyz, r2.w, r1
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c8.x
dp3_pp r2.w, r1, r5
mul r0.w, r1, r0.x
mul_pp r1.xyz, r2.w, r2
rcp r2.z, v6.w
mov_pp r0.xyz, c6
mul_pp r0.xyz, c9, r0
mad r1.xyz, r0, r0.w, r1
mad r2.xy, v6, r2.z, c5
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c4
mov r0.w, r0.x
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c3
mov r0.z, r0.x
texld r0.x, r2, s8
mad r2.xy, v6, r2.z, c2
mov r0.y, r0.x
texld r0.x, r2, s8
dp4 r2.x, c0, c0
mad r0, -v6.z, r2.z, r0
mov r4.w, c1.x
cmp r0, r0, c13.x, r4.w
dp4_pp r0.z, r0, c17.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.z, v3, r2
add_pp r4.w, r2.z, c19.x
rcp r0.x, v5.w
mad r2.xy, v5, r0.x, c13.z
dp3 r0.x, v5, v5
texld r0.w, r2, s6
cmp r0.y, -v5.z, c13, c13.x
mul_pp r0.y, r0, r0.w
texld r0.x, r0.x, s7
mul_pp r0.x, r0.y, r0
mul_pp r0.w, r0.x, r0.z
mul_pp r0.x, r0.w, c18.z
frc_pp r5.x, r4.w
add_pp_sat r0.y, r4.w, -r5.x
add_pp r0.z, r0.y, c17
mul_pp_sat r0.y, -r2.z, c18.w
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r2
add_pp r1.x, r1, c13
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 169 instructions, 7 temp regs, 0 temp arrays:
// ALU 134 float, 1 int, 7 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightShadowData]
Vector 2 [_ShadowOffsets0]
Vector 3 [_ShadowOffsets1]
Vector 4 [_ShadowOffsets2]
Vector 5 [_ShadowOffsets3]
Vector 6 [_LightColor0]
Vector 7 [_Color]
Float 8 [_SpecularPower]
Vector 9 [_SpecularColor]
Float 10 [_DetailScale]
Float 11 [_DetailDist]
Float 12 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_LightTexture0] 2D
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 176 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c13, 0.00000000, 1.00000000, 0.50000000, -0.21211439
def c14, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c15, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c16, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c17, 1.57079601, 0.15915494, -1.00000000, 0.25000000
def c18, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c19, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5
dcl_texcoord7 v6
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c13.y, c13.x
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c13.y, c13.x
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c13.x, c13
cmp r0.x, -r0, c13, c13.y
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c13.y
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c13.y
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c13.y
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r3.x, r0.y, c13.z, c13.z
mad r3.y, r0.x, c13.z, c13.z
mul r0.xy, r3, c10.x
mov r0.z, c10.x
mad r0.zw, c13.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsy r2.zw, r0
dsx r2.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2, r2.zwzw
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.w, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2
mul r2.w, v0.x, c11.x
mul r3.z, r1.w, r1.w
add_pp r2.xyz, -r0, c13.y
mul_sat r2.w, r2, c14
mad_pp r0.xyz, r2.w, r2, r0
mul r2.xy, r3, c12.x
mad r2.z, r3, c15, c15.w
mad r3.x, r2.z, r3.z, c16
mad r3.w, r3.x, r3.z, c16.y
mad r3.w, r3, r3.z, c16.z
mad r3.z, r3.w, r3, c16.w
mul r1.w, r3.z, r1
mov r2.z, c12.x
mad r2.zw, c13.z, -r2.z, r2.xyxy
abs r3.xy, r2.zwzw
dsx r2.zw, r3.xyxy
dsy r4.xy, r3
texldd r3, r2, s5, r2.zwzw, r4
add r4.z, -r1.w, c17.x
add r0.w, r5.x, -r0
cmp r0.w, -r0, r1, r4.z
abs r4.z, r1.y
add r1.w, -r0, c15.x
cmp r1.z, r1, r0.w, r1.w
cmp r1.x, r1, r1.z, -r1.z
add r5.x, -r4.z, c13.y
mad r4.w, r4.z, c14.x, c14.y
mad r4.w, r4, r4.z, c13
rsq r5.x, r5.x
cmp r1.y, r1, c13.x, c13
rcp r5.x, r5.x
mad r4.z, r4.w, r4, c14
mul r4.z, r4, r5.x
mul r4.w, r1.y, r4.z
mad r0.w, -r4, c14, r4.z
mad r0.w, r1.y, c15.x, r0
mul r0.w, r0, c15.y
mul r1.x, r1, c17.y
add r4.z, r1.x, c13
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r3.xyz, -r1, r0, r3
add_pp r0.w, r1, c17.z
mul_pp r0.xyz, r1, r0
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
cmp_pp r0.w, r0, c13.y, c13.x
add_pp r1.z, -r0.w, c13.y
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mad_pp r1.xy, r6.wyzw, c18.x, c18.y
mul_pp r5.xy, r1, r1
rcp r4.w, v6.w
mul_pp r1.z, r4, r3.w
add_pp_sat r0.w, r5.x, r5.y
mad_pp r5.xyz, r1.z, r3, r0
add_pp r0.x, -r0.w, c13.y
dp3_pp r1.z, v1, v1
mul_pp r5.xyz, r5, c7
rsq_pp r0.w, r0.x
dp3_pp r0.y, v4, v4
rsq_pp r0.x, r0.y
mul_pp r0.xyz, r0.x, v4
rsq_pp r1.z, r1.z
mad_pp r3.xyz, r1.z, v1, r0
rcp_pp r1.z, r0.w
dp3_pp r3.w, r3, r3
dp3_pp r0.w, r1, r1
rsq_pp r3.w, r3.w
rsq_pp r0.w, r0.w
mul_pp r1.xyz, r0.w, r1
mul_pp r3.xyz, r3.w, r3
dp3_pp_sat r0.w, r1, r3
pow r3, r0.w, c8.x
dp3_pp r3.w, r1, r0
mul_pp r5.xyz, r5, c6
mov r0.w, r3.x
mov_pp r1.xyz, c6
mul_pp r0.xyz, r3.w, r5
mul r0.w, r1, r0
mul_pp r1.xyz, c9, r1
mad r3.xyz, r1, r0.w, r0
mad r0.xyz, v6, r4.w, c5
mad r1.xyz, v6, r4.w, c3
dp4 r0.w, c0, c0
rsq r0.w, r0.w
texld r0.x, r0, s8
mul r5.xyz, r0.w, c0
mov_pp r0.w, r0.x
mad r0.xyz, v6, r4.w, c4
texld r0.x, r0, s8
texld r1.x, r1, s8
mov_pp r0.z, r0.x
mov_pp r0.y, r1.x
mad r1.xyz, v6, r4.w, c2
mov r0.x, c1
add r4.w, c13.y, -r0.x
texld r0.x, r1, s8
mad r0, r0, r4.w, c1.x
dp4_pp r4.w, r0, c17.w
dp3_pp r1.z, v3, r5
add_pp r0.y, r1.z, c19.x
frc_pp r0.z, r0.y
add_pp_sat r0.y, r0, -r0.z
add_pp r0.z, r0.y, c17
rcp r0.x, v5.w
mad r1.xy, v5, r0.x, c13.z
texld r0.w, r1, s6
cmp r1.x, -v5.z, c13, c13.y
dp3 r0.x, v5, v5
mul_pp r0.w, r1.x, r0
mul_pp_sat r0.y, -r1.z, c18.w
mul_pp r1.x, r0.y, r0.z
mad_pp r1.x, r1.w, -r1, r1
texld r0.x, r0.x, s7
mul_pp r0.x, r0.w, r0
mul_pp r0.w, r0.x, r4
mul_pp r0.x, r0.w, c18.z
mul_pp r0.w, r0, r3
add_pp r1.x, r1, c13.y
mul r0.xyz, r3, r0.x
mul_pp r0.w, r0, c18.z
mul_pp r0, r0, r1.x
texldd r1, r2, s4, r2.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c13.y
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
ConstBuffer "$Globals" 416 // 404 used size, 17 vars
Vector 16 [_ShadowOffsets0] 4
Vector 32 [_ShadowOffsets1] 4
Vector 48 [_ShadowOffsets2] 4
Vector 64 [_ShadowOffsets3] 4
Vector 144 [_LightColor0] 4
Vector 304 [_Color] 4
Float 320 [_SpecularPower]
Vector 336 [_SpecularColor] 4
Float 352 [_DetailScale]
Float 388 [_DetailDist]
Float 400 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_LightTextureB0] 2D 2
SetTexture 8 [_ShadowMapTexture] 2D 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 135 float, 1 int, 7 uint
// TEX 2 (0 load, 4 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "SPOT" "SHADOWS_DEPTH" "SHADOWS_SOFT" "SHADOWS_NATIVE" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTexture0] 2D
"ps_3_0
; 174 ALU, 23 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsy r5.zw, r1.xyxy
dsx r5.xy, r1
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c17.x, c17.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp_sat r2.w, r1, r6
dp3_pp r4.w, r1, r5
pow r0, r2.w, c5.x
mul r2.w, r1, r0.x
mul_pp r2.xyz, r2, c3
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
dp4 r5.w, r0, c16
mov_pp r1.xyz, c3
add r0.xyz, v6, c15.yxyw
texld r0, r0, s6
dp4 r5.z, r0, c16
add r0.xyz, v6, c14.w
texld r0, r0, s6
mul_pp r2.xyz, r4.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r2.w, r2
add r2.xyz, v6, c15.yyxw
texld r2, r2, s6
dp4 r5.y, r2, c16
dp3 r2.x, v6, v6
rsq r2.x, r2.x
dp4 r5.x, r0, c16
rcp r0.x, r2.x
dp4 r2.x, c0, c0
mul r0.x, r0, c1.w
rsq r2.x, r2.x
mul r2.xyz, r2.x, c0
dp3_pp r2.x, v3, r2
mad r0, -r0.x, c15.z, r5
mov r2.w, c2.x
cmp r0, r0, c10.x, r2.w
dp4_pp r0.y, r0, c15.w
add_pp r0.z, r2.x, c18.x
dp3 r0.x, v5, v5
texld r0.x, r0.x, s7
mul r0.w, r0.x, r0.y
frc_pp r2.y, r0.z
add_pp_sat r0.y, r0.z, -r2
add_pp r0.z, r0.y, c14
mul_pp_sat r0.y, -r2.x, c17.w
mul_pp r0.x, r0.w, c17.z
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 2
SetTexture 1 [_BumpMap] 2D 3
SetTexture 2 [_midTex] 2D 4
SetTexture 3 [_CityOverlayTex] 2D 5
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 5 [_CityLightOverlayDetailTex] 2D 7
SetTexture 6 [_LightTexture0] 2D 1
SetTexture 7 [_ShadowMapTexture] CUBE 0
// 166 instructions, 7 temp regs, 0 temp arrays:
// ALU 136 float, 1 int, 6 uint
// TEX 5 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
Vector 0 [_WorldSpaceLightPos0]
Vector 1 [_LightPositionRange]
Vector 2 [_LightShadowData]
Vector 3 [_LightColor0]
Vector 4 [_Color]
Float 5 [_SpecularPower]
Vector 6 [_SpecularColor]
Float 7 [_DetailScale]
Float 8 [_DetailDist]
Float 9 [_CityOverlayDetailScale]
SetTexture 0 [_MainTex] 2D
SetTexture 1 [_BumpMap] 2D
SetTexture 2 [_midTex] 2D
SetTexture 3 [_CityOverlayTex] 2D
SetTexture 4 [_CityDarkOverlayDetailTex] 2D
SetTexture 5 [_CityLightOverlayDetailTex] 2D
SetTexture 6 [_ShadowMapTexture] CUBE
SetTexture 7 [_LightTextureB0] 2D
SetTexture 8 [_LightTexture0] CUBE
"ps_3_0
; 175 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_cube s6
dcl_2d s7
dcl_cube s8
def c10, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c11, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c12, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c13, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c14, 1.57079601, 0.15915494, -1.00000000, 0.00781250
def c15, 0.00781250, -0.00781250, 0.97000003, 0.25000000
def c16, 1.00000000, 0.00392157, 0.00001538, 0.00000001
def c17, 2.00000000, -1.00000000, 4.00000000, 10.00000000
def c18, 1.00976563, 0, 0, 0
dcl_texcoord0 v0.x
dcl_texcoord1 v1.xyz
dcl_texcoord2 v2.xyz
dcl_texcoord3 v3.xyz
dcl_texcoord5 v4.xyz
dcl_texcoord6 v5.xyz
dcl_texcoord7 v6.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r5.xyz, r1
add r0.y, r5.z, -r5.x
max r0.x, r5, r5.z
add r0.x, r0, -r5.y
add r0.z, r1, -r1.x
cmp r1.w, r0.y, c10.x, c10.y
mad r0.y, r1.w, r0.z, r1.x
cmp r0.w, r0.x, c10.x, c10.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c10, c10.x
cmp r0.x, -r0, c10.y, c10
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c10.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c10.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c10.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.y, r0, r0.x
mul r0.x, r0.z, r0
mad r2.x, r0.y, c10.z, c10.z
mad r2.y, r0.x, c10.z, c10.z
mul r0.xy, r2, c7.x
mov r0.z, c7.x
mad r0.zw, c10.z, -r0.z, r0.xyxy
abs r0.zw, r0
dsx r2.zw, r0
dsy r3.xy, r0.zwzw
texldd r0.xyz, r0, s2, r2.zwzw, r3
abs r0.w, r1.z
max r1.w, r5.x, r0
rcp r2.z, r1.w
min r1.w, r5.x, r0
mul r1.w, r1, r2.z
mul r2.w, v0.x, c8.x
mul r2.z, r1.w, r1.w
add_pp r3.xyz, -r0, c10.x
mul_sat r2.w, r2, c11
mad_pp r0.xyz, r2.w, r3, r0
mul r3.xy, r2, c9.x
mad r2.w, r2.z, c12.z, c12
mad r2.w, r2, r2.z, c13.x
mad r2.w, r2, r2.z, c13.y
mad r2.w, r2, r2.z, c13.z
mad r2.z, r2.w, r2, c13.w
mul r1.w, r2.z, r1
mov r2.x, c9
mad r2.xy, c10.z, -r2.x, r3
abs r2.xy, r2
dsx r3.zw, r2.xyxy
dsy r4.xy, r2
texldd r2, r3, s5, r3.zwzw, r4
add r4.z, -r1.w, c14.x
add r0.w, r5.x, -r0
cmp r4.w, -r0, r1, r4.z
abs r0.w, r1.y
add r5.x, -r4.w, c12
cmp r1.z, r1, r4.w, r5.x
cmp r1.x, r1, r1.z, -r1.z
add r4.z, -r0.w, c10.x
mad r1.w, r0, c11.x, c11.y
mad r1.w, r1, r0, c10
rsq r4.z, r4.z
mad r0.w, r1, r0, c11.z
rcp r4.z, r4.z
mul r1.w, r0, r4.z
cmp r0.w, r1.y, c10.y, c10.x
mul r1.y, r0.w, r1.w
mad r1.y, -r1, c11.w, r1.w
mad r0.w, r0, c12.x, r1.y
mul r0.w, r0, c12.y
mul r1.x, r1, c14.y
add r4.z, r1.x, c10
mov r4.w, r0
mov r1.y, r0.w
abs r1.x, r1
dsx r5.xy, r1
dsy r5.zw, r1.xyxy
texldd r1, r4.zwzw, s0, r5, r5.zwzw
mad_pp r2.xyz, -r1, r0, r2
add_pp r0.w, r1, c14.z
texldd r6.yw, r4.zwzw, s1, r5, r5.zwzw
mul_pp r0.xyz, r1, r0
mad_pp r1.xy, r6.wyzw, c17.x, c17.y
cmp_pp r0.w, r0, c10.x, c10.y
add_pp r1.z, -r0.w, c10.x
texldd r0.w, r4.zwzw, s3, r5, r5.zwzw
mul_pp r4.z, r0.w, r1
mul_pp r0.w, r4.z, r2
mad_pp r2.xyz, r0.w, r2, r0
mul_pp r6.xy, r1, r1
add_pp_sat r1.z, r6.x, r6.y
add_pp r1.z, -r1, c10.x
dp3_pp r2.w, v4, v4
rsq_pp r2.w, r2.w
rsq_pp r1.z, r1.z
mul_pp r2.xyz, r2, c4
mul_pp r5.xyz, r2.w, v4
dp3_pp r4.w, v1, v1
rsq_pp r2.w, r4.w
mad_pp r6.xyz, r2.w, v1, r5
rcp_pp r1.z, r1.z
dp3_pp r4.w, r6, r6
dp3_pp r2.w, r1, r1
rsq_pp r4.w, r4.w
rsq_pp r2.w, r2.w
mul_pp r1.xyz, r2.w, r1
mul_pp r6.xyz, r4.w, r6
dp3_pp r4.w, r1, r5
dp3_pp_sat r2.w, r1, r6
pow r0, r2.w, c5.x
mul r0.w, r1, r0.x
mul_pp r2.xyz, r2, c3
mov_pp r1.xyz, c3
mul_pp r2.xyz, r4.w, r2
mul_pp r1.xyz, c6, r1
mad r1.xyz, r1, r0.w, r2
add r0.xyz, v6, c15.xyyw
texld r0, r0, s6
add r2.xyz, v6, c15.yxyw
dp4 r2.w, r0, c16
texld r0, r2, s6
dp4 r2.z, r0, c16
add r5.xyz, v6, c15.yyxw
texld r0, r5, s6
dp4 r2.y, r0, c16
add r5.xyz, v6, c14.w
texld r0, r5, s6
dp4 r2.x, r0, c16
dp3 r5.x, v6, v6
rsq r0.x, r5.x
dp4 r0.y, c0, c0
rcp r0.x, r0.x
rsq r5.x, r0.y
mul r0.x, r0, c1.w
mad r0, -r0.x, c15.z, r2
mul r2.xyz, r5.x, c0
dp3_pp r2.x, v3, r2
mov r2.w, c2.x
cmp r0, r0, c10.x, r2.w
dp4_pp r0.y, r0, c15.w
add_pp r2.y, r2.x, c18.x
dp3 r0.x, v5, v5
frc_pp r0.z, r2.y
texld r0.w, v5, s8
texld r0.x, r0.x, s7
mul r0.x, r0, r0.w
mul r0.w, r0.x, r0.y
add_pp_sat r0.y, r2, -r0.z
add_pp r0.z, r0.y, c14
mul_pp_sat r0.y, -r2.x, c17.w
mul_pp r0.x, r0.w, c17.z
mul_pp r2.x, r0.y, r0.z
mul r0.xyz, r1, r0.x
mad_pp r1.x, r1.w, -r2, r2
mul_pp r0.w, r0, r4
add_pp r1.x, r1, c10
mul_pp r0.w, r0, c17.z
mul_pp r0, r0, r1.x
texldd r1, r3, s4, r3.zwzw, r4
mov_pp_sat r2.x, r0.w
add_pp r1.xyz, r1, -r0
add_pp r2.x, -r2, c10
mul_pp r1.w, r1, r4.z
mul_pp r1.w, r1, r2.x
mad_pp oC0.xyz, r1.w, r1, r0
mov_pp oC0.w, r0
"
}

SubProgram "d3d11 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
ConstBuffer "$Globals" 352 // 340 used size, 16 vars
Vector 80 [_LightColor0] 4
Vector 240 [_Color] 4
Float 256 [_SpecularPower]
Vector 272 [_SpecularColor] 4
Float 288 [_DetailScale]
Float 324 [_DetailDist]
Float 336 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 32 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
Vector 16 [_LightPositionRange] 4
ConstBuffer "UnityShadows" 416 // 400 used size, 8 vars
Vector 384 [_LightShadowData] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
BindCB "UnityShadows" 2
SetTexture 0 [_MainTex] 2D 3
SetTexture 1 [_BumpMap] 2D 4
SetTexture 2 [_midTex] 2D 5
SetTexture 3 [_CityOverlayTex] 2D 6
SetTexture 4 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 5 [_CityLightOverlayDetailTex] 2D 8
SetTexture 6 [_LightTextureB0] 2D 2
SetTexture 7 [_LightTexture0] CUBE 1
SetTexture 8 [_ShadowMapTexture] CUBE 0
// 168 instructions, 7 temp regs, 0 temp arrays:
// ALU 137 float, 1 int, 6 uint
// TEX 6 (0 load, 0 comp, 0 bias, 6 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "CITYOVERLAY_ON" "DETAIL_MAP_ON" "OCEAN_ON" "POINT_COOKIE" "SHADOWS_CUBE" "SHADOWS_SOFT" }
"!!GLES3"
}

}

#LINE 163

	
		}
		
	} 
	
	FallBack "VertexLit"
}